diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index 6e2f224cc4..e4fd7b5290 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -362,7 +362,7 @@ DOWNLOAD = wget -O $@ --no-use-server-timestamps
 # Pick a release from here: <https://www.unicode.org/Public/>.  Note
 # that the most recent release listed there is often a pre-release;
 # don't pick that one, except for testing.
-UNICODE_VERSION = 13.0.0
+UNICODE_VERSION = 14.0.0
 
 # Pick a release from here: <http://cldr.unicode.org/index/downloads>
 CLDR_VERSION = 39
diff --git a/src/include/common/unicode_combining_table.h b/src/include/common/unicode_combining_table.h
index 4dcaf45c3c..de1eab3a95 100644
--- a/src/include/common/unicode_combining_table.h
+++ b/src/include/common/unicode_combining_table.h
@@ -25,7 +25,8 @@ static const struct mbinterval combining[] = {
 	{0x0825, 0x0827},
 	{0x0829, 0x082D},
 	{0x0859, 0x085B},
-	{0x08D3, 0x08E1},
+	{0x0898, 0x089F},
+	{0x08CA, 0x08E1},
 	{0x08E3, 0x0902},
 	{0x093A, 0x093A},
 	{0x093C, 0x093C},
@@ -59,6 +60,7 @@ static const struct mbinterval combining[] = {
 	{0x0BCD, 0x0BCD},
 	{0x0C00, 0x0C00},
 	{0x0C04, 0x0C04},
+	{0x0C3C, 0x0C3C},
 	{0x0C3E, 0x0C40},
 	{0x0C46, 0x0C56},
 	{0x0C62, 0x0C63},
@@ -104,7 +106,7 @@ static const struct mbinterval combining[] = {
 	{0x109D, 0x109D},
 	{0x135D, 0x135F},
 	{0x1712, 0x1714},
-	{0x1732, 0x1734},
+	{0x1732, 0x1733},
 	{0x1752, 0x1753},
 	{0x1772, 0x1773},
 	{0x17B4, 0x17B5},
@@ -113,6 +115,7 @@ static const struct mbinterval combining[] = {
 	{0x17C9, 0x17D3},
 	{0x17DD, 0x17DD},
 	{0x180B, 0x180D},
+	{0x180F, 0x180F},
 	{0x1885, 0x1886},
 	{0x18A9, 0x18A9},
 	{0x1920, 0x1922},
@@ -202,11 +205,15 @@ static const struct mbinterval combining[] = {
 	{0x10D24, 0x10D27},
 	{0x10EAB, 0x10EAC},
 	{0x10F46, 0x10F50},
+	{0x10F82, 0x10F85},
 	{0x11001, 0x11001},
 	{0x11038, 0x11046},
+	{0x11070, 0x11070},
+	{0x11073, 0x11074},
 	{0x1107F, 0x11081},
 	{0x110B3, 0x110B6},
 	{0x110B9, 0x110BA},
+	{0x110C2, 0x110C2},
 	{0x11100, 0x11102},
 	{0x11127, 0x1112B},
 	{0x1112D, 0x11134},
@@ -280,6 +287,7 @@ static const struct mbinterval combining[] = {
 	{0x16F8F, 0x16F92},
 	{0x16FE4, 0x16FE4},
 	{0x1BC9D, 0x1BC9E},
+	{0x1CF00, 0x1CF46},
 	{0x1D167, 0x1D169},
 	{0x1D17B, 0x1D182},
 	{0x1D185, 0x1D18B},
@@ -289,8 +297,10 @@ static const struct mbinterval combining[] = {
 	{0x1DA3B, 0x1DA6C},
 	{0x1DA75, 0x1DA75},
 	{0x1DA84, 0x1DA84},
-	{0x1DA9B, 0x1E02A},
+	{0x1DA9B, 0x1DAAF},
+	{0x1E000, 0x1E02A},
 	{0x1E130, 0x1E136},
+	{0x1E2AE, 0x1E2AE},
 	{0x1E2EC, 0x1E2EF},
 	{0x1E8D0, 0x1E8D6},
 	{0x1E944, 0x1E94A},
diff --git a/src/include/common/unicode_east_asian_fw_table.h b/src/include/common/unicode_east_asian_fw_table.h
index b27f95b5dc..e9abfa2442 100644
--- a/src/include/common/unicode_east_asian_fw_table.h
+++ b/src/include/common/unicode_east_asian_fw_table.h
@@ -65,7 +65,10 @@ static const struct mbinterval east_asian_fw[] = {
 	{0x17000, 0x187F7},
 	{0x18800, 0x18CD5},
 	{0x18D00, 0x18D08},
-	{0x1B000, 0x1B11E},
+	{0x1AFF0, 0x1AFF3},
+	{0x1AFF5, 0x1AFFB},
+	{0x1AFFD, 0x1AFFE},
+	{0x1B000, 0x1B122},
 	{0x1B150, 0x1B152},
 	{0x1B164, 0x1B167},
 	{0x1B170, 0x1B2FB},
@@ -100,21 +103,23 @@ static const struct mbinterval east_asian_fw[] = {
 	{0x1F6CC, 0x1F6CC},
 	{0x1F6D0, 0x1F6D2},
 	{0x1F6D5, 0x1F6D7},
+	{0x1F6DD, 0x1F6DF},
 	{0x1F6EB, 0x1F6EC},
 	{0x1F6F4, 0x1F6FC},
 	{0x1F7E0, 0x1F7EB},
+	{0x1F7F0, 0x1F7F0},
 	{0x1F90C, 0x1F93A},
 	{0x1F93C, 0x1F945},
-	{0x1F947, 0x1F978},
-	{0x1F97A, 0x1F9CB},
-	{0x1F9CD, 0x1F9FF},
+	{0x1F947, 0x1F9FF},
 	{0x1FA70, 0x1FA74},
-	{0x1FA78, 0x1FA7A},
+	{0x1FA78, 0x1FA7C},
 	{0x1FA80, 0x1FA86},
-	{0x1FA90, 0x1FAA8},
-	{0x1FAB0, 0x1FAB6},
-	{0x1FAC0, 0x1FAC2},
-	{0x1FAD0, 0x1FAD6},
+	{0x1FA90, 0x1FAAC},
+	{0x1FAB0, 0x1FABA},
+	{0x1FAC0, 0x1FAC5},
+	{0x1FAD0, 0x1FAD9},
+	{0x1FAE0, 0x1FAE7},
+	{0x1FAF0, 0x1FAF6},
 	{0x20000, 0x2FFFD},
 	{0x30000, 0x3FFFD},
 };
diff --git a/src/include/common/unicode_norm_hashfunc.h b/src/include/common/unicode_norm_hashfunc.h
index 5d0501621c..9ec2dd3485 100644
--- a/src/include/common/unicode_norm_hashfunc.h
+++ b/src/include/common/unicode_norm_hashfunc.h
@@ -41,561 +41,632 @@ typedef struct
 static int
 Decomp_hash_func(const void *key)
 {
-	static const int16 h[13209] = {
-		0,     1515,  4744,  4745,  0,     0,     0,     0,
-		0,     0,     0,     0,     3890,  3890,  0,     0,
-		3891,  3891,  -2046, 2800,  3890,  3890,  3890,  -4396,
-		4361,  4362,  -4441, -4441, -4396, 1773,  1773,  1773,
-		4372,  4373,  -4438, -4438, -4393, -4393, 2619,  17,
-		-4347, -4393, -4393, -4393, -4393, -4393, 2619,  2619,
-		1560,  4346,  4347,  4348,  1917,  1873,  1874,  1875,
-		-7856, 4358,  17619, 2622,  2622,  2622,  6357,  6358,
-		6359,  6360,  6361,  6362,  6363,  2622,  -4390, -4390,
-		4414,  -5356, -5356, 4374,  4375,  -5356, -5356, -6335,
-		-3020, 2511,  -5356, -5356, -3583, -3583, -3583, -3583,
-		-995,  0,     0,     -9799, -9754, 2874,  2875,  2876,
-		2877,  2878,  -9830, -3591, -9756, -9756, -2744, -5346,
-		-9710, -9756, 342,   -5346, -9756, -5346, -2743, -449,
-		348,   2894,  2895,  -2853, 2897,  2898,  2899,  2900,
-		2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,
-		2909,  2910,  2911,  2912,  2913,  2914,  2915,  2916,
-		2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,
-		2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,
-		2933,  2934,  32767, 32767, 32767, 32767, 32767, 32767,
-		-8721, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		1,     32767, 48,    32767, 32767, 32767, 32767, 49,
-		32767, 32767, -8687, -8687, -6255, -6210, 32767, 32767,
-		-8689, -8689, -21949,32767, -18635,-15320,-15320,32767,
-		-12006,-8691, -8691, -8691, -8691, -8691, 32767, 66,
-		-8737, -8737, -8692, -8692, -8692, -8692, 73,    74,
-		32767, -8738, -8693, -8693, -8693, -8693, -8693, 32767,
-		32767, -8695, -8695, -8695, -8695, -8695, 32767, 32767,
-		40,    41,    -2390, -2434, 44,    45,    32767, 46,
-		13307, 9993,  9994,  6680,  6681,  3367,  3368,  54,
-		0,     55,    56,    57,    -8699, -8699, 105,   32767,
-		32767, 61,    62,    63,    -8701, -8701, 32767, 111,
-		32767, 67,    68,    69,    70,    1890,  3687,  -1272,
-		3690,  75,    76,    77,    78,    79,    80,    81,
-		82,    32767, 32767, 83,    84,    85,    86,    87,
-		88,    89,    90,    91,    92,    93,    94,    95,
-		96,    97,    98,    99,    100,   101,   102,   32767,
-		32767, 103,   104,   105,   106,   107,   108,   109,
-		-8660, -8660, 32767, -8661, -8661, -8661, -8661, -8661,
-		-8661, 32767, 73,    74,    75,    76,    -2355, -2399,
-		79,    80,    32767, 32767, 13341, 10027, 10028, 6714,
-		6715,  3401,  3402,  32767, 32767, 88,    89,    90,
-		-8666, -8666, 138,   32767, 32767, 94,    95,    96,
-		-8668, -8668, 144,   145,   101,   -2553, -2553, -2553,
-		-2553, -4983, -2553, -2553, 154,   -2553, 156,   32767,
-		32767, 6114,  158,   -3153, -3152, -3151, -12891,-6888,
-		-931,  -3149, 166,   -3148, -4728, 169,   -3147, -3146,
-		-3145, -3144, -3143, -3142, -3141, -2543, -3139, -3138,
-		180,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 3314,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		0,     3660,  3661,  2131,  2132,  2133,  2134,  2135,
-		2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,
-		2144,  2145,  -5472, -5472, -3612, -3612, -3612, -3612,
-		-3612, 2652,  -3612, -3612, -3612, -3612, -3612, -3612,
-		-3612, -3612, 3693,  -3613, -7015, -7015, 1742,  1743,
-		-7060, -7060, -7015, -846,  -846,  -846,  1753,  1754,
-		-7057, -7057, -7012, -7012, 0,     -2602, -6966, -7012,
-		-7012, -7012, -7012, -7012, 0,     0,     1725,  1726,
-		1727,  1728,  -703,  -747,  -746,  0,     1735,  1736,
-		14997, 0,     0,     0,     3735,  3736,  3737,  3738,
-		3739,  3740,  3741,  0,     -7012, -7012, 1792,  1793,
-		1749,  1750,  1751,  -7980, -7980, -8959, -5644, -113,
-		-7980, -113,  -2382, -6116, -6116, -6116, -6116, -6116,
-		-6116, -6116, -2374, 4639,  4640,  -4163, 5608,  5609,
-		-4120, -4120, 5612,  5613,  6593,  3279,  -2251, 5617,
-		5618,  3846,  3847,  3848,  3849,  1262,  1262,  10066,
-		10067, 10023, 3855,  3856,  3857,  1259,  1259,  10071,
-		3861,  10027, 10028, 3017,  5620,  9985,  10032, -65,
-		5624,  10035, 5626,  3024,  731,   -65,   1298,  12530,
-		3727,  3727,  3772,  3772,  3772,  13504, 13505, 14485,
-		11171, 5641,  13509, 5643,  7913,  11648, 11649, 11650,
-		11651, 11652, 11653, 11654, 7913,  901,   901,   9705,
-		-65,   -65,   9665,  9666,  -65,   -65,   -1044, 2271,
-		7802,  -65,   -65,   1708,  1708,  1708,  1708,  4296,
-		4297,  -4506, -4506, -4461, 1708,  1708,  1708,  4307,
-		4308,  -4503, 1708,  -4457, -4457, 2555,  -47,   -4411,
-		-4457, 5641,  -47,   -4457, -47,   2556,  4850,  5647,
-		4285,  -6946, 1858,  1859,  1815,  1816,  1817,  -7914,
-		-7914, -8893, -5578, -47,   -7914, -47,   -2316, -6050,
-		-6050, -6050, -6050, -6050, -6050, -6050, -2308, 4705,
-		4706,  -4097, 5674,  5675,  -4054, -4054, 5678,  5679,
-		6659,  3345,  -2185, 5683,  5684,  3912,  3913,  3914,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, -3083, -3083, 232,   287,   233,   233,
-		233,   8990,  8991,  32767, 32767, 3668,  32767, 3667,
-		3667,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 208,   208,   208,   208,   208,   208,
-		32767, 32767, 206,   206,   206,   206,   206,   32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 304,   305,   -1274, 307,   308,
-		309,   6753,  -1374, 10488, 4486,  -1470, 4488,  316,
-		4489,  -5607, 4490,  4491,  4492,  322,   760,   324,
-		325,   326,   166,   763,   329,   -2553, 765,   332,
-		333,   334,   335,   772,   337,   6310,  339,   340,
-		341,   342,   343,   344,   345,   346,   -2542, -2542,
-		-2542, 350,   351,   352,   353,   354,   355,   356,
-		357,   358,   359,   360,   361,   362,   -6008, 364,
-		365,   366,   367,   368,   369,   370,   254,   372,
-		373,   374,   375,   376,   377,   378,   379,   380,
-		381,   382,   32767, 383,   384,   -3606, -3605, -3604,
-		-3603, 389,   -3600, -3599, -3598, 2340,  -1238, -3595,
-		-3594, -3593, 4694,  -4062, -4062, 4742,  4743,  4699,
-		-1469, -1468, -1467, -4065, -4065, 4747,  -1463, 4703,
-		4704,  -2307, 296,   32767, 0,     32767, 32767, 4708,
-		-1376, -1376, -1376, 32767, 32767, -1246, 506,   506,
-		0,     -1559, 32767, 32767, 32767, 32767, 32767, 305,
-		419,   308,   2578,  6313,  6314,  424,   32767, -6030,
+	static const int16 h[13407] = {
+		4943,  4944,  4945,  4946,  4947,  4948,  4949,  4950,
+		4951,  4952,  4953,  4954,  4955,  4956,  4957,  4958,
+		4959,  4960,  4961,  4962,  4963,  4964,  4965,  4966,
+		4967,  4968,  4969,  32767, 4970,  4971,  32767, 32767,
+		4972,  32767, 32767, 4973,  4974,  32767, 32767, 4975,
+		4976,  4977,  4978,  32767, 4979,  4980,  4981,  4982,
+		4983,  4984,  4985,  4986,  4987,  4988,  4989,  4990,
+		32767, 4991,  32767, 4992,  4993,  4994,  4995,  4996,
+		4997,  4998,  32767, 4999,  5000,  5001,  5002,  5003,
+		5004,  5005,  5006,  5007,  5008,  -6192, 5010,  5011,
+		5012,  5013,  5014,  5015,  5016,  5017,  5018,  5019,
+		5020,  5021,  5022,  5023,  5024,  5025,  5026,  5027,
+		5028,  5029,  5030,  5031,  5032,  5033,  5034,  5035,
+		5036,  5037,  5038,  5039,  5040,  5041,  5042,  5043,
+		5044,  5045,  5046,  5047,  5048,  5049,  5050,  5051,
+		5052,  5053,  5054,  5055,  5056,  5057,  32767, 6396,
+		6397,  6398,  6399,  6400,  6401,  32767, 6402,  6403,
+		6404,  6405,  32767, 32767, 5059,  6407,  5060,  6409,
+		-9156, 6411,  5507,  6413,  32767, -290,  -290,  -290,
+		-290,  -290,  9059,  9060,  32767, -291,  -291,  -291,
+		-6392, -291,  -291,  -291,  -291,  -291,  -291,  -291,
+		951,   -291,  952,   -291,  -291,  -291,  -291,  -6404,
+		-291,  -291,  4828,  4828,  -6406, -6406, -291,  -291,
+		-6408, -1694, -292,  -292,  -292,  -292,  -6408, -293,
+		-293,  -293,  -293,  -293,  -6409, -294,  32767, -6410,
+		-6410, -297,  -297,  -297,  -297,  -297,  -297,  -297,
+		32767, -298,  -6411, 2161,  -298,  -9253, -6861, 1544,
+		2165,  2165,  2165,  7485,  7485,  7485,  7485,  25276,
+		7485,  13219, 7485,  1043,  7485,  7485,  7485,  7485,
+		7485,  7485,  7485,  5094,  12010, 12010, 13226, 12010,
+		13228, 8732,  13230, -298,  -6417, 7487,  12010, -298,
+		-298,  -298,  -6419, -6419, -1660, 8442,  8442,  8442,
+		8442,  8442,  -2519, 8442,  18541, -5775, 375,   8887,
+		13224, -4566, 13226, 38,    39,    -296,  -296,  4431,
+		-296,  -296,  -6532, -296,  -296,  1556,  -296,  1557,
+		-296,  -296,  -296,  -296,  -296,  -296,  -296,  -296,
+		-296,  -296,  -296,  -296,  -296,  -296,  -296,  -296,
+		-296,  449,   450,   -296,  106,   107,   679,   -296,
+		1559,  -296,  -1981, 112,   -296,  -296,  -296,  -296,
+		-296,  -296,  -296,  1560,  1561,  1562,  1563,  1564,
+		-296,  -296,  1565,  1566,  -296,  -296,  1567,  1568,
+		-296,  -296,  -296,  -296,  -296,  -296,  1569,  1570,
+		-296,  -296,  1571,  1572,  -296,  139,   -1933, -295,
+		-295,  1895,  -295,  -295,  -295,  -295,  -295,  -295,
+		-295,  -295,  -295,  -295,  -486,  -1943, -486,  -1943,
+		-295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
+		-295,  -295,  4399,  -295,  -295,  -295,  -295,  -295,
+		-295,  -295,  -295,  -295,  -295,  -295,  -295,  179,
+		-1339, -1339, -3797, -3797, -3797, -1339, -1339, -1339,
+		1310,  1311,  1312,  1313,  -6671, 1315,  -13749,-1339,
+		-13748,1320,  6679,  -1699, 1323,  1324,  1325,  -1339,
+		-1339, -1339, -1339, -1339, 803,   804,   805,   806,
+		5334,  3345,  -3570, -3569, -1338, -1338, -1338, -1338,
+		-1338, -1338, -1338, -1338, -1338, -1338, -1338, -1338,
+		-1338, -1338, -1338, -1338, -1338, 8,     -1338, 9,
+		-1338, 10,    -1338, 14228, -1338, -433,  -1338, 5365,
+		5366,  5367,  5368,  5369,  5370,  -3978, -3978, -3978,
+		5374,  5375,  5376,  11478, 5378,  5379,  5380,  5381,
+		5382,  5383,  5384,  4143,  5386,  4144,  5388,  5389,
+		5390,  5391,  11505, 5393,  5394,  276,   277,   11512,
+		11513, 5399,  5400,  11518, 5402,  5403,  5404,  5405,
+		5406,  5407,  5408,  5409,  5410,  5411,  5412,  5413,
+		5414,  5415,  5416,  5417,  5418,  5419,  5420,  5421,
+		5422,  5423,  5424,  5425,  5426,  11540, 2969,  5429,
+		14385, 11994, 3590,  2970,  2971,  2972,  -2347, -2346,
+		-2345, -2344, -20134,-2342, -8075, -2340, 4103,  -2338,
+		-2337, -2336, -2335, -2334, -2333, -2332, 60,    -6855,
+		-6854, -8069, -6852, -8069, -3572, -8069, 5460,  11580,
+		-2323, -6845, 5464,  5465,  5466,  11588, 11589, 6831,
+		-3270, -3269, -3268, -3267, -3266, 7696,  -3264, -13362,
+		10955, 4806,  -3705, -8041, 9750,  -8041, 5148,  5148,
+		5484,  5485,  759,   5487,  5488,  11725, 5490,  5491,
+		3640,  5493,  3641,  5495,  5496,  5497,  5498,  5499,
+		5500,  5501,  5502,  5503,  5504,  5505,  5506,  5507,
+		5508,  5509,  5510,  5511,  4767,  4767,  5514,  5113,
+		5113,  4542,  5518,  3664,  5520,  7206,  5114,  5523,
+		5524,  5525,  5526,  5527,  5528,  5529,  3674,  3674,
+		3674,  3674,  3674,  5535,  5536,  3676,  3676,  5539,
+		5540,  3678,  3678,  5543,  5544,  5545,  5546,  5547,
+		5548,  3684,  3684,  5551,  5552,  3686,  3686,  5555,
+		5121,  7194,  5557,  5558,  3369,  5560,  5561,  5562,
+		5563,  5564,  5565,  5566,  5567,  5568,  5569,  5761,
+		7219,  5763,  7221,  5574,  5575,  5576,  5577,  5578,
+		5579,  5580,  5581,  5582,  5583,  890,   5585,  5586,
+		5587,  5588,  5589,  5590,  5591,  5592,  5593,  5594,
+		5595,  5596,  5597,  5598,  5599,  5600,  5601,  5602,
+		5603,  5604,  -2311, -2310, -2309, -2308, -2307, -2306,
+		-2305, -2304, -2303, 5614,  5615,  5616,  5617,  5618,
+		5619,  5620,  5621,  5622,  5623,  5624,  5625,  5626,
+		5627,  5628,  5629,  5630,  5631,  5632,  5633,  5634,
+		5635,  5636,  5637,  5638,  5639,  5640,  5641,  5642,
+		5643,  5644,  5645,  5646,  5647,  5648,  5649,  5650,
+		5651,  5652,  -3666, 5654,  5655,  5656,  5657,  5658,
+		5659,  5660,  5661,  5662,  5663,  5664,  5665,  5666,
+		5667,  5668,  5669,  5670,  5671,  5672,  5673,  5674,
+		5675,  5676,  5677,  5678,  5679,  5680,  5681,  5682,
+		5683,  5684,  5685,  304,   305,   306,   307,   308,
+		309,   310,   311,   312,   313,   314,   315,   4336,
+		317,   318,   319,   320,   321,   322,   323,   324,
+		325,   326,   327,   328,   329,   330,   331,   332,
+		333,   334,   335,   -433,  -433,  -433,  -433,  -433,
+		-433,  -433,  -433,  -433,  -433,  346,   347,   9415,
+		349,   350,   351,   352,   353,   354,   355,   356,
+		357,   358,   359,   360,   361,   362,   363,   364,
+		365,   366,   367,   368,   369,   370,   371,   372,
+		373,   374,   375,   376,   377,   378,   379,   6920,
+		6921,  -2430, -2430, -2430, -8531, -2430, -2430, -2430,
+		388,   389,   390,   391,   392,   393,   394,   395,
+		396,   397,   398,   399,   400,   401,   402,   403,
+		404,   405,   406,   407,   408,   409,   410,   411,
+		412,   413,   -348,  5796,  5797,  2779,  5799,  2780,
+		2780,  7568,  5803,  5804,  2782,  14440, 7577,  7578,
+		-2893, 417,   32767, 32767, 32767, 32767, 32767, 418,
+		419,   420,   421,   422,   423,   424,   32767, 425,
 		32767, 426,   427,   428,   32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     32767, 0,
-		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 0,     32767, 429,   -5407, 431,
-		-5406, 433,   -3601, 435,   32767, -3751, 32767, 32767,
-		32767, 32767, -3755, 32767, 32767, 32767, 32767, 0,
-		32767, 32767, 32767, 32767, 0,     32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 436,   -11425,-5422,
-		535,   -5422, 535,   -5422, 4675,  -5421, -5421, -5421,
-		-5421, -5421, 4681,  0,     0,     0,     4682,  4683,
-		4684,  4685,  4686,  4687,  0,     0,     32767, 32767,
-		0,     0,     -5684, 0,     4688,  4689,  4690,  4691,
-		4692,  4693,  4694,  4695,  -1257, -1257, 4696,  -5441,
-		-5441, 4699,  4700,  4701,  -5443, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 454,   0,     32767, 456,
-		32767, 32767, 0,     457,   32767, 32767, 32767, 0,
-		458,   459,   460,   32767, 0,     32767, 32767, 32767,
-		32767, 32767, 32767, 4703,  4704,  4705,  4706,  32767,
-		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 4655,  4656,  4657,  4658,
-		4659,  4712,  32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 462,   32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     2084,  2085,
+		2657,  0,     0,     0,     0,     2093,  0,     0,
+		32767, 32767, 32767, 32767, 32767, 429,   4598,  4599,
+		4600,  4601,  4602,  435,   4603,  4604,  4605,  4606,
+		4607,  4608,  4609,  4610,  4611,  4612,  4613,  4614,
+		-2552, 4616,  4617,  4618,  4619,  4620,  4621,  4765,
+		4766,  3854,  4625,  4626,  4627,  436,   437,   438,
+		4631,  4632,  4633,  4634,  4635,  4636,  4637,  4638,
+		4639,  38,    17830, 4642,  4643,  4644,  0,     4645,
+		4646,  4647,  4648,  4649,  4650,  4651,  4652,  4653,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 448,   449,   450,   32767, 451,
+		452,   32767, 32767, 32767, 453,   32767, 32767, 32767,
+		32767, 32767, 32767, 32767, -5211, -5211, 32767, -5212,
+		32767, 32767, 32767, -5215, 32767, 32767, 32767, 32767,
+		-5219, -5219, -5219, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 153,   32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 463,   464,   32767, 465,
-		32767, 32767, 32767, 466,   32767, 32767, 32767, 32767,
-		467,   468,   469,   32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 3011,  3011,  3011,
-		3011,  3011,  3011,  3011,  32767, 32767, 32767, 32767,
-		32767, 32767, 470,   471,   32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 472,
-		473,   474,   475,   476,   32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 895,   32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 4713,  4714,  4715,  32767,
+		32767, 32767, 32767, 32767, 100,   100,   32767, 99,
+		32767, 32767, 32767, 96,    32767, 32767, 32767, 32767,
+		92,    92,    92,    32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 477,   478,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 479,   480,   481,   482,
-		32767, 32767, 483,   484,   32767, 32767, 485,   486,
-		487,   488,   489,   490,   32767, 32767, 491,   492,
-		493,   494,   495,   496,   32767, 32767, 0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     665,   -255,  667,   0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     693,   694,   695,   696,
-		697,   698,   699,   700,   701,   702,   703,   704,
-		705,   706,   707,   708,   709,   710,   711,   712,
-		7183,  714,   -1580, 716,   2547,  718,   7194,  720,
-		2553,  722,   723,   7204,  725,   726,   727,   728,
-		729,   730,   731,   732,   733,   734,   735,   736,
-		0,     0,     8114,  8159,  745,   -1535, 747,   748,
-		8161,  -5019, -5019, -5019, -5019, 1938,  0,     0,
-		0,     0,     0,     0,     767,   768,   0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     32767, 32767, 32767, 32767, 32767, 0,     32767,
+		32767, 32767, 70,    70,    32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 59,
+		821,   -5322, -5322, -2303, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, -2875, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, -2884, -2884,
-		-2884, -2884, -2884, -2884, -2884, -2884, -2884, -2884,
-		-2884, -2884, -4271, -2884, -2884, -2884, -2884, -2884,
-		-2884, -2884, -2884, -2884, -2884, -2884, -2884, -2884,
-		-2884, -2884, -2884, -2884, -2884, -2884, -2884, -2884,
-		-2884, -2884, -2884, -2884, -2884, -2884, -2884, -2884,
-		-2884, -2884, -2884, 32767, -2885, 32767, -2886, -2886,
-		32767, -2887, -2887, 32767, -2888, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, -4122, -4122, 32767,
+		32767, 3651,  3652,  3653,  0,     32767, 32767, 32767,
+		32767, 32767, 32767, 32767, -4134, -4134, 3033,  -4134,
+		32767, 32767, -4136, -4136, 32767, 32767, -4281, -3368,
+		-4138, -4138, -4138, 54,    32767, 32767, -4140, -4140,
+		-4140, -4140, -4140, -4140, 32767, 32767, -4142, 460,
+		-17331,-4142, -4142, -4142, 503,   -4141, -4141, -4141,
+		-4141, -4141, 32767, 32767, -4143, -4143, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 563,   564,
-		565,   566,   567,   568,   569,   570,   571,   572,
-		573,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		574,   575,   576,   577,   578,   32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, -294,  -294,  -294,  -3047, 583,   584,   585,
-		-4462, -4418, -4418, -4418, -4418, -4418, -4462, -4462,
-		-4462, 595,   596,   597,   598,   599,   32767, 32767,
-		32767, 32767, -4471, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 4716,  4717,  4718,  4719,
-		4720,  4721,  4722,  4723,  4724,  4725,  4726,  4727,
-		4728,  4729,  4730,  4731,  4732,  4733,  4734,  4735,
-		3826,  4737,  4738,  4739,  4740,  4741,  4742,  3832,
-		4744,  3833,  3120,  3121,  3835,  3835,  3124,  3836,
-		3836,  4753,  4754,  4755,  4756,  4757,  4758,  4759,
-		4760,  4761,  4762,  4763,  4764,  4765,  4766,  4767,
-		4768,  4769,  4770,  4771,  4772,  4773,  4774,  4775,
-		4776,  4777,  4778,  4779,  4780,  4781,  6619,  6620,
-		6621,  11272, 6623,  6624,  4788,  4789,  4790,  3874,
-		4761,  3874,  4794,  3874,  4796,  4797,  4798,  3874,
-		4800,  32767, 0,     4802,  4803,  4804,  4805,  4806,
-		4807,  4808,  4809,  4810,  4811,  4812,  4813,  4814,
-		4815,  4816,  4817,  4818,  4819,  4820,  4821,  4822,
-		4823,  4824,  4825,  4826,  4827,  4828,  11299, 4830,
-		2536,  4832,  6663,  4834,  11310, 4836,  6669,  4838,
-		4839,  11320, 4841,  4842,  4843,  4844,  4845,  4846,
-		4847,  4848,  4849,  4850,  4851,  4852,  1188,  4854,
-		4855,  4856,  4857,  2577,  4859,  4860,  12273, -907,
-		-907,  -907,  -907,  -907,  -907,  4868,  4869,  4870,
-		4871,  32767, 4872,  4873,  32767, 32767, 4874,  32767,
-		627,   4875,  4876,  32767, 32767, 4877,  4878,  4879,
-		6722,  32767, 4881,  4882,  4883,  6730,  6731,  7446,
-		6733,  4888,  7449,  7449,  4891,  4892,  32767, 4893,
-		32767, 4894,  4895,  4896,  4897,  4898,  4899,  3512,
-		3513,  3514,  3515,  3516,  4904,  3518,  3519,  3520,
-		3521,  3522,  3523,  3524,  3525,  3526,  3527,  3528,
-		3529,  3530,  3531,  3532,  3533,  3534,  3535,  3536,
-		3537,  3538,  4926,  6797,  4928,  6800,  4930,  4931,
-		4932,  4933,  4934,  4935,  6813,  4937,  4938,  6816,
-		6817,  4941,  4942,  4943,  0,     4945,  6821,  0,
-		0,     4949,  0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     32767, -127,  -127,  -127,
-		7285,  -127,  -127,  0,     -128,  -128,  -128,  -128,
-		0,     32767, -130,  4971,  -129,  5613,  5614,  5615,
-		4976,  5618,  32767, 5619,  5620,  5621,  4981,  5624,
-		4983,  4984,  32767, 5630,  5631,  -1986, -1986, -126,
-		-126,  5078,  4992,  5037,  5038,  5039,  5040,  5041,
-		5086,  5087,  5088,  5089,  -2322, 5091,  5092,  5093,
-		5094,  5095,  5096,  5097,  5098,  5099,  5100,  0,
-		5101,  -640,  -640,  -640,  0,     -641,  -641,  -641,
-		-641,  -641,  0,     -642,  0,     0,     32767, -645,
-		-645,  6973,  6974,  5115,  5116,  -87,   0,     -44,
-		-44,   -44,   -44,   -44,   -88,   -88,   -88,   -88,
-		7324,  -88,   -88,   -88,   -88,   -88,   -88,   -88,
-		-88,   -88,   -88,   -88,   -88,   5654,  5655,  5656,
-		5657,  5658,  5659,  5660,  5661,  5662,  5663,  5664,
-		5665,  5666,  5667,  5668,  5669,  -1948, -1948, -88,
-		-88,   5116,  5117,  5074,  5075,  5076,  5077,  5078,
-		5123,  5124,  5125,  5126,  -2285, 5128,  5129,  5130,
-		5131,  5132,  5133,  5134,  5135,  5136,  5137,  5138,
-		5139,  -602,  -602,  -602,  -602,  -602,  -602,  -602,
-		-602,  -602,  -602,  -602,  -602,  -602,  -602,  -602,
-		-602,  7016,  7017,  5158,  5159,  -44,   -44,   0,
-		0,     0,     0,     0,     -44,   -44,   -44,   -44,
-		7368,  -44,   -44,   -44,   -44,   -44,   -44,   -44,
-		-44,   -44,   -44,   -44,   -44,   5698,  5699,  5700,
-		5701,  5702,  5703,  5704,  5705,  5706,  5707,  5708,
-		5709,  5710,  5711,  5712,  5713,  -1904, -1904, -44,
-		-44,   5160,  5161,  5118,  5119,  5120,  5121,  5122,
-		5167,  5168,  5169,  5170,  -2241, 5172,  5173,  5174,
-		5175,  5176,  5177,  5178,  5179,  5180,  5181,  5182,
-		5183,  -558,  -558,  -558,  -558,  -558,  -558,  -558,
-		-558,  -558,  -558,  -558,  -558,  -558,  -558,  -558,
-		-558,  7060,  7061,  5202,  5203,  0,     0,     44,
-		44,    44,    44,    44,    0,     0,     0,     0,
-		7412,  0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     5742,  5743,  5744,
-		5745,  5746,  5747,  5748,  5749,  5750,  5751,  5752,
-		5753,  5754,  5755,  5756,  5757,  -1860, -1860, 0,
-		0,     0,     0,     0,     6264,  0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     -3402,
-		-3402, 5355,  5356,  -3447, -3447, -3402, -3402, -3402,
-		-3402, 5363,  5364,  -3447, -3447, -3402, -3402, -3402,
-		-3358, -3358, -3404, -3404, -3404, -3404, -3404, -3404,
-		-3404, 5331,  5332,  5333,  5334,  2903,  2859,  5337,
-		5338,  5339,  5340,  18601, 15287, 15288, 11974, 11975,
-		8661,  8662,  5348,  5349,  5350,  5351,  5352,  -3404,
-		-3404, 5400,  5401,  5357,  5358,  5359,  5360,  -3404,
-		-3404, 5408,  5409,  5365,  5366,  5367,  5324,  5325,
-		5372,  5373,  5374,  5375,  5376,  5377,  5378,  -3356,
-		-3356, -3356, -3356, -924,  -879,  -3356, -3356, -3356,
-		-3356, -16616,-13301,-13301,-9986, -9986, -6671, -6671,
-		-3356, -3356, -3356, -3356, -3356, 5401,  5402,  -3401,
-		-3401, -3356, -3356, -3356, -3356, 5409,  5410,  -3401,
-		-3401, -3356, -3356, -3356, -3312, -3312, -3358, -3358,
-		-3358, -3358, -3358, -3358, -3358, 5377,  5378,  5379,
-		5380,  2949,  2905,  5383,  5384,  5385,  5386,  18647,
-		15333, 15334, 12020, 12021, 8707,  8708,  5394,  5395,
-		5396,  5397,  5398,  -3358, -3358, 5446,  5447,  5403,
-		5404,  5405,  5406,  -3358, -3358, 5454,  5455,  5411,
-		5412,  5413,  5414,  5415,  5416,  5417,  5418,  5419,
-		5420,  5421,  5422,  -3312, -3312, -3312, -3312, -880,
-		-835,  -3312, -3312, -3312, -3312, -16572,-13257,-13257,
-		-9942, -9942, -6627, -6627, -3312, -3312, -3312, -3312,
-		-3312, 5445,  5446,  -3357, -3357, -3312, -3312, -3312,
-		-3312, 5453,  5454,  -3357, -3357, -3312, -3312, -3312,
-		-3312, -3312, -3312, -3312, -3312, -3312, -3312, -3312,
-		-3312, 5423,  5424,  5425,  5426,  2995,  2951,  5429,
-		5430,  5431,  5432,  18693, 15379, 15380, 12066, 12067,
-		8753,  8754,  5440,  5441,  5442,  5443,  5444,  -3312,
-		-3312, 5492,  5493,  5449,  5450,  5451,  5452,  -3312,
-		-3312, 5500,  5501,  5457,  2803,  2803,  2803,  2803,
-		373,   2803,  2803,  5510,  2803,  5512,  11470, 5514,
-		11472, 5516,  2205,  2206,  2207,  -7533, -1530, 4427,
-		2209,  5524,  2210,  630,   5527,  2211,  2212,  2213,
-		2214,  2215,  2216,  2217,  2815,  2219,  2220,  5538,
-		2221,  5540,  2222,  5542,  5543,  2223,  -3312, -3312,
-		-3312, 5548,  5549,  -3312, -3312, 2803,  2803,  2803,
-		5555,  5556,  5557,  2803,  2803,  2803,  2803,  2803,
-		2803,  2803,  2803,  2803,  2803,  2803,  2803,  2803,
-		9050,  9051,  2803,  2803,  2803,  2803,  2803,  2803,
-		2803,  2803,  2803,  2803,  2803,  2803,  4318,  7547,
-		7548,  2803,  2803,  2803,  2803,  2803,  2803,  2803,
-		2803,  6693,  6693,  2803,  2803,  6694,  6694,  757,
-		5603,  6693,  6693,  6693,  -1593, 7164,  7165,  -1638,
-		-1638, -1593, 4576,  4576,  4576,  7175,  7176,  -1635,
-		-1635, -1590, -1590, 5422,  2820,  -1544, -1590, -1590,
-		-1590, -1590, -1590, 5422,  5422,  4363,  7149,  7150,
-		7151,  4720,  4676,  4677,  4678,  -5053, 7161,  20422,
-		5425,  5425,  5425,  9160,  9161,  9162,  9163,  9164,
-		9165,  9166,  5425,  -1587, -1587, 7217,  -2553, -2553,
-		7177,  7178,  -2553, 32767, 32767, -219,  5312,  -2555,
-		-2555, -782,  -782,  -782,  -782,  1806,  2801,  2801,
-		-6998, -6953, 5675,  5676,  5677,  5678,  5679,  -7029,
-		-790,  -6955, -6955, 57,    -2545, -6909, -6955, 3143,
-		-2545, -6955, -2545, 58,    2352,  3149,  5695,  5696,
-		-52,   5698,  5699,  5700,  5701,  5702,  5703,  5704,
-		5705,  5706,  5707,  5708,  5709,  5710,  5711,  32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, -1838, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 6927,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, -973,  32767, 32767,
-		32767, 32767, 0,     32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     4567,  4568,  32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 0,     32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 511,   32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 512,   513,
+		514,   515,   516,   -4236, -4236, -4236, -4236, -4236,
+		522,   523,   524,   525,   526,   527,   528,   529,
+		530,   531,   532,   5533,  534,   5534,  536,   5535,
+		538,   5536,  540,   5537,  -9327, 543,   544,   545,
+		546,   547,   548,   549,   550,   551,   552,   553,
+		554,   555,   556,   32767, 557,   32767, 558,   559,
+		32767, 560,   561,   32767, 562,   32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
+		0,     32767, 0,     32767, 32767, 0,     0,     32767,
+		0,     0,     32767, 32767, 32767, 0,     32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 750,   32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 751,   32767, 32767,
+		752,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		753,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     -8394, 567,   568,   569,   -8394, -8393, -8392,
+		-6000, 32767, 32767, 32767, 0,     760,   761,   -14129,
+		574,   575,   576,   -12902,-462,  32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, -1748, 32767, -1749,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -437,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
+		0,     -255,  -255,  581,   582,   583,   584,   585,
+		586,   587,   588,   589,   590,   591,   1214,  1215,
+		1216,  1217,  1218,  1219,  1220,  1221,  1222,  1223,
+		4947,  -171,  -170,  1227,  1228,  1229,  1230,  11067,
+		1232,  1233,  1234,  1235,  1236,  1237,  1238,  -1391,
+		1240,  1241,  1242,  -1390, 1244,  -3217, 604,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -448,  32767, 32767, -450,  -450,
-		-450,  0,     32767, 32767, 32767, -2166, 32767, 32767,
-		32767, 32767, 32767, 32767, 0,     0,     32767, -464,
-		-464,  32767, 0,     32767, 32767, 32767, 32767, 32767,
+		767,   32767, 32767, 0,     32767, 32767, 32767, 32767,
+		32767, 32767, 32767, -9177, 32767, 32767, 32767, 911,
+		912,   0,     32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		771,   -3830, 32767, 773,   32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 605,   32767,
+		606,   32767, 774,   32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 607,   32767, 32767, 608,   609,   610,   -236,
+		612,   613,   5235,  32767, 32767, 615,   616,   617,
+		618,   619,   620,   32767, 32767, -4084, -4084, 32767,
+		-63,   -62,   625,   -61,   32767, 32767, 32767, -61,
+		-60,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -514,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 4955,  4956,  32767,
+		-3764, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		5757,  5758,  5759,  0,     32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -4186, -4186, -12097,-4186, 32767,
-		-4187, -4187, -8787, 32767, 0,     0,     5952,  0,
-		0,     -4183, -4183, -4183, 0,     -2386, -4182, 778,
-		-4183, -5935, 32767, 32767, -4690, -6249, -4184, -4184,
-		-4184, 32767, 32767, -4186, -4186, -77,   32767, -77,
-		32767, -4188, 0,     -4189, 32767, 0,     0,     0,
-		0,     32767, 0,     0,     0,     32767, 0,     0,
-		0,     0,     0,     0,     0,     32767, 0,     0,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
-		0,     0,     0,     0,     0,     32767, 32767, 32767,
-		32767, 32767, 32767, 0,     0,     0,     0,     0,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, -3794,
+		-3794, -3794, -3794, -3794, 4880,  -3794, -3794, 0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		-1423, -1750, -3794, -3794, -3794, -3794, -1754, -1754,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     32767, 0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     -5937, -2358, 0,     0,     0,
-		-8286, 471,   472,   32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 1747,  32767, -2126, 32767, 32767, 1748,
-		1749,  1750,  1751,  1752,  1753,  8224,  1755,  -539,
-		1757,  781,   32767, 32767, 32767, -1991, -2035, 32767,
-		32767, 782,   -3784, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     6081,
+		6082,  6083,  6084,  6085,  6086,  6087,  6088,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 837,   32767, 32767, 32767, 32767, 32767, -4008,
-		-4008, -4008, 2949,  32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		0,     -797,  1806,  32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 4605,  4606,
-		32767, 32767, 0,     455,   32767, 0,     32767, 32767,
-		32767, 0,     32767, 32767, 32767, 32767, 0,     0,
-		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -4244, 32767, 32767, 32767, 32767,
+		32767, 3706,  4916,  3706,  32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		784,   32767, 32767, 2950,  2951,  32767, 32767, 32767,
-		32767, 32767, 32767, 786,   787,   32767, 1252,  1253,
-		32767, 790,   32767, 0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     0,     32767, 0,     32767, 32767,
-		32767, 0,     32767, 32767, 32767, 32767, 0,     0,
-		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4918,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
-		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, -200,  -200,  -200,
-		-200,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		-5932, -5932, 32767, 32767, 2952,  32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -5387,
-		-5387, -5387, -5387, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 0,     0,     32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     0,     0,     0,     32767, 32767,
-		0,     0,     32767, 32767, 0,     0,     0,     0,
-		0,     0,     32767, 32767, 0,     0,     0,     0,
-		0,     0,     32767, 32767, 497,   498,   499,   500,
-		501,   502,   503,   504,   505,   506,   507,   508,
-		32767, 32767, -156,  765,   32767, 32767, 32767, 32767,
+		32767, 32767, 655,   656,   657,   658,   -1487, -1487,
+		-1487, -1487, -1487, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, -1669, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 665,   -573,
+		9529,  -573,  32767, -574,  -574,  -5333, -5333, -5333,
+		-5333, -5333, -5333, -5333, 32767, -5334, -5334, -5334,
+		32767, 681,   682,   683,   684,   685,   32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -861,
-		32767, 6106,  32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 2953,  2954,  32767, 797,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 2955,  32767, 32767, 32767, -8929,
-		32767, -8885, -8885, -8885, 32767, 32767, 32767, 32767,
-		32767, 32767, -749,  7119,  7120,  32767, 32767, 32767,
-		32767, 2760,  32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 0,     0,     0,     32767, 32767, 32767, 32767,
-		32767, -1181, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, -5587, 0,     7596,
-		7597,  0,     0,     0,     0,     0,     0,     32767,
+		32767, 32767, 32767, 32767, 2467,  2468,  2469,  2470,
+		2471,  2472,  2473,  2474,  2475,  2476,  2477,  0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     -1001,
+		-1001, -1001, -1001, 32767, -1002, -1002, 0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     2512,  2513,  2514,  2515,  2516,  0,
+		0,     0,     0,     0,     2522,  2523,  0,     1041,
+		1042,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
+		2534,  2535,  2536,  2537,  693,   694,   695,   -8253,
+		-4639, -4639, 32767, 32767, 2538,  2539,  0,     2541,
+		2542,  2543,  2544,  2545,  0,     2547,  0,     2549,
+		2550,  0,     2552,  2553,  0,     2555,  2556,  2557,
+		2558,  2559,  2560,  2561,  2562,  2563,  2564,  2565,
+		2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
+		2574,  2575,  2576,  2577,  2578,  2579,  2580,  2581,
+		2582,  2583,  -1309, 706,   2585,  2586,  2587,  2588,
+		2589,  2590,  2591,  2592,  -7879, 2594,  2595,  2596,
+		2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,
+		2605,  2606,  2607,  8568,  2609,  2610,  2611,  5328,
+		5329,  5330,  5331,  5332,  2617,  5335,  201,   5337,
+		5338,  5339,  5340,  5341,  5342,  5343,  5344,  5345,
+		5346,  2630,  2631,  3718,  3719,  2634,  2635,  2636,
+		2637,  2638,  2639,  2640,  2641,  2642,  2643,  2644,
+		2645,  2646,  2647,  2648,  2649,  2650,  2651,  2652,
+		2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,
+		2661,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     2695,  2696,  2697,  2698,  2699,  2700,
+		2701,  2702,  2703,  14882, 9148,  2706,  9148,  9148,
+		2072,  9149,  9149,  9149,  9149,  6758,  13674, 13674,
+		32767, 759,   0,     0,     14891, 189,   189,   189,
+		13668, -4759, -4759, 1362,  -4759, -4759, 0,     10102,
+		0,     10103, 0,     0,     0,     0,     32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 1458,  1459,
 		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
+		0,     0,     9309,  9310,  9311,  9312,  9313,  9314,
+		0,     0,     0,     9320,  9321,  9322,  9323,  0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     1962,  1962,  0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     -714,  0,
-		0,     -713,  -712,  0,     -711,  0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     1859,
-		0,     3247,  32767, 32767, 0,     3247,  0,     3248,
-		0,     3249,  0,     3250,  0,     3251,  0,     3252,
-		808,   3252,  0,     3253,  0,     3254,  0,     0,
-		3256,  0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     32767, 0,     0,     0,
-		0,     32767, 32767, 32767, 32767, 0,     0,     6824,
-		32767, 0,     32767, 0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		4207,  4208,  0,     0,     0,     0,     0,     1896,
-		0,     0,     1898,  1898,  1898,  1898,  0,     0,
-		0,     1901,  1901,  0,     0,     0,     0,     0,
-		0,     -1319, 0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     7167,  0,     0,
+		0,     0,     0,     0,     -143,  -143,  770,   0,
+		0,     0,     4192,  4192,  4192,  0,     0,     0,
+		0,     0,     0,     0,     0,     0,     4602,  -13189,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		5320,  5320,  5320,  5320,  23111, 5320,  11054, 0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     32767, 32767, 0,
+		0,     0,     0,     0,     0,     6247,  6247,  -4714,
+		6247,  2055,  0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     32767, 32767, 778,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 779,   780,   781,   32767, 32767,
+		782,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, -2571, -2136, 32767, 32767, 0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     7618,  7619,  7620,
-		3,     3,     1863,  1863,  7067,  7068,  7025,  7026,
-		7027,  7028,  7029,  7074,  7075,  7076,  7077,  -334,
-		7079,  7080,  7081,  7082,  7083,  7084,  7085,  7086,
-		7087,  7088,  7089,  7090,  1349,  1349,  1349,  1349,
-		1349,  1349,  1349,  1349,  1349,  1349,  1349,  1349,
-		1349,  1349,  1349,  1349,  8967,  8968,  7109,  7110,
-		1907,  1907,  32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 2976,  2977,  2978,  32767, 32767, 32767, 32767,
+		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 4811,  4812,  4813,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 2178,  32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 2189,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4666,
+		4667,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		0,     0,     0,     820,   32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 821,
-		2381,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 2005,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 823,   32767, 824,   32767,
-		825,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 826,   32767, 32767, 32767, 32767, 32767,
-		32767, 4575,  4576,  4577,  4578,  4579,  4580,  4581,
-		4582,  4583,  4584,  4585,  32767, 32767, 829,   32767,
-		32767, 32767, 32767, 830,   32767, 32767, 32767, 32767,
+		32767, 32767, 1743,  32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		6253,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		6253,  -3848, 834,   835,   836,   -3845, -3845, -3845,
-		-3845, -3845, -3845, 843,   844,   -4280, 32767, 845,
-		846,   6531,  848,   -3839, 32767, -3840, -3840, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 1946,  32767,
-		32767, 32767, -3849, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 853,   32767, 32767, 32767,
-		32767, 854,   32767, 32767, 32767, 32767, 855,   32767,
-		32767, 32767, 32767, 856,   32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		857,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, -3799, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 8266,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 785,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 786,   32767, 32767, 787,   788,
+		789,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 790,
+		791,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 4668,  2585,  2585,  2014,  4672,
+		4673,  4674,  4675,  2583,  4677,  4678,  32767, 32767,
+		32767, 32767, 755,   756,   757,   758,   759,   760,
+		761,   2992,  762,   -1954, -1953, -866,  -865,  -1950,
+		-1949, -4921, -858,  -857,  7336,  -4923, -4923, 792,
+		660,   660,   660,   32767, 32767, -4922, -4922, -4922,
+		-4922, 658,   658,   -4874, 32767, 657,   657,   -8375,
+		2587,  -8373, -18471,5846,  -303,  -8814, -13150,4641,
+		-13150,39,    39,    375,   376,   -4350, 378,   32767,
+		32767, 379,   380,   -1471, 382,   -1470, 384,   385,
+		386,   387,   388,   389,   390,   391,   392,   393,
+		394,   395,   396,   397,   398,   -346,  -346,  -346,
+		-346,  401,   0,     0,     -571,  405,   -1449, 407,
+		32767, 0,     409,   410,   411,   412,   413,   0,
+		414,   -1441, -1441, -1441, -1441, -1441, 420,   421,
+		32767, 32767, 422,   423,   -1439, -1439, 426,   427,
+		428,   32767, 32767, 429,   -1435, -1435, 432,   433,
+		-1433, 32767, 32767, 0,     2073,  436,   437,   -1752,
+		439,   440,   441,   442,   443,   444,   445,   446,
+		447,   448,   640,   2098,  642,   32767, 32767, 452,
+		453,   454,   455,   456,   457,   458,   459,   460,
+		-4233, 462,   463,   464,   465,   466,   467,   468,
+		469,   470,   471,   472,   473,   0,     1519,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 859,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 860,
-		32767, 861,   -5065, 32767, 32767, 32767, 32767, 32767,
+		-456,  32767, 32767, 32767, 32767, 32767, 32767, -3164,
+		3752,  32767, 32767, 32767, -467,  32767, 32767, 32767,
+		32767, 799,   32767, 32767, 32767, 32767, 1521,  1522,
+		32767, -4966, -478,  32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, -2387, -2386, -2385, -2384, -2383,
+		-2382, -2381, 3002,  4163,  4164,  4165,  -5186, -5186,
+		-5186, -11287,-5186, -5186, -5186, -5186, -5186, -5186,
+		-5186, -3944, -5186, -3943, -5186, -5186, -5186, -5186,
+		-11299,-5186, -5186, -67,   32767, -11302,-11302,-5187,
+		-5187, -11304,-5187, 32767, 32767, -5189, -5189, -5189,
+		-5189, -5189, -5189, -5189, -5189, -5189, -5189, -5189,
+		-5189, -5189, -5189, -5189, -5189, 32767, 4684,  -5191,
+		-5191, -5191, -5191, -11304,-2732, -5191, -14146,32767,
+		32767, 32767, 32767, 32767, 32767, 4685,  32767, 3013,
+		3014,  3015,  32767, 5848,  5849,  5850,  5851,  5852,
+		5853,  5854,  32767, 32767, 32767, 32767, 32767, 32767,
+		802,   32767, 32767, 32767, 803,   32767, 32767, 32767,
+		4686,  32767, 4687,  804,   805,   32767, 806,   807,
+		32767, 808,   32767, 32767, 32767, 32767, 32767, 3016,
+		32767, 4688,  32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4689,
+		4690,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 10746, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4526,
-		32767, 4573,  4574,  4575,  32767, 32767, -2436, -1376,
-		32767, 32767, 32767, 32767, 32767, -1689, -1689, 4349,
-		-4171, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 4588,  32767,
-		4589,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4590,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 4591,  4592,  32767,
-		32767, 32767, 32767, 32767, 32767, 2933,  32767, 32767,
+		32767, 32767, 32767, 32767, 0,     32767, 32767, 4691,
+		4692,  4693,  32767, 32767, 32767, 32767, 32767, 2190,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-1638, -1638, 0,     0,     2190,  0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     -191,
+		-1648, -191,  -1648, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     4694,  0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     7916,  7916,  7916,  7916,  7916,  7916,
+		7916,  7916,  7916,  0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     9319,  0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     5382,  5382,  5382,  5382,  5382,
+		5382,  5382,  5382,  5382,  5382,  5382,  5382,  1362,
+		5382,  5382,  5382,  5382,  5382,  5382,  5382,  5382,
+		5382,  5382,  5382,  5382,  5382,  5382,  5382,  5382,
+		5382,  5382,  5382,  6151,  6152,  6153,  6154,  6155,
+		6156,  6157,  6158,  6159,  6160,  5382,  5382,  -3685,
+		5382,  5382,  5382,  5382,  5382,  5382,  5382,  5382,
+		5382,  5382,  5382,  5382,  5382,  5382,  5382,  5382,
+		5382,  5382,  5382,  5382,  5382,  5382,  5382,  5382,
+		5382,  5382,  5382,  5382,  5382,  0,     -1160, -1160,
+		-1160, 8192,  8193,  8194,  14296, 8196,  8197,  8198,
+		5381,  5381,  5381,  5381,  5381,  5381,  5381,  5381,
+		5381,  5381,  5381,  5381,  5381,  5381,  5381,  5381,
+		5381,  5381,  5381,  5381,  5381,  5381,  5381,  5381,
+		5381,  5381,  6143,  0,     0,     3019,  0,     3020,
+		3021,  -1766, 0,     0,     3023,  -8634, -1770, -1770,
+		8702,  32767, 32767, 3025,  3026,  32767, 3027,  32767,
+		32767, 32767, 32767, 32767, 32767, 32767, -1783, -7743,
+		-1783, -1783, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 5046,  5047,  5048,  5049,  5050,
+		5051,  5052,  32767, 32767, 32767, 169,   169,   32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		6144,  6145,  5767,  6147,  32767, 32767, 32767, 32767,
+		32767, 32767, 32767, -2883, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 563,   564,   565,
+		8960,  0,     0,     0,     8964,  8964,  8964,  6573,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
+		0,     0,     13479, 1040,  0,     0,     32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, -5930, 32767, 32767, 32767, 32767, 829,   830,
+		-14060,32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 832,   833,
+		834,   835,   0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     -622,  -622,  -622,
+		-622,  -622,  -622,  -622,  -622,  3032,  32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
+		0,     32767, 32767, 32767, 32767, -638,  32767, 32767,
+		32767, 32767, 1991,  -642,  3820,  0,     32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 838,   32767, 32767, 32767, 32767,
+		32767, 2458,  2458,  32767, 0,     4695,  32767, 839,
+		840,   4696,  4697,  32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 841,   32767, 842,   32767,
+		843,   32767, 32767, 32767, 32767, 0,     32767, 0,
+		32767, 32767, 844,   32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 845,   32767, 32767, 32767,
+		0,     846,   32767, 0,     0,     0,     847,   0,
+		0,     -4621, 32767, -2323, 0,     0,     0,     0,
+		0,     0,     32767, 32767, 4705,  4706,  32767, 686,
+		686,   0,     687,   3034,  32767, 32767, 32767, 32767,
+		-1963, -2342, -2342, 6037,  12728, 12729, -2990, 12731,
+		12732, 12733, 12734, 12735, -531,  32767, 32767, -533,
+		-533,  2711,  2711,  2711,  32767, 2710,  5710,  32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 6589,
+		6590,  6591,  2699,  4714,  6593,  6594,  32767, 32767,
+		32767, 6595,  6596,  6597,  -3874, 6599,  32767, 32767,
+		32767, 2803,  32767, 32767, 32767, 32767, 8384,  32767,
+		32767, 32767, 32767, 8337,  32767, 32767, 32767, 32767,
+		-682,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-2389, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, -2401, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     0,     0,     32767, 0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		32767, 0,     0,     32767, 0,     32767, 32767, 0,
+		32767, 0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     32767, 0,     0,     0,     0,
+		32767, 0,     32767, 0,     32767, 32767, 32767, 32767,
+		32767, 32767, -957,  32767, 32767, 32767, 32767, 0,
+		32767, 0,     880,   0,     32767, 0,     0,     0,
+		32767, 0,     0,     32767, 0,     32767, 32767, 0,
+		32767, 0,     32767, 0,     32767, 0,     32767, 0,
+		32767, 0,     0,     32767, 0,     32767, 32767, 0,
+		0,     6115,  0,     6116,  6116,  0,     0,     6116,
+		6116,  6116,  6116,  0,     6115,  0,     0,     0,
+		6113,  6113,  6113,  6113,  6113,  6113,  6113,  0,
+		6113,  0,     8572,  6113,  -2842, -450,  0,     0,
+		8578,  8578,  13898, 13898, 13898, 0,     0,     13900,
+		19634, 13900, 7458,  13900, 13900, 6824,  13901, 13901,
+		13901, 13901, 11510, 18426, 18426, 19642, 18426, 0,
+		15149, 19647, 6119,  0,     13904, 18427, 0,     0,
+		6121,  0,     0,     4759,  14861, 4759,  14862, 4759,
+		4759,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     4775,  4775,  4775,  4775,  0,     4776,  4776,
+		4776,  0,     7826,  7827,  7828,  7829,  7830,  7831,
+		4777,  4777,  4777,  4777,  4777,  0,     4778,  4778,
+		0,     0,     4780,  4780,  4780,  4780,  4780,  0,
+		0,     4782,  4782,  4782,  0,     4783,  0,     4784,
+		0,     4785,  0,     4786,  4786,  4786,  4786,  0,
+		4787,  4787,  4787,  0,     4788,  4788,  4788,  4788,
+		4788,  4788,  4788,  0,     4789,  4789,  4789,  4789,
+		4789,  4789,  0,     0,     0,     0,     4793,  4793,
+		4793,  4793,  4793,  0,     882,   0,     0,     0,
+		0,     4799,  4799,  4799,  4799,  4799,  4799,  4799,
+		4799,  7927,  4799,  4799,  4799,  4799,  4799,  4799,
+		4799,  4799,  4799,  4799,  4799,  4799,  4799,  4799,
+		4799,  4799,  4799,  4799,  4799,  4799,  4799,  4799,
+		4799,  4799,  4799,  4799,  4799,  4799,  4799,  4799,
+		4799,  4799,  4799,  4799,  4799,  4799,  4799,  4799,
+		4799,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     -2458, -2458, -2458, 0,     0,
+		0,     2649,  2650,  2651,  2652,  -5332, 2654,  -12410,
+		0,     -12409,2659,  8018,  -360,  2662,  2663,  2664,
+		0,     0,     0,     0,     0,     2142,  2143,  2144,
+		2145,  0,     0,     0,     0,     0,     0,     0,
+		0,     4307,  4308,  0,     4309,  4310,  0,     -173,
+		0,     0,     -1457, 0,     -1457, 0,     -1457, 0,
+		-1458, -8534, -8533, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     -3244,
+		-3244, 0,     0,     0,     0,     0,     3000,  0,
+		5135,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     2717,  2717,  1631,  1631,  2717,
+		2717,  5690,  1628,  1628,  -6564, 5696,  5697,  0,
+		5700,  5701,  5702,  5703,  5704,  5705,  5706,  5707,
+		5708,  129,   130,   5663,  0,     5664,  5664,  6433,
+		0,     0,     0,     -5044, 1106,  1107,  1108,  1109,
+		1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,
+		1118,  1119,  1120,  1121,  1122,  1123,  1124,  1125,
+		1126,  1127,  1128,  1129,  1130,  1131,  1132,  1133,
+		1134,  1135,  1136,  1137,  1138,  1139,  1140,  1141,
+		1142,  1143,  1144,  1145,  1146,  1147,  1148,  1149,
+		1150,  1151,  -5940, -5319, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     32767, 32767, 0,     32767,
+		0,     32767, 32767, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     3316,  32767, 3317,  32767,
+		3318,  32767, 32767, 3319,  3320,  32767, 32767, 32767,
+		0,     0,     0,     9778,  3325,  3326,  3327,  3328,
+		3329,  3330,  3331,  3332,  3333,  3334,  454,   3336,
+		3337,  3338,  3339,  3340,  3341,  3342,  3343,  3344,
+		3345,  3346,  3347,  3348,  3349,  3350,  3351,  3352,
+		3353,  3354,  3355,  3356,  3357,  3358,  3359,  3360,
+		3361,  0,     0,     3364,  3365,  3366,  3367,  3368,
+		3369,  3370,  3371,  3372,  3373,  3374,  3375,  0,
+		3377,  3378,  3379,  3380,  3381,  3382,  3383,  3384,
+		3385,  3386,  0,     3388,  32767, 32767, 3389,  3390,
+		3391,  3392,  3393,  0,     3395,  3396,  3397,  0,
+		0,     0,     0,     0,     3403,  3404,  3405,  0,
+		3407,  0,     3409,  3410,  3411,  3412,  3413,  3414,
+		3415,  3416,  3417,  3418,  3419,  3420,  3421,  3422,
+		3423,  3424,  3425,  3426,  3427,  3428,  3429,  0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     -3723, 1396,  1396,  0,     0,     0,     0,
+		-9836, 0,     0,     0,     0,     0,     0,     0,
+		2630,  0,     0,     0,     2633,  0,     4462,  3462,
+		3463,  3464,  3465,  3466,  3467,  3468,  3469,  3470,
+		3471,  3472,  3473,  3474,  3475,  3476,  3477,  3478,
+		3479,  3480,  3481,  3482,  3483,  3484,  3485,  3486,
+		3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
+		0,     0,     0,     0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 864,   32767, 32767, 32767,
-		0,     32767, 0,     32767, 32767, -2977, 335,   335,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		3400,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		471,   471,   885,   32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 2992,  2993,  2994,  2995,
-		32767, 32767, 32767, 4596,  2550,  32767, 32767, 32767,
-		-1188, 4769,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -603,191 +674,173 @@ Decomp_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		4600,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 2997,  32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 4601,  32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 2013,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -11287,32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -4664, 32767, 32767, -4711, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, -4718, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4049,
-		32767, 32767, 32767, 4050,  4051,  4052,  17313, 32767,
-		32767, 32767, 10684, 7370,  7371,  4057,  4058,  4059,
-		4060,  4061,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 4603,  8793,  32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 7954,  32767,
+		32767, 32767, 32767, 0,     32767, 32767, -620,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, -11684,32767,
+		7964,  32767, 32767, 32767, 32767, 32767, 7967,  0,
+		32767, -6890, -6889, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, -2878, -2877, -2876, -2875, 8087,  -2873,
+		-12971,0,     32767, 0,     32767, 32767, 32767, 877,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 7021,
+		13712, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		878,   32767, 879,   0,     0,     32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
+		0,     0,     0,     0,     32767, 32767, 0,     0,
+		32767, 32767, 0,     0,     32767, 32767, 32767, 32767,
+		32767, 32767, 0,     0,     32767, 32767, 0,     0,
+		32767, 32767, 0,     0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		1283,  4897,  4898,  4899,  12175, 4901,  4902,  32767,
-		4903,  4904,  4905,  4906,  4907,  10276, -1469, 1282,
-		1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
-		1282,  32767, 32767, 4920,  4921,  4063,  -2051, -2050,
-		4925,  4926,  32767, 7332,  7333,  32767, 7334,  7335,
-		7336,  7337,  5045,  32767, 32767, 32767, -2049, -2048,
-		32767, -8294, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
+		0,     0,     32767, 32767, 32767, 32767, -18761,5867,
+		5868,  5869,  5870,  5871,  5872,  5873,  32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 0,     0,     0,     0,     32767, 32767,
+		32767, 32767, 32767, 32767, 0,     0,     0,     0,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     1132,  0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     4392,
+		4393,  4394,  0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     8674,  0,     0,     3794,  3794,  3794,
+		3794,  3794,  3794,  3794,  3794,  3794,  2371,  2044,
+		0,     0,     0,     0,     2040,  2040,  3794,  3794,
+		0,     0,     -4405, 0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     20166, 16852, 0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     6908,  6909,  6910,  0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		-4510, -4510, -4510, -4510, -4510, -4510, -4510, 0,
-		0,     0,     0,     0,     0,     -1831, -1831, -1831,
-		-15091,-11776,-11776,-8461, 0,     0,     0,     -1834,
-		-1834, -1834, -1834, -1834, 0,     0,     0,     0,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     2454,  0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		7266,  7266,  7266,  7266,  7266,  7266,  7266,  7266,
+		7266,  7266,  7266,  7266,  7266,  7266,  7266,  7266,
+		7266,  7266,  7266,  32767, 32767, 32767, 7263,  7263,
+		7263,  7263,  7263,  7263,  32767, 32767, 7261,  7261,
+		7261,  7261,  7261,  7261,  32767, 32767, 2460,  2460,
+		2460,  2460,  2460,  2460,  32767, 32767, 0,     0,
+		0,     32767, 5102,  5103,  5104,  5105,  5106,  5107,
+		-2877, 5109,  -9955, -6587, -9955, 5113,  10472, 2094,
+		5116,  5117,  5118,  5119,  5120,  5121,  5122,  4744,
+		5124,  5125,  -3253, -9943, -9943, 5777,  -9943, -9943,
+		-9943, -9943, -9943, 3324,  3325,  3326,  3327,  3328,
+		85,    86,    87,    88,    89,    -2910, 91,    -5043,
+		93,    94,    95,    96,    97,    98,    99,    100,
+		101,   102,   -2614, -2613, -1526, -1525, -2610, -2609,
+		-5581, -1518, -1517, 6676,  -5583, -5583, 132,   0,
+		0,     0,     -5580, -5580, -5580, -5580, -5580, -5580,
+		0,     0,     -5532, 5183,  0,     0,     6677,  32767,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     4922,
+		4923,  0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     -1819, -3615, 1345,  -3616, 0,
+		0,     0,     0,     0,     0,     0,     0,     32767,
+		0,     0,     32767, 32767, 0,     32767, 32767, 0,
+		0,     32767, 32767, 0,     0,     0,     0,     32767,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     32767, 0,     32767, 0,
+		0,     0,     0,     0,     0,     0,     32767, 0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     11201, 0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     32767, 32767, 0,
-		0,     0,     0,     0,     0,     0,     8770,  8771,
-		8772,  8773,  8774,  8775,  8776,  8777,  8778,  8779,
-		45,    45,    45,    45,    2477,  2522,  45,    45,
-		45,    45,    -13215,-9900, -9900, -6585, -6585, -3270,
-		-3270, 45,    45,    45,    45,    45,    8802,  8803,
-		0,     0,     45,    45,    45,    45,    8810,  8811,
-		0,     0,     45,    2700,  2701,  2702,  2703,  5134,
-		2705,  2706,  0,     2708,  0,     -5957, 0,     -5957,
-		0,     3312,  3312,  3312,  13053, 7051,  1095,  3314,
-		0,     3315,  4896,  0,     3317,  3317,  3317,  3317,
-		3317,  3317,  3317,  2720,  3317,  3317,  0,     3318,
-		0,     3319,  0,     0,     3321,  8857,  8858,  8859,
-		0,     0,     8862,  8863,  2749,  2750,  2751,  0,
-		0,     0,     2755,  2756,  2757,  2758,  2759,  2760,
-		2761,  2762,  2763,  2764,  2765,  2766,  2767,  -3479,
-		-3479, 2770,  2771,  2772,  2773,  2774,  2775,  2776,
-		2777,  2778,  2779,  2780,  2781,  1267,  -1961, -1961,
-		2785,  2786,  2787,  2788,  2789,  2790,  2791,  2792,
-		-1097, -1096, 2795,  2796,  -1094, -1093, 4845,  0,
-		-1089, -1088, -1087, 7200,  -1556, -1556, 7248,  7249,
-		7205,  1037,  1038,  1039,  -1559, -1559, 7253,  7254,
-		7210,  7211,  200,   2803,  7168,  7215,  7216,  7217,
-		7218,  7219,  208,   209,   1269,  -1516, -1516, -1516,
-		916,   961,   961,   961,   10693, -1520, -14780,218,
-		219,   220,   -3514, -3514, -3514, -3514, -3514, -3514,
-		-3514, 228,   7241,  7242,  -1561, 8210,  8211,  -1518,
-		-1518, 8214,  8215,  9195,  5881,  351,   8219,  8220,
-		6448,  6449,  6450,  6451,  3864,  2870,  2871,  12671,
-		12627, 0,     0,     0,     0,     0,     12709, 6471,
-		12637, 12638, 5627,  8230,  12595, 12642, 2545,  8234,
-		12645, 8236,  5634,  3341,  2545,  0,     0,     5749,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     32767, 32767,
+		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     0,     0,     0,     0,     11602,
-		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     0,     1466,
-		0,     0,     32767, 32767, 32767, 32767, 32767, 0,
+		32767, 32767, 32767, 886,   887,   32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 888,   32767, 32767, 0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     -4020, 0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     769,   770,
+		771,   772,   773,   774,   775,   776,   777,   778,
+		0,     0,     -9067, 0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     5760,  0,     0,     0,     0,     0,     32767,
-		0,     32767, 0,     0,     32767, 0,     0,     32767,
-		0,     3507,  3508,  0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     -6540, -6540, 2812,  32767, 2813,  8915,
+		2815,  2816,  2817,  0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		1644,  1645,  1646,  1647,  -5764, 1649,  1650,  1651,
-		1652,  1653,  1654,  1655,  1656,  1657,  1658,  1659,
-		1660,  -4081, -4081, -4081, -4081, -4081, -4081, -4081,
-		-4081, -4081, -4081, -4081, -4081, -4081, -4081, -4081,
-		-4081, 3537,  3538,  1679,  3582,  3583,  3584,  -3482,
-		-3482, -3482, -3482, -3482, -3526, -3526, -3526, -3526,
-		3886,  -3526, -3526, -3526, -3526, 3599,  3600,  3601,
-		3602,  3603,  3604,  3605,  3606,  3607,  3608,  3609,
-		3610,  3611,  3612,  3613,  32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
-		-7275, 0,     0,     -7234, 0,     0,     0,     0,
-		0,     -5368, 6378,  3628,  3629,  3630,  3631,  3632,
-		3633,  3634,  3635,  3636,  3637,  3638,  3639,  0,
-		0,     859,   6974,  6974,  0,     0,     3647,  -2405,
-		-2405, 3650,  -2405, -2405, -2405, -2405, -112,  -2405,
-		-3201, 3658,  32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     0,     0,     0,     762,   32767, 32767,
+		32767, 32767, -2365, 32767, 32767, 32767, 32767, 32767,
+		-14024,32767, 32767, 32767, 0,     32767, 32767, 32767,
+		32767, 32767, 0,     0,     0,     0,     0,     0,
+		0,     32767, 0,     32767, 0,     0,     0,     32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 0,     32767, 32767, 32767,
-		32767, 5280,  32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 889,   32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 890,   32767, 32767, 32767,
+		0,     -4168, -4168, -4168, -4168, -4168, 0,     32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     0,     -4192, -4192, 32767, -4193, -4193,
+		-4193, -4193, -4193, -4193, 409,   32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
+		0,     32767, 0,     0,     32767, 32767, 32767, 0,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 0,     0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, -1663, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		4637,  4638,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 891,   32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 4014,  32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 802,   32767, 32767,
-		32767, 32767, 803,   -1055, 805,   32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 4639,  32767,
-		32767, 32767, 806,   -2445, 0,     -2443, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -799,461 +852,466 @@ Decomp_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 892,   893,   894,   32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 810,   32767, 32767,
-		32767, 32767, 811,   812,   813,   32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, -6211, -6211, -6211, -6211, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, -6271, -6271,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 935,   32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, -10300,32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     32767, 0,
+		0,     4788,  32767, 32767, 0,     11658, 32767, 8415,
+		8416,  32767, 32767, 0,     0,     32767, 0,     32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		5874,  5875,  5876,  5877,  32767, 5878,  5879,  5880,
+		5881,  5882,  5883,  5884,  5885,  5886,  5887,  5888,
+		5889,  5890,  5891,  5892,  5893,  5894,  5895,  5896,
+		5897,  5898,  5899,  5900,  5901,  5902,  5903,  5904,
+		32767, 5905,  5906,  32767, 5907,  32767, 32767, 5908,
+		32767, 5909,  5910,  5911,  5912,  5913,  5914,  5915,
+		5916,  5917,  5918,  32767, 5919,  5920,  5921,  5922,
+		32767, 5923,  32767, 5924,  32767, 32767, 32767, 32767,
+		32767, 32767, 6882,  32767, 32767, 32767, 32767, 5926,
+		32767, 5927,  32767, 5928,  32767, 5929,  5930,  5931,
+		32767, 5932,  5933,  32767, 5934,  32767, 32767, 5935,
+		32767, 5936,  32767, 5937,  32767, 5938,  32767, 5939,
+		32767, 5940,  5941,  32767, 5942,  32767, 32767, 5943,
+		5944,  -170,  5946,  32767, -169,  5948,  5949,  -166,
+		-165,  -164,  -163,  32767, -161,  5955,  5956,  5957,
+		32767, -155,  -154,  -153,  -152,  32767, -151,  32767,
+		-150,  5964,  -2607, -147,  8809,  6418,  5969,  5970,
+		-2607, -2606, 32767, -7925, -7924, 5975,  5976,  -7923,
+		-13656,-7921, -1478, -7919, -7918, -841,  -7917, -7916,
+		-7915, -7914, -5522, -12437,32767, 32767, 32767, 32767,
+		32767, -13657,-128,  5992,  32767, -12434,5994,  5995,
+		-125,  5997,  0,     1239,  -8862, 1241,  -8861, 1243,
+		1244,  6004,  6005,  6006,  6007,  6008,  6009,  6010,
+		6011,  6012,  6013,  6014,  32767, 0,     0,     0,
+		0,     0,     0,     0,     32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 897,   32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 0,     0,     0,     0,     0,     0,
+		0,     0,     32767, 32767, 0,     -1786, -1786, -1786,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 898,
+		899,   900,   901,   902,   903,   904,   905,   32767,
+		32767, 906,   32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 907,   -8041, -8041,
+		7679,  -3281, 912,   913,   914,   915,   916,   0,
+		0,     0,     0,     32767, -1845, -1845, -1845, -1845,
+		0,     0,     0,     8949,  8950,  -6769, 4192,  0,
+		0,     0,     0,     0,     917,   918,   919,   920,
+		32767, 2766,  2767,  2768,  2769,  925,   926,   927,
+		-8021, -8021, 7699,  -3261, 932,   933,   934,   935,
+		936,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, -1879, -1879,
+		-1879, -1879, -1879, -1879, -1879, -1879, 2014,  0,
+		-1878, -1878, -1878, -1878, -1878, -1878, -1878, -1878,
+		8594,  -1878, -1878, -1878, -1878, -1878, 32767, -1879,
+		-1879, -1879, -1879, -1879, -1879, -1879, -1879, -7839,
+		-1879, -1879, -1879, -4595, -4595, -4595, -4595, -4595,
+		-1879, -4596, 539,   -4596, -4596, -4596, -4596, -4596,
+		-4596, -4596, -4596, -4596, 32767, 397,   32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 943,
+		32767, 32767, 32767, 32767, 32767, 32767, 944,   32767,
+		945,   32767, 32767, 946,   947,   32767, 948,   949,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 0,     0,     32767, 32767, 4640,  4641,  32767,
-		32767, 32767, 32767, 32767, 4624,  32767, 32767, 32767,
-		-4233, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 950,   951,
+		952,   953,   954,   955,   956,   957,   958,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		1859,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 4591,  32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 959,   960,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 872,   32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, -4568, -1253, 32767,
-		-3590, 32767, 32767, 32767, -1820, -1820, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 961,   32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 51,    51,    32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 0,     0,     0,     0,     0,     32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 964,   32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 873,   874,   875,   3629,  0,     0,
-		0,     5048,  5005,  5006,  5007,  5008,  5009,  5054,
-		5055,  5056,  0,     0,     0,     0,     0,     32767,
+		32767, 32767, 32767, 4767,  32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -4118,
-		32767, 32767, 32767, 32767, -4122, -4122, -4122, -4122,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 6015,  6016,  6017,  6018,  6019,
+		6020,  6021,  6022,  6023,  7447,  7775,  32767, 32767,
+		32767, 32767, 32767, 7780,  6027,  6028,  6029,  6030,
+		6031,  6032,  6033,  6034,  6035,  6036,  6037,  6038,
+		6039,  6040,  6041,  6042,  6043,  6044,  6045,  6046,
+		6047,  6048,  6049,  6050,  6051,  6052,  6053,  6054,
+		6055,  6056,  32767, 6057,  6058,  6059,  6060,  6061,
+		6062,  6063,  6064,  6065,  6066,  6067,  6068,  6069,
+		6070,  6071,  6072,  6073,  6074,  6075,  6076,  6077,
+		6078,  6079,  6080,  0,     0,     0,     0,     0,
+		0,     0,     0,     0,     965,   1410,  1411,  1412,
+		1413,  1414,  1415,  1416,  1417,  1418,  12380, 1420,
+		-8678, 15639, 9490,  979,   -3357, 14434, -3357, 2377,
+		-3357, 2379,  1174,  2381,  1174,  2383,  1174,  2385,
+		1174,  2387,  1174,  1174,  2390,  1174,  2392,  -2104,
+		2394,  1174,  -2102, 1174,  1174,  1174,  1174,  -2400,
+		-2400, -2400, -2400, 2405,  1174,  2407,  2408,  1174,
+		2410,  2411,  1174,  2413,  2414,  -1896, 1174,  1174,
+		1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,
+		1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,
+		1174,  1174,  -3323, 2437,  1174,  1174,  1174,  1174,
+		2442,  2443,  2444,  2445,  1174,  2447,  2448,  1174,
+		1174,  992,   -3314, -3314, -2076, -3314, -3314, 997,
+		1171,  999,   1000,  2458,  1002,  2460,  1004,  2462,
+		9540,  2464,  9541,  9541,  1009,  1010,  1011,  1012,
+		1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,
+		1021,  1022,  1023,  0,     1024,  1025,  1026,  1027,
+		1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,
+		1036,  1037,  1038,  1039,  1040,  1041,  1042,  1043,
+		1044,  1045,  1046,  1047,  1048,  1049,  1050,  1051,
+		0,     0,     0,     0,     -8971, -1739, -1738, -1737,
+		-8971, -8971, -8971, -8971, -8971, 1052,  -8971, -8971,
+		32767, -8972, -8972, -8972, -8972, -5604, -8972, -8972,
+		-8972, -8972, -8972, -8972, -8972, -1697, -8972, -8972,
+		32767, -8973, -8973, -8973, -2283, -8973, -8973, 6747,
+		-8973, -8973, -8973, -8973, -8973, 4294,  4295,  4296,
+		4297,  4298,  1055,  1056,  1057,  1058,  1059,  -1940,
+		1061,  -4073, 1063,  1064,  1065,  1066,  1067,  1068,
+		1069,  1070,  1071,  1072,  -1644, -1643, -556,  -555,
+		-1640, -1639, -4611, -548,  -547,  7646,  -4613, -4613,
+		1085,  -4614, -4614, -4614, -4614, -4614, -4614, -4614,
+		-4614, -4614, 966,   966,   -4566, 1098,  -4565, -4564,
+		-5332, 1102,  1103,  1104,  6149,  0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     7092,  6472,  6473,  6474,  1155,
+		1156,  1157,  1158,  -16632,1160,  -4573, 1162,  7605,
+		1164,  1165,  1166,  1167,  1168,  1169,  1170,  3562,
+		-3353, -3352, -4567, -3350, -4567, -70,   -4567, -3346,
+		1180,  1181,  -3341, -3340, -3339, 236,   237,   238,
+		239,   240,   241,   242,   243,   244,   11206, 246,
+		-9852, 14465, 8316,  -195,  -4531, 13260, -4531, 1203,
+		-4531, 1205,  0,     1207,  0,     1209,  0,     1211,
+		0,     1213,  0,     0,     1216,  0,     1218,  -3278,
+		1220,  0,     -3276, 0,     0,     0,     0,     -3574,
+		-3574, -3574, -3574, 1231,  0,     1233,  1234,  0,
+		1236,  1237,  0,     1239,  1240,  -3070, 0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     -4497, 1263,  0,     0,     0,     0,
+		1268,  1269,  1270,  1271,  0,     1273,  1274,  0,
+		0,     -182,  -4488, 0,     1280,  1281,  -4485, -174,
+		0,     -172,  -171,  1287,  -169,  1289,  -167,  1291,
+		8369,  1293,  8370,  8370,  1296,  1297,  1298,  1299,
+		1300,  1301,  1302,  1303,  1304,  1305,  1306,  1307,
+		1308,  1309,  0,     0,     0,     0,     1310,  1311,
+		1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,
+		1320,  1321,  1322,  1323,  1324,  1325,  1326,  1327,
+		1328,  1329,  1330,  1331,  1332,  1333,  1334,  1335,
+		1336,  0,     1338,  1339,  1340,  1341,  1342,  1343,
+		1344,  1345,  1346,  1347,  1348,  1349,  1350,  1351,
+		1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,
+		1360,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
+		1368,  1369,  1370,  1371,  1372,  1373,  1374,  1375,
+		1376,  1377,  1378,  1379,  1380,  1381,  1382,  1383,
+		1384,  1385,  1386,  1387,  1388,  1389,  1390,  1391,
+		1392,  1393,  1394,  1395,  1396,  1397,  1398,  1399,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 1400,
+		1401,  1402,  1403,  1404,  1405,  1406,  1407,  1408,
+		444,   0,     0,     0,     0,     0,     0,     0,
+		0,     0,     -10961,0,     10099, 32767, 32767, 443,
+		4780,  -13010,4782,  -951,  4784,  11227, 32767, -953,
+		255,   -953,  257,   -953,  259,   -953,  261,   262,
+		-953,  264,   -953,  3544,  -953,  268,   3545,  270,
+		271,   272,   273,   3848,  3849,  3850,  3851,  -953,
+		279,   -953,  -953,  282,   -953,  -953,  285,   -953,
+		-953,  3358,  289,   290,   291,   32767, 32767, 292,
+		293,   294,   295,   296,   297,   32767, 32767, 298,
+		299,   300,   301,   302,   303,   304,   4802,  3582,
+		306,   32767, 307,   32767, -960,  32767, -961,  -961,
+		311,   -961,  -961,  314,   315,   498,   4805,  4806,
+		3569,  4808,  4809,  499,   326,   499,   499,   -958,
+		499,   -958,  499,   -958,  -8035, -958,  -8034, -8033,
+		500,   500,   500,   500,   500,   32767, 32767, 498,
+		498,   498,   498,   498,   498,   498,   498,   1522,
+		499,   499,   499,   499,   499,   499,   499,   499,
+		499,   499,   499,   499,   499,   499,   499,   499,
+		499,   499,   499,   499,   499,   499,   499,   499,
+		499,   499,   499,   499,   1551,  1552,  1553,  1554,
+		10526, 3295,  3295,  3295,  10530, 10531, 10532, 10533,
+		10534, 512,   10536, 10537, 10538, 10539, 10540, 10541,
+		10542, 7175,  10544, 10545, 10546, 10547, 10548, 10549,
+		10550, 3276,  10552, 10553, 10554, 10555, 10556, 10557,
+		3868,  10559, 10560, -5159, 10562, 10563, 10564, 10565,
+		10566, -2700, -2700, 3260,  10570, -2702, 542,   542,
+		542,   542,   542,   3258,  541,   5676,  541,   541,
+		541,   541,   541,   541,   541,   541,   541,   541,
+		3258,  3258,  2172,  2172,  3258,  3258,  6231,  6232,
+		6233,  -6025, 6235,  6236,  6237,  6238,  6239,  6240,
+		6241,  6242,  6243,  6244,  6245,  6246,  6247,  6248,
+		1633,  1634,  1635,  1636,  1637,  1638,  1639,  -872,
+		-872,  -872,  -872,  6260,  6261,  6262,  6263,  6264,
+		6265,  -878,  6267,  6268,  6269,  6270,  6271,  -883,
+		6273,  6274,  6275,  6276,  6277,  6278,  6279,  6280,
+		6281,  6282,  6283,  6284,  9899,  6286,  6287,  6288,
+		6289,  6290,  6291,  6292,  6293,  6294,  6295,  -895,
+		6297,  6298,  6299,  1650,  -898,  6302,  1652,  -899,
+		6305,  6306,  6307,  6308,  -903,  6310,  -904,  6312,
+		6313,  6314,  6315,  6316,  6317,  6318,  6319,  -912,
+		-912,  -912,  6323,  6324,  6325,  6326,  6327,  -3695,
+		6329,  6330,  6331,  6332,  6333,  6334,  6335,  2968,
+		6337,  6338,  6339,  6340,  6341,  6342,  6343,  -931,
+		6345,  6346,  6347,  6348,  6349,  6350,  -339,  6352,
+		6353,  -9366, 6355,  6356,  6357,  6358,  6359,  -6907,
+		-6907, -947,  6363,  -6909, -3665, -3665, -3665, -3665,
+		-3665, -949,  -3666, 1469,  -3666, -3666, -3666, -3666,
+		-3666, -3666, -3666, -3666, -3666, -3666, -949,  -949,
+		-2035, -2035, -949,  -949,  -949,  -949,  -949,  6392,
+		-950,  -950,  -950,  -950,  -950,  -950,  -950,  -950,
+		-950,  -950,  -950,  -950,  -950,  6406,  6407,  6408,
+		6409,  -4824, -4823, 6412,  6413,  6414,  6415,  6416,
+		1703,  302,   6418,  303,   304,   6421,  6422,  307,
+		308,   309,   310,   6427,  313,   6429,  6430,  6431,
+		319,   320,   321,   322,   323,   324,   325,   6439,
+		327,   6441,  -2130, 330,   9286,  6895,  6446,  6447,
+		-2130, -2129, -7448, -7447, -7446, 6453,  6454,  -7445,
+		-13178,-7443, -1000, -7441, -7440, -363,  -7439, -7438,
+		-7437, -7436, -5044, -11959,-11958,-13173,-11956,6471,
+		-8677, -13174,355,   6475,  -7428, -11950,6478,  6479,
+		359,   6481,  6482,  1724,  -8377, 1726,  -8376, 1728,
+		1729,  6489,  6490,  6491,  6492,  6493,  6494,  6495,
+		6496,  6497,  6498,  6499,  6500,  6501,  6502,  6503,
+		6504,  1730,  1731,  1732,  1733,  6509,  1734,  1735,
+		1736,  6513,  -1312, -1312, -1312, -1312, -1312, -1312,
+		1743,  1744,  1745,  1746,  1747,  6525,  1748,  1749,
+		6528,  6529,  1750,  1751,  1752,  1753,  1754,  6535,
+		6536,  1755,  1756,  1757,  6540,  1758,  6542,  1759,
+		6544,  1760,  6546,  1761,  1762,  1763,  1764,  6551,
+		1765,  1766,  1767,  6555,  1768,  1769,  1770,  1771,
+		1772,  1773,  1774,  6563,  1775,  1776,  1777,  1778,
+		1779,  1780,  6570,  6571,  6572,  6573,  1781,  1782,
+		1783,  1784,  1785,  6579,  5698,  6581,  6582,  6583,
+		6584,  1786,  1787,  1788,  1789,  1790,  1791,  1792,
+		1793,  -1334, 1795,  1796,  1797,  1798,  1799,  1800,
+		1801,  1802,  1803,  1804,  1805,  1806,  1807,  1808,
+		1809,  1810,  1811,  1812,  1813,  1814,  1815,  1816,
+		1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,
+		1825,  1826,  1827,  1828,  1829,  1830,  1831,  1832,
+		1833,  6633,  6634,  6635,  6636,  6637,  6638,  6639,
+		6640,  6641,  6642,  9101,  9102,  9103,  6646,  6647,
+		6648,  4000,  4000,  4000,  4000,  11985, 4000,  19065,
+		6656,  19066, 3999,  -1359, 7020,  3999,  3999,  3999,
+		6664,  6665,  6666,  6667,  6668,  4527,  4527,  4527,
+		4527,  0,     1990,  8906,  8906,  6676,  6677,  6678,
+		6679,  6680,  6681,  6682,  6683,  6684,  6685,  6686,
+		6687,  6688,  6689,  6690,  6691,  6692,  5347,  6694,
+		5348,  6696,  5349,  6698,  -8867, 6700,  5796,  6702,
+		0,     0,     0,     0,     0,     0,     9349,  9350,
+		9351,  0,     0,     0,     -6101, 0,     0,     0,
+		0,     0,     0,     0,     1242,  0,     1243,  0,
+		0,     0,     0,     -6113, 0,     0,     5119,  5119,
+		-6115, -6115, 0,     0,     -6117, 0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     -6113, 2459,
+		0,     -8955, -6563, 1842,  2463,  2463,  2463,  7783,
+		7783,  7783,  7783,  25574, 7783,  13517, 7783,  1341,
+		7783,  7783,  7783,  7783,  7783,  7783,  7783,  5392,
+		12308, 12308, 13524, 12308, 13526, 9030,  13528, 0,
+		-6119, 7785,  12308, 0,     0,     0,     -6121, 1847,
+		32767, 8738,  8738,  8738,  8738,  8738,  -2223, 8738,
+		18837, -5479, 671,   9183,  13520, -4270, 13522, 334,
+		335,   0,     0,     4727,  0,     0,     -6236, 0,
+		0,     1852,  0,     1853,  0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     745,   746,   0,
+		402,   403,   975,   0,     1855,  0,     -1685, 408,
+		0,     0,     0,     0,     0,     0,     0,     1856,
+		1857,  1858,  1859,  1860,  0,     0,     1861,  1862,
+		0,     0,     1863,  1864,  0,     0,     0,     0,
+		0,     0,     1865,  1866,  0,     0,     1867,  1868,
+		0,     32767, 1869,  1870,  32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 1871,  1872,
+		1873,  1874,  32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 0,     0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -4193,
-		32767, -4194, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 0,     32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 1875,  1876,  1877,  1878,  32767, 32767,
+		32767, 32767, 32767, 32767, 1879,  1880,  1881,  1882,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, -4209, 32767, 32767, -4211, -4211, -4211,
-		-4211, -4211, -4211, -4211, 32767, 32767, -4213, -10683,
-		-4213, -1918, -4213, -6043, 32767, 32767, -4215, -6047,
-		32767, -4216, -10696,-4216, -4216, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 4646,  32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 876,   877,   0,     32767, 0,     32767, 0,
-		32767, 0,     32767, 0,     32767, 32767, 32767, 0,
+		32767, 32767, 32767, 32767, 1883,  1884,  32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 1844,  32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 0,     0,     0,     0,
-		0,     0,     0,     0,     0,     -2899, 0,     32767,
-		0,     32767, 0,     32767, 0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     836,   0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     32767, 0,     0,     0,     879,
-		880,   881,   882,   883,   884,   885,   886,   0,
-		0,     887,   0,     920,   0,     922,   923,   924,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 5431,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
-		0,     32767, 3639,  889,   890,   891,   892,   893,
-		894,   895,   896,   897,   898,   899,   900,   -2739,
-		927,   -1881, 4234,  32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 0,     32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -459,  32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -458,
-		-457,  904,   32767, 905,   32767, 906,   32767, 907,
-		32767, 908,   32767, 32767, 32767, 909,   32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     910,
-		0,     0,     0,     0,     0,     0,     911,   0,
-		912,   1626,  1626,  913,   914,   1626,  915,   916,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     -1837, -1837, -1837,
-		-6487, -1837, -1837, 0,     0,     0,     917,   31,
-		919,   0,     921,   0,     0,     0,     925,   0,
-		32767, 4801,  0,     0,     0,     0,     0,     0,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
+		0,     0,     0,     4753,  4754,  4755,  4756,  4757,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     -5000, 0,     -4999, 0,     -4998,
+		0,     -4997, 0,     -4996, 9869,  0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     -6470, 0,     2295,
-		0,     -1830, 0,     -6475, 0,     -1832, 0,     0,
-		-6480, 0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     3665,  0,     0,
-		0,     0,     2281,  0,     0,     -7412, 5769,  5770,
-		5771,  5772,  5773,  5774,  0,     0,     0,     0,
-		32767, 0,     0,     32767, 32767, 0,     32767, 32767,
-		0,     0,     32767, 32767, 0,     0,     0,     -1842,
-		32767, 0,     0,     0,     -1846, -1846, -2560, -1846,
-		0,     -2560, -2559, 0,     0,     32767, 0,     32767,
-		0,     0,     0,     0,     0,     0,     1388,  0,
-		1387,  1387,  1387,  0,     1387,  1387,  1387,  1387,
-		1387,  1387,  1387,  1387,  1387,  1387,  1387,  1387,
-		1387,  1387,  1387,  1387,  1387,  1387,  1387,  1387,
-		1387,  0,     -1870, 0,     -1871, 0,     0,     0,
-		0,     0,     0,     -1877, 0,     0,     -1877, -1877,
-		0,     0,     0,     4944,  0,     -1875, 4947,  4948,
-		0,     4950,  4951,  4952,  4953,  4954,  4955,  4956,
-		4957,  4958,  4959,  32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
-		32767, 32767, 0,     0,     0,     0,     32767, 32767,
-		32767, 0,     0,     931,   32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4650,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 5375,
-		5376,  5377,  32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 13180, 0,     0,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, -4011, 933,   -4011, 32767,
-		935,   936,   -4012, 938,   939,   940,   941,   942,
-		943,   944,   945,   946,   947,   32767, 1075,  1076,
-		1077,  -6334, 1079,  1080,  954,   32767, 32767, 32767,
-		32767, 955,   32767, 32767, 32767, 32767, 32767, 32767,
-		-4659, 32767, 32767, 32767, -4662, -4662, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     0,     0,     32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 959,   960,   961,   32767, 962,   963,   964,
-		965,   966,   967,   968,   969,   970,   971,   972,
-		32767, 973,   974,   975,   976,   977,   978,   979,
-		980,   981,   982,   983,   984,   985,   986,   987,
-		988,   989,   990,   32767, 991,   992,   993,   994,
-		995,   996,   997,   998,   999,   1000,  1001,  1002,
-		1003,  1004,  1005,  1006,  1007,  1008,  1009,  1010,
-		1011,  1012,  1013,  1014,  1015,  1016,  1017,  -362,
-		-362,  32767, 32767, 32767, 32767, -410,  32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 1019,  32767, 32767,
+		0,     0,     0,     32767, 0,     32767, 0,     0,
+		32767, 0,     0,     32767, 0,     32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		164,   1021,  -3551, -3551, 1024,  1025,  1026,  1027,
-		1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,
-		1036,  1037,  1038,  1039,  1040,  1041,  1042,  1043,
-		1044,  1045,  1046,  1047,  1048,  1049,  1050,  1051,
-		1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,
-		1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,
-		1068,  1069,  1070,  1071,  1072,  1073,  1074,  1075,
-		1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,
-		1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
-		1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,
-		1100,  1101,  1102,  1103,  1104,  1105,  1106,  1107,
-		1108,  1109,  1110,  1111,  1112,  1113,  1114,  32767,
-		1115,  1116,  1117,  1118,  1119,  32767, 1120,  1121,
-		1122,  1123,  1124,  1125,  1126,  1127,  1128,  1129,
-		1130,  1131,  0,     1133,  1134,  1135,  1136,  1137,
-		1138,  1139,  1140,  1141,  1142,  1143,  1144,  1145,
-		1146,  1147,  1148,  1149,  1150,  1151,  1152,  1153,
-		1154,  1155,  1156,  1157,  1158,  1159,  1160,  1161,
-		1162,  1163,  1164,  1165,  1166,  1167,  1168,  1169,
-		1170,  1171,  1172,  1173,  1174,  1175,  1176,  1177,
-		1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
-		1186,  1187,  1188,  1189,  1190,  1191,  1192,  1193,
-		1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
-		1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,
-		-18956,-15641,1212,  1213,  1214,  1215,  1216,  1217,
-		1218,  1219,  1220,  1221,  1222,  1223,  1224,  1225,
-		-5682, -5682, -5682, 1229,  1230,  1231,  1232,  1233,
-		1234,  1235,  1236,  1237,  1238,  1239,  5750,  5751,
-		5752,  5753,  5754,  5755,  5756,  1247,  1248,  1249,
-		1250,  1251,  1252,  3084,  3085,  3086,  16347, 13033,
-		13034, 9720,  1260,  1261,  1262,  3097,  3098,  3099,
-		3100,  3101,  1268,  1269,  1270,  1271,  1272,  1273,
-		1274,  1275,  32767, 32767, 32767, 32767, 1276,  1277,
-		1278,  1279,  1280,  1281,  1282,  1283,  1284,  1285,
-		1286,  1287,  1288,  1289,  1290,  1291,  1292,  1293,
-		1294,  1295,  1296,  1297,  1298,  1299,  1300,  1301,
-		1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
-		1310,  1311,  1312,  1313,  1314,  1315,  1316,  1317,
-		1318,  1319,  1320,  1321,  1322,  1323,  1324,  1325,
-		1326,  1327,  1328,  1329,  1330,  1331,  1332,  1333,
-		1334,  1335,  1336,  1337,  1338,  1339,  1340,  1341,
-		1342,  3162,  4959,  0,     4962,  1347,  1348,  1349,
-		1350,  1351,  1352,  1353,  1354,  1355,  1356,  1357,
-		1358,  1359,  1360,  1361,  1362,  1363,  1364,  1365,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 7481,
-		7482,  7483,  7484,  5053,  5009,  7487,  7488,  7489,
-		7490,  20751, 17437, 17438, 14124, 14125, 10811, 10812,
-		7498,  7499,  7500,  7501,  7502,  32767, 32767, 7548,
-		7549,  7505,  7506,  7507,  7508,  32767, 32767, 7554,
-		7555,  7511,  4857,  4857,  4857,  4857,  2427,  4857,
-		4857,  7564,  4857,  7566,  13524, 7568,  13526, 7570,
-		4259,  4260,  4261,  -5479, 524,   6481,  4263,  7578,
-		4264,  2684,  1421,  -7842, -4527, -4527, -1212, -1212,
-		-1212, -1212, -1212, 7545,  7546,  0,     0,     -1214,
-		-1214, -1214, -1214, 7551,  7552,  32767, 1610,  -1216,
-		1439,  1440,  1441,  1442,  3873,  1444,  1445,  32767,
-		1446,  32767, -7220, 32767, -7221, 0,     2047,  2047,
-		2047,  11788, 5786,  -170,  2049,  -1265, 2050,  3631,
-		-1265, 2052,  2052,  2052,  2052,  2052,  2052,  2052,
-		1455,  2052,  2052,  -1265, 2053,  -1265, 2054,  -1265,
-		-1265, 2056,  7592,  7593,  7594,  32767, 32767, 7595,
-		7596,  1482,  1483,  1484,  -1267, -1267, -1267, 1488,
-		1489,  1490,  1491,  1492,  1493,  1494,  1495,  1496,
-		1497,  1498,  1499,  1500,  -4746, -4746, 1503,  1504,
-		1505,  1506,  1507,  1508,  1509,  1510,  1511,  1512,
-		1513,  1514,  0,     -3228, -3228, 1518,  1519,  1520,
-		1521,  1522,  1523,  1524,  1525,  -2364, -2363, 1528,
-		1529,  -2361, -2360, 3578,  0,     -2357, -2356, -2355,
-		5932,  -2824, -2824, 5980,  5981,  5937,  -231,  -230,
-		-229,  -2827, -2827, 5985,  -225,  5941,  5942,  -1069,
-		1534,  5899,  5946,  5947,  5948,  5949,  5950,  -1061,
-		-1060, 0,     -2785, 0,     -355,  -355,  -310,  -310,
-		-310,  9422,  -2791, 32767, -1054, -1053, -1052, -4786,
-		-4786, -4786, -4786, -4786, -4786, -4786, -1044, 5969,
-		5970,  -2833, 6938,  6939,  -2790, -2790, 6942,  0,
-		32767, 4607,  -923,  6945,  32767, 5173,  5174,  5175,
-		5176,  2589,  1595,  1596,  11396, 11352, 32767, 32767,
-		6126,  2812,  2813,  2814,  2815,  2816,  -5940, -5940,
-		1607,  1608,  2823,  32767, 32767, 1516,  0,     -8581,
-		0,     0,     728,   1525,  163,   -11068,0,     -2262,
-		-2306, -2305, 32767, 32767, 0,     0,     1580,  0,
-		0,     0,     -6443, 1685,  -10176,-4173, 1784,  -4173,
-		0,     -4172, 5925,  -4171, -4171, -4171, 0,     -437,
-		0,     0,     0,     161,   -435,  0,     2883,  -434,
-		0,     0,     0,     0,     -436,  0,     -5972, 0,
-		0,     0,     0,     0,     0,     0,     0,     2889,
-		2890,  2891,  0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     6371,
-		0,     0,     0,     0,     0,     0,     0,     117,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     32767, 0,     0,     3991,  3991,
-		3991,  3991,  0,     3990,  3990,  3990,  -1947, 1632,
-		3990,  3990,  3990,  -4296, 4461,  4462,  -4341, -4341,
-		-4296, 1873,  1873,  1873,  4472,  4473,  -4338, 1873,
-		-4292, -4292, 2720,  118,   -4246, -4292, -4292, 117,
-		-4293, -4293, 2719,  2719,  1660,  4446,  1662,  2018,
-		2019,  1975,  1976,  1977,  -7754, -7754, -8733, -5418,
-		113,   0,     112,   -2157, -5891, -5891, 0,     -5892,
-		6455,  -5893, 0,     0,     0,     32767, 32767, 32767,
-		5826,  32767, 32767, 32767, 32767, 6806,  32767, -2039,
-		32767, 5829,  32767, 5830,  5831,  5832,  32767, 5833,
-		5834,  32767, 5835,  32767, 32767, -3520, 0,     5837,
-		0,     5838,  0,     4035,  0,     5840,  32767, 10251,
-		154,   1671,  10253, 1673,  1674,  947,   151,   1514,
-		12746, 1679,  3942,  3987,  3987,  3987,  13719, 13720,
-		14700, 103,   5855,  13723, 5857,  8127,  0,     11862,
-		5860,  -96,   5862,  1690,  5863,  -4233, 5864,  5865,
-		5866,  5867,  5868,  5869,  5870,  5871,  5872,  5873,
-		32767, 5874,  5875,  5876,  5877,  5878,  5879,  5880,
-		5881,  5882,  5883,  13795, 5885,  5886,  5887,  5888,
-		10489, 5890,  1703,  1704,  -4247, 1706,  1707,  5891,
-		5892,  5893,  1711,  4098,  5895,  5896,  5897,  7650,
-		32767, 5899,  6406,  7966,  5902,  5903,  5904,  5905,
-		5906,  5907,  5908,  1800,  5910,  1801,  5912,  5913,
-		5914,  5915,  32767, 1727,  1728,  1729,  1730,  32767,
-		1731,  1732,  1733,  32767, 1734,  1735,  1736,  1737,
-		1738,  1739,  1740,  32767, 1741,  1742,  1743,  1744,
-		1745,  1746,  32767, 32767, 32767, 32767, 1747,  1748,
-		1749,  1750,  1751,  32767, 32767, 32767, 32767, 32767,
-		32767, 1752,  1753,  1754,  1755,  1756,  1757,  1758,
-		1759,  1760,  1761,  1762,  1763,  1764,  1765,  1766,
-		1767,  1768,  1769,  1770,  1771,  1772,  1773,  1774,
-		1775,  1776,  1777,  1778,  1779,  1780,  1781,  1782,
-		1783,  1784,  1785,  1786,  1787,  1788,  1789,  1790,
-		1791,  7729,  4151,  1794,  1795,  1796,  10083, 1327,
-		1327,  10131, 10132, 10088, 3920,  3921,  3922,  1324,
-		1324,  10136, 3926,  10092, 10093, 3082,  5685,  10050,
-		10097, 0,     5689,  10100, 5691,  3089,  796,   0,
-		1363,  12595, 3792,  3792,  3837,  3837,  3837,  13569,
-		13570, 14550, 11236, 5706,  13574, 5708,  7978,  11713,
-		11714, 11715, 11716, 11717, 11718, 11719, 7978,  966,
-		966,   9770,  0,     0,     9730,  9731,  0,     0,
-		-979,  2336,  7867,  0,     0,     32767, 0,     0,
-		0,     32767, 0,     0,     32767, 0,     32767, 32767,
-		9356,  32767, 0,     32767, 0,     32767, 1804,  2602,
-		0,     -4364, -4410, 5688,  0,     -4410, 0,     2603,
-		4897,  5694,  4332,  -6899, 1905,  1906,  1862,  1863,
-		1864,  -7867, -7867, -8846, -5531, 0,     -7867, 0,
-		-2269, -6003, -6003, 0,     5957,  0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     -7911, 0,
-		0,     0,     0,     -4600, 0,     0,     4156,  32767,
-		32767, 0,     0,     0,     0,     0,     1796,  0,
-		0,     0,     -1752, 0,     0,     -506,  -2065, 0,
-		0,     0,     0,     0,     0,     0,     4109,  0,
-		4110,  0,     0,     0,     0,     0,     4111,  17372,
-		0,     14058, 10744, 0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     -4650, 0,     0,     4161,  32767,
-		32767, 4117,  32767, 4118,  32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, -7946, 32767, -4632, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -4642,
-		-4642, 4123,  4124,  -4687, 0,     0,     -4644, -4644,
-		0,     0,     -4646, -4646, 32767, 32767, 32767, 32767,
-		32767, 32767, 4084,  4085,  32767, 32767, 1609,  4087,
-		32767, 32767, 4088,  17349, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 10092, 4136,
-		10094, 4138,  10096, 0,     10097, 10098, 10099, 10100,
-		10101, 0,     32767, 32767, 32767, 0,     0,     0,
-		0,     0,     0,     32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 0,     0,     0,     0,     0,
-		0,     0,     0,     32767, 32767, 0,     10138, 10139,
-		0,     0,     0,     10145, 32767, 32767, 32767, 32767,
-		32767, 32767, -1425, 8316,  2314,  -3642, 32767, 0,
-		32767, 32767, 32767, 32767, -1426, -1426, -1426, -1426,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     0,     0,     0,     32767, 32767,
+		0,     32767, 0,     32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 52,    52,    52,    52,    52,
+		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
 		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 1849,  1850,  32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		100,   101,   102,   103,   104,   105,   106,   107,
-		108,   -5633, -5633, -5633, -5633, -5633, -5633, -5633,
-		-5633, -5633, -5633, -5633, -5633, -5633, -5633, -5633,
-		-5633, 1985,  1986,  127,   2030,  2031,  2032,  -5034,
-		32767, 32767, 32767, 32767, 32767, 0,     32767, 32767,
-		32767, 5916,  5917,  5918,  5919,  5920,  5921,  5922,
-		5923,  5924,  8824,  5926,  32767, 32767, 0,     32767,
-		0,     5927,  5928,  5929,  5930,  5931,  5932,  5933,
-		5934,  5935,  5936,  5937,  5938,  5939,  5940,  5105,
-		5942,  5943,  5944,  5945,  5946,  5947,  5948,  5949,
-		5950,  5951,  5952,  5953,  5954,  5955,  5956,  5957,
-		32767, 5958,  5959,  5960,  5082,  5082,  5082,  5082,
-		5082,  5082,  5082,  5082,  5969,  5970,  5084,  5972,
-		5053,  5974,  5053,  5053,  5053,  5978,  5979,  5980,
-		5981,  5982,  5983,  5984,  5985,  5986,  5987,  5988,
-		5989,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 2552,  32767, 32767, 32767,
-		32767, 32767, 32767, 5990,  5991,  5992,  32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 5993,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 6936,  32767,
+		32767, 32767, 32767, 32767, 251,   251,   251,   251,
+		251,   251,   2763,  2764,  2765,  2766,  -4365, -4365,
+		-4365, -4365, -4365, -4365, 2779,  -4365, -4365, -4365,
+		-4365, -4365, 2790,  -4365, -4365, -4365, -4365, -4365,
+		-4365, -4365, -4365, -4365, -4365, -4365, -4365, -7979,
+		-4365, -4365, -4365, -4365, -4365, -4365, -4365, -4365,
+		-4365, -4365, 2826,  -4365, -4365, -4365, 285,   2834,
+		-4365, 286,   2838,  -4365, -4365, -4365, -4365, 2847,
+		-4365, 2850,  -4365, -4365, -4365, -4365, -4365, -4365,
+		-4365, -4365, 2867,  2868,  2869,  -4365, -4365, -4365,
+		-4365, -4365, 5658,  -4365, -4365, -4365, -4365, -4365,
+		-4365, -4365, -997,  -4365, -4365, -4365, -4365, -4365,
+		-4365, -4365, 2910,  -4365, -4365, -4365, -4365, -4365,
+		-4365, 2325,  -4365, -4365, 11355, -4365, -4365, -4365,
+		-4365, -4365, 8902,  8903,  2944,  -4365, 8908,  5665,
+		5666,  5667,  5668,  5669,  2954,  5672,  538,   5674,
+		5675,  5676,  5677,  5678,  5679,  5680,  5681,  5682,
+		5683,  2967,  2968,  4055,  4056,  2971,  2972,  0,
+		0,     0,     12259, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     4616,  4616,  4616,  4616,  4616,  4616,  4616,
+		7128,  7129,  7130,  7131,  0,     0,     0,     0,
+		0,     0,     7144,  0,     0,     0,     0,     0,
+		7155,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     -3614, 0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		7191,  0,     0,     0,     4650,  7199,  0,     4651,
+		7203,  0,     0,     0,     0,     7212,  0,     7215,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		7232,  7233,  7234,  0,     0,     0,     0,     0,
+		10023, 0,     0,     0,     0,     0,     0,     0,
+		3368,  0,     0,     0,     0,     0,     0,     0,
+		7275,  0,     0,     0,     0,     0,     0,     6690,
+		0,     0,     15720, 0,     0,     0,     0,     0,
+		13267, 13268, 7309,  0,     13273, 10030, 10031, 10032,
+		10033, 10034, 7319,  10037, 4903,  10039, 10040, 10041,
+		10042, 10043, 10044, 10045, 10046, 10047, 10048, 7332,
+		7333,  8420,  8421,  7336,  7337,  7338,  7339,  7340,
+		0,     7343,  7344,  7345,  7346,  7347,  7348,  7349,
+		7350,  7351,  7352,  7353,  7354,  7355,  0,     0,
+		0,     0,     11234, 11234, 0,     0,     0,     0,
+		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 1851,  1852,  1853,  1854,
-		1855,  1856,  1857,  1858,  1859,  1860,  1861,  1862,
-		1863,  1864,  1200,  2121,  1200,  1868,  1869,  1870,
-		1871,  1872,  1873,  1874,  1875,  1876,  1877,  1878,
-		1879,  1880,  1188,  1188,  1188,  1188,  1188,  1188,
-		1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,
-		1188,  1188,  1188,  1188,  1188,  1188,  -5282, 1188,
-		3483,  1188,  -642,  1188,  -5287, 1188,  -644,  1188,
-		1188,  -5292, 1188,  1188,  1188,  1188,  1188,  1188,
-		1188,  1188,  1188,  1188,  1188,  1188,  1925,  1926,
-		-6187, -6231, 1184,  3465,  1184,  1184,  -6228, 6953,
-		6954,  6955,  6956,  0,     1939,  1940,  1941,  1942,
-		1943,  1944,  1178,  1178,  1947,  1948,  1949,  1950,
-		1951,  1952,  1953,  1954,  1955,  1956,  1957,  1958,
-		1959,  1960,  1961,  1962,  1963,  1964,  1965,  1966,
-		1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,
-		1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,
-		1983,  1984,  1985,  1986,  1987,  1988,  1989,  32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 0,     0,     32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     0,     32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 775,   32767,
+		32767, 776,   32767, 32767, 32767, 32767, 32767, 777,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     32767, 32767, 32767, 0,     32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 0,     0,     0,     32767,
+		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 709,   666,   667,   668,   32767, 669,
-		714,   715,   716,   717,   -6694, 719,   720,   721,
-		32767, 722,   723,   724,   32767, 725,   726,   727,
-		728,   -5013, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 6052,  0,     0,     6055,
-		0,     0,     0,     0,     2293,  0,     32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 1244,  1245,  1246,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 0,     0,     32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     32767, 32767, 32767, 0,     -444,  -444,  32767,
+		-445,  -445,  -445,  -445,  -445,  -445,  -11406,-445,
+		9654,  -14662,-8512, 0,     4337,  32767, 4338,  -1395,
+		4340,  -1395, -189,  -1395, -187,  32767, 32767, 32767,
+		32767, -1399, 32767, 32767, 32767, 32767, 32767, 32767,
+		-1405, 32767, 32767, 32767, -184,  -183,  32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 3035,  3036,
+		3037,  3038,  3039,  3040,  3041,  3042,  3043,  3044,
+		3045,  3046,  3047,  0,     0,     0,     0,     0,
+		0,     0,     3055,  3056,  3057,  3058,  3059,  3060,
+		3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,
+		3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,
+		3077,  3078,  3079,  3080,  3081,  3082,  3083,  3084,
+		3085,  3086,  3087,  3088,  3089,  3090,  3091,  3092,
+		3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,
+		3101,  3102,  3103,  3104,  3105,  3106,  3107,  3108,
+		3109,  3110,  3111,  3112,  3113,  3114,  3115,  3116,
+		3117,  3118,  3119,  3120,  3121,  3122,  3123,  3124,
+		3125,  3126,  3127,  0,     3129,  3130,  3131,  3132,
+		3133,  3134,  3135,  3136,  3137,  3138,  3139,  3140,
+		3141,  3142,  3143,  3144,  3145,  3146,  3147,  3148,
+		3149,  3150,  3151,  3152,  3153,  3154,  3155,  3156,
+		3157,  3158,  3159,  3160,  3161,  3162,  3163,  3164,
+		3165,  3166,  3167,  3168,  3169,  3170,  0,     0,
+		0,     0,     0,     0,     7985,  0,     15065, 11698,
+		15067, 0,     -5358, 3021,  0,     0,     0,     0,
+		0,     0,     0,     379,   0,     0,     8379,  15070,
+		15071, -648,  15073, 15074, 15075, 15076, 15077, 1811,
+		1811,  1811,  1811,  1811,  5055,  5055,  5055,  5055,
+		5055,  8055,  5055,  10190, 5055,  5055,  5055,  5055,
+		5055,  5055,  5055,  5055,  5055,  5055,  7772,  7772,
+		6686,  6686,  7772,  7772,  10745, 6683,  6683,  -1509,
+		10751, 10752, 5038,  5171,  5172,  5173,  10754, 10755,
+		10756, 10757, 10758, 10759, 5180,  5181,  10714, 0,
+		5184,  5185,  -1491, 3256,  14217, 24316, 0,     6150,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -1265,13 +1323,6 @@ Decomp_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -4660,
-		-4660, -4660, -4660, 4097,  4098,  -4705, -4705, -4660,
-		-4660, -4660, -4660, 4105,  4106,  -4705, 32767, -4661,
-		-4661, -4661, -4617, -4617, -4663, -4663, -4663, -4663,
-		-4663, -4663, -4663, 4072,  4073,  4074,  4075,  1644,
-		1600,  4078,  4079,  4080,  4081,  17342, 14028, 14029,
-		10715, 10716, 7402,  7403,  32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -1281,25 +1332,15 @@ Decomp_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
-		0,     32767, 0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     32767, 0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		32767, 0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     1380,  32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 856,   0,     4573,
-		4574,  0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
+		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 2713,  2714,  2715,  2716,  2717,
+		2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,
+		2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,
+		2734,  2735,  2736,  2737,  2738,  0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     3048,  3049,  3050,  3051,  3052,  3053,
+		3054,  0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
@@ -1307,393 +1348,376 @@ Decomp_hash_func(const void *key)
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     32767, 0,     0,     0,
-		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		5204,  5161,  5162,  5163,  5164,  5165,  5210,  5211,
-		5212,  5213,  -2198, 5215,  5216,  5217,  5218,  5219,
-		5220,  5221,  5222,  5223,  5224,  5225,  5226,  -515,
-		-515,  -515,  -515,  -515,  -515,  -515,  -515,  -515,
-		-515,  -515,  -515,  -515,  -515,  -515,  -515,  7103,
-		7104,  5245,  5246,  5247,  5248,  5249,  -1014, 5251,
-		5252,  5253,  5254,  5255,  5256,  5257,  5258,  5259,
-		5260,  8663,  8664,  -92,   -92,   8712,  8713,  8669,
-		8670,  8671,  8672,  -92,   -92,   8720,  8721,  8677,
-		8678,  8679,  8636,  8637,  8684,  8685,  8686,  8687,
-		8688,  8689,  8690,  -44,   -44,   -44,   -44,   2388,
-		2433,  -44,   -44,   -44,   -44,   -13304,-9989, -9989,
-		-6674, -6674, -3359, -3359, -44,   -44,   -44,   -44,
-		-44,   8713,  8714,  -89,   -89,   -44,   -44,   -44,
-		-44,   8721,  8722,  -89,   -89,   -44,   -44,   -44,
-		0,     0,     -46,   -46,   -46,   -46,   -46,   -46,
-		-46,   8689,  8690,  8691,  8692,  6261,  6217,  8695,
-		8696,  8697,  8698,  21959, 18645, 18646, 15332, 15333,
-		12019, 12020, 8706,  8707,  8708,  8709,  8710,  -46,
-		-46,   8758,  8759,  8715,  8716,  8717,  8718,  -46,
-		-46,   8766,  8767,  8723,  8724,  8725,  8726,  8727,
-		8728,  8729,  8730,  8731,  8732,  8733,  8734,  0,
-		0,     0,     0,     2432,  2477,  0,     0,     0,
-		0,     -13260,-9945, -9945, -6630, -6630, -3315, -3315,
-		0,     0,     0,     0,     0,     8757,  8758,  -45,
-		-45,   0,     0,     0,     0,     8765,  8766,  -45,
-		-45,   0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     8735,  8736,  8737,
-		8738,  6307,  6263,  8741,  8742,  8743,  8744,  22005,
-		18691, 18692, 15378, 15379, 12065, 12066, 8752,  8753,
-		8754,  8755,  8756,  0,     0,     8804,  8805,  8761,
-		8762,  8763,  8764,  0,     0,     8812,  8813,  8769,
-		6115,  6115,  6115,  6115,  3685,  6115,  6115,  8822,
-		6115,  8824,  14782, 8826,  14784, 8828,  5517,  5518,
-		5519,  -4221, 1782,  7739,  5521,  8836,  5522,  3942,
-		8839,  5523,  5524,  5525,  5526,  5527,  5528,  5529,
-		6127,  5531,  5532,  8850,  5533,  8852,  5534,  8854,
-		8855,  5535,  0,     0,     0,     8860,  8861,  0,
-		0,     0,     13252, 9939,  9939,  6626,  6626,  3313,
-		3313,  0,     0,     0,     -9269, -3312, 0,     0,
-		0,     9741,  32767, 32767, 0,     32767, 0,     32767,
-		32767, 0,     0,     0,     0,     0,     0,     0,
-		-597,  0,     0,     32767, 0,     32767, 0,     32767,
-		32767, 0,     0,     32767, 32767, 32767, 0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     3128,  0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     3171,  3172,  3173,
+		3174,  3175,  3176,  -4808, 3178,  -11886,-8518, -11886,
+		3182,  8541,  163,   3185,  3186,  3187,  3188,  3189,
+		3190,  3191,  2813,  3193,  3194,  -5184, -11874,-11874,
+		3846,  -11874,-11874,-11874,-11874,-11874,1393,  1394,
+		1395,  1396,  1397,  -1846, -1845, -1844, -1843, -1842,
+		-4841, -1840, -6974, -1838, -1837, -1836, -1835, -1834,
+		-1833, -1832, -1831, -1830, -1829, -4545, -4544, -3457,
+		-3456, -4541, -4540, -7512, -3449, -3448, 4745,  -7514,
+		-7514, -1799, -1931, -1931, -1931, -7511, -7511, -7511,
+		-7511, -7511, -7511, -1931, -1931, -7463, 3252,  -1931,
+		-1931, 4746,  0,     -10960,-21058,3259,  -2890, 3261,
+		3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,
+		3270,  3271,  3272,  3273,  3274,  3275,  3276,  3277,
+		3278,  3279,  3280,  3281,  3282,  3283,  3284,  3285,
+		3286,  3287,  3288,  3289,  3290,  32767, 3291,  3292,
+		3293,  3294,  3295,  3296,  3297,  3298,  3299,  3300,
+		3301,  3302,  3303,  3304,  32767, 32767, 3305,  32767,
+		3306,  32767, 32767, 3307,  3308,  3309,  3310,  3311,
+		3312,  3313,  3314,  3315,  0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     32767, 32767,
+		3321,  3322,  3323,  -6454, 0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     2881,  0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     32767, 32767, 0,     0,     0,     0,
+		0,     3362,  3363,  0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     3376,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     3387,  0,     0,     0,     0,     0,
+		0,     0,     0,     3394,  0,     0,     0,     3398,
+		3399,  3400,  3401,  3402,  0,     0,     0,     3406,
+		0,     3408,  0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     3430,
+		3431,  3432,  3433,  3434,  3435,  3436,  3437,  3438,
+		3439,  7163,  2045,  2046,  3443,  3444,  3445,  3446,
+		13283, 3448,  3449,  3450,  3451,  3452,  3453,  3454,
+		825,   3456,  3457,  3458,  826,   3460,  -1001, 0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     -1387, 0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, -1773, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, -4161, 1581,  1582,  32767, 32767, 1990,  32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     0,     3499,  0,     0,     0,     0,
+		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 3502,  3503,  3504,  3505,  3506,  32767,
+		32767, 32767, 32767, 32767, 3507,  3508,  985,   2026,
+		2027,  3512,  3513,  3514,  3515,  3516,  3517,  3518,
+		3519,  3520,  3521,  3522,  3523,  3524,  3525,  3526,
+		3527,  3528,  3529,  3530,  3531,  3532,  32767, 3533,
+		3534,  3535,  3536,  3537,  32767, 3538,  32767, 3539,
+		3540,  32767, 3541,  3542,  32767, 3543,  3544,  3545,
+		3546,  3547,  3548,  3549,  3550,  3551,  3552,  3553,
+		3554,  3555,  3556,  3557,  3558,  3559,  3560,  3561,
+		3562,  3563,  3564,  3565,  3566,  3567,  3568,  3569,
+		3570,  3571,  -321,  3573,  3574,  3575,  3576,  3577,
+		3578,  3579,  3580,  3581,  -6890, 3583,  3584,  3585,
+		3586,  3587,  3588,  3589,  3590,  3591,  3592,  3593,
+		3594,  3595,  3596,  9557,  3598,  3599,  3600,  6317,
+		6318,  6319,  6320,  6321,  3606,  6324,  1190,  6326,
+		6327,  6328,  6329,  6330,  6331,  6332,  6333,  6334,
+		6335,  3619,  3620,  4707,  4708,  3623,  3624,  3625,
+		3626,  3627,  3628,  3629,  3630,  3631,  3632,  3633,
+		3634,  3635,  3636,  3637,  3638,  3639,  3640,  3641,
+		3642,  3643,  3644,  3645,  3646,  3647,  3648,  3649,
+		3650,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 3651,  3652,  3653,  3654,  3655,  3656,
+		3657,  3658,  3659,  15838, 10104, 3662,  10104, 10104,
+		3028,  10105, 10105, 10105, 3669,  3670,  3671,  3672,
+		3673,  3674,  3675,  3676,  3677,  3678,  3679,  3680,
+		3681,  3682,  3683,  3684,  3685,  3686,  3687,  3688,
+		3689,  3690,  3691,  3692,  3693,  3694,  3695,  32767,
+		3696,  3697,  3698,  3699,  3700,  3701,  3702,  3703,
+		3704,  3705,  3706,  3707,  3708,  3709,  3710,  3711,
+		3712,  3713,  3714,  3715,  3716,  3717,  3718,  3719,
+		3720,  3721,  3722,  3723,  3724,  3725,  3726,  3727,
+		3728,  3729,  3730,  3731,  3732,  3733,  3734,  3735,
+		3736,  3737,  3738,  3739,  3740,  3741,  -3350, -2729,
+		-2729, -2729, 2591,  2591,  2591,  2591,  20382, 2591,
+		8325,  2591,  -3851, 2591,  2591,  2591,  2591,  2591,
+		2591,  2591,  200,   7116,  7116,  8332,  7116,  8334,
+		3838,  8336,  7116,  2591,  2591,  7114,  7114,  7114,
+		3540,  3540,  3540,  3540,  3540,  3540,  3540,  3540,
+		3540,  -7421, 3540,  13639, -10677,-4527, 3985,  8322,
+		-9468, 8324,  2591,  8326,  2591,  3797,  2591,  3799,
+		2591,  3801,  2591,  3803,  2591,  3805,  3806,  2591,
+		3808,  2591,  7088,  2591,  3812,  7089,  3814,  3815,
+		3816,  3817,  7392,  7393,  7394,  7395,  2591,  3823,
+		2591,  2591,  3826,  2591,  2591,  3829,  2591,  2591,
+		6902,  3833,  3834,  3835,  3836,  3837,  3838,  3839,
+		3840,  3841,  3842,  3843,  3844,  3845,  3846,  3847,
+		3848,  3849,  3850,  3851,  3852,  8350,  2591,  3855,
+		3856,  3857,  3858,  2591,  2591,  2591,  2591,  3863,
+		2591,  2591,  3866,  3867,  4050,  8357,  3870,  2591,
+		2591,  8358,  4048,  3875,  4048,  4048,  2591,  4048,
+		2591,  4048,  2591,  -4486, 2591,  -4485, -4484, 2591,
+		2591,  2591,  2591,  2591,  2591,  2591,  2591,  2591,
+		2591,  2591,  2591,  2591,  2591,  3901,  3902,  3903,
+		3904,  2595,  2595,  2595,  2595,  2595,  2595,  2595,
+		2595,  2595,  2595,  2595,  2595,  2595,  2595,  2595,
+		2595,  2595,  2595,  2595,  2595,  2595,  2595,  2595,
+		2595,  2595,  2595,  2595,  3932,  2595,  2595,  2595,
+		2595,  2595,  2595,  2595,  2595,  2595,  2595,  2595,
+		2595,  2595,  2595,  2595,  2595,  2595,  2595,  2595,
+		32767, 3952,  3953,  3954,  3955,  3956,  -5352, -5352,
+		-5352, -5352, -5352, -5352, 3963,  3964,  3965,  -5354,
+		-5354, -5354, -5354, 3970,  3971,  3972,  3973,  3974,
+		3975,  3976,  3977,  3978,  3979,  3980,  3981,  3982,
+		3983,  3984,  3985,  3986,  3987,  3988,  3989,  3990,
+		2029,  2030,  3993,  3994,  3995,  3996,  3997,  3998,
+		3999,  4000,  4001,  4002,  4003,  4004,  4005,  4006,
+		4007,  4008,  4009,  4010,  4011,  4012,  4013,  32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 4014,  4015,  4016,  4017,  4018,  4019,  4020,
+		4021,  4022,  -579,  17213, 4025,  4026,  4027,  4028,
+		4029,  4030,  4031,  4032,  4033,  4034,  4035,  4036,
+		4037,  4038,  4039,  4040,  4041,  4042,  4043,  4044,
+		4045,  4046,  4047,  4048,  -1271, -1270, -1269, -1268,
+		-19058,-1266, -6999, 4056,  4057,  4058,  4059,  4060,
+		4061,  4062,  4063,  4064,  4065,  4066,  4067,  4068,
+		4069,  4070,  4071,  4072,  4073,  4074,  4075,  4076,
+		4077,  32767, 32767, 4078,  4079,  4080,  4081,  4082,
+		4083,  -2163, -2162, 8800,  -2160, 2033,  4089,  4090,
+		4091,  4092,  4093,  4094,  4095,  4096,  4097,  4098,
+		4099,  4100,  4101,  4102,  4103,  4104,  4105,  4106,
+		4107,  4108,  4109,  4110,  4111,  4112,  4113,  4114,
+		4115,  4116,  4117,  4118,  4119,  4120,  4121,  4122,
+		4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,
+		4131,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     0,     32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 4132,  4133,  4134,  4135,  4136,  4137,  4138,
+		4139,  4140,  4141,  4142,  4143,  4144,  32767, 32767,
+		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 4145,  4146,  4147,  4148,  4149,  4150,
+		4151,  4152,  4153,  4154,  2034,  32767, 32767, 32767,
+		32767, 32767, 4155,  4156,  4157,  4158,  4159,  4160,
+		4161,  4162,  4163,  4164,  1284,  4166,  4167,  4168,
+		4169,  4170,  4171,  4172,  4173,  4174,  4175,  4176,
+		4177,  4178,  4179,  4180,  4181,  4182,  4183,  4184,
+		4185,  4186,  4187,  4188,  4189,  4190,  4191,  32767,
+		32767, 4192,  4193,  4194,  4195,  4196,  4197,  4198,
+		4199,  4200,  4201,  4202,  4203,  32767, 4204,  4205,
+		4206,  4207,  4208,  4209,  4210,  4211,  4212,  4213,
+		827,   4215,  4216,  4217,  4218,  4219,  4220,  4221,
+		4222,  32767, 4223,  4224,  4225,  828,   32767, 32767,
+		32767, 32767, 4227,  4228,  4229,  32767, 4230,  32767,
+		4231,  4232,  4233,  4234,  4235,  4236,  4237,  4238,
+		4239,  4240,  4241,  4242,  4243,  4244,  4245,  4246,
+		4247,  4248,  4249,  4250,  4251,  822,   822,   822,
+		822,   822,   822,   822,   822,   822,   822,   -2901,
+		2218,  2218,  822,   822,   822,   822,   -9014, 822,
+		822,   822,   822,   822,   822,   822,   3452,  822,
+		822,   822,   3455,  822,   5284,  4284,  4285,  4286,
+		4287,  4288,  4289,  4290,  4291,  4292,  4293,  4294,
+		4295,  4296,  4297,  4298,  4299,  4300,  4301,  4302,
+		4303,  4304,  4305,  4306,  4307,  4308,  4309,  4310,
+		4311,  4312,  4313,  4314,  4315,  4316,  4317,  4318,
+		4319,  4320,  4321,  4322,  4323,  4324,  4325,  4326,
+		4327,  4328,  4329,  4330,  4331,  4332,  4333,  4334,
+		4335,  4336,  4337,  4338,  4339,  4340,  4341,  4342,
+		4343,  4344,  4345,  4346,  4347,  4348,  4349,  4350,
+		4351,  4352,  4353,  4354,  4355,  4356,  4357,  4358,
+		4359,  861,   4361,  4362,  4363,  4364,  4365,  32767,
+		32767, 32767, 32767, 32767, 4366,  4367,  4368,  4369,
+		4370,  4371,  4372,  4373,  4374,  4375,  4376,  4377,
+		4378,  4379,  4380,  4381,  4382,  4383,  4384,  4385,
+		4386,  4387,  4388,  4389,  4390,  4391,  0,     0,
+		0,     4395,  4396,  4397,  4398,  4399,  4400,  4401,
+		4402,  4403,  4404,  4405,  4406,  4407,  4408,  4409,
+		4410,  4411,  4412,  4413,  4414,  4415,  4416,  4417,
+		4418,  4419,  4420,  4421,  4422,  4423,  4424,  4425,
+		4426,  -4247, 4428,  4429,  636,   637,   638,   639,
+		640,   641,   642,   643,   644,   2068,  2396,  4441,
+		4442,  4443,  4444,  2405,  2406,  653,   654,   4449,
+		4450,  8856,  4452,  4453,  4454,  4455,  4456,  4457,
+		4458,  4459,  4460,  4461,  4462,  4463,  4464,  4465,
+		4466,  4467,  4468,  4469,  4470,  4471,  4472,  4473,
+		4474,  4475,  4476,  4477,  4478,  4479,  4480,  4481,
+		4482,  4483,  4484,  4485,  4486,  4487,  4488,  4489,
+		4490,  4491,  4492,  4493,  4494,  4495,  4496,  4497,
+		4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,
+		4506,  4507,  4508,  4509,  4510,  4511,  4512,  4513,
+		4514,  4515,  4516,  4517,  4518,  4519,  4520,  4521,
+		4522,  2069,  4524,  4525,  4526,  4527,  4528,  4529,
+		4530,  4531,  4532,  4533,  4534,  4535,  4536,  -2729,
+		-2728, -2727, -2726, -2725, -2724, -2723, -2722, -2721,
+		-2720, -2719, -2718, -2717, -2716, -2715, -2714, -2713,
+		-2712, -2711, -2710, -2709, -2708, -2707, -2706, -2705,
+		-2704, -2703, -2702, -2701, -2700, -2699, -2698, -2697,
+		-2696, -2695, -2694, 2106,  2107,  2108,  2109,  2110,
+		2111,  2112,  2113,  2114,  2115,  4574,  4575,  4576,
+		2119,  2120,  2121,  -527,  -527,  -527,  -527,  7458,
+		-527,  14538, 2129,  14539, -528,  -5886, 2493,  -528,
+		-528,  -528,  2137,  2138,  2139,  2140,  2141,  0,
+		0,     0,     0,     2146,  2147,  2148,  2149,  2150,
+		2151,  2152,  2153,  -2153, -2153, 2156,  -2152, -2152,
+		2159,  2333,  2161,  2162,  3620,  2164,  3622,  2166,
+		3624,  2168,  3627,  10704, 10704, 2172,  2173,  2174,
+		2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,
+		2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,
+		2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,
+		2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,
+		2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,
+		2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,
+		2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
+		2231,  2232,  2233,  2234,  2235,  2236,  2237,  2238,
+		2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,
+		2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,
+		2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,
+		2263,  5508,  5509,  2266,  2267,  2268,  2269,  2270,
+		-729,  2272,  -2862, 2274,  2275,  2276,  2277,  2278,
+		2279,  2280,  2281,  2282,  2283,  32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		2284,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 2285,  2286,  -15504,2288,  -3445, 2290,
+		32767, 32767, 32767, 32767, 32767, 32767, 2291,  32767,
+		4683,  -2232, -2231, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     1346,  0,     1347,  0,
+		1348,  0,     15566, 0,     905,   0,     14359, 32767,
+		2301,  32767, 2302,  32767, 2303,  32767, 2304,  32767,
+		2305,  32767, 2306,  32767, 32767, 2307,  32767, 2308,
+		32767, 2309,  32767, 32767, 32767, 32767, 32767, 32767,
+		-2491, -2491, 32767, -2492, 2313,  32767, 2314,  2315,
+		32767, 2316,  2317,  32767, 2318,  2319,  32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 2320,  32767, 32767, 32767,
+		32767, 2321,  2322,  2323,  2324,  32767, 2325,  2326,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 2327,  32767, 2328,  32767,
+		2329,  32767, 2330,  32767, 9406,  32767, 2332,  32767,
+		2333,  32767, 2334,  32767, 2335,  32767, 2336,  32767,
+		2337,  32767, 2338,  32767, 32767, 2339,  32767, 2340,
+		32767, 2341,  32767, 32767, 32767, 32767, 32767, 32767,
+		2342,  2343,  32767, 2344,  2345,  32767, 2346,  2347,
+		32767, 2348,  2349,  32767, 2350,  2351,  32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 0,     32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 2352,  32767, 32767, 2353,
+		2354,  2355,  2356,  32767, 32767, 32767, 2357,  2358,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 1539,  32767, 32767, 6150,  6151,  6152,  411,
-		411,   411,   411,   411,   411,   411,   411,   411,
-		411,   411,   411,   411,   411,   411,   411,   8029,
-		8030,  6171,  6172,  969,   969,   1013,  1013,  1013,
-		1013,  1013,  969,   969,   969,   969,   8381,  969,
-		969,   969,   969,   969,   969,   969,   969,   969,
-		969,   969,   969,   6711,  6712,  6713,  6714,  6715,
-		6716,  6717,  6718,  6719,  6720,  6721,  6722,  6723,
-		6724,  6725,  6726,  -891,  -891,  969,   969,   6173,
-		6174,  6131,  6132,  6133,  6134,  6135,  6180,  6181,
-		6182,  6183,  -1228, 6185,  6186,  6187,  6188,  6189,
-		6190,  6191,  6192,  6193,  6194,  6195,  6196,  455,
-		455,   455,   455,   455,   455,   455,   455,   455,
-		455,   455,   455,   455,   455,   455,   455,   8073,
-		8074,  6215,  6216,  1013,  1013,  1057,  1057,  1057,
-		1057,  1057,  1013,  1013,  1013,  1013,  8425,  1013,
-		1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
-		1013,  1013,  1013,  6755,  6756,  6757,  6758,  6759,
-		6760,  6761,  6762,  6763,  6764,  6765,  6766,  6767,
-		6768,  6769,  6770,  -847,  -847,  1013,  1013,  6217,
-		6218,  6175,  6176,  6177,  6178,  6179,  6224,  6225,
-		6226,  6227,  -1184, 6229,  6230,  6231,  6232,  6233,
-		6234,  6235,  6236,  6237,  6238,  6239,  6240,  499,
-		499,   499,   499,   499,   499,   499,   499,   499,
-		499,   499,   499,   499,   499,   499,   499,   8117,
-		8118,  6259,  6260,  6261,  6262,  6263,  0,     6265,
-		6266,  6267,  6268,  6269,  6270,  6271,  6272,  6273,
-		6274,  9677,  9678,  922,   922,   9726,  9727,  9683,
-		9684,  9685,  9686,  922,   922,   9734,  9735,  9691,
-		9692,  9693,  9650,  9651,  9698,  9699,  9700,  9701,
-		9702,  9703,  9704,  970,   970,   970,   970,   3402,
-		3447,  970,   970,   970,   970,   -12290,-8975, -8975,
-		-5660, -5660, -2345, -2345, -2345, -2345, -2345, 6412,
-		6413,  -2390, -2390, -2345, -2345, -2345, -2345, 6420,
-		6421,  -2390, -2390, -2345, -2345, -2345, -2301, -2301,
-		-2347, -2347, -2347, -2347, -2347, -2347, -2347, 6388,
-		6389,  6390,  6391,  3960,  3916,  6394,  6395,  6396,
-		6397,  19658, 16344, 16345, 13031, 13032, 9718,  9719,
-		6405,  6406,  6407,  6408,  6409,  -2347, -2347, 6457,
-		6458,  6414,  6415,  6416,  6417,  -2347, -2347, 6465,
-		6466,  6422,  6423,  6424,  6381,  6382,  6429,  6430,
-		6431,  6432,  6433,  6434,  6435,  -2299, -2299, -2299,
-		-2299, 133,   178,   -2299, -2299, -2299, -2299, -15559,
-		-12244,-12244,-8929, -8929, -5614, -5614, -2299, -2299,
-		-2299, -2299, -2299, 6458,  6459,  -2344, -2344, -2299,
-		-2299, -2299, -2299, 6466,  6467,  -2344, -2344, -2299,
-		-2299, -2299, -2299, -2299, -2299, -2299, -2299, -2299,
-		-2299, -2299, -2299, 6436,  6437,  6438,  6439,  4008,
-		3964,  6442,  6443,  6444,  6445,  19706, 16392, 16393,
-		13079, 13080, 9766,  9767,  6453,  6454,  6455,  6456,
-		6457,  -2299, -2299, 6505,  6506,  6462,  6463,  6464,
-		6465,  -2299, -2299, 6513,  6514,  6470,  6471,  6472,
-		6473,  6474,  6475,  6476,  6477,  6478,  6479,  6480,
-		6481,  -2253, -2253, -2253, -2253, 179,   224,   -2253,
-		-2253, -2253, -2253, -15513,-12198,-12198,-8883, -8883,
-		-5568, -5568, -2253, -2253, -2253, -2253, -2253, 6504,
-		6505,  -2298, -2298, -2253, -2253, -2253, -2253, 6512,
-		6513,  -2298, -2298, -2253, 402,   403,   404,   405,
-		2836,  407,   408,   -2298, 410,   -2298, -8255, -2298,
-		-8255, -2298, 1014,  1014,  1014,  10755, 4753,  -1203,
-		1016,  -2298, 1017,  2598,  -2298, 1019,  1019,  1019,
-		1019,  1019,  1019,  1019,  422,   1019,  1019,  -2298,
-		1020,  -2298, 1021,  -2298, -2298, 1023,  6559,  6560,
-		6561,  -2298, -2298, 6564,  6565,  6566,  -6685, -3371,
-		-3370, -56,   -55,   3259,  3260,  3261,  12531, 6575,
-		3264,  3265,  3266,  -6474, -471,  5486,  3268,  6583,
-		3269,  1689,  6586,  3270,  3271,  3272,  3273,  3274,
-		3275,  3276,  3874,  3278,  3279,  6597,  3280,  6599,
-		3281,  6601,  6602,  3282,  3283,  32767, 32767, 32767,
-		3284,  3285,  3286,  3287,  3288,  3289,  3290,  3291,
-		3292,  3293,  3294,  3295,  3296,  3297,  3298,  3299,
-		3300,  3301,  3302,  3303,  3304,  3305,  3306,  3307,
-		3308,  3309,  3310,  3311,  3312,  3313,  3314,  3315,
-		3316,  3317,  3318,  3319,  3320,  3321,  3322,  3323,
-		3324,  3325,  3326,  3327,  3328,  3329,  3330,  3331,
-		3332,  3333,  3334,  3335,  3336,  3337,  3338,  3339,
-		3340,  3341,  3342,  3343,  3344,  3345,  3346,  3347,
-		3348,  3349,  3350,  3351,  32767, 32767, 3352,  3353,
-		3354,  3355,  3356,  3357,  3358,  3359,  3360,  3361,
-		3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,
-		3370,  3371,  3372,  3373,  3374,  3375,  3376,  3377,
-		3378,  3379,  3380,  3381,  3382,  3383,  3384,  3385,
-		3386,  3387,  3388,  3389,  3390,  3391,  3392,  3393,
-		3394,  3395,  3396,  3397,  3398,  3399,  3400,  3401,
-		3402,  3403,  3404,  3405,  3406,  3407,  4795,  3409,
-		3410,  3411,  3412,  3413,  3414,  3415,  3416,  3417,
-		3418,  3419,  3420,  3421,  3422,  3423,  3424,  3425,
-		3426,  3427,  3428,  3429,  3430,  3431,  3432,  3433,
-		3434,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
-		3442,  3443,  3444,  3445,  3446,  3447,  3448,  3449,
-		3450,  3451,  3452,  3453,  3454,  3455,  3456,  3457,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 3458,
-		3459,  3460,  3461,  3462,  -8139, 3464,  32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 3465,  3466,  2001,  3468,  3469,  32767,
-		32767, 32767, 32767, 32767, 3470,  3471,  3472,  3473,
-		3474,  3475,  3476,  3477,  3478,  3479,  3480,  3481,
-		3482,  3483,  3484,  3485,  3486,  3487,  3488,  3489,
-		3490,  3491,  3492,  3493,  3494,  3495,  32767, 3496,
-		3497,  3498,  3499,  3500,  32767, 3501,  32767, 3502,
-		3503,  32767, 3504,  3505,  32767, 3506,  0,     0,
-		3509,  3510,  3511,  3512,  3513,  3514,  3515,  3516,
-		3517,  3518,  3519,  3520,  3521,  3522,  3523,  3524,
-		3525,  3526,  3527,  3528,  3529,  3530,  3531,  3532,
-		3533,  3534,  3535,  3536,  3537,  3538,  3539,  3540,
-		3541,  3542,  3543,  3544,  3545,  1902,  1902,  1902,
-		1902,  9314,  1902,  1902,  1902,  1902,  1902,  1902,
-		1902,  1902,  1902,  1902,  1902,  1902,  7644,  7645,
-		7646,  7647,  7648,  7649,  7650,  7651,  7652,  7653,
-		7654,  7655,  7656,  7657,  7658,  7659,  42,    42,
-		1902,  0,     0,     0,     7067,  7068,  7069,  7070,
-		7071,  7116,  7117,  7118,  7119,  -292,  7121,  7122,
-		7123,  7124,  0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     3614,  3615,  3616,  10892, 3618,  3619,
-		10854, 3621,  3622,  3623,  3624,  3625,  8994,  -2751,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     3640,  3641,  2783,  -3331,
-		-3330, 3645,  3646,  0,     6053,  6054,  0,     6056,
-		6057,  6058,  6059,  3767,  6061,  6858,  0,     0,
-		3659,  0,     0,     1531,  1531,  1531,  1531,  1531,
-		1531,  1531,  1531,  1531,  1531,  1531,  1531,  1531,
-		1531,  1531,  9149,  9150,  7291,  7292,  7293,  7294,
-		7295,  1032,  7297,  7298,  7299,  7300,  7301,  7302,
-		7303,  7304,  0,     7307,  10710, 10711, 1955,  1955,
-		10759, 10760, 10716, 4548,  4549,  4550,  1952,  1952,
-		10764, 10765, 10721, 10722, 3711,  6314,  10679, 10726,
-		10727, 10728, 10729, 10730, 3719,  3720,  1996,  1996,
-		1996,  1996,  4428,  4473,  4473,  3728,  1994,  1994,
-		-11266,3732,  3733,  3734,  0,     0,     0,     0,
-		0,     0,     0,     3742,  10755, 10756, 1953,  1953,
-		1998,  1998,  1998,  11730, 11731, 12711, 9397,  3867,
-		11735, 3869,  6139,  9874,  9875,  9876,  9877,  9878,
-		9879,  9880,  6139,  -873,  -873,  7931,  -1839, -1839,
-		7891,  7892,  -1839, -1839, -2818, 497,   6028,  -1839,
-		-1839, -66,   -66,   -66,   -66,   2522,  2523,  -6280,
-		-6280, -6235, -66,   -66,   -66,   2533,  2534,  -6277,
-		-66,   -6231, -6231, 781,   -1821, -6185, -6231, 3867,
-		-1821, -6231, -1821, 782,   3076,  3873,  2511,  -8720,
-		84,    85,    41,    42,    43,    -9688, -9688, -10667,
-		-7352, -1821, -9688, -1821, -4090, -7824, -7824, -7824,
-		-7824, -7824, -7824, -7824, -4082, 2931,  2932,  -5871,
-		3900,  3901,  -5828, -5828, 3904,  3905,  4885,  1571,
-		-3959, 3909,  3910,  2138,  2139,  2140,  2141,  -446,
-		-446,  8358,  8359,  8315,  2147,  2148,  2149,  -449,
-		-449,  8363,  2153,  8319,  8320,  1309,  3912,  8277,
-		8324,  -1773, 3916,  8327,  3918,  1316,  -977,  -1773,
-		-410,  10822, 2019,  2019,  2064,  2064,  2064,  11796,
-		11797, 12777, 9463,  3933,  11801, 3935,  6205,  9940,
-		9941,  9942,  9943,  9944,  9945,  9946,  6205,  -807,
-		-807,  7997,  -1773, -1773, 7957,  7958,  -1773, -1773,
-		-2752, 563,   6094,  -1773, -1773, 0,     0,     0,
-		0,     2588,  2589,  -6214, -6214, -6169, 0,     0,
-		0,     2599,  2600,  -6211, 0,     -6165, -6165, 847,
-		-1755, -6119, -6165, 3933,  -1755, -6165, -1755, 848,
-		3142,  3939,  2577,  -8654, 150,   151,   107,   108,
-		109,   -9622, -9622, -10601,-7286, -1755, -9622, -1755,
-		-4024, -7758, -7758, -7758, -7758, -7758, -7758, -7758,
-		-4016, 2997,  2998,  -5805, 3966,  3967,  -5762, -5762,
-		3970,  3971,  4951,  1637,  -3893, 3975,  3976,  2204,
-		2205,  2206,  2207,  -380,  -380,  8424,  8425,  8381,
-		2213,  2214,  2215,  -383,  -383,  8429,  2219,  8385,
-		8386,  1375,  3978,  8343,  8390,  -1707, 3982,  8393,
-		3984,  1382,  -911,  -1707, -344,  10888, 2085,  2085,
-		2130,  2130,  2130,  11862, 11863, 12843, 9529,  3999,
-		11867, 4001,  6271,  10006, 10007, 4005,  -1951, 4007,
-		4008,  4009,  4010,  4011,  4012,  4013,  4014,  4015,
-		4016,  4017,  4018,  4019,  4020,  4021,  4022,  4023,
-		4024,  4025,  4026,  4027,  4028,  4029,  4030,  4031,
-		11943, 4033,  4034,  4035,  4036,  8637,  4038,  4039,
-		-116,  32767, 32767, 4041,  4042,  4043,  4044,  4045,
-		2250,  4047,  4048,  4049,  5802,  4051,  4052,  4559,
-		6119,  4055,  4056,  4057,  4058,  4059,  4060,  4061,
-		-47,   4063,  -46,   4065,  4066,  4067,  4068,  4069,
-		-41,   -13301,4072,  -9985, -6670, 4075,  4076,  4077,
-		4078,  4079,  4080,  4081,  4082,  4083,  4084,  4085,
-		4086,  4087,  4088,  4089,  4090,  8741,  4092,  4093,
-		-67,   32767, 32767, 32767, 32767, 32767, 2257,  32767,
-		2258,  2259,  2260,  32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 2261,  32767, 2262,  32767,
-		2263,  32767, 2264,  32767, 2265,  32767, 2266,  32767,
-		2267,  8737,  8738,  -26,   -26,   8786,  4100,  4101,
-		8746,  8747,  4104,  4105,  8752,  8753,  32767, 2274,
-		32767, 2275,  32767, 32767, 32767, 32767, 32767, 32767,
-		2276,  2277,  32767, 2278,  2279,  32767, 2280,  0,
-		32767, 2282,  9695,  4109,  -3486, -3486, 4112,  4113,
-		4114,  4115,  4116,  4117,  32767, 32767, 32767, 32767,
-		32767, 32767, 4118,  4119,  4120,  4121,  4122,  4123,
-		4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,
-		4132,  4133,  4134,  4849,  4136,  4137,  4851,  4851,
-		4140,  4852,  4142,  4143,  4144,  4145,  4146,  4147,
-		4148,  4149,  4150,  4151,  2293,  4153,  907,   32767,
-		2295,  4155,  909,   4157,  910,   4159,  911,   4161,
-		912,   4163,  913,   4165,  914,   32767, 915,   4168,
-		916,   4170,  917,   4172,  4173,  918,   4175,  4176,
-		4177,  4178,  4179,  4180,  4181,  4182,  4183,  4184,
-		4185,  2309,  4186,  4187,  4188,  4189,  2312,  2313,
-		32767, 2314,  4190,  4191,  -2632, 2317,  4193,  32767,
-		4194,  4195,  4196,  4197,  4198,  4199,  4200,  4201,
-		4202,  4203,  4204,  4205,  4206,  0,     0,     4209,
-		4210,  4211,  4212,  4213,  2318,  4215,  4216,  2319,
-		2320,  2321,  2322,  4221,  4222,  4223,  2323,  2324,
-		4226,  4227,  4228,  4229,  4230,  4231,  5551,  4233,
-		4234,  4235,  4236,  4237,  4238,  4239,  4240,  4241,
-		4242,  4243,  4244,  4245,  4246,  4247,  4248,  4249,
-		4250,  4251,  4252,  4253,  4254,  4255,  4256,  4257,
-		4258,  4259,  4260,  4261,  4262,  4263,  4264,  4265,
-		4266,  4267,  4268,  4269,  4270,  4271,  4272,  4273,
-		4274,  4275,  -3342, -3342, -3342, 4276,  4277,  2418,
-		2419,  -2784, -2784, -2740, -2740, -2740, -2740, -2740,
-		-2784, -2784, -2784, -2784, 4628,  -2784, -2784, -2784,
-		-2784, -2784, -2784, -2784, -2784, -2784, -2784, -2784,
-		-2784, 2958,  2959,  2960,  2961,  2962,  2963,  2964,
-		2965,  2966,  2967,  2968,  2969,  2970,  2971,  2972,
-		2973,  -4644, -4644, -2784, -2784, 2420,  2421,  2378,
-		2379,  2380,  2381,  2382,  2427,  2428,  2429,  2430,
-		-4981, 2432,  2433,  2434,  2435,  2436,  2437,  2438,
-		2439,  2440,  2441,  2442,  2443,  -3298, -3298, -3298,
-		-3298, -3298, -3298, -3298, -3298, -3298, -3298, -3298,
-		-3298, -3298, -3298, -3298, -3298, 4320,  4321,  2462,
-		4365,  4366,  4367,  -2699, -2699, -2699, -2699, -2699,
-		-2743, -2743, -2743, -2743, 4669,  -2743, -2743, -2743,
-		-2743, 4382,  4383,  4384,  4385,  4386,  4387,  4388,
-		4389,  4390,  4391,  4392,  4393,  4394,  4395,  4396,
-		4397,  4398,  4399,  4400,  4401,  4402,  4403,  4404,
-		4405,  4406,  4407,  4408,  4409,  4410,  4411,  4412,
-		4413,  4414,  4415,  4416,  4417,  4418,  4419,  4420,
-		4421,  4422,  4423,  4424,  4425,  4426,  4427,  4428,
-		4429,  816,   816,   816,   -6459, 816,   816,   -6418,
-		816,   816,   816,   816,   816,   -4552, 7194,  4444,
-		4445,  4446,  4447,  4448,  4449,  4450,  4451,  4452,
-		4453,  4454,  4455,  816,   816,   1675,  7790,  7790,
-		816,   816,   4463,  -1589, -1589, 4466,  -1589, -1589,
-		-1589, -1589, 704,   -1589, -2385, 4474,  4475,  817,
-		4477,  4478,  2948,  2949,  2950,  2951,  2952,  2953,
-		2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,
-		2962,  -4655, -4655, -2795, -2795, -2795, -2795, -2795,
-		3469,  -2795, -2795, -2795, -2795, -2795, -2795, -2795,
-		-2795, 4510,  -2796, -6198, -6198, 2559,  2560,  -6243,
-		-6243, -6198, -6198, -6198, -6198, 2567,  2568,  -6243,
-		-6243, -6198, -6198, -6198, -6154, -6154, -6200, -6200,
-		-6200, -6200, -6200, -6200, -6200, 2535,  2536,  2537,
-		2538,  107,   63,    2541,  2542,  2543,  2544,  15805,
-		12491, 12492, 32767, 4540,  4541,  4542,  4543,  4544,
-		4545,  4546,  2548,  -6208, -6208, 2596,  2597,  2553,
-		2554,  2555,  2556,  -6208, -6208, 2604,  2605,  2561,
-		2562,  2563,  2520,  2521,  2568,  2569,  2570,  2571,
-		2572,  2573,  2574,  -6160, -6160, -6160, -6160, -3728,
-		-3683, -6160, -6160, -6160, -6160, -19420,-16105,-16105,
-		-12790,-12790,-9475, -9475, -6160, -6160, -6160, -6160,
-		-6160, 32767, 2597,  -6206, -6206, -6161, -6161, -6161,
-		-6161, 2604,  2605,  -6206, -6206, -6161, -6161, -6161,
-		-6161, -6161, -6161, -6161, -6161, -6161, -6161, -6161,
-		-6161, 2574,  2575,  2576,  2577,  146,   102,   2580,
-		2581,  2582,  2583,  15844, 12530, 12531, 9217,  9218,
-		5904,  5905,  2591,  2592,  2593,  2594,  2595,  -6161,
-		-6161, 2643,  2644,  2600,  2601,  2602,  2603,  -6161,
-		-6161, 2651,  2652,  2608,  2609,  2610,  2611,  2612,
-		2613,  2614,  2615,  2616,  2617,  2618,  2619,  -6115,
-		-6115, -6115, -6115, -3683, -3638, -6115, -6115, -6115,
-		-6115, -19375,-16060,-16060,-12745,-12745,-9430, -9430,
-		-6115, -6115, -6115, -6115, -6115, 2642,  2643,  -6160,
-		-6160, -6115, -6115, -6115, -6115, 2650,  2651,  -6160,
-		-6160, -6115, -3460, -3459, -3458, -3457, -1026, -3455,
-		-3454, -6160, -3452, -6160, -12117,-6160, -12117,-6160,
-		-2848, -2848, -2848, 6893,  891,   -5065, -2846, -6160,
-		-2845, -1264, 0,     9264,  5950,  5951,  2637,  2638,
-		2639,  2640,  2641,  -6115, -6115, 2689,  2690,  2646,
-		2647,  2648,  2649,  -6115, -6115, 2697,  2698,  2654,
-		0,     0,     0,     0,     -2430, 0,     0,     2707,
-		0,     2709,  8667,  2711,  8669,  2713,  -598,  -597,
-		-596,  -10336,-4333, 1624,  -594,  2721,  -593,  -2173,
-		2724,  -592,  -591,  -590,  -589,  -588,  -587,  -586,
-		12,    -584,  -583,  2735,  -582,  2737,  -581,  2739,
-		2740,  -580,  -6115, -6115, -6115, 2745,  2746,  -6115,
-		-6115, 0,     0,     0,     2752,  2753,  2754,  0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     6247,  6248,  0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0
+		4768,  4769,  4770,  4771,  4772,  4773,  4774,  4775,
+		4776,  15738, 4778,  -5320, 0,     0,     0,     0,
+		17791, 0,     5734,  0,     -6442, 0,     0,     0,
+		0,     0,     0,     0,     -2391, 4525,  4525,  5741,
+		4525,  5743,  1247,  5745,  4525,  0,     0,     4523,
+		4523,  4523,  949,   949,   949,   949,   949,   949,
+		949,   949,   949,   -10012,949,   11048, -13268,-7118,
+		1394,  5731,  -12059,5733,  0,     5735,  0,     1206,
+		0,     1208,  0,     1210,  0,     1212,  0,     1214,
+		1215,  0,     1217,  0,     4497,  0,     1221,  4498,
+		1223,  1224,  1225,  1226,  4801,  4802,  4803,  4804,
+		0,     1232,  0,     0,     1235,  0,     0,     1238,
+		0,     0,     4311,  1242,  1243,  1244,  1245,  1246,
+		1247,  1248,  1249,  1250,  1251,  1252,  1253,  1254,
+		1255,  1256,  1257,  1258,  1259,  1260,  1261,  5759,
+		0,     1264,  1265,  1266,  1267,  0,     0,     0,
+		0,     1272,  0,     0,     1275,  1276,  1459,  5766,
+		1279,  0,     0,     5767,  1457,  1284,  1457,  1457,
+		0,     1457,  0,     1457,  0,     -7077, 0,     -7076,
+		-7075, 0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     32767,
+		32767, 0,     32767, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     1337,  0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     2478,  2479,  2480,
+		2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,
+		2489,  2490,  2491,  2492,  2493,  3495,  3496,  3497,
+		3498,  0,     3500,  3501,  2500,  2501,  2502,  2503,
+		2504,  2505,  2506,  2507,  2508,  2509,  2510,  2511,
+		0,     0,     0,     0,     0,     2517,  2518,  2519,
+		2520,  2521,  0,     0,     2524,  1484,  1484,  0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     2540,  0,     0,     0,
+		0,     0,     2546,  0,     2548,  0,     0,     2551,
+		0,     0,     2554,  0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		3893,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     10472, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     -5960, 0,     0,     0,     -2716, -2716, -2716,
+		-2716, -2716, 0,     -2717, 2418,  -2717, -2717, -2717,
+		-2717, -2717, -2717, -2717, -2717, -2717, -2717, 0,
+		0,     -1086, -1086, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     2662,
+		2663,  2664,  2665,  2666,  2667,  2668,  2669,  2670,
+		2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,
+		2679,  2680,  2681,  2682,  2683,  2684,  2685,  2686,
+		2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     -12178,-6443, 0,     -6441, -6440, 637,   -6439,
+		-6438, -6437, 0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     2739,  2740,  2741,
+		2742,  2743,  2744,  2745,  2746,  2747,  2748,  2749,
+		2750,  2751,  2752,  2753,  2754,  2755,  2756,  2757,
+		2758,  2759,  -288,  -288,  -288,  -288,  -288,  -288,
+		-288,  2767,  2768,  2769,  2770,  2771,  2772,  2773,
+		2774,  2775,  2776,  2777,  2778,  2779,  2780,  2781,
+		2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,
+		2790,  2791,  2792,  2793,  2794,  2795,  2796,  2797,
+		2798,  2799,  2800,  2801,  2802,  2803,  2804,  2805,
+		2806,  2807,  2808,  2809,  2810,  2811,  2812,  2813,
+		2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,
+		2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,
+		2830,  2831,  2832,  2833,  2834,  2835,  2836,  2837,
+		2838,  2839,  -288,  2841,  2842,  2843,  2844,  2845,
+		2846,  2847,  2848,  2849,  2850,  2851,  2852,  2853,
+		2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,
+		2862,  2863,  2864,  2865,  2866,  2867,  2868,  2869,
+		2870,  2871,  2872,  2873,  2874,  2875,  2876,  2877,
+		2878,  2879,  2880,  2881,  2882,  -288,  -288,  -288,
+		-288,  -288,  -288,  7697,  -288,  14777, 11410, 14779,
+		-288,  -5646, 2733,  -288,  -288,  -288,  -288,  -288,
+		-288,  -288,  91,    -288,  -288,  8091,  14782, 14783,
+		-936,  14785, 14786, 14787, 14788, 14789, 1523,  1523,
+		1523,  1523,  1523,  4767,  4767,  4767,  4767,  4767,
+		7767,  4767,  9902,  4767,  4767,  4767,  4767,  4767,
+		4767,  4767,  4767,  4767,  4767,  7484,  7484,  6398,
+		6398,  7484,  7484,  10457, 6395,  6395,  -1797, 10463,
+		10464, 4750,  4883,  4884,  4885,  10466, 10467, 10468,
+		10469, 10470, 10471, 4892,  4893,  10426, -288,  4896,
+		4897,  -1779, 2968,  4899,  4900,  4901,  4902,  4903,
+		4904,  4905,  4906,  4907,  4908,  4909,  4910,  4911,
+		4912,  4913,  4914,  4915,  4916,  4917,  4918,  4919,
+		4920,  4921,  0,     0,     4924,  4925,  4926,  4927,
+		4928,  4929,  4930,  4931,  4932,  4933,  4934,  4935,
+		4936,  4937,  4938,  4939,  4940,  4941,  4942
 	};
 
 	const unsigned char *k = (const unsigned char *) key;
@@ -1708,7 +1732,7 @@ Decomp_hash_func(const void *key)
 		a = a * 257 + c;
 		b = b * 8191 + c;
 	}
-	return h[a % 13209] + h[b % 13209];
+	return h[a % 13407] + h[b % 13407];
 }
 
 /* Hash lookup information for decomposition */
@@ -1716,15 +1740,15 @@ static const pg_unicode_decompinfo UnicodeDecompInfo =
 {
 	UnicodeDecompMain,
 	Decomp_hash_func,
-	6604
+	6703
 };
 
 /* Inverse lookup array -- contains indexes into UnicodeDecompMain[] */
 static const uint16 RecompInverseLookup[941] =
 {
-	/* U+003C+0338 -> U+226E */ 1823,
-	/* U+003D+0338 -> U+2260 */ 1820,
-	/* U+003E+0338 -> U+226F */ 1824,
+	/* U+003C+0338 -> U+226E */ 1857,
+	/* U+003D+0338 -> U+2260 */ 1854,
+	/* U+003E+0338 -> U+226F */ 1858,
 	/* U+0041+0300 -> U+00C0 */ 14,
 	/* U+0041+0301 -> U+00C1 */ 15,
 	/* U+0041+0302 -> U+00C2 */ 16,
@@ -1733,60 +1757,60 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+0041+0306 -> U+0102 */ 69,
 	/* U+0041+0307 -> U+0226 */ 270,
 	/* U+0041+0308 -> U+00C4 */ 18,
-	/* U+0041+0309 -> U+1EA2 */ 1278,
+	/* U+0041+0309 -> U+1EA2 */ 1312,
 	/* U+0041+030A -> U+00C5 */ 19,
 	/* U+0041+030C -> U+01CD */ 194,
 	/* U+0041+030F -> U+0200 */ 240,
 	/* U+0041+0311 -> U+0202 */ 242,
-	/* U+0041+0323 -> U+1EA0 */ 1276,
-	/* U+0041+0325 -> U+1E00 */ 1120,
+	/* U+0041+0323 -> U+1EA0 */ 1310,
+	/* U+0041+0325 -> U+1E00 */ 1154,
 	/* U+0041+0328 -> U+0104 */ 71,
-	/* U+0042+0307 -> U+1E02 */ 1122,
-	/* U+0042+0323 -> U+1E04 */ 1124,
-	/* U+0042+0331 -> U+1E06 */ 1126,
+	/* U+0042+0307 -> U+1E02 */ 1156,
+	/* U+0042+0323 -> U+1E04 */ 1158,
+	/* U+0042+0331 -> U+1E06 */ 1160,
 	/* U+0043+0301 -> U+0106 */ 73,
 	/* U+0043+0302 -> U+0108 */ 75,
 	/* U+0043+0307 -> U+010A */ 77,
 	/* U+0043+030C -> U+010C */ 79,
 	/* U+0043+0327 -> U+00C7 */ 20,
-	/* U+0044+0307 -> U+1E0A */ 1130,
+	/* U+0044+0307 -> U+1E0A */ 1164,
 	/* U+0044+030C -> U+010E */ 81,
-	/* U+0044+0323 -> U+1E0C */ 1132,
-	/* U+0044+0327 -> U+1E10 */ 1136,
-	/* U+0044+032D -> U+1E12 */ 1138,
-	/* U+0044+0331 -> U+1E0E */ 1134,
+	/* U+0044+0323 -> U+1E0C */ 1166,
+	/* U+0044+0327 -> U+1E10 */ 1170,
+	/* U+0044+032D -> U+1E12 */ 1172,
+	/* U+0044+0331 -> U+1E0E */ 1168,
 	/* U+0045+0300 -> U+00C8 */ 21,
 	/* U+0045+0301 -> U+00C9 */ 22,
 	/* U+0045+0302 -> U+00CA */ 23,
-	/* U+0045+0303 -> U+1EBC */ 1304,
+	/* U+0045+0303 -> U+1EBC */ 1338,
 	/* U+0045+0304 -> U+0112 */ 83,
 	/* U+0045+0306 -> U+0114 */ 85,
 	/* U+0045+0307 -> U+0116 */ 87,
 	/* U+0045+0308 -> U+00CB */ 24,
-	/* U+0045+0309 -> U+1EBA */ 1302,
+	/* U+0045+0309 -> U+1EBA */ 1336,
 	/* U+0045+030C -> U+011A */ 91,
 	/* U+0045+030F -> U+0204 */ 244,
 	/* U+0045+0311 -> U+0206 */ 246,
-	/* U+0045+0323 -> U+1EB8 */ 1300,
+	/* U+0045+0323 -> U+1EB8 */ 1334,
 	/* U+0045+0327 -> U+0228 */ 272,
 	/* U+0045+0328 -> U+0118 */ 89,
-	/* U+0045+032D -> U+1E18 */ 1144,
-	/* U+0045+0330 -> U+1E1A */ 1146,
-	/* U+0046+0307 -> U+1E1E */ 1150,
+	/* U+0045+032D -> U+1E18 */ 1178,
+	/* U+0045+0330 -> U+1E1A */ 1180,
+	/* U+0046+0307 -> U+1E1E */ 1184,
 	/* U+0047+0301 -> U+01F4 */ 230,
 	/* U+0047+0302 -> U+011C */ 93,
-	/* U+0047+0304 -> U+1E20 */ 1152,
+	/* U+0047+0304 -> U+1E20 */ 1186,
 	/* U+0047+0306 -> U+011E */ 95,
 	/* U+0047+0307 -> U+0120 */ 97,
 	/* U+0047+030C -> U+01E6 */ 216,
 	/* U+0047+0327 -> U+0122 */ 99,
 	/* U+0048+0302 -> U+0124 */ 101,
-	/* U+0048+0307 -> U+1E22 */ 1154,
-	/* U+0048+0308 -> U+1E26 */ 1158,
+	/* U+0048+0307 -> U+1E22 */ 1188,
+	/* U+0048+0308 -> U+1E26 */ 1192,
 	/* U+0048+030C -> U+021E */ 268,
-	/* U+0048+0323 -> U+1E24 */ 1156,
-	/* U+0048+0327 -> U+1E28 */ 1160,
-	/* U+0048+032E -> U+1E2A */ 1162,
+	/* U+0048+0323 -> U+1E24 */ 1190,
+	/* U+0048+0327 -> U+1E28 */ 1194,
+	/* U+0048+032E -> U+1E2A */ 1196,
 	/* U+0049+0300 -> U+00CC */ 25,
 	/* U+0049+0301 -> U+00CD */ 26,
 	/* U+0049+0302 -> U+00CE */ 27,
@@ -1795,37 +1819,37 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+0049+0306 -> U+012C */ 107,
 	/* U+0049+0307 -> U+0130 */ 111,
 	/* U+0049+0308 -> U+00CF */ 28,
-	/* U+0049+0309 -> U+1EC8 */ 1316,
+	/* U+0049+0309 -> U+1EC8 */ 1350,
 	/* U+0049+030C -> U+01CF */ 196,
 	/* U+0049+030F -> U+0208 */ 248,
 	/* U+0049+0311 -> U+020A */ 250,
-	/* U+0049+0323 -> U+1ECA */ 1318,
+	/* U+0049+0323 -> U+1ECA */ 1352,
 	/* U+0049+0328 -> U+012E */ 109,
-	/* U+0049+0330 -> U+1E2C */ 1164,
+	/* U+0049+0330 -> U+1E2C */ 1198,
 	/* U+004A+0302 -> U+0134 */ 114,
-	/* U+004B+0301 -> U+1E30 */ 1168,
+	/* U+004B+0301 -> U+1E30 */ 1202,
 	/* U+004B+030C -> U+01E8 */ 218,
-	/* U+004B+0323 -> U+1E32 */ 1170,
+	/* U+004B+0323 -> U+1E32 */ 1204,
 	/* U+004B+0327 -> U+0136 */ 116,
-	/* U+004B+0331 -> U+1E34 */ 1172,
+	/* U+004B+0331 -> U+1E34 */ 1206,
 	/* U+004C+0301 -> U+0139 */ 118,
 	/* U+004C+030C -> U+013D */ 122,
-	/* U+004C+0323 -> U+1E36 */ 1174,
+	/* U+004C+0323 -> U+1E36 */ 1208,
 	/* U+004C+0327 -> U+013B */ 120,
-	/* U+004C+032D -> U+1E3C */ 1180,
-	/* U+004C+0331 -> U+1E3A */ 1178,
-	/* U+004D+0301 -> U+1E3E */ 1182,
-	/* U+004D+0307 -> U+1E40 */ 1184,
-	/* U+004D+0323 -> U+1E42 */ 1186,
+	/* U+004C+032D -> U+1E3C */ 1214,
+	/* U+004C+0331 -> U+1E3A */ 1212,
+	/* U+004D+0301 -> U+1E3E */ 1216,
+	/* U+004D+0307 -> U+1E40 */ 1218,
+	/* U+004D+0323 -> U+1E42 */ 1220,
 	/* U+004E+0300 -> U+01F8 */ 232,
 	/* U+004E+0301 -> U+0143 */ 126,
 	/* U+004E+0303 -> U+00D1 */ 29,
-	/* U+004E+0307 -> U+1E44 */ 1188,
+	/* U+004E+0307 -> U+1E44 */ 1222,
 	/* U+004E+030C -> U+0147 */ 130,
-	/* U+004E+0323 -> U+1E46 */ 1190,
+	/* U+004E+0323 -> U+1E46 */ 1224,
 	/* U+004E+0327 -> U+0145 */ 128,
-	/* U+004E+032D -> U+1E4A */ 1194,
-	/* U+004E+0331 -> U+1E48 */ 1192,
+	/* U+004E+032D -> U+1E4A */ 1228,
+	/* U+004E+0331 -> U+1E48 */ 1226,
 	/* U+004F+0300 -> U+00D2 */ 30,
 	/* U+004F+0301 -> U+00D3 */ 31,
 	/* U+004F+0302 -> U+00D4 */ 32,
@@ -1834,38 +1858,38 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+004F+0306 -> U+014E */ 135,
 	/* U+004F+0307 -> U+022E */ 278,
 	/* U+004F+0308 -> U+00D6 */ 34,
-	/* U+004F+0309 -> U+1ECE */ 1322,
+	/* U+004F+0309 -> U+1ECE */ 1356,
 	/* U+004F+030B -> U+0150 */ 137,
 	/* U+004F+030C -> U+01D1 */ 198,
 	/* U+004F+030F -> U+020C */ 252,
 	/* U+004F+0311 -> U+020E */ 254,
 	/* U+004F+031B -> U+01A0 */ 181,
-	/* U+004F+0323 -> U+1ECC */ 1320,
+	/* U+004F+0323 -> U+1ECC */ 1354,
 	/* U+004F+0328 -> U+01EA */ 220,
-	/* U+0050+0301 -> U+1E54 */ 1204,
-	/* U+0050+0307 -> U+1E56 */ 1206,
+	/* U+0050+0301 -> U+1E54 */ 1238,
+	/* U+0050+0307 -> U+1E56 */ 1240,
 	/* U+0052+0301 -> U+0154 */ 139,
-	/* U+0052+0307 -> U+1E58 */ 1208,
+	/* U+0052+0307 -> U+1E58 */ 1242,
 	/* U+0052+030C -> U+0158 */ 143,
 	/* U+0052+030F -> U+0210 */ 256,
 	/* U+0052+0311 -> U+0212 */ 258,
-	/* U+0052+0323 -> U+1E5A */ 1210,
+	/* U+0052+0323 -> U+1E5A */ 1244,
 	/* U+0052+0327 -> U+0156 */ 141,
-	/* U+0052+0331 -> U+1E5E */ 1214,
+	/* U+0052+0331 -> U+1E5E */ 1248,
 	/* U+0053+0301 -> U+015A */ 145,
 	/* U+0053+0302 -> U+015C */ 147,
-	/* U+0053+0307 -> U+1E60 */ 1216,
+	/* U+0053+0307 -> U+1E60 */ 1250,
 	/* U+0053+030C -> U+0160 */ 151,
-	/* U+0053+0323 -> U+1E62 */ 1218,
+	/* U+0053+0323 -> U+1E62 */ 1252,
 	/* U+0053+0326 -> U+0218 */ 264,
 	/* U+0053+0327 -> U+015E */ 149,
-	/* U+0054+0307 -> U+1E6A */ 1226,
+	/* U+0054+0307 -> U+1E6A */ 1260,
 	/* U+0054+030C -> U+0164 */ 155,
-	/* U+0054+0323 -> U+1E6C */ 1228,
+	/* U+0054+0323 -> U+1E6C */ 1262,
 	/* U+0054+0326 -> U+021A */ 266,
 	/* U+0054+0327 -> U+0162 */ 153,
-	/* U+0054+032D -> U+1E70 */ 1232,
-	/* U+0054+0331 -> U+1E6E */ 1230,
+	/* U+0054+032D -> U+1E70 */ 1266,
+	/* U+0054+0331 -> U+1E6E */ 1264,
 	/* U+0055+0300 -> U+00D9 */ 35,
 	/* U+0055+0301 -> U+00DA */ 36,
 	/* U+0055+0302 -> U+00DB */ 37,
@@ -1873,43 +1897,43 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+0055+0304 -> U+016A */ 159,
 	/* U+0055+0306 -> U+016C */ 161,
 	/* U+0055+0308 -> U+00DC */ 38,
-	/* U+0055+0309 -> U+1EE6 */ 1346,
+	/* U+0055+0309 -> U+1EE6 */ 1380,
 	/* U+0055+030A -> U+016E */ 163,
 	/* U+0055+030B -> U+0170 */ 165,
 	/* U+0055+030C -> U+01D3 */ 200,
 	/* U+0055+030F -> U+0214 */ 260,
 	/* U+0055+0311 -> U+0216 */ 262,
 	/* U+0055+031B -> U+01AF */ 183,
-	/* U+0055+0323 -> U+1EE4 */ 1344,
-	/* U+0055+0324 -> U+1E72 */ 1234,
+	/* U+0055+0323 -> U+1EE4 */ 1378,
+	/* U+0055+0324 -> U+1E72 */ 1268,
 	/* U+0055+0328 -> U+0172 */ 167,
-	/* U+0055+032D -> U+1E76 */ 1238,
-	/* U+0055+0330 -> U+1E74 */ 1236,
-	/* U+0056+0303 -> U+1E7C */ 1244,
-	/* U+0056+0323 -> U+1E7E */ 1246,
-	/* U+0057+0300 -> U+1E80 */ 1248,
-	/* U+0057+0301 -> U+1E82 */ 1250,
+	/* U+0055+032D -> U+1E76 */ 1272,
+	/* U+0055+0330 -> U+1E74 */ 1270,
+	/* U+0056+0303 -> U+1E7C */ 1278,
+	/* U+0056+0323 -> U+1E7E */ 1280,
+	/* U+0057+0300 -> U+1E80 */ 1282,
+	/* U+0057+0301 -> U+1E82 */ 1284,
 	/* U+0057+0302 -> U+0174 */ 169,
-	/* U+0057+0307 -> U+1E86 */ 1254,
-	/* U+0057+0308 -> U+1E84 */ 1252,
-	/* U+0057+0323 -> U+1E88 */ 1256,
-	/* U+0058+0307 -> U+1E8A */ 1258,
-	/* U+0058+0308 -> U+1E8C */ 1260,
-	/* U+0059+0300 -> U+1EF2 */ 1358,
+	/* U+0057+0307 -> U+1E86 */ 1288,
+	/* U+0057+0308 -> U+1E84 */ 1286,
+	/* U+0057+0323 -> U+1E88 */ 1290,
+	/* U+0058+0307 -> U+1E8A */ 1292,
+	/* U+0058+0308 -> U+1E8C */ 1294,
+	/* U+0059+0300 -> U+1EF2 */ 1392,
 	/* U+0059+0301 -> U+00DD */ 39,
 	/* U+0059+0302 -> U+0176 */ 171,
-	/* U+0059+0303 -> U+1EF8 */ 1364,
+	/* U+0059+0303 -> U+1EF8 */ 1398,
 	/* U+0059+0304 -> U+0232 */ 282,
-	/* U+0059+0307 -> U+1E8E */ 1262,
+	/* U+0059+0307 -> U+1E8E */ 1296,
 	/* U+0059+0308 -> U+0178 */ 173,
-	/* U+0059+0309 -> U+1EF6 */ 1362,
-	/* U+0059+0323 -> U+1EF4 */ 1360,
+	/* U+0059+0309 -> U+1EF6 */ 1396,
+	/* U+0059+0323 -> U+1EF4 */ 1394,
 	/* U+005A+0301 -> U+0179 */ 174,
-	/* U+005A+0302 -> U+1E90 */ 1264,
+	/* U+005A+0302 -> U+1E90 */ 1298,
 	/* U+005A+0307 -> U+017B */ 176,
 	/* U+005A+030C -> U+017D */ 178,
-	/* U+005A+0323 -> U+1E92 */ 1266,
-	/* U+005A+0331 -> U+1E94 */ 1268,
+	/* U+005A+0323 -> U+1E92 */ 1300,
+	/* U+005A+0331 -> U+1E94 */ 1302,
 	/* U+0061+0300 -> U+00E0 */ 40,
 	/* U+0061+0301 -> U+00E1 */ 41,
 	/* U+0061+0302 -> U+00E2 */ 42,
@@ -1918,61 +1942,61 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+0061+0306 -> U+0103 */ 70,
 	/* U+0061+0307 -> U+0227 */ 271,
 	/* U+0061+0308 -> U+00E4 */ 44,
-	/* U+0061+0309 -> U+1EA3 */ 1279,
+	/* U+0061+0309 -> U+1EA3 */ 1313,
 	/* U+0061+030A -> U+00E5 */ 45,
 	/* U+0061+030C -> U+01CE */ 195,
 	/* U+0061+030F -> U+0201 */ 241,
 	/* U+0061+0311 -> U+0203 */ 243,
-	/* U+0061+0323 -> U+1EA1 */ 1277,
-	/* U+0061+0325 -> U+1E01 */ 1121,
+	/* U+0061+0323 -> U+1EA1 */ 1311,
+	/* U+0061+0325 -> U+1E01 */ 1155,
 	/* U+0061+0328 -> U+0105 */ 72,
-	/* U+0062+0307 -> U+1E03 */ 1123,
-	/* U+0062+0323 -> U+1E05 */ 1125,
-	/* U+0062+0331 -> U+1E07 */ 1127,
+	/* U+0062+0307 -> U+1E03 */ 1157,
+	/* U+0062+0323 -> U+1E05 */ 1159,
+	/* U+0062+0331 -> U+1E07 */ 1161,
 	/* U+0063+0301 -> U+0107 */ 74,
 	/* U+0063+0302 -> U+0109 */ 76,
 	/* U+0063+0307 -> U+010B */ 78,
 	/* U+0063+030C -> U+010D */ 80,
 	/* U+0063+0327 -> U+00E7 */ 46,
-	/* U+0064+0307 -> U+1E0B */ 1131,
+	/* U+0064+0307 -> U+1E0B */ 1165,
 	/* U+0064+030C -> U+010F */ 82,
-	/* U+0064+0323 -> U+1E0D */ 1133,
-	/* U+0064+0327 -> U+1E11 */ 1137,
-	/* U+0064+032D -> U+1E13 */ 1139,
-	/* U+0064+0331 -> U+1E0F */ 1135,
+	/* U+0064+0323 -> U+1E0D */ 1167,
+	/* U+0064+0327 -> U+1E11 */ 1171,
+	/* U+0064+032D -> U+1E13 */ 1173,
+	/* U+0064+0331 -> U+1E0F */ 1169,
 	/* U+0065+0300 -> U+00E8 */ 47,
 	/* U+0065+0301 -> U+00E9 */ 48,
 	/* U+0065+0302 -> U+00EA */ 49,
-	/* U+0065+0303 -> U+1EBD */ 1305,
+	/* U+0065+0303 -> U+1EBD */ 1339,
 	/* U+0065+0304 -> U+0113 */ 84,
 	/* U+0065+0306 -> U+0115 */ 86,
 	/* U+0065+0307 -> U+0117 */ 88,
 	/* U+0065+0308 -> U+00EB */ 50,
-	/* U+0065+0309 -> U+1EBB */ 1303,
+	/* U+0065+0309 -> U+1EBB */ 1337,
 	/* U+0065+030C -> U+011B */ 92,
 	/* U+0065+030F -> U+0205 */ 245,
 	/* U+0065+0311 -> U+0207 */ 247,
-	/* U+0065+0323 -> U+1EB9 */ 1301,
+	/* U+0065+0323 -> U+1EB9 */ 1335,
 	/* U+0065+0327 -> U+0229 */ 273,
 	/* U+0065+0328 -> U+0119 */ 90,
-	/* U+0065+032D -> U+1E19 */ 1145,
-	/* U+0065+0330 -> U+1E1B */ 1147,
-	/* U+0066+0307 -> U+1E1F */ 1151,
+	/* U+0065+032D -> U+1E19 */ 1179,
+	/* U+0065+0330 -> U+1E1B */ 1181,
+	/* U+0066+0307 -> U+1E1F */ 1185,
 	/* U+0067+0301 -> U+01F5 */ 231,
 	/* U+0067+0302 -> U+011D */ 94,
-	/* U+0067+0304 -> U+1E21 */ 1153,
+	/* U+0067+0304 -> U+1E21 */ 1187,
 	/* U+0067+0306 -> U+011F */ 96,
 	/* U+0067+0307 -> U+0121 */ 98,
 	/* U+0067+030C -> U+01E7 */ 217,
 	/* U+0067+0327 -> U+0123 */ 100,
 	/* U+0068+0302 -> U+0125 */ 102,
-	/* U+0068+0307 -> U+1E23 */ 1155,
-	/* U+0068+0308 -> U+1E27 */ 1159,
+	/* U+0068+0307 -> U+1E23 */ 1189,
+	/* U+0068+0308 -> U+1E27 */ 1193,
 	/* U+0068+030C -> U+021F */ 269,
-	/* U+0068+0323 -> U+1E25 */ 1157,
-	/* U+0068+0327 -> U+1E29 */ 1161,
-	/* U+0068+032E -> U+1E2B */ 1163,
-	/* U+0068+0331 -> U+1E96 */ 1270,
+	/* U+0068+0323 -> U+1E25 */ 1191,
+	/* U+0068+0327 -> U+1E29 */ 1195,
+	/* U+0068+032E -> U+1E2B */ 1197,
+	/* U+0068+0331 -> U+1E96 */ 1304,
 	/* U+0069+0300 -> U+00EC */ 51,
 	/* U+0069+0301 -> U+00ED */ 52,
 	/* U+0069+0302 -> U+00EE */ 53,
@@ -1980,38 +2004,38 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+0069+0304 -> U+012B */ 106,
 	/* U+0069+0306 -> U+012D */ 108,
 	/* U+0069+0308 -> U+00EF */ 54,
-	/* U+0069+0309 -> U+1EC9 */ 1317,
+	/* U+0069+0309 -> U+1EC9 */ 1351,
 	/* U+0069+030C -> U+01D0 */ 197,
 	/* U+0069+030F -> U+0209 */ 249,
 	/* U+0069+0311 -> U+020B */ 251,
-	/* U+0069+0323 -> U+1ECB */ 1319,
+	/* U+0069+0323 -> U+1ECB */ 1353,
 	/* U+0069+0328 -> U+012F */ 110,
-	/* U+0069+0330 -> U+1E2D */ 1165,
+	/* U+0069+0330 -> U+1E2D */ 1199,
 	/* U+006A+0302 -> U+0135 */ 115,
 	/* U+006A+030C -> U+01F0 */ 226,
-	/* U+006B+0301 -> U+1E31 */ 1169,
+	/* U+006B+0301 -> U+1E31 */ 1203,
 	/* U+006B+030C -> U+01E9 */ 219,
-	/* U+006B+0323 -> U+1E33 */ 1171,
+	/* U+006B+0323 -> U+1E33 */ 1205,
 	/* U+006B+0327 -> U+0137 */ 117,
-	/* U+006B+0331 -> U+1E35 */ 1173,
+	/* U+006B+0331 -> U+1E35 */ 1207,
 	/* U+006C+0301 -> U+013A */ 119,
 	/* U+006C+030C -> U+013E */ 123,
-	/* U+006C+0323 -> U+1E37 */ 1175,
+	/* U+006C+0323 -> U+1E37 */ 1209,
 	/* U+006C+0327 -> U+013C */ 121,
-	/* U+006C+032D -> U+1E3D */ 1181,
-	/* U+006C+0331 -> U+1E3B */ 1179,
-	/* U+006D+0301 -> U+1E3F */ 1183,
-	/* U+006D+0307 -> U+1E41 */ 1185,
-	/* U+006D+0323 -> U+1E43 */ 1187,
+	/* U+006C+032D -> U+1E3D */ 1215,
+	/* U+006C+0331 -> U+1E3B */ 1213,
+	/* U+006D+0301 -> U+1E3F */ 1217,
+	/* U+006D+0307 -> U+1E41 */ 1219,
+	/* U+006D+0323 -> U+1E43 */ 1221,
 	/* U+006E+0300 -> U+01F9 */ 233,
 	/* U+006E+0301 -> U+0144 */ 127,
 	/* U+006E+0303 -> U+00F1 */ 55,
-	/* U+006E+0307 -> U+1E45 */ 1189,
+	/* U+006E+0307 -> U+1E45 */ 1223,
 	/* U+006E+030C -> U+0148 */ 131,
-	/* U+006E+0323 -> U+1E47 */ 1191,
+	/* U+006E+0323 -> U+1E47 */ 1225,
 	/* U+006E+0327 -> U+0146 */ 129,
-	/* U+006E+032D -> U+1E4B */ 1195,
-	/* U+006E+0331 -> U+1E49 */ 1193,
+	/* U+006E+032D -> U+1E4B */ 1229,
+	/* U+006E+0331 -> U+1E49 */ 1227,
 	/* U+006F+0300 -> U+00F2 */ 56,
 	/* U+006F+0301 -> U+00F3 */ 57,
 	/* U+006F+0302 -> U+00F4 */ 58,
@@ -2020,39 +2044,39 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+006F+0306 -> U+014F */ 136,
 	/* U+006F+0307 -> U+022F */ 279,
 	/* U+006F+0308 -> U+00F6 */ 60,
-	/* U+006F+0309 -> U+1ECF */ 1323,
+	/* U+006F+0309 -> U+1ECF */ 1357,
 	/* U+006F+030B -> U+0151 */ 138,
 	/* U+006F+030C -> U+01D2 */ 199,
 	/* U+006F+030F -> U+020D */ 253,
 	/* U+006F+0311 -> U+020F */ 255,
 	/* U+006F+031B -> U+01A1 */ 182,
-	/* U+006F+0323 -> U+1ECD */ 1321,
+	/* U+006F+0323 -> U+1ECD */ 1355,
 	/* U+006F+0328 -> U+01EB */ 221,
-	/* U+0070+0301 -> U+1E55 */ 1205,
-	/* U+0070+0307 -> U+1E57 */ 1207,
+	/* U+0070+0301 -> U+1E55 */ 1239,
+	/* U+0070+0307 -> U+1E57 */ 1241,
 	/* U+0072+0301 -> U+0155 */ 140,
-	/* U+0072+0307 -> U+1E59 */ 1209,
+	/* U+0072+0307 -> U+1E59 */ 1243,
 	/* U+0072+030C -> U+0159 */ 144,
 	/* U+0072+030F -> U+0211 */ 257,
 	/* U+0072+0311 -> U+0213 */ 259,
-	/* U+0072+0323 -> U+1E5B */ 1211,
+	/* U+0072+0323 -> U+1E5B */ 1245,
 	/* U+0072+0327 -> U+0157 */ 142,
-	/* U+0072+0331 -> U+1E5F */ 1215,
+	/* U+0072+0331 -> U+1E5F */ 1249,
 	/* U+0073+0301 -> U+015B */ 146,
 	/* U+0073+0302 -> U+015D */ 148,
-	/* U+0073+0307 -> U+1E61 */ 1217,
+	/* U+0073+0307 -> U+1E61 */ 1251,
 	/* U+0073+030C -> U+0161 */ 152,
-	/* U+0073+0323 -> U+1E63 */ 1219,
+	/* U+0073+0323 -> U+1E63 */ 1253,
 	/* U+0073+0326 -> U+0219 */ 265,
 	/* U+0073+0327 -> U+015F */ 150,
-	/* U+0074+0307 -> U+1E6B */ 1227,
-	/* U+0074+0308 -> U+1E97 */ 1271,
+	/* U+0074+0307 -> U+1E6B */ 1261,
+	/* U+0074+0308 -> U+1E97 */ 1305,
 	/* U+0074+030C -> U+0165 */ 156,
-	/* U+0074+0323 -> U+1E6D */ 1229,
+	/* U+0074+0323 -> U+1E6D */ 1263,
 	/* U+0074+0326 -> U+021B */ 267,
 	/* U+0074+0327 -> U+0163 */ 154,
-	/* U+0074+032D -> U+1E71 */ 1233,
-	/* U+0074+0331 -> U+1E6F */ 1231,
+	/* U+0074+032D -> U+1E71 */ 1267,
+	/* U+0074+0331 -> U+1E6F */ 1265,
 	/* U+0075+0300 -> U+00F9 */ 61,
 	/* U+0075+0301 -> U+00FA */ 62,
 	/* U+0075+0302 -> U+00FB */ 63,
@@ -2060,251 +2084,251 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+0075+0304 -> U+016B */ 160,
 	/* U+0075+0306 -> U+016D */ 162,
 	/* U+0075+0308 -> U+00FC */ 64,
-	/* U+0075+0309 -> U+1EE7 */ 1347,
+	/* U+0075+0309 -> U+1EE7 */ 1381,
 	/* U+0075+030A -> U+016F */ 164,
 	/* U+0075+030B -> U+0171 */ 166,
 	/* U+0075+030C -> U+01D4 */ 201,
 	/* U+0075+030F -> U+0215 */ 261,
 	/* U+0075+0311 -> U+0217 */ 263,
 	/* U+0075+031B -> U+01B0 */ 184,
-	/* U+0075+0323 -> U+1EE5 */ 1345,
-	/* U+0075+0324 -> U+1E73 */ 1235,
+	/* U+0075+0323 -> U+1EE5 */ 1379,
+	/* U+0075+0324 -> U+1E73 */ 1269,
 	/* U+0075+0328 -> U+0173 */ 168,
-	/* U+0075+032D -> U+1E77 */ 1239,
-	/* U+0075+0330 -> U+1E75 */ 1237,
-	/* U+0076+0303 -> U+1E7D */ 1245,
-	/* U+0076+0323 -> U+1E7F */ 1247,
-	/* U+0077+0300 -> U+1E81 */ 1249,
-	/* U+0077+0301 -> U+1E83 */ 1251,
+	/* U+0075+032D -> U+1E77 */ 1273,
+	/* U+0075+0330 -> U+1E75 */ 1271,
+	/* U+0076+0303 -> U+1E7D */ 1279,
+	/* U+0076+0323 -> U+1E7F */ 1281,
+	/* U+0077+0300 -> U+1E81 */ 1283,
+	/* U+0077+0301 -> U+1E83 */ 1285,
 	/* U+0077+0302 -> U+0175 */ 170,
-	/* U+0077+0307 -> U+1E87 */ 1255,
-	/* U+0077+0308 -> U+1E85 */ 1253,
-	/* U+0077+030A -> U+1E98 */ 1272,
-	/* U+0077+0323 -> U+1E89 */ 1257,
-	/* U+0078+0307 -> U+1E8B */ 1259,
-	/* U+0078+0308 -> U+1E8D */ 1261,
-	/* U+0079+0300 -> U+1EF3 */ 1359,
+	/* U+0077+0307 -> U+1E87 */ 1289,
+	/* U+0077+0308 -> U+1E85 */ 1287,
+	/* U+0077+030A -> U+1E98 */ 1306,
+	/* U+0077+0323 -> U+1E89 */ 1291,
+	/* U+0078+0307 -> U+1E8B */ 1293,
+	/* U+0078+0308 -> U+1E8D */ 1295,
+	/* U+0079+0300 -> U+1EF3 */ 1393,
 	/* U+0079+0301 -> U+00FD */ 65,
 	/* U+0079+0302 -> U+0177 */ 172,
-	/* U+0079+0303 -> U+1EF9 */ 1365,
+	/* U+0079+0303 -> U+1EF9 */ 1399,
 	/* U+0079+0304 -> U+0233 */ 283,
-	/* U+0079+0307 -> U+1E8F */ 1263,
+	/* U+0079+0307 -> U+1E8F */ 1297,
 	/* U+0079+0308 -> U+00FF */ 66,
-	/* U+0079+0309 -> U+1EF7 */ 1363,
-	/* U+0079+030A -> U+1E99 */ 1273,
-	/* U+0079+0323 -> U+1EF5 */ 1361,
+	/* U+0079+0309 -> U+1EF7 */ 1397,
+	/* U+0079+030A -> U+1E99 */ 1307,
+	/* U+0079+0323 -> U+1EF5 */ 1395,
 	/* U+007A+0301 -> U+017A */ 175,
-	/* U+007A+0302 -> U+1E91 */ 1265,
+	/* U+007A+0302 -> U+1E91 */ 1299,
 	/* U+007A+0307 -> U+017C */ 177,
 	/* U+007A+030C -> U+017E */ 179,
-	/* U+007A+0323 -> U+1E93 */ 1267,
-	/* U+007A+0331 -> U+1E95 */ 1269,
-	/* U+00A8+0300 -> U+1FED */ 1584,
+	/* U+007A+0323 -> U+1E93 */ 1301,
+	/* U+007A+0331 -> U+1E95 */ 1303,
+	/* U+00A8+0300 -> U+1FED */ 1618,
 	/* U+00A8+0301 -> U+0385 */ 419,
-	/* U+00A8+0342 -> U+1FC1 */ 1544,
-	/* U+00C2+0300 -> U+1EA6 */ 1282,
-	/* U+00C2+0301 -> U+1EA4 */ 1280,
-	/* U+00C2+0303 -> U+1EAA */ 1286,
-	/* U+00C2+0309 -> U+1EA8 */ 1284,
+	/* U+00A8+0342 -> U+1FC1 */ 1578,
+	/* U+00C2+0300 -> U+1EA6 */ 1316,
+	/* U+00C2+0301 -> U+1EA4 */ 1314,
+	/* U+00C2+0303 -> U+1EAA */ 1320,
+	/* U+00C2+0309 -> U+1EA8 */ 1318,
 	/* U+00C4+0304 -> U+01DE */ 210,
 	/* U+00C5+0301 -> U+01FA */ 234,
 	/* U+00C6+0301 -> U+01FC */ 236,
 	/* U+00C6+0304 -> U+01E2 */ 214,
-	/* U+00C7+0301 -> U+1E08 */ 1128,
-	/* U+00CA+0300 -> U+1EC0 */ 1308,
-	/* U+00CA+0301 -> U+1EBE */ 1306,
-	/* U+00CA+0303 -> U+1EC4 */ 1312,
-	/* U+00CA+0309 -> U+1EC2 */ 1310,
-	/* U+00CF+0301 -> U+1E2E */ 1166,
-	/* U+00D4+0300 -> U+1ED2 */ 1326,
-	/* U+00D4+0301 -> U+1ED0 */ 1324,
-	/* U+00D4+0303 -> U+1ED6 */ 1330,
-	/* U+00D4+0309 -> U+1ED4 */ 1328,
-	/* U+00D5+0301 -> U+1E4C */ 1196,
+	/* U+00C7+0301 -> U+1E08 */ 1162,
+	/* U+00CA+0300 -> U+1EC0 */ 1342,
+	/* U+00CA+0301 -> U+1EBE */ 1340,
+	/* U+00CA+0303 -> U+1EC4 */ 1346,
+	/* U+00CA+0309 -> U+1EC2 */ 1344,
+	/* U+00CF+0301 -> U+1E2E */ 1200,
+	/* U+00D4+0300 -> U+1ED2 */ 1360,
+	/* U+00D4+0301 -> U+1ED0 */ 1358,
+	/* U+00D4+0303 -> U+1ED6 */ 1364,
+	/* U+00D4+0309 -> U+1ED4 */ 1362,
+	/* U+00D5+0301 -> U+1E4C */ 1230,
 	/* U+00D5+0304 -> U+022C */ 276,
-	/* U+00D5+0308 -> U+1E4E */ 1198,
+	/* U+00D5+0308 -> U+1E4E */ 1232,
 	/* U+00D6+0304 -> U+022A */ 274,
 	/* U+00D8+0301 -> U+01FE */ 238,
 	/* U+00DC+0300 -> U+01DB */ 208,
 	/* U+00DC+0301 -> U+01D7 */ 204,
 	/* U+00DC+0304 -> U+01D5 */ 202,
 	/* U+00DC+030C -> U+01D9 */ 206,
-	/* U+00E2+0300 -> U+1EA7 */ 1283,
-	/* U+00E2+0301 -> U+1EA5 */ 1281,
-	/* U+00E2+0303 -> U+1EAB */ 1287,
-	/* U+00E2+0309 -> U+1EA9 */ 1285,
+	/* U+00E2+0300 -> U+1EA7 */ 1317,
+	/* U+00E2+0301 -> U+1EA5 */ 1315,
+	/* U+00E2+0303 -> U+1EAB */ 1321,
+	/* U+00E2+0309 -> U+1EA9 */ 1319,
 	/* U+00E4+0304 -> U+01DF */ 211,
 	/* U+00E5+0301 -> U+01FB */ 235,
 	/* U+00E6+0301 -> U+01FD */ 237,
 	/* U+00E6+0304 -> U+01E3 */ 215,
-	/* U+00E7+0301 -> U+1E09 */ 1129,
-	/* U+00EA+0300 -> U+1EC1 */ 1309,
-	/* U+00EA+0301 -> U+1EBF */ 1307,
-	/* U+00EA+0303 -> U+1EC5 */ 1313,
-	/* U+00EA+0309 -> U+1EC3 */ 1311,
-	/* U+00EF+0301 -> U+1E2F */ 1167,
-	/* U+00F4+0300 -> U+1ED3 */ 1327,
-	/* U+00F4+0301 -> U+1ED1 */ 1325,
-	/* U+00F4+0303 -> U+1ED7 */ 1331,
-	/* U+00F4+0309 -> U+1ED5 */ 1329,
-	/* U+00F5+0301 -> U+1E4D */ 1197,
+	/* U+00E7+0301 -> U+1E09 */ 1163,
+	/* U+00EA+0300 -> U+1EC1 */ 1343,
+	/* U+00EA+0301 -> U+1EBF */ 1341,
+	/* U+00EA+0303 -> U+1EC5 */ 1347,
+	/* U+00EA+0309 -> U+1EC3 */ 1345,
+	/* U+00EF+0301 -> U+1E2F */ 1201,
+	/* U+00F4+0300 -> U+1ED3 */ 1361,
+	/* U+00F4+0301 -> U+1ED1 */ 1359,
+	/* U+00F4+0303 -> U+1ED7 */ 1365,
+	/* U+00F4+0309 -> U+1ED5 */ 1363,
+	/* U+00F5+0301 -> U+1E4D */ 1231,
 	/* U+00F5+0304 -> U+022D */ 277,
-	/* U+00F5+0308 -> U+1E4F */ 1199,
+	/* U+00F5+0308 -> U+1E4F */ 1233,
 	/* U+00F6+0304 -> U+022B */ 275,
 	/* U+00F8+0301 -> U+01FF */ 239,
 	/* U+00FC+0300 -> U+01DC */ 209,
 	/* U+00FC+0301 -> U+01D8 */ 205,
 	/* U+00FC+0304 -> U+01D6 */ 203,
 	/* U+00FC+030C -> U+01DA */ 207,
-	/* U+0102+0300 -> U+1EB0 */ 1292,
-	/* U+0102+0301 -> U+1EAE */ 1290,
-	/* U+0102+0303 -> U+1EB4 */ 1296,
-	/* U+0102+0309 -> U+1EB2 */ 1294,
-	/* U+0103+0300 -> U+1EB1 */ 1293,
-	/* U+0103+0301 -> U+1EAF */ 1291,
-	/* U+0103+0303 -> U+1EB5 */ 1297,
-	/* U+0103+0309 -> U+1EB3 */ 1295,
-	/* U+0112+0300 -> U+1E14 */ 1140,
-	/* U+0112+0301 -> U+1E16 */ 1142,
-	/* U+0113+0300 -> U+1E15 */ 1141,
-	/* U+0113+0301 -> U+1E17 */ 1143,
-	/* U+014C+0300 -> U+1E50 */ 1200,
-	/* U+014C+0301 -> U+1E52 */ 1202,
-	/* U+014D+0300 -> U+1E51 */ 1201,
-	/* U+014D+0301 -> U+1E53 */ 1203,
-	/* U+015A+0307 -> U+1E64 */ 1220,
-	/* U+015B+0307 -> U+1E65 */ 1221,
-	/* U+0160+0307 -> U+1E66 */ 1222,
-	/* U+0161+0307 -> U+1E67 */ 1223,
-	/* U+0168+0301 -> U+1E78 */ 1240,
-	/* U+0169+0301 -> U+1E79 */ 1241,
-	/* U+016A+0308 -> U+1E7A */ 1242,
-	/* U+016B+0308 -> U+1E7B */ 1243,
-	/* U+017F+0307 -> U+1E9B */ 1275,
-	/* U+01A0+0300 -> U+1EDC */ 1336,
-	/* U+01A0+0301 -> U+1EDA */ 1334,
-	/* U+01A0+0303 -> U+1EE0 */ 1340,
-	/* U+01A0+0309 -> U+1EDE */ 1338,
-	/* U+01A0+0323 -> U+1EE2 */ 1342,
-	/* U+01A1+0300 -> U+1EDD */ 1337,
-	/* U+01A1+0301 -> U+1EDB */ 1335,
-	/* U+01A1+0303 -> U+1EE1 */ 1341,
-	/* U+01A1+0309 -> U+1EDF */ 1339,
-	/* U+01A1+0323 -> U+1EE3 */ 1343,
-	/* U+01AF+0300 -> U+1EEA */ 1350,
-	/* U+01AF+0301 -> U+1EE8 */ 1348,
-	/* U+01AF+0303 -> U+1EEE */ 1354,
-	/* U+01AF+0309 -> U+1EEC */ 1352,
-	/* U+01AF+0323 -> U+1EF0 */ 1356,
-	/* U+01B0+0300 -> U+1EEB */ 1351,
-	/* U+01B0+0301 -> U+1EE9 */ 1349,
-	/* U+01B0+0303 -> U+1EEF */ 1355,
-	/* U+01B0+0309 -> U+1EED */ 1353,
-	/* U+01B0+0323 -> U+1EF1 */ 1357,
+	/* U+0102+0300 -> U+1EB0 */ 1326,
+	/* U+0102+0301 -> U+1EAE */ 1324,
+	/* U+0102+0303 -> U+1EB4 */ 1330,
+	/* U+0102+0309 -> U+1EB2 */ 1328,
+	/* U+0103+0300 -> U+1EB1 */ 1327,
+	/* U+0103+0301 -> U+1EAF */ 1325,
+	/* U+0103+0303 -> U+1EB5 */ 1331,
+	/* U+0103+0309 -> U+1EB3 */ 1329,
+	/* U+0112+0300 -> U+1E14 */ 1174,
+	/* U+0112+0301 -> U+1E16 */ 1176,
+	/* U+0113+0300 -> U+1E15 */ 1175,
+	/* U+0113+0301 -> U+1E17 */ 1177,
+	/* U+014C+0300 -> U+1E50 */ 1234,
+	/* U+014C+0301 -> U+1E52 */ 1236,
+	/* U+014D+0300 -> U+1E51 */ 1235,
+	/* U+014D+0301 -> U+1E53 */ 1237,
+	/* U+015A+0307 -> U+1E64 */ 1254,
+	/* U+015B+0307 -> U+1E65 */ 1255,
+	/* U+0160+0307 -> U+1E66 */ 1256,
+	/* U+0161+0307 -> U+1E67 */ 1257,
+	/* U+0168+0301 -> U+1E78 */ 1274,
+	/* U+0169+0301 -> U+1E79 */ 1275,
+	/* U+016A+0308 -> U+1E7A */ 1276,
+	/* U+016B+0308 -> U+1E7B */ 1277,
+	/* U+017F+0307 -> U+1E9B */ 1309,
+	/* U+01A0+0300 -> U+1EDC */ 1370,
+	/* U+01A0+0301 -> U+1EDA */ 1368,
+	/* U+01A0+0303 -> U+1EE0 */ 1374,
+	/* U+01A0+0309 -> U+1EDE */ 1372,
+	/* U+01A0+0323 -> U+1EE2 */ 1376,
+	/* U+01A1+0300 -> U+1EDD */ 1371,
+	/* U+01A1+0301 -> U+1EDB */ 1369,
+	/* U+01A1+0303 -> U+1EE1 */ 1375,
+	/* U+01A1+0309 -> U+1EDF */ 1373,
+	/* U+01A1+0323 -> U+1EE3 */ 1377,
+	/* U+01AF+0300 -> U+1EEA */ 1384,
+	/* U+01AF+0301 -> U+1EE8 */ 1382,
+	/* U+01AF+0303 -> U+1EEE */ 1388,
+	/* U+01AF+0309 -> U+1EEC */ 1386,
+	/* U+01AF+0323 -> U+1EF0 */ 1390,
+	/* U+01B0+0300 -> U+1EEB */ 1385,
+	/* U+01B0+0301 -> U+1EE9 */ 1383,
+	/* U+01B0+0303 -> U+1EEF */ 1389,
+	/* U+01B0+0309 -> U+1EED */ 1387,
+	/* U+01B0+0323 -> U+1EF1 */ 1391,
 	/* U+01B7+030C -> U+01EE */ 224,
 	/* U+01EA+0304 -> U+01EC */ 222,
 	/* U+01EB+0304 -> U+01ED */ 223,
 	/* U+0226+0304 -> U+01E0 */ 212,
 	/* U+0227+0304 -> U+01E1 */ 213,
-	/* U+0228+0306 -> U+1E1C */ 1148,
-	/* U+0229+0306 -> U+1E1D */ 1149,
+	/* U+0228+0306 -> U+1E1C */ 1182,
+	/* U+0229+0306 -> U+1E1D */ 1183,
 	/* U+022E+0304 -> U+0230 */ 280,
 	/* U+022F+0304 -> U+0231 */ 281,
 	/* U+0292+030C -> U+01EF */ 225,
-	/* U+0391+0300 -> U+1FBA */ 1537,
+	/* U+0391+0300 -> U+1FBA */ 1571,
 	/* U+0391+0301 -> U+0386 */ 420,
-	/* U+0391+0304 -> U+1FB9 */ 1536,
-	/* U+0391+0306 -> U+1FB8 */ 1535,
-	/* U+0391+0313 -> U+1F08 */ 1374,
-	/* U+0391+0314 -> U+1F09 */ 1375,
-	/* U+0391+0345 -> U+1FBC */ 1539,
-	/* U+0395+0300 -> U+1FC8 */ 1550,
+	/* U+0391+0304 -> U+1FB9 */ 1570,
+	/* U+0391+0306 -> U+1FB8 */ 1569,
+	/* U+0391+0313 -> U+1F08 */ 1408,
+	/* U+0391+0314 -> U+1F09 */ 1409,
+	/* U+0391+0345 -> U+1FBC */ 1573,
+	/* U+0395+0300 -> U+1FC8 */ 1584,
 	/* U+0395+0301 -> U+0388 */ 422,
-	/* U+0395+0313 -> U+1F18 */ 1388,
-	/* U+0395+0314 -> U+1F19 */ 1389,
-	/* U+0397+0300 -> U+1FCA */ 1552,
+	/* U+0395+0313 -> U+1F18 */ 1422,
+	/* U+0395+0314 -> U+1F19 */ 1423,
+	/* U+0397+0300 -> U+1FCA */ 1586,
 	/* U+0397+0301 -> U+0389 */ 423,
-	/* U+0397+0313 -> U+1F28 */ 1402,
-	/* U+0397+0314 -> U+1F29 */ 1403,
-	/* U+0397+0345 -> U+1FCC */ 1554,
-	/* U+0399+0300 -> U+1FDA */ 1566,
+	/* U+0397+0313 -> U+1F28 */ 1436,
+	/* U+0397+0314 -> U+1F29 */ 1437,
+	/* U+0397+0345 -> U+1FCC */ 1588,
+	/* U+0399+0300 -> U+1FDA */ 1600,
 	/* U+0399+0301 -> U+038A */ 424,
-	/* U+0399+0304 -> U+1FD9 */ 1565,
-	/* U+0399+0306 -> U+1FD8 */ 1564,
+	/* U+0399+0304 -> U+1FD9 */ 1599,
+	/* U+0399+0306 -> U+1FD8 */ 1598,
 	/* U+0399+0308 -> U+03AA */ 429,
-	/* U+0399+0313 -> U+1F38 */ 1418,
-	/* U+0399+0314 -> U+1F39 */ 1419,
-	/* U+039F+0300 -> U+1FF8 */ 1592,
+	/* U+0399+0313 -> U+1F38 */ 1452,
+	/* U+0399+0314 -> U+1F39 */ 1453,
+	/* U+039F+0300 -> U+1FF8 */ 1626,
 	/* U+039F+0301 -> U+038C */ 425,
-	/* U+039F+0313 -> U+1F48 */ 1432,
-	/* U+039F+0314 -> U+1F49 */ 1433,
-	/* U+03A1+0314 -> U+1FEC */ 1583,
-	/* U+03A5+0300 -> U+1FEA */ 1581,
+	/* U+039F+0313 -> U+1F48 */ 1466,
+	/* U+039F+0314 -> U+1F49 */ 1467,
+	/* U+03A1+0314 -> U+1FEC */ 1617,
+	/* U+03A5+0300 -> U+1FEA */ 1615,
 	/* U+03A5+0301 -> U+038E */ 426,
-	/* U+03A5+0304 -> U+1FE9 */ 1580,
-	/* U+03A5+0306 -> U+1FE8 */ 1579,
+	/* U+03A5+0304 -> U+1FE9 */ 1614,
+	/* U+03A5+0306 -> U+1FE8 */ 1613,
 	/* U+03A5+0308 -> U+03AB */ 430,
-	/* U+03A5+0314 -> U+1F59 */ 1446,
-	/* U+03A9+0300 -> U+1FFA */ 1594,
+	/* U+03A5+0314 -> U+1F59 */ 1480,
+	/* U+03A9+0300 -> U+1FFA */ 1628,
 	/* U+03A9+0301 -> U+038F */ 427,
-	/* U+03A9+0313 -> U+1F68 */ 1458,
-	/* U+03A9+0314 -> U+1F69 */ 1459,
-	/* U+03A9+0345 -> U+1FFC */ 1596,
-	/* U+03AC+0345 -> U+1FB4 */ 1532,
-	/* U+03AE+0345 -> U+1FC4 */ 1547,
-	/* U+03B1+0300 -> U+1F70 */ 1466,
+	/* U+03A9+0313 -> U+1F68 */ 1492,
+	/* U+03A9+0314 -> U+1F69 */ 1493,
+	/* U+03A9+0345 -> U+1FFC */ 1630,
+	/* U+03AC+0345 -> U+1FB4 */ 1566,
+	/* U+03AE+0345 -> U+1FC4 */ 1581,
+	/* U+03B1+0300 -> U+1F70 */ 1500,
 	/* U+03B1+0301 -> U+03AC */ 431,
-	/* U+03B1+0304 -> U+1FB1 */ 1529,
-	/* U+03B1+0306 -> U+1FB0 */ 1528,
-	/* U+03B1+0313 -> U+1F00 */ 1366,
-	/* U+03B1+0314 -> U+1F01 */ 1367,
-	/* U+03B1+0342 -> U+1FB6 */ 1533,
-	/* U+03B1+0345 -> U+1FB3 */ 1531,
-	/* U+03B5+0300 -> U+1F72 */ 1468,
+	/* U+03B1+0304 -> U+1FB1 */ 1563,
+	/* U+03B1+0306 -> U+1FB0 */ 1562,
+	/* U+03B1+0313 -> U+1F00 */ 1400,
+	/* U+03B1+0314 -> U+1F01 */ 1401,
+	/* U+03B1+0342 -> U+1FB6 */ 1567,
+	/* U+03B1+0345 -> U+1FB3 */ 1565,
+	/* U+03B5+0300 -> U+1F72 */ 1502,
 	/* U+03B5+0301 -> U+03AD */ 432,
-	/* U+03B5+0313 -> U+1F10 */ 1382,
-	/* U+03B5+0314 -> U+1F11 */ 1383,
-	/* U+03B7+0300 -> U+1F74 */ 1470,
+	/* U+03B5+0313 -> U+1F10 */ 1416,
+	/* U+03B5+0314 -> U+1F11 */ 1417,
+	/* U+03B7+0300 -> U+1F74 */ 1504,
 	/* U+03B7+0301 -> U+03AE */ 433,
-	/* U+03B7+0313 -> U+1F20 */ 1394,
-	/* U+03B7+0314 -> U+1F21 */ 1395,
-	/* U+03B7+0342 -> U+1FC6 */ 1548,
-	/* U+03B7+0345 -> U+1FC3 */ 1546,
-	/* U+03B9+0300 -> U+1F76 */ 1472,
+	/* U+03B7+0313 -> U+1F20 */ 1428,
+	/* U+03B7+0314 -> U+1F21 */ 1429,
+	/* U+03B7+0342 -> U+1FC6 */ 1582,
+	/* U+03B7+0345 -> U+1FC3 */ 1580,
+	/* U+03B9+0300 -> U+1F76 */ 1506,
 	/* U+03B9+0301 -> U+03AF */ 434,
-	/* U+03B9+0304 -> U+1FD1 */ 1559,
-	/* U+03B9+0306 -> U+1FD0 */ 1558,
+	/* U+03B9+0304 -> U+1FD1 */ 1593,
+	/* U+03B9+0306 -> U+1FD0 */ 1592,
 	/* U+03B9+0308 -> U+03CA */ 436,
-	/* U+03B9+0313 -> U+1F30 */ 1410,
-	/* U+03B9+0314 -> U+1F31 */ 1411,
-	/* U+03B9+0342 -> U+1FD6 */ 1562,
-	/* U+03BF+0300 -> U+1F78 */ 1474,
+	/* U+03B9+0313 -> U+1F30 */ 1444,
+	/* U+03B9+0314 -> U+1F31 */ 1445,
+	/* U+03B9+0342 -> U+1FD6 */ 1596,
+	/* U+03BF+0300 -> U+1F78 */ 1508,
 	/* U+03BF+0301 -> U+03CC */ 438,
-	/* U+03BF+0313 -> U+1F40 */ 1426,
-	/* U+03BF+0314 -> U+1F41 */ 1427,
-	/* U+03C1+0313 -> U+1FE4 */ 1575,
-	/* U+03C1+0314 -> U+1FE5 */ 1576,
-	/* U+03C5+0300 -> U+1F7A */ 1476,
+	/* U+03BF+0313 -> U+1F40 */ 1460,
+	/* U+03BF+0314 -> U+1F41 */ 1461,
+	/* U+03C1+0313 -> U+1FE4 */ 1609,
+	/* U+03C1+0314 -> U+1FE5 */ 1610,
+	/* U+03C5+0300 -> U+1F7A */ 1510,
 	/* U+03C5+0301 -> U+03CD */ 439,
-	/* U+03C5+0304 -> U+1FE1 */ 1572,
-	/* U+03C5+0306 -> U+1FE0 */ 1571,
+	/* U+03C5+0304 -> U+1FE1 */ 1606,
+	/* U+03C5+0306 -> U+1FE0 */ 1605,
 	/* U+03C5+0308 -> U+03CB */ 437,
-	/* U+03C5+0313 -> U+1F50 */ 1438,
-	/* U+03C5+0314 -> U+1F51 */ 1439,
-	/* U+03C5+0342 -> U+1FE6 */ 1577,
-	/* U+03C9+0300 -> U+1F7C */ 1478,
+	/* U+03C5+0313 -> U+1F50 */ 1472,
+	/* U+03C5+0314 -> U+1F51 */ 1473,
+	/* U+03C5+0342 -> U+1FE6 */ 1611,
+	/* U+03C9+0300 -> U+1F7C */ 1512,
 	/* U+03C9+0301 -> U+03CE */ 440,
-	/* U+03C9+0313 -> U+1F60 */ 1450,
-	/* U+03C9+0314 -> U+1F61 */ 1451,
-	/* U+03C9+0342 -> U+1FF6 */ 1590,
-	/* U+03C9+0345 -> U+1FF3 */ 1588,
-	/* U+03CA+0300 -> U+1FD2 */ 1560,
+	/* U+03C9+0313 -> U+1F60 */ 1484,
+	/* U+03C9+0314 -> U+1F61 */ 1485,
+	/* U+03C9+0342 -> U+1FF6 */ 1624,
+	/* U+03C9+0345 -> U+1FF3 */ 1622,
+	/* U+03CA+0300 -> U+1FD2 */ 1594,
 	/* U+03CA+0301 -> U+0390 */ 428,
-	/* U+03CA+0342 -> U+1FD7 */ 1563,
-	/* U+03CB+0300 -> U+1FE2 */ 1573,
+	/* U+03CA+0342 -> U+1FD7 */ 1597,
+	/* U+03CB+0300 -> U+1FE2 */ 1607,
 	/* U+03CB+0301 -> U+03B0 */ 435,
-	/* U+03CB+0342 -> U+1FE7 */ 1578,
-	/* U+03CE+0345 -> U+1FF4 */ 1589,
+	/* U+03CB+0342 -> U+1FE7 */ 1612,
+	/* U+03CE+0345 -> U+1FF4 */ 1623,
 	/* U+03D2+0301 -> U+03D3 */ 444,
 	/* U+03D2+0308 -> U+03D4 */ 445,
 	/* U+0406+0308 -> U+0407 */ 457,
@@ -2367,302 +2391,302 @@ static const uint16 RecompInverseLookup[941] =
 	/* U+06C1+0654 -> U+06C2 */ 606,
 	/* U+06D2+0654 -> U+06D3 */ 607,
 	/* U+06D5+0654 -> U+06C0 */ 605,
-	/* U+0928+093C -> U+0929 */ 733,
-	/* U+0930+093C -> U+0931 */ 734,
-	/* U+0933+093C -> U+0934 */ 735,
-	/* U+09C7+09BE -> U+09CB */ 751,
-	/* U+09C7+09D7 -> U+09CC */ 752,
-	/* U+0B47+0B3E -> U+0B4B */ 770,
-	/* U+0B47+0B56 -> U+0B48 */ 769,
-	/* U+0B47+0B57 -> U+0B4C */ 771,
-	/* U+0B92+0BD7 -> U+0B94 */ 775,
-	/* U+0BC6+0BBE -> U+0BCA */ 776,
-	/* U+0BC6+0BD7 -> U+0BCC */ 778,
-	/* U+0BC7+0BBE -> U+0BCB */ 777,
-	/* U+0C46+0C56 -> U+0C48 */ 780,
-	/* U+0CBF+0CD5 -> U+0CC0 */ 785,
-	/* U+0CC6+0CC2 -> U+0CCA */ 788,
-	/* U+0CC6+0CD5 -> U+0CC7 */ 786,
-	/* U+0CC6+0CD6 -> U+0CC8 */ 787,
-	/* U+0CCA+0CD5 -> U+0CCB */ 789,
-	/* U+0D46+0D3E -> U+0D4A */ 793,
-	/* U+0D46+0D57 -> U+0D4C */ 795,
-	/* U+0D47+0D3E -> U+0D4B */ 794,
-	/* U+0DD9+0DCA -> U+0DDA */ 798,
-	/* U+0DD9+0DCF -> U+0DDC */ 799,
-	/* U+0DD9+0DDF -> U+0DDE */ 801,
-	/* U+0DDC+0DCA -> U+0DDD */ 800,
-	/* U+1025+102E -> U+1026 */ 859,
-	/* U+1B05+1B35 -> U+1B06 */ 904,
-	/* U+1B07+1B35 -> U+1B08 */ 905,
-	/* U+1B09+1B35 -> U+1B0A */ 906,
-	/* U+1B0B+1B35 -> U+1B0C */ 907,
-	/* U+1B0D+1B35 -> U+1B0E */ 908,
-	/* U+1B11+1B35 -> U+1B12 */ 909,
-	/* U+1B3A+1B35 -> U+1B3B */ 911,
-	/* U+1B3C+1B35 -> U+1B3D */ 912,
-	/* U+1B3E+1B35 -> U+1B40 */ 913,
-	/* U+1B3F+1B35 -> U+1B41 */ 914,
-	/* U+1B42+1B35 -> U+1B43 */ 915,
-	/* U+1E36+0304 -> U+1E38 */ 1176,
-	/* U+1E37+0304 -> U+1E39 */ 1177,
-	/* U+1E5A+0304 -> U+1E5C */ 1212,
-	/* U+1E5B+0304 -> U+1E5D */ 1213,
-	/* U+1E62+0307 -> U+1E68 */ 1224,
-	/* U+1E63+0307 -> U+1E69 */ 1225,
-	/* U+1EA0+0302 -> U+1EAC */ 1288,
-	/* U+1EA0+0306 -> U+1EB6 */ 1298,
-	/* U+1EA1+0302 -> U+1EAD */ 1289,
-	/* U+1EA1+0306 -> U+1EB7 */ 1299,
-	/* U+1EB8+0302 -> U+1EC6 */ 1314,
-	/* U+1EB9+0302 -> U+1EC7 */ 1315,
-	/* U+1ECC+0302 -> U+1ED8 */ 1332,
-	/* U+1ECD+0302 -> U+1ED9 */ 1333,
-	/* U+1F00+0300 -> U+1F02 */ 1368,
-	/* U+1F00+0301 -> U+1F04 */ 1370,
-	/* U+1F00+0342 -> U+1F06 */ 1372,
-	/* U+1F00+0345 -> U+1F80 */ 1480,
-	/* U+1F01+0300 -> U+1F03 */ 1369,
-	/* U+1F01+0301 -> U+1F05 */ 1371,
-	/* U+1F01+0342 -> U+1F07 */ 1373,
-	/* U+1F01+0345 -> U+1F81 */ 1481,
-	/* U+1F02+0345 -> U+1F82 */ 1482,
-	/* U+1F03+0345 -> U+1F83 */ 1483,
-	/* U+1F04+0345 -> U+1F84 */ 1484,
-	/* U+1F05+0345 -> U+1F85 */ 1485,
-	/* U+1F06+0345 -> U+1F86 */ 1486,
-	/* U+1F07+0345 -> U+1F87 */ 1487,
-	/* U+1F08+0300 -> U+1F0A */ 1376,
-	/* U+1F08+0301 -> U+1F0C */ 1378,
-	/* U+1F08+0342 -> U+1F0E */ 1380,
-	/* U+1F08+0345 -> U+1F88 */ 1488,
-	/* U+1F09+0300 -> U+1F0B */ 1377,
-	/* U+1F09+0301 -> U+1F0D */ 1379,
-	/* U+1F09+0342 -> U+1F0F */ 1381,
-	/* U+1F09+0345 -> U+1F89 */ 1489,
-	/* U+1F0A+0345 -> U+1F8A */ 1490,
-	/* U+1F0B+0345 -> U+1F8B */ 1491,
-	/* U+1F0C+0345 -> U+1F8C */ 1492,
-	/* U+1F0D+0345 -> U+1F8D */ 1493,
-	/* U+1F0E+0345 -> U+1F8E */ 1494,
-	/* U+1F0F+0345 -> U+1F8F */ 1495,
-	/* U+1F10+0300 -> U+1F12 */ 1384,
-	/* U+1F10+0301 -> U+1F14 */ 1386,
-	/* U+1F11+0300 -> U+1F13 */ 1385,
-	/* U+1F11+0301 -> U+1F15 */ 1387,
-	/* U+1F18+0300 -> U+1F1A */ 1390,
-	/* U+1F18+0301 -> U+1F1C */ 1392,
-	/* U+1F19+0300 -> U+1F1B */ 1391,
-	/* U+1F19+0301 -> U+1F1D */ 1393,
-	/* U+1F20+0300 -> U+1F22 */ 1396,
-	/* U+1F20+0301 -> U+1F24 */ 1398,
-	/* U+1F20+0342 -> U+1F26 */ 1400,
-	/* U+1F20+0345 -> U+1F90 */ 1496,
-	/* U+1F21+0300 -> U+1F23 */ 1397,
-	/* U+1F21+0301 -> U+1F25 */ 1399,
-	/* U+1F21+0342 -> U+1F27 */ 1401,
-	/* U+1F21+0345 -> U+1F91 */ 1497,
-	/* U+1F22+0345 -> U+1F92 */ 1498,
-	/* U+1F23+0345 -> U+1F93 */ 1499,
-	/* U+1F24+0345 -> U+1F94 */ 1500,
-	/* U+1F25+0345 -> U+1F95 */ 1501,
-	/* U+1F26+0345 -> U+1F96 */ 1502,
-	/* U+1F27+0345 -> U+1F97 */ 1503,
-	/* U+1F28+0300 -> U+1F2A */ 1404,
-	/* U+1F28+0301 -> U+1F2C */ 1406,
-	/* U+1F28+0342 -> U+1F2E */ 1408,
-	/* U+1F28+0345 -> U+1F98 */ 1504,
-	/* U+1F29+0300 -> U+1F2B */ 1405,
-	/* U+1F29+0301 -> U+1F2D */ 1407,
-	/* U+1F29+0342 -> U+1F2F */ 1409,
-	/* U+1F29+0345 -> U+1F99 */ 1505,
-	/* U+1F2A+0345 -> U+1F9A */ 1506,
-	/* U+1F2B+0345 -> U+1F9B */ 1507,
-	/* U+1F2C+0345 -> U+1F9C */ 1508,
-	/* U+1F2D+0345 -> U+1F9D */ 1509,
-	/* U+1F2E+0345 -> U+1F9E */ 1510,
-	/* U+1F2F+0345 -> U+1F9F */ 1511,
-	/* U+1F30+0300 -> U+1F32 */ 1412,
-	/* U+1F30+0301 -> U+1F34 */ 1414,
-	/* U+1F30+0342 -> U+1F36 */ 1416,
-	/* U+1F31+0300 -> U+1F33 */ 1413,
-	/* U+1F31+0301 -> U+1F35 */ 1415,
-	/* U+1F31+0342 -> U+1F37 */ 1417,
-	/* U+1F38+0300 -> U+1F3A */ 1420,
-	/* U+1F38+0301 -> U+1F3C */ 1422,
-	/* U+1F38+0342 -> U+1F3E */ 1424,
-	/* U+1F39+0300 -> U+1F3B */ 1421,
-	/* U+1F39+0301 -> U+1F3D */ 1423,
-	/* U+1F39+0342 -> U+1F3F */ 1425,
-	/* U+1F40+0300 -> U+1F42 */ 1428,
-	/* U+1F40+0301 -> U+1F44 */ 1430,
-	/* U+1F41+0300 -> U+1F43 */ 1429,
-	/* U+1F41+0301 -> U+1F45 */ 1431,
-	/* U+1F48+0300 -> U+1F4A */ 1434,
-	/* U+1F48+0301 -> U+1F4C */ 1436,
-	/* U+1F49+0300 -> U+1F4B */ 1435,
-	/* U+1F49+0301 -> U+1F4D */ 1437,
-	/* U+1F50+0300 -> U+1F52 */ 1440,
-	/* U+1F50+0301 -> U+1F54 */ 1442,
-	/* U+1F50+0342 -> U+1F56 */ 1444,
-	/* U+1F51+0300 -> U+1F53 */ 1441,
-	/* U+1F51+0301 -> U+1F55 */ 1443,
-	/* U+1F51+0342 -> U+1F57 */ 1445,
-	/* U+1F59+0300 -> U+1F5B */ 1447,
-	/* U+1F59+0301 -> U+1F5D */ 1448,
-	/* U+1F59+0342 -> U+1F5F */ 1449,
-	/* U+1F60+0300 -> U+1F62 */ 1452,
-	/* U+1F60+0301 -> U+1F64 */ 1454,
-	/* U+1F60+0342 -> U+1F66 */ 1456,
-	/* U+1F60+0345 -> U+1FA0 */ 1512,
-	/* U+1F61+0300 -> U+1F63 */ 1453,
-	/* U+1F61+0301 -> U+1F65 */ 1455,
-	/* U+1F61+0342 -> U+1F67 */ 1457,
-	/* U+1F61+0345 -> U+1FA1 */ 1513,
-	/* U+1F62+0345 -> U+1FA2 */ 1514,
-	/* U+1F63+0345 -> U+1FA3 */ 1515,
-	/* U+1F64+0345 -> U+1FA4 */ 1516,
-	/* U+1F65+0345 -> U+1FA5 */ 1517,
-	/* U+1F66+0345 -> U+1FA6 */ 1518,
-	/* U+1F67+0345 -> U+1FA7 */ 1519,
-	/* U+1F68+0300 -> U+1F6A */ 1460,
-	/* U+1F68+0301 -> U+1F6C */ 1462,
-	/* U+1F68+0342 -> U+1F6E */ 1464,
-	/* U+1F68+0345 -> U+1FA8 */ 1520,
-	/* U+1F69+0300 -> U+1F6B */ 1461,
-	/* U+1F69+0301 -> U+1F6D */ 1463,
-	/* U+1F69+0342 -> U+1F6F */ 1465,
-	/* U+1F69+0345 -> U+1FA9 */ 1521,
-	/* U+1F6A+0345 -> U+1FAA */ 1522,
-	/* U+1F6B+0345 -> U+1FAB */ 1523,
-	/* U+1F6C+0345 -> U+1FAC */ 1524,
-	/* U+1F6D+0345 -> U+1FAD */ 1525,
-	/* U+1F6E+0345 -> U+1FAE */ 1526,
-	/* U+1F6F+0345 -> U+1FAF */ 1527,
-	/* U+1F70+0345 -> U+1FB2 */ 1530,
-	/* U+1F74+0345 -> U+1FC2 */ 1545,
-	/* U+1F7C+0345 -> U+1FF2 */ 1587,
-	/* U+1FB6+0345 -> U+1FB7 */ 1534,
-	/* U+1FBF+0300 -> U+1FCD */ 1555,
-	/* U+1FBF+0301 -> U+1FCE */ 1556,
-	/* U+1FBF+0342 -> U+1FCF */ 1557,
-	/* U+1FC6+0345 -> U+1FC7 */ 1549,
-	/* U+1FF6+0345 -> U+1FF7 */ 1591,
-	/* U+1FFE+0300 -> U+1FDD */ 1568,
-	/* U+1FFE+0301 -> U+1FDE */ 1569,
-	/* U+1FFE+0342 -> U+1FDF */ 1570,
-	/* U+2190+0338 -> U+219A */ 1801,
-	/* U+2192+0338 -> U+219B */ 1802,
-	/* U+2194+0338 -> U+21AE */ 1803,
-	/* U+21D0+0338 -> U+21CD */ 1804,
-	/* U+21D2+0338 -> U+21CF */ 1806,
-	/* U+21D4+0338 -> U+21CE */ 1805,
-	/* U+2203+0338 -> U+2204 */ 1807,
-	/* U+2208+0338 -> U+2209 */ 1808,
-	/* U+220B+0338 -> U+220C */ 1809,
-	/* U+2223+0338 -> U+2224 */ 1810,
-	/* U+2225+0338 -> U+2226 */ 1811,
-	/* U+223C+0338 -> U+2241 */ 1816,
-	/* U+2243+0338 -> U+2244 */ 1817,
-	/* U+2245+0338 -> U+2247 */ 1818,
-	/* U+2248+0338 -> U+2249 */ 1819,
-	/* U+224D+0338 -> U+226D */ 1822,
-	/* U+2261+0338 -> U+2262 */ 1821,
-	/* U+2264+0338 -> U+2270 */ 1825,
-	/* U+2265+0338 -> U+2271 */ 1826,
-	/* U+2272+0338 -> U+2274 */ 1827,
-	/* U+2273+0338 -> U+2275 */ 1828,
-	/* U+2276+0338 -> U+2278 */ 1829,
-	/* U+2277+0338 -> U+2279 */ 1830,
-	/* U+227A+0338 -> U+2280 */ 1831,
-	/* U+227B+0338 -> U+2281 */ 1832,
-	/* U+227C+0338 -> U+22E0 */ 1841,
-	/* U+227D+0338 -> U+22E1 */ 1842,
-	/* U+2282+0338 -> U+2284 */ 1833,
-	/* U+2283+0338 -> U+2285 */ 1834,
-	/* U+2286+0338 -> U+2288 */ 1835,
-	/* U+2287+0338 -> U+2289 */ 1836,
-	/* U+2291+0338 -> U+22E2 */ 1843,
-	/* U+2292+0338 -> U+22E3 */ 1844,
-	/* U+22A2+0338 -> U+22AC */ 1837,
-	/* U+22A8+0338 -> U+22AD */ 1838,
-	/* U+22A9+0338 -> U+22AE */ 1839,
-	/* U+22AB+0338 -> U+22AF */ 1840,
-	/* U+22B2+0338 -> U+22EA */ 1845,
-	/* U+22B3+0338 -> U+22EB */ 1846,
-	/* U+22B4+0338 -> U+22EC */ 1847,
-	/* U+22B5+0338 -> U+22ED */ 1848,
-	/* U+3046+3099 -> U+3094 */ 2286,
-	/* U+304B+3099 -> U+304C */ 2261,
-	/* U+304D+3099 -> U+304E */ 2262,
-	/* U+304F+3099 -> U+3050 */ 2263,
-	/* U+3051+3099 -> U+3052 */ 2264,
-	/* U+3053+3099 -> U+3054 */ 2265,
-	/* U+3055+3099 -> U+3056 */ 2266,
-	/* U+3057+3099 -> U+3058 */ 2267,
-	/* U+3059+3099 -> U+305A */ 2268,
-	/* U+305B+3099 -> U+305C */ 2269,
-	/* U+305D+3099 -> U+305E */ 2270,
-	/* U+305F+3099 -> U+3060 */ 2271,
-	/* U+3061+3099 -> U+3062 */ 2272,
-	/* U+3064+3099 -> U+3065 */ 2273,
-	/* U+3066+3099 -> U+3067 */ 2274,
-	/* U+3068+3099 -> U+3069 */ 2275,
-	/* U+306F+3099 -> U+3070 */ 2276,
-	/* U+306F+309A -> U+3071 */ 2277,
-	/* U+3072+3099 -> U+3073 */ 2278,
-	/* U+3072+309A -> U+3074 */ 2279,
-	/* U+3075+3099 -> U+3076 */ 2280,
-	/* U+3075+309A -> U+3077 */ 2281,
-	/* U+3078+3099 -> U+3079 */ 2282,
-	/* U+3078+309A -> U+307A */ 2283,
-	/* U+307B+3099 -> U+307C */ 2284,
-	/* U+307B+309A -> U+307D */ 2285,
-	/* U+309D+3099 -> U+309E */ 2291,
-	/* U+30A6+3099 -> U+30F4 */ 2318,
-	/* U+30AB+3099 -> U+30AC */ 2293,
-	/* U+30AD+3099 -> U+30AE */ 2294,
-	/* U+30AF+3099 -> U+30B0 */ 2295,
-	/* U+30B1+3099 -> U+30B2 */ 2296,
-	/* U+30B3+3099 -> U+30B4 */ 2297,
-	/* U+30B5+3099 -> U+30B6 */ 2298,
-	/* U+30B7+3099 -> U+30B8 */ 2299,
-	/* U+30B9+3099 -> U+30BA */ 2300,
-	/* U+30BB+3099 -> U+30BC */ 2301,
-	/* U+30BD+3099 -> U+30BE */ 2302,
-	/* U+30BF+3099 -> U+30C0 */ 2303,
-	/* U+30C1+3099 -> U+30C2 */ 2304,
-	/* U+30C4+3099 -> U+30C5 */ 2305,
-	/* U+30C6+3099 -> U+30C7 */ 2306,
-	/* U+30C8+3099 -> U+30C9 */ 2307,
-	/* U+30CF+3099 -> U+30D0 */ 2308,
-	/* U+30CF+309A -> U+30D1 */ 2309,
-	/* U+30D2+3099 -> U+30D3 */ 2310,
-	/* U+30D2+309A -> U+30D4 */ 2311,
-	/* U+30D5+3099 -> U+30D6 */ 2312,
-	/* U+30D5+309A -> U+30D7 */ 2313,
-	/* U+30D8+3099 -> U+30D9 */ 2314,
-	/* U+30D8+309A -> U+30DA */ 2315,
-	/* U+30DB+3099 -> U+30DC */ 2316,
-	/* U+30DB+309A -> U+30DD */ 2317,
-	/* U+30EF+3099 -> U+30F7 */ 2319,
-	/* U+30F0+3099 -> U+30F8 */ 2320,
-	/* U+30F1+3099 -> U+30F9 */ 2321,
-	/* U+30F2+3099 -> U+30FA */ 2322,
-	/* U+30FD+3099 -> U+30FE */ 2323,
-	/* U+11099+110BA -> U+1109A */ 4588,
-	/* U+1109B+110BA -> U+1109C */ 4589,
-	/* U+110A5+110BA -> U+110AB */ 4590,
-	/* U+11131+11127 -> U+1112E */ 4596,
-	/* U+11132+11127 -> U+1112F */ 4597,
-	/* U+11347+1133E -> U+1134B */ 4609,
-	/* U+11347+11357 -> U+1134C */ 4610,
-	/* U+114B9+114B0 -> U+114BC */ 4628,
-	/* U+114B9+114BA -> U+114BB */ 4627,
-	/* U+114B9+114BD -> U+114BE */ 4629,
-	/* U+115B8+115AF -> U+115BA */ 4632,
-	/* U+115B9+115AF -> U+115BB */ 4633,
-	/* U+11935+11930 -> U+11938 */ 4642
+	/* U+0928+093C -> U+0929 */ 750,
+	/* U+0930+093C -> U+0931 */ 751,
+	/* U+0933+093C -> U+0934 */ 752,
+	/* U+09C7+09BE -> U+09CB */ 768,
+	/* U+09C7+09D7 -> U+09CC */ 769,
+	/* U+0B47+0B3E -> U+0B4B */ 787,
+	/* U+0B47+0B56 -> U+0B48 */ 786,
+	/* U+0B47+0B57 -> U+0B4C */ 788,
+	/* U+0B92+0BD7 -> U+0B94 */ 792,
+	/* U+0BC6+0BBE -> U+0BCA */ 793,
+	/* U+0BC6+0BD7 -> U+0BCC */ 795,
+	/* U+0BC7+0BBE -> U+0BCB */ 794,
+	/* U+0C46+0C56 -> U+0C48 */ 798,
+	/* U+0CBF+0CD5 -> U+0CC0 */ 803,
+	/* U+0CC6+0CC2 -> U+0CCA */ 806,
+	/* U+0CC6+0CD5 -> U+0CC7 */ 804,
+	/* U+0CC6+0CD6 -> U+0CC8 */ 805,
+	/* U+0CCA+0CD5 -> U+0CCB */ 807,
+	/* U+0D46+0D3E -> U+0D4A */ 811,
+	/* U+0D46+0D57 -> U+0D4C */ 813,
+	/* U+0D47+0D3E -> U+0D4B */ 812,
+	/* U+0DD9+0DCA -> U+0DDA */ 816,
+	/* U+0DD9+0DCF -> U+0DDC */ 817,
+	/* U+0DD9+0DDF -> U+0DDE */ 819,
+	/* U+0DDC+0DCA -> U+0DDD */ 818,
+	/* U+1025+102E -> U+1026 */ 877,
+	/* U+1B05+1B35 -> U+1B06 */ 937,
+	/* U+1B07+1B35 -> U+1B08 */ 938,
+	/* U+1B09+1B35 -> U+1B0A */ 939,
+	/* U+1B0B+1B35 -> U+1B0C */ 940,
+	/* U+1B0D+1B35 -> U+1B0E */ 941,
+	/* U+1B11+1B35 -> U+1B12 */ 942,
+	/* U+1B3A+1B35 -> U+1B3B */ 944,
+	/* U+1B3C+1B35 -> U+1B3D */ 945,
+	/* U+1B3E+1B35 -> U+1B40 */ 946,
+	/* U+1B3F+1B35 -> U+1B41 */ 947,
+	/* U+1B42+1B35 -> U+1B43 */ 948,
+	/* U+1E36+0304 -> U+1E38 */ 1210,
+	/* U+1E37+0304 -> U+1E39 */ 1211,
+	/* U+1E5A+0304 -> U+1E5C */ 1246,
+	/* U+1E5B+0304 -> U+1E5D */ 1247,
+	/* U+1E62+0307 -> U+1E68 */ 1258,
+	/* U+1E63+0307 -> U+1E69 */ 1259,
+	/* U+1EA0+0302 -> U+1EAC */ 1322,
+	/* U+1EA0+0306 -> U+1EB6 */ 1332,
+	/* U+1EA1+0302 -> U+1EAD */ 1323,
+	/* U+1EA1+0306 -> U+1EB7 */ 1333,
+	/* U+1EB8+0302 -> U+1EC6 */ 1348,
+	/* U+1EB9+0302 -> U+1EC7 */ 1349,
+	/* U+1ECC+0302 -> U+1ED8 */ 1366,
+	/* U+1ECD+0302 -> U+1ED9 */ 1367,
+	/* U+1F00+0300 -> U+1F02 */ 1402,
+	/* U+1F00+0301 -> U+1F04 */ 1404,
+	/* U+1F00+0342 -> U+1F06 */ 1406,
+	/* U+1F00+0345 -> U+1F80 */ 1514,
+	/* U+1F01+0300 -> U+1F03 */ 1403,
+	/* U+1F01+0301 -> U+1F05 */ 1405,
+	/* U+1F01+0342 -> U+1F07 */ 1407,
+	/* U+1F01+0345 -> U+1F81 */ 1515,
+	/* U+1F02+0345 -> U+1F82 */ 1516,
+	/* U+1F03+0345 -> U+1F83 */ 1517,
+	/* U+1F04+0345 -> U+1F84 */ 1518,
+	/* U+1F05+0345 -> U+1F85 */ 1519,
+	/* U+1F06+0345 -> U+1F86 */ 1520,
+	/* U+1F07+0345 -> U+1F87 */ 1521,
+	/* U+1F08+0300 -> U+1F0A */ 1410,
+	/* U+1F08+0301 -> U+1F0C */ 1412,
+	/* U+1F08+0342 -> U+1F0E */ 1414,
+	/* U+1F08+0345 -> U+1F88 */ 1522,
+	/* U+1F09+0300 -> U+1F0B */ 1411,
+	/* U+1F09+0301 -> U+1F0D */ 1413,
+	/* U+1F09+0342 -> U+1F0F */ 1415,
+	/* U+1F09+0345 -> U+1F89 */ 1523,
+	/* U+1F0A+0345 -> U+1F8A */ 1524,
+	/* U+1F0B+0345 -> U+1F8B */ 1525,
+	/* U+1F0C+0345 -> U+1F8C */ 1526,
+	/* U+1F0D+0345 -> U+1F8D */ 1527,
+	/* U+1F0E+0345 -> U+1F8E */ 1528,
+	/* U+1F0F+0345 -> U+1F8F */ 1529,
+	/* U+1F10+0300 -> U+1F12 */ 1418,
+	/* U+1F10+0301 -> U+1F14 */ 1420,
+	/* U+1F11+0300 -> U+1F13 */ 1419,
+	/* U+1F11+0301 -> U+1F15 */ 1421,
+	/* U+1F18+0300 -> U+1F1A */ 1424,
+	/* U+1F18+0301 -> U+1F1C */ 1426,
+	/* U+1F19+0300 -> U+1F1B */ 1425,
+	/* U+1F19+0301 -> U+1F1D */ 1427,
+	/* U+1F20+0300 -> U+1F22 */ 1430,
+	/* U+1F20+0301 -> U+1F24 */ 1432,
+	/* U+1F20+0342 -> U+1F26 */ 1434,
+	/* U+1F20+0345 -> U+1F90 */ 1530,
+	/* U+1F21+0300 -> U+1F23 */ 1431,
+	/* U+1F21+0301 -> U+1F25 */ 1433,
+	/* U+1F21+0342 -> U+1F27 */ 1435,
+	/* U+1F21+0345 -> U+1F91 */ 1531,
+	/* U+1F22+0345 -> U+1F92 */ 1532,
+	/* U+1F23+0345 -> U+1F93 */ 1533,
+	/* U+1F24+0345 -> U+1F94 */ 1534,
+	/* U+1F25+0345 -> U+1F95 */ 1535,
+	/* U+1F26+0345 -> U+1F96 */ 1536,
+	/* U+1F27+0345 -> U+1F97 */ 1537,
+	/* U+1F28+0300 -> U+1F2A */ 1438,
+	/* U+1F28+0301 -> U+1F2C */ 1440,
+	/* U+1F28+0342 -> U+1F2E */ 1442,
+	/* U+1F28+0345 -> U+1F98 */ 1538,
+	/* U+1F29+0300 -> U+1F2B */ 1439,
+	/* U+1F29+0301 -> U+1F2D */ 1441,
+	/* U+1F29+0342 -> U+1F2F */ 1443,
+	/* U+1F29+0345 -> U+1F99 */ 1539,
+	/* U+1F2A+0345 -> U+1F9A */ 1540,
+	/* U+1F2B+0345 -> U+1F9B */ 1541,
+	/* U+1F2C+0345 -> U+1F9C */ 1542,
+	/* U+1F2D+0345 -> U+1F9D */ 1543,
+	/* U+1F2E+0345 -> U+1F9E */ 1544,
+	/* U+1F2F+0345 -> U+1F9F */ 1545,
+	/* U+1F30+0300 -> U+1F32 */ 1446,
+	/* U+1F30+0301 -> U+1F34 */ 1448,
+	/* U+1F30+0342 -> U+1F36 */ 1450,
+	/* U+1F31+0300 -> U+1F33 */ 1447,
+	/* U+1F31+0301 -> U+1F35 */ 1449,
+	/* U+1F31+0342 -> U+1F37 */ 1451,
+	/* U+1F38+0300 -> U+1F3A */ 1454,
+	/* U+1F38+0301 -> U+1F3C */ 1456,
+	/* U+1F38+0342 -> U+1F3E */ 1458,
+	/* U+1F39+0300 -> U+1F3B */ 1455,
+	/* U+1F39+0301 -> U+1F3D */ 1457,
+	/* U+1F39+0342 -> U+1F3F */ 1459,
+	/* U+1F40+0300 -> U+1F42 */ 1462,
+	/* U+1F40+0301 -> U+1F44 */ 1464,
+	/* U+1F41+0300 -> U+1F43 */ 1463,
+	/* U+1F41+0301 -> U+1F45 */ 1465,
+	/* U+1F48+0300 -> U+1F4A */ 1468,
+	/* U+1F48+0301 -> U+1F4C */ 1470,
+	/* U+1F49+0300 -> U+1F4B */ 1469,
+	/* U+1F49+0301 -> U+1F4D */ 1471,
+	/* U+1F50+0300 -> U+1F52 */ 1474,
+	/* U+1F50+0301 -> U+1F54 */ 1476,
+	/* U+1F50+0342 -> U+1F56 */ 1478,
+	/* U+1F51+0300 -> U+1F53 */ 1475,
+	/* U+1F51+0301 -> U+1F55 */ 1477,
+	/* U+1F51+0342 -> U+1F57 */ 1479,
+	/* U+1F59+0300 -> U+1F5B */ 1481,
+	/* U+1F59+0301 -> U+1F5D */ 1482,
+	/* U+1F59+0342 -> U+1F5F */ 1483,
+	/* U+1F60+0300 -> U+1F62 */ 1486,
+	/* U+1F60+0301 -> U+1F64 */ 1488,
+	/* U+1F60+0342 -> U+1F66 */ 1490,
+	/* U+1F60+0345 -> U+1FA0 */ 1546,
+	/* U+1F61+0300 -> U+1F63 */ 1487,
+	/* U+1F61+0301 -> U+1F65 */ 1489,
+	/* U+1F61+0342 -> U+1F67 */ 1491,
+	/* U+1F61+0345 -> U+1FA1 */ 1547,
+	/* U+1F62+0345 -> U+1FA2 */ 1548,
+	/* U+1F63+0345 -> U+1FA3 */ 1549,
+	/* U+1F64+0345 -> U+1FA4 */ 1550,
+	/* U+1F65+0345 -> U+1FA5 */ 1551,
+	/* U+1F66+0345 -> U+1FA6 */ 1552,
+	/* U+1F67+0345 -> U+1FA7 */ 1553,
+	/* U+1F68+0300 -> U+1F6A */ 1494,
+	/* U+1F68+0301 -> U+1F6C */ 1496,
+	/* U+1F68+0342 -> U+1F6E */ 1498,
+	/* U+1F68+0345 -> U+1FA8 */ 1554,
+	/* U+1F69+0300 -> U+1F6B */ 1495,
+	/* U+1F69+0301 -> U+1F6D */ 1497,
+	/* U+1F69+0342 -> U+1F6F */ 1499,
+	/* U+1F69+0345 -> U+1FA9 */ 1555,
+	/* U+1F6A+0345 -> U+1FAA */ 1556,
+	/* U+1F6B+0345 -> U+1FAB */ 1557,
+	/* U+1F6C+0345 -> U+1FAC */ 1558,
+	/* U+1F6D+0345 -> U+1FAD */ 1559,
+	/* U+1F6E+0345 -> U+1FAE */ 1560,
+	/* U+1F6F+0345 -> U+1FAF */ 1561,
+	/* U+1F70+0345 -> U+1FB2 */ 1564,
+	/* U+1F74+0345 -> U+1FC2 */ 1579,
+	/* U+1F7C+0345 -> U+1FF2 */ 1621,
+	/* U+1FB6+0345 -> U+1FB7 */ 1568,
+	/* U+1FBF+0300 -> U+1FCD */ 1589,
+	/* U+1FBF+0301 -> U+1FCE */ 1590,
+	/* U+1FBF+0342 -> U+1FCF */ 1591,
+	/* U+1FC6+0345 -> U+1FC7 */ 1583,
+	/* U+1FF6+0345 -> U+1FF7 */ 1625,
+	/* U+1FFE+0300 -> U+1FDD */ 1602,
+	/* U+1FFE+0301 -> U+1FDE */ 1603,
+	/* U+1FFE+0342 -> U+1FDF */ 1604,
+	/* U+2190+0338 -> U+219A */ 1835,
+	/* U+2192+0338 -> U+219B */ 1836,
+	/* U+2194+0338 -> U+21AE */ 1837,
+	/* U+21D0+0338 -> U+21CD */ 1838,
+	/* U+21D2+0338 -> U+21CF */ 1840,
+	/* U+21D4+0338 -> U+21CE */ 1839,
+	/* U+2203+0338 -> U+2204 */ 1841,
+	/* U+2208+0338 -> U+2209 */ 1842,
+	/* U+220B+0338 -> U+220C */ 1843,
+	/* U+2223+0338 -> U+2224 */ 1844,
+	/* U+2225+0338 -> U+2226 */ 1845,
+	/* U+223C+0338 -> U+2241 */ 1850,
+	/* U+2243+0338 -> U+2244 */ 1851,
+	/* U+2245+0338 -> U+2247 */ 1852,
+	/* U+2248+0338 -> U+2249 */ 1853,
+	/* U+224D+0338 -> U+226D */ 1856,
+	/* U+2261+0338 -> U+2262 */ 1855,
+	/* U+2264+0338 -> U+2270 */ 1859,
+	/* U+2265+0338 -> U+2271 */ 1860,
+	/* U+2272+0338 -> U+2274 */ 1861,
+	/* U+2273+0338 -> U+2275 */ 1862,
+	/* U+2276+0338 -> U+2278 */ 1863,
+	/* U+2277+0338 -> U+2279 */ 1864,
+	/* U+227A+0338 -> U+2280 */ 1865,
+	/* U+227B+0338 -> U+2281 */ 1866,
+	/* U+227C+0338 -> U+22E0 */ 1875,
+	/* U+227D+0338 -> U+22E1 */ 1876,
+	/* U+2282+0338 -> U+2284 */ 1867,
+	/* U+2283+0338 -> U+2285 */ 1868,
+	/* U+2286+0338 -> U+2288 */ 1869,
+	/* U+2287+0338 -> U+2289 */ 1870,
+	/* U+2291+0338 -> U+22E2 */ 1877,
+	/* U+2292+0338 -> U+22E3 */ 1878,
+	/* U+22A2+0338 -> U+22AC */ 1871,
+	/* U+22A8+0338 -> U+22AD */ 1872,
+	/* U+22A9+0338 -> U+22AE */ 1873,
+	/* U+22AB+0338 -> U+22AF */ 1874,
+	/* U+22B2+0338 -> U+22EA */ 1879,
+	/* U+22B3+0338 -> U+22EB */ 1880,
+	/* U+22B4+0338 -> U+22EC */ 1881,
+	/* U+22B5+0338 -> U+22ED */ 1882,
+	/* U+3046+3099 -> U+3094 */ 2320,
+	/* U+304B+3099 -> U+304C */ 2295,
+	/* U+304D+3099 -> U+304E */ 2296,
+	/* U+304F+3099 -> U+3050 */ 2297,
+	/* U+3051+3099 -> U+3052 */ 2298,
+	/* U+3053+3099 -> U+3054 */ 2299,
+	/* U+3055+3099 -> U+3056 */ 2300,
+	/* U+3057+3099 -> U+3058 */ 2301,
+	/* U+3059+3099 -> U+305A */ 2302,
+	/* U+305B+3099 -> U+305C */ 2303,
+	/* U+305D+3099 -> U+305E */ 2304,
+	/* U+305F+3099 -> U+3060 */ 2305,
+	/* U+3061+3099 -> U+3062 */ 2306,
+	/* U+3064+3099 -> U+3065 */ 2307,
+	/* U+3066+3099 -> U+3067 */ 2308,
+	/* U+3068+3099 -> U+3069 */ 2309,
+	/* U+306F+3099 -> U+3070 */ 2310,
+	/* U+306F+309A -> U+3071 */ 2311,
+	/* U+3072+3099 -> U+3073 */ 2312,
+	/* U+3072+309A -> U+3074 */ 2313,
+	/* U+3075+3099 -> U+3076 */ 2314,
+	/* U+3075+309A -> U+3077 */ 2315,
+	/* U+3078+3099 -> U+3079 */ 2316,
+	/* U+3078+309A -> U+307A */ 2317,
+	/* U+307B+3099 -> U+307C */ 2318,
+	/* U+307B+309A -> U+307D */ 2319,
+	/* U+309D+3099 -> U+309E */ 2325,
+	/* U+30A6+3099 -> U+30F4 */ 2352,
+	/* U+30AB+3099 -> U+30AC */ 2327,
+	/* U+30AD+3099 -> U+30AE */ 2328,
+	/* U+30AF+3099 -> U+30B0 */ 2329,
+	/* U+30B1+3099 -> U+30B2 */ 2330,
+	/* U+30B3+3099 -> U+30B4 */ 2331,
+	/* U+30B5+3099 -> U+30B6 */ 2332,
+	/* U+30B7+3099 -> U+30B8 */ 2333,
+	/* U+30B9+3099 -> U+30BA */ 2334,
+	/* U+30BB+3099 -> U+30BC */ 2335,
+	/* U+30BD+3099 -> U+30BE */ 2336,
+	/* U+30BF+3099 -> U+30C0 */ 2337,
+	/* U+30C1+3099 -> U+30C2 */ 2338,
+	/* U+30C4+3099 -> U+30C5 */ 2339,
+	/* U+30C6+3099 -> U+30C7 */ 2340,
+	/* U+30C8+3099 -> U+30C9 */ 2341,
+	/* U+30CF+3099 -> U+30D0 */ 2342,
+	/* U+30CF+309A -> U+30D1 */ 2343,
+	/* U+30D2+3099 -> U+30D3 */ 2344,
+	/* U+30D2+309A -> U+30D4 */ 2345,
+	/* U+30D5+3099 -> U+30D6 */ 2346,
+	/* U+30D5+309A -> U+30D7 */ 2347,
+	/* U+30D8+3099 -> U+30D9 */ 2348,
+	/* U+30D8+309A -> U+30DA */ 2349,
+	/* U+30DB+3099 -> U+30DC */ 2350,
+	/* U+30DB+309A -> U+30DD */ 2351,
+	/* U+30EF+3099 -> U+30F7 */ 2353,
+	/* U+30F0+3099 -> U+30F8 */ 2354,
+	/* U+30F1+3099 -> U+30F9 */ 2355,
+	/* U+30F2+3099 -> U+30FA */ 2356,
+	/* U+30FD+3099 -> U+30FE */ 2357,
+	/* U+11099+110BA -> U+1109A */ 4686,
+	/* U+1109B+110BA -> U+1109C */ 4687,
+	/* U+110A5+110BA -> U+110AB */ 4688,
+	/* U+11131+11127 -> U+1112E */ 4694,
+	/* U+11132+11127 -> U+1112F */ 4695,
+	/* U+11347+1133E -> U+1134B */ 4707,
+	/* U+11347+11357 -> U+1134C */ 4708,
+	/* U+114B9+114B0 -> U+114BC */ 4726,
+	/* U+114B9+114BA -> U+114BB */ 4725,
+	/* U+114B9+114BD -> U+114BE */ 4727,
+	/* U+115B8+115AF -> U+115BA */ 4730,
+	/* U+115B9+115AF -> U+115BB */ 4731,
+	/* U+11935+11930 -> U+11938 */ 4740
 };
 
 /* Perfect hash function for recomposition */
diff --git a/src/include/common/unicode_norm_table.h b/src/include/common/unicode_norm_table.h
index 7da633c33b..e101873f2d 100644
--- a/src/include/common/unicode_norm_table.h
+++ b/src/include/common/unicode_norm_table.h
@@ -36,7 +36,7 @@ typedef struct
 #define DECOMPOSITION_IS_COMPAT(x) (((x)->dec_size_flags & DECOMP_COMPAT) != 0)
 
 /* Table of Unicode codepoints and their decompositions */
-static const pg_unicode_decomposition UnicodeDecompMain[6604] =
+static const pg_unicode_decomposition UnicodeDecompMain[6703] =
 {
 	{0x00A0, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0020},
 	{0x00A8, 0, 2 | DECOMP_COMPAT, 0},
@@ -727,6 +727,23 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x0859, 220, 0, 0},
 	{0x085A, 220, 0, 0},
 	{0x085B, 220, 0, 0},
+	{0x0898, 230, 0, 0},
+	{0x0899, 220, 0, 0},
+	{0x089A, 220, 0, 0},
+	{0x089B, 220, 0, 0},
+	{0x089C, 230, 0, 0},
+	{0x089D, 230, 0, 0},
+	{0x089E, 230, 0, 0},
+	{0x089F, 230, 0, 0},
+	{0x08CA, 230, 0, 0},
+	{0x08CB, 230, 0, 0},
+	{0x08CC, 230, 0, 0},
+	{0x08CD, 230, 0, 0},
+	{0x08CE, 230, 0, 0},
+	{0x08CF, 220, 0, 0},
+	{0x08D0, 220, 0, 0},
+	{0x08D1, 220, 0, 0},
+	{0x08D2, 220, 0, 0},
 	{0x08D3, 220, 0, 0},
 	{0x08D4, 230, 0, 0},
 	{0x08D5, 230, 0, 0},
@@ -818,6 +835,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x0BCB, 0, 2, 807},
 	{0x0BCC, 0, 2, 809},
 	{0x0BCD, 9, 0, 0},
+	{0x0C3C, 7, 0, 0},
 	{0x0C48, 0, 2, 811},
 	{0x0C4D, 9, 0, 0},
 	{0x0C55, 84, 0, 0},
@@ -907,6 +925,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x135E, 230, 0, 0},
 	{0x135F, 230, 0, 0},
 	{0x1714, 9, 0, 0},
+	{0x1715, 9, 0, 0},
 	{0x1734, 9, 0, 0},
 	{0x17D2, 9, 0, 0},
 	{0x17DD, 230, 0, 0},
@@ -942,6 +961,20 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1ABD, 220, 0, 0},
 	{0x1ABF, 220, 0, 0},
 	{0x1AC0, 220, 0, 0},
+	{0x1AC1, 230, 0, 0},
+	{0x1AC2, 230, 0, 0},
+	{0x1AC3, 220, 0, 0},
+	{0x1AC4, 220, 0, 0},
+	{0x1AC5, 230, 0, 0},
+	{0x1AC6, 230, 0, 0},
+	{0x1AC7, 230, 0, 0},
+	{0x1AC8, 230, 0, 0},
+	{0x1AC9, 230, 0, 0},
+	{0x1ACA, 220, 0, 0},
+	{0x1ACB, 230, 0, 0},
+	{0x1ACC, 230, 0, 0},
+	{0x1ACD, 230, 0, 0},
+	{0x1ACE, 230, 0, 0},
 	{0x1B06, 0, 2, 885},
 	{0x1B08, 0, 2, 887},
 	{0x1B0A, 0, 2, 889},
@@ -1153,6 +1186,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1DF7, 228, 0, 0},
 	{0x1DF8, 228, 0, 0},
 	{0x1DF9, 220, 0, 0},
+	{0x1DFA, 218, 0, 0},
 	{0x1DFB, 230, 0, 0},
 	{0x1DFC, 233, 0, 0},
 	{0x1DFD, 220, 0, 0},
@@ -2991,6 +3025,9 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0xA6F0, 230, 0, 0},
 	{0xA6F1, 230, 0, 0},
 	{0xA770, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xA76F},
+	{0xA7F2, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0043},
+	{0xA7F3, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0046},
+	{0xA7F4, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0051},
 	{0xA7F8, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0126},
 	{0xA7F9, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0153},
 	{0xA806, 9, 0, 0},
@@ -4599,6 +4636,62 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x10378, 230, 0, 0},
 	{0x10379, 230, 0, 0},
 	{0x1037A, 230, 0, 0},
+	{0x10781, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02D0},
+	{0x10782, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02D1},
+	{0x10783, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x00E6},
+	{0x10784, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0299},
+	{0x10785, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0253},
+	{0x10787, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A3},
+	{0x10788, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xAB66},
+	{0x10789, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A5},
+	{0x1078A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A4},
+	{0x1078B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0256},
+	{0x1078C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0257},
+	{0x1078D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x1D91},
+	{0x1078E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0258},
+	{0x1078F, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x025E},
+	{0x10790, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A9},
+	{0x10791, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0264},
+	{0x10792, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0262},
+	{0x10793, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0260},
+	{0x10794, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x029B},
+	{0x10795, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0127},
+	{0x10796, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x029C},
+	{0x10797, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0267},
+	{0x10798, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0284},
+	{0x10799, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02AA},
+	{0x1079A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02AB},
+	{0x1079B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x026C},
+	{0x1079C, 0, 1 | DECOMP_COMPAT, 4776},
+	{0x1079D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xA78E},
+	{0x1079E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x026E},
+	{0x1079F, 0, 1 | DECOMP_COMPAT, 4777},
+	{0x107A0, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x028E},
+	{0x107A1, 0, 1 | DECOMP_COMPAT, 4778},
+	{0x107A2, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x00F8},
+	{0x107A3, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0276},
+	{0x107A4, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0277},
+	{0x107A5, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0071},
+	{0x107A6, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x027A},
+	{0x107A7, 0, 1 | DECOMP_COMPAT, 4779},
+	{0x107A8, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x027D},
+	{0x107A9, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x027E},
+	{0x107AA, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0280},
+	{0x107AB, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A8},
+	{0x107AC, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A6},
+	{0x107AD, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0xAB67},
+	{0x107AE, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A7},
+	{0x107AF, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0288},
+	{0x107B0, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x2C71},
+	{0x107B2, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x028F},
+	{0x107B3, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A1},
+	{0x107B4, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x02A2},
+	{0x107B5, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0298},
+	{0x107B6, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x01C0},
+	{0x107B7, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x01C1},
+	{0x107B8, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x01C2},
+	{0x107B9, 0, 1 | DECOMP_COMPAT, 4780},
+	{0x107BA, 0, 1 | DECOMP_COMPAT, 4781},
 	{0x10A0D, 220, 0, 0},
 	{0x10A0F, 230, 0, 0},
 	{0x10A38, 230, 0, 0},
@@ -4624,18 +4717,23 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x10F4E, 220, 0, 0},
 	{0x10F4F, 220, 0, 0},
 	{0x10F50, 220, 0, 0},
+	{0x10F82, 230, 0, 0},
+	{0x10F83, 220, 0, 0},
+	{0x10F84, 230, 0, 0},
+	{0x10F85, 220, 0, 0},
 	{0x11046, 9, 0, 0},
+	{0x11070, 9, 0, 0},
 	{0x1107F, 9, 0, 0},
-	{0x1109A, 0, 2, 4776},
-	{0x1109C, 0, 2, 4778},
-	{0x110AB, 0, 2, 4780},
+	{0x1109A, 0, 2, 4782},
+	{0x1109C, 0, 2, 4784},
+	{0x110AB, 0, 2, 4786},
 	{0x110B9, 9, 0, 0},
 	{0x110BA, 7, 0, 0},
 	{0x11100, 230, 0, 0},
 	{0x11101, 230, 0, 0},
 	{0x11102, 230, 0, 0},
-	{0x1112E, 0, 2, 4782},
-	{0x1112F, 0, 2, 4784},
+	{0x1112E, 0, 2, 4788},
+	{0x1112F, 0, 2, 4790},
 	{0x11133, 9, 0, 0},
 	{0x11134, 9, 0, 0},
 	{0x11173, 7, 0, 0},
@@ -4647,8 +4745,8 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x112EA, 9, 0, 0},
 	{0x1133B, 7, 0, 0},
 	{0x1133C, 7, 0, 0},
-	{0x1134B, 0, 2, 4786},
-	{0x1134C, 0, 2, 4788},
+	{0x1134B, 0, 2, 4792},
+	{0x1134C, 0, 2, 4794},
 	{0x1134D, 9, 0, 0},
 	{0x11366, 230, 0, 0},
 	{0x11367, 230, 0, 0},
@@ -4665,13 +4763,13 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x11442, 9, 0, 0},
 	{0x11446, 7, 0, 0},
 	{0x1145E, 230, 0, 0},
-	{0x114BB, 0, 2, 4790},
-	{0x114BC, 0, 2, 4792},
-	{0x114BE, 0, 2, 4794},
+	{0x114BB, 0, 2, 4796},
+	{0x114BC, 0, 2, 4798},
+	{0x114BE, 0, 2, 4800},
 	{0x114C2, 9, 0, 0},
 	{0x114C3, 7, 0, 0},
-	{0x115BA, 0, 2, 4796},
-	{0x115BB, 0, 2, 4798},
+	{0x115BA, 0, 2, 4802},
+	{0x115BB, 0, 2, 4804},
 	{0x115BF, 9, 0, 0},
 	{0x115C0, 7, 0, 0},
 	{0x1163F, 9, 0, 0},
@@ -4680,7 +4778,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1172B, 9, 0, 0},
 	{0x11839, 9, 0, 0},
 	{0x1183A, 7, 0, 0},
-	{0x11938, 0, 2, 4800},
+	{0x11938, 0, 2, 4806},
 	{0x1193D, 9, 0, 0},
 	{0x1193E, 9, 0, 0},
 	{0x11943, 7, 0, 0},
@@ -4708,13 +4806,13 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x16FF0, 6, 0, 0},
 	{0x16FF1, 6, 0, 0},
 	{0x1BC9E, 1, 0, 0},
-	{0x1D15E, 0, 2 | DECOMP_NO_COMPOSE, 4802},	/* in exclusion list */
-	{0x1D15F, 0, 2 | DECOMP_NO_COMPOSE, 4804},	/* in exclusion list */
-	{0x1D160, 0, 2 | DECOMP_NO_COMPOSE, 4806},	/* in exclusion list */
-	{0x1D161, 0, 2 | DECOMP_NO_COMPOSE, 4808},	/* in exclusion list */
-	{0x1D162, 0, 2 | DECOMP_NO_COMPOSE, 4810},	/* in exclusion list */
-	{0x1D163, 0, 2 | DECOMP_NO_COMPOSE, 4812},	/* in exclusion list */
-	{0x1D164, 0, 2 | DECOMP_NO_COMPOSE, 4814},	/* in exclusion list */
+	{0x1D15E, 0, 2 | DECOMP_NO_COMPOSE, 4808},	/* in exclusion list */
+	{0x1D15F, 0, 2 | DECOMP_NO_COMPOSE, 4810},	/* in exclusion list */
+	{0x1D160, 0, 2 | DECOMP_NO_COMPOSE, 4812},	/* in exclusion list */
+	{0x1D161, 0, 2 | DECOMP_NO_COMPOSE, 4814},	/* in exclusion list */
+	{0x1D162, 0, 2 | DECOMP_NO_COMPOSE, 4816},	/* in exclusion list */
+	{0x1D163, 0, 2 | DECOMP_NO_COMPOSE, 4818},	/* in exclusion list */
+	{0x1D164, 0, 2 | DECOMP_NO_COMPOSE, 4820},	/* in exclusion list */
 	{0x1D165, 216, 0, 0},
 	{0x1D166, 216, 0, 0},
 	{0x1D167, 1, 0, 0},
@@ -4745,12 +4843,12 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1D1AB, 230, 0, 0},
 	{0x1D1AC, 230, 0, 0},
 	{0x1D1AD, 230, 0, 0},
-	{0x1D1BB, 0, 2 | DECOMP_NO_COMPOSE, 4816},	/* in exclusion list */
-	{0x1D1BC, 0, 2 | DECOMP_NO_COMPOSE, 4818},	/* in exclusion list */
-	{0x1D1BD, 0, 2 | DECOMP_NO_COMPOSE, 4820},	/* in exclusion list */
-	{0x1D1BE, 0, 2 | DECOMP_NO_COMPOSE, 4822},	/* in exclusion list */
-	{0x1D1BF, 0, 2 | DECOMP_NO_COMPOSE, 4824},	/* in exclusion list */
-	{0x1D1C0, 0, 2 | DECOMP_NO_COMPOSE, 4826},	/* in exclusion list */
+	{0x1D1BB, 0, 2 | DECOMP_NO_COMPOSE, 4822},	/* in exclusion list */
+	{0x1D1BC, 0, 2 | DECOMP_NO_COMPOSE, 4824},	/* in exclusion list */
+	{0x1D1BD, 0, 2 | DECOMP_NO_COMPOSE, 4826},	/* in exclusion list */
+	{0x1D1BE, 0, 2 | DECOMP_NO_COMPOSE, 4828},	/* in exclusion list */
+	{0x1D1BF, 0, 2 | DECOMP_NO_COMPOSE, 4830},	/* in exclusion list */
+	{0x1D1C0, 0, 2 | DECOMP_NO_COMPOSE, 4832},	/* in exclusion list */
 	{0x1D242, 230, 0, 0},
 	{0x1D243, 230, 0, 0},
 	{0x1D244, 230, 0, 0},
@@ -5795,6 +5893,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1E134, 230, 0, 0},
 	{0x1E135, 230, 0, 0},
 	{0x1E136, 230, 0, 0},
+	{0x1E2AE, 230, 0, 0},
 	{0x1E2EC, 230, 0, 0},
 	{0x1E2ED, 230, 0, 0},
 	{0x1E2EE, 230, 0, 0},
@@ -5954,48 +6053,48 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1EEB9, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0636},
 	{0x1EEBA, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0638},
 	{0x1EEBB, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x063A},
-	{0x1F100, 0, 2 | DECOMP_COMPAT, 4828},
-	{0x1F101, 0, 2 | DECOMP_COMPAT, 4830},
-	{0x1F102, 0, 2 | DECOMP_COMPAT, 4832},
-	{0x1F103, 0, 2 | DECOMP_COMPAT, 4834},
-	{0x1F104, 0, 2 | DECOMP_COMPAT, 4836},
-	{0x1F105, 0, 2 | DECOMP_COMPAT, 4838},
-	{0x1F106, 0, 2 | DECOMP_COMPAT, 4840},
-	{0x1F107, 0, 2 | DECOMP_COMPAT, 4842},
-	{0x1F108, 0, 2 | DECOMP_COMPAT, 4844},
-	{0x1F109, 0, 2 | DECOMP_COMPAT, 4846},
-	{0x1F10A, 0, 2 | DECOMP_COMPAT, 4848},
-	{0x1F110, 0, 3 | DECOMP_COMPAT, 4850},
-	{0x1F111, 0, 3 | DECOMP_COMPAT, 4853},
-	{0x1F112, 0, 3 | DECOMP_COMPAT, 4856},
-	{0x1F113, 0, 3 | DECOMP_COMPAT, 4859},
-	{0x1F114, 0, 3 | DECOMP_COMPAT, 4862},
-	{0x1F115, 0, 3 | DECOMP_COMPAT, 4865},
-	{0x1F116, 0, 3 | DECOMP_COMPAT, 4868},
-	{0x1F117, 0, 3 | DECOMP_COMPAT, 4871},
-	{0x1F118, 0, 3 | DECOMP_COMPAT, 4874},
-	{0x1F119, 0, 3 | DECOMP_COMPAT, 4877},
-	{0x1F11A, 0, 3 | DECOMP_COMPAT, 4880},
-	{0x1F11B, 0, 3 | DECOMP_COMPAT, 4883},
-	{0x1F11C, 0, 3 | DECOMP_COMPAT, 4886},
-	{0x1F11D, 0, 3 | DECOMP_COMPAT, 4889},
-	{0x1F11E, 0, 3 | DECOMP_COMPAT, 4892},
-	{0x1F11F, 0, 3 | DECOMP_COMPAT, 4895},
-	{0x1F120, 0, 3 | DECOMP_COMPAT, 4898},
-	{0x1F121, 0, 3 | DECOMP_COMPAT, 4901},
-	{0x1F122, 0, 3 | DECOMP_COMPAT, 4904},
-	{0x1F123, 0, 3 | DECOMP_COMPAT, 4907},
-	{0x1F124, 0, 3 | DECOMP_COMPAT, 4910},
-	{0x1F125, 0, 3 | DECOMP_COMPAT, 4913},
-	{0x1F126, 0, 3 | DECOMP_COMPAT, 4916},
-	{0x1F127, 0, 3 | DECOMP_COMPAT, 4919},
-	{0x1F128, 0, 3 | DECOMP_COMPAT, 4922},
-	{0x1F129, 0, 3 | DECOMP_COMPAT, 4925},
-	{0x1F12A, 0, 3 | DECOMP_COMPAT, 4928},
+	{0x1F100, 0, 2 | DECOMP_COMPAT, 4834},
+	{0x1F101, 0, 2 | DECOMP_COMPAT, 4836},
+	{0x1F102, 0, 2 | DECOMP_COMPAT, 4838},
+	{0x1F103, 0, 2 | DECOMP_COMPAT, 4840},
+	{0x1F104, 0, 2 | DECOMP_COMPAT, 4842},
+	{0x1F105, 0, 2 | DECOMP_COMPAT, 4844},
+	{0x1F106, 0, 2 | DECOMP_COMPAT, 4846},
+	{0x1F107, 0, 2 | DECOMP_COMPAT, 4848},
+	{0x1F108, 0, 2 | DECOMP_COMPAT, 4850},
+	{0x1F109, 0, 2 | DECOMP_COMPAT, 4852},
+	{0x1F10A, 0, 2 | DECOMP_COMPAT, 4854},
+	{0x1F110, 0, 3 | DECOMP_COMPAT, 4856},
+	{0x1F111, 0, 3 | DECOMP_COMPAT, 4859},
+	{0x1F112, 0, 3 | DECOMP_COMPAT, 4862},
+	{0x1F113, 0, 3 | DECOMP_COMPAT, 4865},
+	{0x1F114, 0, 3 | DECOMP_COMPAT, 4868},
+	{0x1F115, 0, 3 | DECOMP_COMPAT, 4871},
+	{0x1F116, 0, 3 | DECOMP_COMPAT, 4874},
+	{0x1F117, 0, 3 | DECOMP_COMPAT, 4877},
+	{0x1F118, 0, 3 | DECOMP_COMPAT, 4880},
+	{0x1F119, 0, 3 | DECOMP_COMPAT, 4883},
+	{0x1F11A, 0, 3 | DECOMP_COMPAT, 4886},
+	{0x1F11B, 0, 3 | DECOMP_COMPAT, 4889},
+	{0x1F11C, 0, 3 | DECOMP_COMPAT, 4892},
+	{0x1F11D, 0, 3 | DECOMP_COMPAT, 4895},
+	{0x1F11E, 0, 3 | DECOMP_COMPAT, 4898},
+	{0x1F11F, 0, 3 | DECOMP_COMPAT, 4901},
+	{0x1F120, 0, 3 | DECOMP_COMPAT, 4904},
+	{0x1F121, 0, 3 | DECOMP_COMPAT, 4907},
+	{0x1F122, 0, 3 | DECOMP_COMPAT, 4910},
+	{0x1F123, 0, 3 | DECOMP_COMPAT, 4913},
+	{0x1F124, 0, 3 | DECOMP_COMPAT, 4916},
+	{0x1F125, 0, 3 | DECOMP_COMPAT, 4919},
+	{0x1F126, 0, 3 | DECOMP_COMPAT, 4922},
+	{0x1F127, 0, 3 | DECOMP_COMPAT, 4925},
+	{0x1F128, 0, 3 | DECOMP_COMPAT, 4928},
+	{0x1F129, 0, 3 | DECOMP_COMPAT, 4931},
+	{0x1F12A, 0, 3 | DECOMP_COMPAT, 4934},
 	{0x1F12B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0043},
 	{0x1F12C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0052},
-	{0x1F12D, 0, 2 | DECOMP_COMPAT, 4931},
-	{0x1F12E, 0, 2 | DECOMP_COMPAT, 4933},
+	{0x1F12D, 0, 2 | DECOMP_COMPAT, 4937},
+	{0x1F12E, 0, 2 | DECOMP_COMPAT, 4939},
 	{0x1F130, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0041},
 	{0x1F131, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0042},
 	{0x1F132, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0043},
@@ -6022,18 +6121,18 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1F147, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0058},
 	{0x1F148, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0059},
 	{0x1F149, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x005A},
-	{0x1F14A, 0, 2 | DECOMP_COMPAT, 4935},
-	{0x1F14B, 0, 2 | DECOMP_COMPAT, 4937},
-	{0x1F14C, 0, 2 | DECOMP_COMPAT, 4939},
-	{0x1F14D, 0, 2 | DECOMP_COMPAT, 4941},
-	{0x1F14E, 0, 3 | DECOMP_COMPAT, 4943},
-	{0x1F14F, 0, 2 | DECOMP_COMPAT, 4946},
-	{0x1F16A, 0, 2 | DECOMP_COMPAT, 4948},
-	{0x1F16B, 0, 2 | DECOMP_COMPAT, 4950},
-	{0x1F16C, 0, 2 | DECOMP_COMPAT, 4952},
-	{0x1F190, 0, 2 | DECOMP_COMPAT, 4954},
-	{0x1F200, 0, 2 | DECOMP_COMPAT, 4956},
-	{0x1F201, 0, 2 | DECOMP_COMPAT, 4958},
+	{0x1F14A, 0, 2 | DECOMP_COMPAT, 4941},
+	{0x1F14B, 0, 2 | DECOMP_COMPAT, 4943},
+	{0x1F14C, 0, 2 | DECOMP_COMPAT, 4945},
+	{0x1F14D, 0, 2 | DECOMP_COMPAT, 4947},
+	{0x1F14E, 0, 3 | DECOMP_COMPAT, 4949},
+	{0x1F14F, 0, 2 | DECOMP_COMPAT, 4952},
+	{0x1F16A, 0, 2 | DECOMP_COMPAT, 4954},
+	{0x1F16B, 0, 2 | DECOMP_COMPAT, 4956},
+	{0x1F16C, 0, 2 | DECOMP_COMPAT, 4958},
+	{0x1F190, 0, 2 | DECOMP_COMPAT, 4960},
+	{0x1F200, 0, 2 | DECOMP_COMPAT, 4962},
+	{0x1F201, 0, 2 | DECOMP_COMPAT, 4964},
 	{0x1F202, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x30B5},
 	{0x1F210, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x624B},
 	{0x1F211, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x5B57},
@@ -6079,15 +6178,15 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x1F239, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x5272},
 	{0x1F23A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x55B6},
 	{0x1F23B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x914D},
-	{0x1F240, 0, 3 | DECOMP_COMPAT, 4960},
-	{0x1F241, 0, 3 | DECOMP_COMPAT, 4963},
-	{0x1F242, 0, 3 | DECOMP_COMPAT, 4966},
-	{0x1F243, 0, 3 | DECOMP_COMPAT, 4969},
-	{0x1F244, 0, 3 | DECOMP_COMPAT, 4972},
-	{0x1F245, 0, 3 | DECOMP_COMPAT, 4975},
-	{0x1F246, 0, 3 | DECOMP_COMPAT, 4978},
-	{0x1F247, 0, 3 | DECOMP_COMPAT, 4981},
-	{0x1F248, 0, 3 | DECOMP_COMPAT, 4984},
+	{0x1F240, 0, 3 | DECOMP_COMPAT, 4966},
+	{0x1F241, 0, 3 | DECOMP_COMPAT, 4969},
+	{0x1F242, 0, 3 | DECOMP_COMPAT, 4972},
+	{0x1F243, 0, 3 | DECOMP_COMPAT, 4975},
+	{0x1F244, 0, 3 | DECOMP_COMPAT, 4978},
+	{0x1F245, 0, 3 | DECOMP_COMPAT, 4981},
+	{0x1F246, 0, 3 | DECOMP_COMPAT, 4984},
+	{0x1F247, 0, 3 | DECOMP_COMPAT, 4987},
+	{0x1F248, 0, 3 | DECOMP_COMPAT, 4990},
 	{0x1F250, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x5F97},
 	{0x1F251, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x53EF},
 	{0x1FBF0, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0030},
@@ -6103,7 +6202,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F800, 0, 1 | DECOMP_INLINE, 0x4E3D},
 	{0x2F801, 0, 1 | DECOMP_INLINE, 0x4E38},
 	{0x2F802, 0, 1 | DECOMP_INLINE, 0x4E41},
-	{0x2F803, 0, 1, 4987},
+	{0x2F803, 0, 1, 4993},
 	{0x2F804, 0, 1 | DECOMP_INLINE, 0x4F60},
 	{0x2F805, 0, 1 | DECOMP_INLINE, 0x4FAE},
 	{0x2F806, 0, 1 | DECOMP_INLINE, 0x4FBB},
@@ -6113,22 +6212,22 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F80A, 0, 1 | DECOMP_INLINE, 0x50E7},
 	{0x2F80B, 0, 1 | DECOMP_INLINE, 0x50CF},
 	{0x2F80C, 0, 1 | DECOMP_INLINE, 0x349E},
-	{0x2F80D, 0, 1, 4988},
+	{0x2F80D, 0, 1, 4994},
 	{0x2F80E, 0, 1 | DECOMP_INLINE, 0x514D},
 	{0x2F80F, 0, 1 | DECOMP_INLINE, 0x5154},
 	{0x2F810, 0, 1 | DECOMP_INLINE, 0x5164},
 	{0x2F811, 0, 1 | DECOMP_INLINE, 0x5177},
-	{0x2F812, 0, 1, 4989},
+	{0x2F812, 0, 1, 4995},
 	{0x2F813, 0, 1 | DECOMP_INLINE, 0x34B9},
 	{0x2F814, 0, 1 | DECOMP_INLINE, 0x5167},
 	{0x2F815, 0, 1 | DECOMP_INLINE, 0x518D},
-	{0x2F816, 0, 1, 4990},
+	{0x2F816, 0, 1, 4996},
 	{0x2F817, 0, 1 | DECOMP_INLINE, 0x5197},
 	{0x2F818, 0, 1 | DECOMP_INLINE, 0x51A4},
 	{0x2F819, 0, 1 | DECOMP_INLINE, 0x4ECC},
 	{0x2F81A, 0, 1 | DECOMP_INLINE, 0x51AC},
 	{0x2F81B, 0, 1 | DECOMP_INLINE, 0x51B5},
-	{0x2F81C, 0, 1, 4991},
+	{0x2F81C, 0, 1, 4997},
 	{0x2F81D, 0, 1 | DECOMP_INLINE, 0x51F5},
 	{0x2F81E, 0, 1 | DECOMP_INLINE, 0x5203},
 	{0x2F81F, 0, 1 | DECOMP_INLINE, 0x34DF},
@@ -6152,11 +6251,11 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F831, 0, 1 | DECOMP_INLINE, 0x537F},
 	{0x2F832, 0, 1 | DECOMP_INLINE, 0x537F},
 	{0x2F833, 0, 1 | DECOMP_INLINE, 0x537F},
-	{0x2F834, 0, 1, 4992},
+	{0x2F834, 0, 1, 4998},
 	{0x2F835, 0, 1 | DECOMP_INLINE, 0x7070},
 	{0x2F836, 0, 1 | DECOMP_INLINE, 0x53CA},
 	{0x2F837, 0, 1 | DECOMP_INLINE, 0x53DF},
-	{0x2F838, 0, 1, 4993},
+	{0x2F838, 0, 1, 4999},
 	{0x2F839, 0, 1 | DECOMP_INLINE, 0x53EB},
 	{0x2F83A, 0, 1 | DECOMP_INLINE, 0x53F1},
 	{0x2F83B, 0, 1 | DECOMP_INLINE, 0x5406},
@@ -6189,15 +6288,15 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F856, 0, 1 | DECOMP_INLINE, 0x5832},
 	{0x2F857, 0, 1 | DECOMP_INLINE, 0x5831},
 	{0x2F858, 0, 1 | DECOMP_INLINE, 0x58AC},
-	{0x2F859, 0, 1, 4994},
+	{0x2F859, 0, 1, 5000},
 	{0x2F85A, 0, 1 | DECOMP_INLINE, 0x58F2},
 	{0x2F85B, 0, 1 | DECOMP_INLINE, 0x58F7},
 	{0x2F85C, 0, 1 | DECOMP_INLINE, 0x5906},
 	{0x2F85D, 0, 1 | DECOMP_INLINE, 0x591A},
 	{0x2F85E, 0, 1 | DECOMP_INLINE, 0x5922},
 	{0x2F85F, 0, 1 | DECOMP_INLINE, 0x5962},
-	{0x2F860, 0, 1, 4995},
-	{0x2F861, 0, 1, 4996},
+	{0x2F860, 0, 1, 5001},
+	{0x2F861, 0, 1, 5002},
 	{0x2F862, 0, 1 | DECOMP_INLINE, 0x59EC},
 	{0x2F863, 0, 1 | DECOMP_INLINE, 0x5A1B},
 	{0x2F864, 0, 1 | DECOMP_INLINE, 0x5A27},
@@ -6208,12 +6307,12 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F869, 0, 1 | DECOMP_INLINE, 0x5B08},
 	{0x2F86A, 0, 1 | DECOMP_INLINE, 0x5B3E},
 	{0x2F86B, 0, 1 | DECOMP_INLINE, 0x5B3E},
-	{0x2F86C, 0, 1, 4997},
+	{0x2F86C, 0, 1, 5003},
 	{0x2F86D, 0, 1 | DECOMP_INLINE, 0x5BC3},
 	{0x2F86E, 0, 1 | DECOMP_INLINE, 0x5BD8},
 	{0x2F86F, 0, 1 | DECOMP_INLINE, 0x5BE7},
 	{0x2F870, 0, 1 | DECOMP_INLINE, 0x5BF3},
-	{0x2F871, 0, 1, 4998},
+	{0x2F871, 0, 1, 5004},
 	{0x2F872, 0, 1 | DECOMP_INLINE, 0x5BFF},
 	{0x2F873, 0, 1 | DECOMP_INLINE, 0x5C06},
 	{0x2F874, 0, 1 | DECOMP_INLINE, 0x5F53},
@@ -6223,9 +6322,9 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F878, 0, 1 | DECOMP_INLINE, 0x5C6E},
 	{0x2F879, 0, 1 | DECOMP_INLINE, 0x5CC0},
 	{0x2F87A, 0, 1 | DECOMP_INLINE, 0x5C8D},
-	{0x2F87B, 0, 1, 4999},
+	{0x2F87B, 0, 1, 5005},
 	{0x2F87C, 0, 1 | DECOMP_INLINE, 0x5D43},
-	{0x2F87D, 0, 1, 5000},
+	{0x2F87D, 0, 1, 5006},
 	{0x2F87E, 0, 1 | DECOMP_INLINE, 0x5D6E},
 	{0x2F87F, 0, 1 | DECOMP_INLINE, 0x5D6B},
 	{0x2F880, 0, 1 | DECOMP_INLINE, 0x5D7C},
@@ -6237,22 +6336,22 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F886, 0, 1 | DECOMP_INLINE, 0x5E3D},
 	{0x2F887, 0, 1 | DECOMP_INLINE, 0x5E69},
 	{0x2F888, 0, 1 | DECOMP_INLINE, 0x3862},
-	{0x2F889, 0, 1, 5001},
+	{0x2F889, 0, 1, 5007},
 	{0x2F88A, 0, 1 | DECOMP_INLINE, 0x387C},
 	{0x2F88B, 0, 1 | DECOMP_INLINE, 0x5EB0},
 	{0x2F88C, 0, 1 | DECOMP_INLINE, 0x5EB3},
 	{0x2F88D, 0, 1 | DECOMP_INLINE, 0x5EB6},
 	{0x2F88E, 0, 1 | DECOMP_INLINE, 0x5ECA},
-	{0x2F88F, 0, 1, 5002},
+	{0x2F88F, 0, 1, 5008},
 	{0x2F890, 0, 1 | DECOMP_INLINE, 0x5EFE},
-	{0x2F891, 0, 1, 5003},
-	{0x2F892, 0, 1, 5004},
+	{0x2F891, 0, 1, 5009},
+	{0x2F892, 0, 1, 5010},
 	{0x2F893, 0, 1 | DECOMP_INLINE, 0x8201},
 	{0x2F894, 0, 1 | DECOMP_INLINE, 0x5F22},
 	{0x2F895, 0, 1 | DECOMP_INLINE, 0x5F22},
 	{0x2F896, 0, 1 | DECOMP_INLINE, 0x38C7},
-	{0x2F897, 0, 1, 5005},
-	{0x2F898, 0, 1, 5006},
+	{0x2F897, 0, 1, 5011},
+	{0x2F898, 0, 1, 5012},
 	{0x2F899, 0, 1 | DECOMP_INLINE, 0x5F62},
 	{0x2F89A, 0, 1 | DECOMP_INLINE, 0x5F6B},
 	{0x2F89B, 0, 1 | DECOMP_INLINE, 0x38E3},
@@ -6264,7 +6363,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F8A1, 0, 1 | DECOMP_INLINE, 0x393A},
 	{0x2F8A2, 0, 1 | DECOMP_INLINE, 0x391C},
 	{0x2F8A3, 0, 1 | DECOMP_INLINE, 0x6094},
-	{0x2F8A4, 0, 1, 5007},
+	{0x2F8A4, 0, 1, 5013},
 	{0x2F8A5, 0, 1 | DECOMP_INLINE, 0x60C7},
 	{0x2F8A6, 0, 1 | DECOMP_INLINE, 0x6148},
 	{0x2F8A7, 0, 1 | DECOMP_INLINE, 0x614C},
@@ -6284,13 +6383,13 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F8B5, 0, 1 | DECOMP_INLINE, 0x62B1},
 	{0x2F8B6, 0, 1 | DECOMP_INLINE, 0x62D4},
 	{0x2F8B7, 0, 1 | DECOMP_INLINE, 0x6350},
-	{0x2F8B8, 0, 1, 5008},
+	{0x2F8B8, 0, 1, 5014},
 	{0x2F8B9, 0, 1 | DECOMP_INLINE, 0x633D},
 	{0x2F8BA, 0, 1 | DECOMP_INLINE, 0x62FC},
 	{0x2F8BB, 0, 1 | DECOMP_INLINE, 0x6368},
 	{0x2F8BC, 0, 1 | DECOMP_INLINE, 0x6383},
 	{0x2F8BD, 0, 1 | DECOMP_INLINE, 0x63E4},
-	{0x2F8BE, 0, 1, 5009},
+	{0x2F8BE, 0, 1, 5015},
 	{0x2F8BF, 0, 1 | DECOMP_INLINE, 0x6422},
 	{0x2F8C0, 0, 1 | DECOMP_INLINE, 0x63C5},
 	{0x2F8C1, 0, 1 | DECOMP_INLINE, 0x63A9},
@@ -6302,7 +6401,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F8C7, 0, 1 | DECOMP_INLINE, 0x3A6C},
 	{0x2F8C8, 0, 1 | DECOMP_INLINE, 0x654F},
 	{0x2F8C9, 0, 1 | DECOMP_INLINE, 0x656C},
-	{0x2F8CA, 0, 1, 5010},
+	{0x2F8CA, 0, 1, 5016},
 	{0x2F8CB, 0, 1 | DECOMP_INLINE, 0x65E3},
 	{0x2F8CC, 0, 1 | DECOMP_INLINE, 0x66F8},
 	{0x2F8CD, 0, 1 | DECOMP_INLINE, 0x6649},
@@ -6321,13 +6420,13 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F8DA, 0, 1 | DECOMP_INLINE, 0x6721},
 	{0x2F8DB, 0, 1 | DECOMP_INLINE, 0x675E},
 	{0x2F8DC, 0, 1 | DECOMP_INLINE, 0x6753},
-	{0x2F8DD, 0, 1, 5011},
+	{0x2F8DD, 0, 1, 5017},
 	{0x2F8DE, 0, 1 | DECOMP_INLINE, 0x3B49},
 	{0x2F8DF, 0, 1 | DECOMP_INLINE, 0x67FA},
 	{0x2F8E0, 0, 1 | DECOMP_INLINE, 0x6785},
 	{0x2F8E1, 0, 1 | DECOMP_INLINE, 0x6852},
 	{0x2F8E2, 0, 1 | DECOMP_INLINE, 0x6885},
-	{0x2F8E3, 0, 1, 5012},
+	{0x2F8E3, 0, 1, 5018},
 	{0x2F8E4, 0, 1 | DECOMP_INLINE, 0x688E},
 	{0x2F8E5, 0, 1 | DECOMP_INLINE, 0x681F},
 	{0x2F8E6, 0, 1 | DECOMP_INLINE, 0x6914},
@@ -6336,22 +6435,22 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F8E9, 0, 1 | DECOMP_INLINE, 0x69A3},
 	{0x2F8EA, 0, 1 | DECOMP_INLINE, 0x69EA},
 	{0x2F8EB, 0, 1 | DECOMP_INLINE, 0x6AA8},
-	{0x2F8EC, 0, 1, 5013},
+	{0x2F8EC, 0, 1, 5019},
 	{0x2F8ED, 0, 1 | DECOMP_INLINE, 0x6ADB},
 	{0x2F8EE, 0, 1 | DECOMP_INLINE, 0x3C18},
 	{0x2F8EF, 0, 1 | DECOMP_INLINE, 0x6B21},
-	{0x2F8F0, 0, 1, 5014},
+	{0x2F8F0, 0, 1, 5020},
 	{0x2F8F1, 0, 1 | DECOMP_INLINE, 0x6B54},
 	{0x2F8F2, 0, 1 | DECOMP_INLINE, 0x3C4E},
 	{0x2F8F3, 0, 1 | DECOMP_INLINE, 0x6B72},
 	{0x2F8F4, 0, 1 | DECOMP_INLINE, 0x6B9F},
 	{0x2F8F5, 0, 1 | DECOMP_INLINE, 0x6BBA},
 	{0x2F8F6, 0, 1 | DECOMP_INLINE, 0x6BBB},
-	{0x2F8F7, 0, 1, 5015},
-	{0x2F8F8, 0, 1, 5016},
-	{0x2F8F9, 0, 1, 5017},
+	{0x2F8F7, 0, 1, 5021},
+	{0x2F8F8, 0, 1, 5022},
+	{0x2F8F9, 0, 1, 5023},
 	{0x2F8FA, 0, 1 | DECOMP_INLINE, 0x6C4E},
-	{0x2F8FB, 0, 1, 5018},
+	{0x2F8FB, 0, 1, 5024},
 	{0x2F8FC, 0, 1 | DECOMP_INLINE, 0x6CBF},
 	{0x2F8FD, 0, 1 | DECOMP_INLINE, 0x6CCD},
 	{0x2F8FE, 0, 1 | DECOMP_INLINE, 0x6C67},
@@ -6362,18 +6461,18 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F903, 0, 1 | DECOMP_INLINE, 0x6D69},
 	{0x2F904, 0, 1 | DECOMP_INLINE, 0x6D78},
 	{0x2F905, 0, 1 | DECOMP_INLINE, 0x6D85},
-	{0x2F906, 0, 1, 5019},
+	{0x2F906, 0, 1, 5025},
 	{0x2F907, 0, 1 | DECOMP_INLINE, 0x6D34},
 	{0x2F908, 0, 1 | DECOMP_INLINE, 0x6E2F},
 	{0x2F909, 0, 1 | DECOMP_INLINE, 0x6E6E},
 	{0x2F90A, 0, 1 | DECOMP_INLINE, 0x3D33},
 	{0x2F90B, 0, 1 | DECOMP_INLINE, 0x6ECB},
 	{0x2F90C, 0, 1 | DECOMP_INLINE, 0x6EC7},
-	{0x2F90D, 0, 1, 5020},
+	{0x2F90D, 0, 1, 5026},
 	{0x2F90E, 0, 1 | DECOMP_INLINE, 0x6DF9},
 	{0x2F90F, 0, 1 | DECOMP_INLINE, 0x6F6E},
-	{0x2F910, 0, 1, 5021},
-	{0x2F911, 0, 1, 5022},
+	{0x2F910, 0, 1, 5027},
+	{0x2F911, 0, 1, 5028},
 	{0x2F912, 0, 1 | DECOMP_INLINE, 0x6FC6},
 	{0x2F913, 0, 1 | DECOMP_INLINE, 0x7039},
 	{0x2F914, 0, 1 | DECOMP_INLINE, 0x701E},
@@ -6383,19 +6482,19 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F918, 0, 1 | DECOMP_INLINE, 0x707D},
 	{0x2F919, 0, 1 | DECOMP_INLINE, 0x7077},
 	{0x2F91A, 0, 1 | DECOMP_INLINE, 0x70AD},
-	{0x2F91B, 0, 1, 5023},
+	{0x2F91B, 0, 1, 5029},
 	{0x2F91C, 0, 1 | DECOMP_INLINE, 0x7145},
-	{0x2F91D, 0, 1, 5024},
+	{0x2F91D, 0, 1, 5030},
 	{0x2F91E, 0, 1 | DECOMP_INLINE, 0x719C},
-	{0x2F91F, 0, 1, 5025},
+	{0x2F91F, 0, 1, 5031},
 	{0x2F920, 0, 1 | DECOMP_INLINE, 0x7228},
 	{0x2F921, 0, 1 | DECOMP_INLINE, 0x7235},
 	{0x2F922, 0, 1 | DECOMP_INLINE, 0x7250},
-	{0x2F923, 0, 1, 5026},
+	{0x2F923, 0, 1, 5032},
 	{0x2F924, 0, 1 | DECOMP_INLINE, 0x7280},
 	{0x2F925, 0, 1 | DECOMP_INLINE, 0x7295},
-	{0x2F926, 0, 1, 5027},
-	{0x2F927, 0, 1, 5028},
+	{0x2F926, 0, 1, 5033},
+	{0x2F927, 0, 1, 5034},
 	{0x2F928, 0, 1 | DECOMP_INLINE, 0x737A},
 	{0x2F929, 0, 1 | DECOMP_INLINE, 0x738B},
 	{0x2F92A, 0, 1 | DECOMP_INLINE, 0x3EAC},
@@ -6409,22 +6508,22 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F932, 0, 1 | DECOMP_INLINE, 0x74CA},
 	{0x2F933, 0, 1 | DECOMP_INLINE, 0x3F1B},
 	{0x2F934, 0, 1 | DECOMP_INLINE, 0x7524},
-	{0x2F935, 0, 1, 5029},
+	{0x2F935, 0, 1, 5035},
 	{0x2F936, 0, 1 | DECOMP_INLINE, 0x753E},
-	{0x2F937, 0, 1, 5030},
+	{0x2F937, 0, 1, 5036},
 	{0x2F938, 0, 1 | DECOMP_INLINE, 0x7570},
-	{0x2F939, 0, 1, 5031},
+	{0x2F939, 0, 1, 5037},
 	{0x2F93A, 0, 1 | DECOMP_INLINE, 0x7610},
-	{0x2F93B, 0, 1, 5032},
-	{0x2F93C, 0, 1, 5033},
-	{0x2F93D, 0, 1, 5034},
+	{0x2F93B, 0, 1, 5038},
+	{0x2F93C, 0, 1, 5039},
+	{0x2F93D, 0, 1, 5040},
 	{0x2F93E, 0, 1 | DECOMP_INLINE, 0x3FFC},
 	{0x2F93F, 0, 1 | DECOMP_INLINE, 0x4008},
 	{0x2F940, 0, 1 | DECOMP_INLINE, 0x76F4},
-	{0x2F941, 0, 1, 5035},
-	{0x2F942, 0, 1, 5036},
-	{0x2F943, 0, 1, 5037},
-	{0x2F944, 0, 1, 5038},
+	{0x2F941, 0, 1, 5041},
+	{0x2F942, 0, 1, 5042},
+	{0x2F943, 0, 1, 5043},
+	{0x2F944, 0, 1, 5044},
 	{0x2F945, 0, 1 | DECOMP_INLINE, 0x771E},
 	{0x2F946, 0, 1 | DECOMP_INLINE, 0x771F},
 	{0x2F947, 0, 1 | DECOMP_INLINE, 0x771F},
@@ -6433,68 +6532,68 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F94A, 0, 1 | DECOMP_INLINE, 0x778B},
 	{0x2F94B, 0, 1 | DECOMP_INLINE, 0x4046},
 	{0x2F94C, 0, 1 | DECOMP_INLINE, 0x4096},
-	{0x2F94D, 0, 1, 5039},
+	{0x2F94D, 0, 1, 5045},
 	{0x2F94E, 0, 1 | DECOMP_INLINE, 0x784E},
 	{0x2F94F, 0, 1 | DECOMP_INLINE, 0x788C},
 	{0x2F950, 0, 1 | DECOMP_INLINE, 0x78CC},
 	{0x2F951, 0, 1 | DECOMP_INLINE, 0x40E3},
-	{0x2F952, 0, 1, 5040},
+	{0x2F952, 0, 1, 5046},
 	{0x2F953, 0, 1 | DECOMP_INLINE, 0x7956},
-	{0x2F954, 0, 1, 5041},
-	{0x2F955, 0, 1, 5042},
+	{0x2F954, 0, 1, 5047},
+	{0x2F955, 0, 1, 5048},
 	{0x2F956, 0, 1 | DECOMP_INLINE, 0x798F},
 	{0x2F957, 0, 1 | DECOMP_INLINE, 0x79EB},
 	{0x2F958, 0, 1 | DECOMP_INLINE, 0x412F},
 	{0x2F959, 0, 1 | DECOMP_INLINE, 0x7A40},
 	{0x2F95A, 0, 1 | DECOMP_INLINE, 0x7A4A},
 	{0x2F95B, 0, 1 | DECOMP_INLINE, 0x7A4F},
-	{0x2F95C, 0, 1, 5043},
-	{0x2F95D, 0, 1, 5044},
-	{0x2F95E, 0, 1, 5045},
+	{0x2F95C, 0, 1, 5049},
+	{0x2F95D, 0, 1, 5050},
+	{0x2F95E, 0, 1, 5051},
 	{0x2F95F, 0, 1 | DECOMP_INLINE, 0x7AEE},
 	{0x2F960, 0, 1 | DECOMP_INLINE, 0x4202},
-	{0x2F961, 0, 1, 5046},
+	{0x2F961, 0, 1, 5052},
 	{0x2F962, 0, 1 | DECOMP_INLINE, 0x7BC6},
 	{0x2F963, 0, 1 | DECOMP_INLINE, 0x7BC9},
 	{0x2F964, 0, 1 | DECOMP_INLINE, 0x4227},
-	{0x2F965, 0, 1, 5047},
+	{0x2F965, 0, 1, 5053},
 	{0x2F966, 0, 1 | DECOMP_INLINE, 0x7CD2},
 	{0x2F967, 0, 1 | DECOMP_INLINE, 0x42A0},
 	{0x2F968, 0, 1 | DECOMP_INLINE, 0x7CE8},
 	{0x2F969, 0, 1 | DECOMP_INLINE, 0x7CE3},
 	{0x2F96A, 0, 1 | DECOMP_INLINE, 0x7D00},
-	{0x2F96B, 0, 1, 5048},
+	{0x2F96B, 0, 1, 5054},
 	{0x2F96C, 0, 1 | DECOMP_INLINE, 0x7D63},
 	{0x2F96D, 0, 1 | DECOMP_INLINE, 0x4301},
 	{0x2F96E, 0, 1 | DECOMP_INLINE, 0x7DC7},
 	{0x2F96F, 0, 1 | DECOMP_INLINE, 0x7E02},
 	{0x2F970, 0, 1 | DECOMP_INLINE, 0x7E45},
 	{0x2F971, 0, 1 | DECOMP_INLINE, 0x4334},
-	{0x2F972, 0, 1, 5049},
-	{0x2F973, 0, 1, 5050},
+	{0x2F972, 0, 1, 5055},
+	{0x2F973, 0, 1, 5056},
 	{0x2F974, 0, 1 | DECOMP_INLINE, 0x4359},
-	{0x2F975, 0, 1, 5051},
+	{0x2F975, 0, 1, 5057},
 	{0x2F976, 0, 1 | DECOMP_INLINE, 0x7F7A},
-	{0x2F977, 0, 1, 5052},
+	{0x2F977, 0, 1, 5058},
 	{0x2F978, 0, 1 | DECOMP_INLINE, 0x7F95},
 	{0x2F979, 0, 1 | DECOMP_INLINE, 0x7FFA},
 	{0x2F97A, 0, 1 | DECOMP_INLINE, 0x8005},
-	{0x2F97B, 0, 1, 5053},
-	{0x2F97C, 0, 1, 5054},
+	{0x2F97B, 0, 1, 5059},
+	{0x2F97C, 0, 1, 5060},
 	{0x2F97D, 0, 1 | DECOMP_INLINE, 0x8060},
-	{0x2F97E, 0, 1, 5055},
+	{0x2F97E, 0, 1, 5061},
 	{0x2F97F, 0, 1 | DECOMP_INLINE, 0x8070},
-	{0x2F980, 0, 1, 5056},
+	{0x2F980, 0, 1, 5062},
 	{0x2F981, 0, 1 | DECOMP_INLINE, 0x43D5},
 	{0x2F982, 0, 1 | DECOMP_INLINE, 0x80B2},
 	{0x2F983, 0, 1 | DECOMP_INLINE, 0x8103},
 	{0x2F984, 0, 1 | DECOMP_INLINE, 0x440B},
 	{0x2F985, 0, 1 | DECOMP_INLINE, 0x813E},
 	{0x2F986, 0, 1 | DECOMP_INLINE, 0x5AB5},
-	{0x2F987, 0, 1, 5057},
-	{0x2F988, 0, 1, 5058},
-	{0x2F989, 0, 1, 5059},
-	{0x2F98A, 0, 1, 5060},
+	{0x2F987, 0, 1, 5063},
+	{0x2F988, 0, 1, 5064},
+	{0x2F989, 0, 1, 5065},
+	{0x2F98A, 0, 1, 5066},
 	{0x2F98B, 0, 1 | DECOMP_INLINE, 0x8201},
 	{0x2F98C, 0, 1 | DECOMP_INLINE, 0x8204},
 	{0x2F98D, 0, 1 | DECOMP_INLINE, 0x8F9E},
@@ -6507,7 +6606,7 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F994, 0, 1 | DECOMP_INLINE, 0x82B3},
 	{0x2F995, 0, 1 | DECOMP_INLINE, 0x82BD},
 	{0x2F996, 0, 1 | DECOMP_INLINE, 0x82E6},
-	{0x2F997, 0, 1, 5061},
+	{0x2F997, 0, 1, 5067},
 	{0x2F998, 0, 1 | DECOMP_INLINE, 0x82E5},
 	{0x2F999, 0, 1 | DECOMP_INLINE, 0x831D},
 	{0x2F99A, 0, 1 | DECOMP_INLINE, 0x8363},
@@ -6520,20 +6619,20 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F9A1, 0, 1 | DECOMP_INLINE, 0x83CA},
 	{0x2F9A2, 0, 1 | DECOMP_INLINE, 0x83CC},
 	{0x2F9A3, 0, 1 | DECOMP_INLINE, 0x83DC},
-	{0x2F9A4, 0, 1, 5062},
-	{0x2F9A5, 0, 1, 5063},
-	{0x2F9A6, 0, 1, 5064},
+	{0x2F9A4, 0, 1, 5068},
+	{0x2F9A5, 0, 1, 5069},
+	{0x2F9A6, 0, 1, 5070},
 	{0x2F9A7, 0, 1 | DECOMP_INLINE, 0x452B},
 	{0x2F9A8, 0, 1 | DECOMP_INLINE, 0x84F1},
 	{0x2F9A9, 0, 1 | DECOMP_INLINE, 0x84F3},
 	{0x2F9AA, 0, 1 | DECOMP_INLINE, 0x8516},
-	{0x2F9AB, 0, 1, 5065},
+	{0x2F9AB, 0, 1, 5071},
 	{0x2F9AC, 0, 1 | DECOMP_INLINE, 0x8564},
-	{0x2F9AD, 0, 1, 5066},
+	{0x2F9AD, 0, 1, 5072},
 	{0x2F9AE, 0, 1 | DECOMP_INLINE, 0x455D},
 	{0x2F9AF, 0, 1 | DECOMP_INLINE, 0x4561},
-	{0x2F9B0, 0, 1, 5067},
-	{0x2F9B1, 0, 1, 5068},
+	{0x2F9B0, 0, 1, 5073},
+	{0x2F9B1, 0, 1, 5074},
 	{0x2F9B2, 0, 1 | DECOMP_INLINE, 0x456B},
 	{0x2F9B3, 0, 1 | DECOMP_INLINE, 0x8650},
 	{0x2F9B4, 0, 1 | DECOMP_INLINE, 0x865C},
@@ -6553,39 +6652,39 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F9C2, 0, 1 | DECOMP_INLINE, 0x45F9},
 	{0x2F9C3, 0, 1 | DECOMP_INLINE, 0x8860},
 	{0x2F9C4, 0, 1 | DECOMP_INLINE, 0x8863},
-	{0x2F9C5, 0, 1, 5069},
+	{0x2F9C5, 0, 1, 5075},
 	{0x2F9C6, 0, 1 | DECOMP_INLINE, 0x88D7},
 	{0x2F9C7, 0, 1 | DECOMP_INLINE, 0x88DE},
 	{0x2F9C8, 0, 1 | DECOMP_INLINE, 0x4635},
 	{0x2F9C9, 0, 1 | DECOMP_INLINE, 0x88FA},
 	{0x2F9CA, 0, 1 | DECOMP_INLINE, 0x34BB},
-	{0x2F9CB, 0, 1, 5070},
-	{0x2F9CC, 0, 1, 5071},
+	{0x2F9CB, 0, 1, 5076},
+	{0x2F9CC, 0, 1, 5077},
 	{0x2F9CD, 0, 1 | DECOMP_INLINE, 0x46BE},
 	{0x2F9CE, 0, 1 | DECOMP_INLINE, 0x46C7},
 	{0x2F9CF, 0, 1 | DECOMP_INLINE, 0x8AA0},
 	{0x2F9D0, 0, 1 | DECOMP_INLINE, 0x8AED},
 	{0x2F9D1, 0, 1 | DECOMP_INLINE, 0x8B8A},
 	{0x2F9D2, 0, 1 | DECOMP_INLINE, 0x8C55},
-	{0x2F9D3, 0, 1, 5072},
+	{0x2F9D3, 0, 1, 5078},
 	{0x2F9D4, 0, 1 | DECOMP_INLINE, 0x8CAB},
 	{0x2F9D5, 0, 1 | DECOMP_INLINE, 0x8CC1},
 	{0x2F9D6, 0, 1 | DECOMP_INLINE, 0x8D1B},
 	{0x2F9D7, 0, 1 | DECOMP_INLINE, 0x8D77},
-	{0x2F9D8, 0, 1, 5073},
-	{0x2F9D9, 0, 1, 5074},
+	{0x2F9D8, 0, 1, 5079},
+	{0x2F9D9, 0, 1, 5080},
 	{0x2F9DA, 0, 1 | DECOMP_INLINE, 0x8DCB},
 	{0x2F9DB, 0, 1 | DECOMP_INLINE, 0x8DBC},
 	{0x2F9DC, 0, 1 | DECOMP_INLINE, 0x8DF0},
-	{0x2F9DD, 0, 1, 5075},
+	{0x2F9DD, 0, 1, 5081},
 	{0x2F9DE, 0, 1 | DECOMP_INLINE, 0x8ED4},
 	{0x2F9DF, 0, 1 | DECOMP_INLINE, 0x8F38},
-	{0x2F9E0, 0, 1, 5076},
-	{0x2F9E1, 0, 1, 5077},
+	{0x2F9E0, 0, 1, 5082},
+	{0x2F9E1, 0, 1, 5083},
 	{0x2F9E2, 0, 1 | DECOMP_INLINE, 0x9094},
 	{0x2F9E3, 0, 1 | DECOMP_INLINE, 0x90F1},
 	{0x2F9E4, 0, 1 | DECOMP_INLINE, 0x9111},
-	{0x2F9E5, 0, 1, 5078},
+	{0x2F9E5, 0, 1, 5084},
 	{0x2F9E6, 0, 1 | DECOMP_INLINE, 0x911B},
 	{0x2F9E7, 0, 1 | DECOMP_INLINE, 0x9238},
 	{0x2F9E8, 0, 1 | DECOMP_INLINE, 0x92D7},
@@ -6593,27 +6692,27 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2F9EA, 0, 1 | DECOMP_INLINE, 0x927C},
 	{0x2F9EB, 0, 1 | DECOMP_INLINE, 0x93F9},
 	{0x2F9EC, 0, 1 | DECOMP_INLINE, 0x9415},
-	{0x2F9ED, 0, 1, 5079},
+	{0x2F9ED, 0, 1, 5085},
 	{0x2F9EE, 0, 1 | DECOMP_INLINE, 0x958B},
 	{0x2F9EF, 0, 1 | DECOMP_INLINE, 0x4995},
 	{0x2F9F0, 0, 1 | DECOMP_INLINE, 0x95B7},
-	{0x2F9F1, 0, 1, 5080},
+	{0x2F9F1, 0, 1, 5086},
 	{0x2F9F2, 0, 1 | DECOMP_INLINE, 0x49E6},
 	{0x2F9F3, 0, 1 | DECOMP_INLINE, 0x96C3},
 	{0x2F9F4, 0, 1 | DECOMP_INLINE, 0x5DB2},
 	{0x2F9F5, 0, 1 | DECOMP_INLINE, 0x9723},
-	{0x2F9F6, 0, 1, 5081},
-	{0x2F9F7, 0, 1, 5082},
+	{0x2F9F6, 0, 1, 5087},
+	{0x2F9F7, 0, 1, 5088},
 	{0x2F9F8, 0, 1 | DECOMP_INLINE, 0x4A6E},
 	{0x2F9F9, 0, 1 | DECOMP_INLINE, 0x4A76},
 	{0x2F9FA, 0, 1 | DECOMP_INLINE, 0x97E0},
-	{0x2F9FB, 0, 1, 5083},
+	{0x2F9FB, 0, 1, 5089},
 	{0x2F9FC, 0, 1 | DECOMP_INLINE, 0x4AB2},
-	{0x2F9FD, 0, 1, 5084},
+	{0x2F9FD, 0, 1, 5090},
 	{0x2F9FE, 0, 1 | DECOMP_INLINE, 0x980B},
 	{0x2F9FF, 0, 1 | DECOMP_INLINE, 0x980B},
 	{0x2FA00, 0, 1 | DECOMP_INLINE, 0x9829},
-	{0x2FA01, 0, 1, 5085},
+	{0x2FA01, 0, 1, 5091},
 	{0x2FA02, 0, 1 | DECOMP_INLINE, 0x98E2},
 	{0x2FA03, 0, 1 | DECOMP_INLINE, 0x4B33},
 	{0x2FA04, 0, 1 | DECOMP_INLINE, 0x9929},
@@ -6621,18 +6720,18 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2FA06, 0, 1 | DECOMP_INLINE, 0x99C2},
 	{0x2FA07, 0, 1 | DECOMP_INLINE, 0x99FE},
 	{0x2FA08, 0, 1 | DECOMP_INLINE, 0x4BCE},
-	{0x2FA09, 0, 1, 5086},
+	{0x2FA09, 0, 1, 5092},
 	{0x2FA0A, 0, 1 | DECOMP_INLINE, 0x9B12},
 	{0x2FA0B, 0, 1 | DECOMP_INLINE, 0x9C40},
 	{0x2FA0C, 0, 1 | DECOMP_INLINE, 0x9CFD},
 	{0x2FA0D, 0, 1 | DECOMP_INLINE, 0x4CCE},
 	{0x2FA0E, 0, 1 | DECOMP_INLINE, 0x4CED},
 	{0x2FA0F, 0, 1 | DECOMP_INLINE, 0x9D67},
-	{0x2FA10, 0, 1, 5087},
+	{0x2FA10, 0, 1, 5093},
 	{0x2FA11, 0, 1 | DECOMP_INLINE, 0x4CF8},
-	{0x2FA12, 0, 1, 5088},
-	{0x2FA13, 0, 1, 5089},
-	{0x2FA14, 0, 1, 5090},
+	{0x2FA12, 0, 1, 5094},
+	{0x2FA13, 0, 1, 5095},
+	{0x2FA14, 0, 1, 5096},
 	{0x2FA15, 0, 1 | DECOMP_INLINE, 0x9EBB},
 	{0x2FA16, 0, 1 | DECOMP_INLINE, 0x4D56},
 	{0x2FA17, 0, 1 | DECOMP_INLINE, 0x9EF9},
@@ -6641,12 +6740,12 @@ static const pg_unicode_decomposition UnicodeDecompMain[6604] =
 	{0x2FA1A, 0, 1 | DECOMP_INLINE, 0x9F0F},
 	{0x2FA1B, 0, 1 | DECOMP_INLINE, 0x9F16},
 	{0x2FA1C, 0, 1 | DECOMP_INLINE, 0x9F3B},
-	{0x2FA1D, 0, 1, 5091}
+	{0x2FA1D, 0, 1, 5097}
 
 };
 
 /* codepoints array  */
-static const uint32 UnicodeDecomp_codepoints[5092] =
+static const uint32 UnicodeDecomp_codepoints[5098] =
 {
 	 /* 0 */ 0x0020, 0x0308,
 	 /* 2 */ 0x0020, 0x0304,
@@ -8742,196 +8841,202 @@ static const uint32 UnicodeDecomp_codepoints[5092] =
 	 /* 4770 */ 0x0644, 0x0625,
 	 /* 4772 */ 0x0644, 0x0627,
 	 /* 4774 */ 0x0644, 0x0627,
-	 /* 4776 */ 0x11099, 0x110BA,
-	 /* 4778 */ 0x1109B, 0x110BA,
-	 /* 4780 */ 0x110A5, 0x110BA,
-	 /* 4782 */ 0x11131, 0x11127,
-	 /* 4784 */ 0x11132, 0x11127,
-	 /* 4786 */ 0x11347, 0x1133E,
-	 /* 4788 */ 0x11347, 0x11357,
-	 /* 4790 */ 0x114B9, 0x114BA,
-	 /* 4792 */ 0x114B9, 0x114B0,
-	 /* 4794 */ 0x114B9, 0x114BD,
-	 /* 4796 */ 0x115B8, 0x115AF,
-	 /* 4798 */ 0x115B9, 0x115AF,
-	 /* 4800 */ 0x11935, 0x11930,
-	 /* 4802 */ 0x1D157, 0x1D165,
-	 /* 4804 */ 0x1D158, 0x1D165,
-	 /* 4806 */ 0x1D15F, 0x1D16E,
-	 /* 4808 */ 0x1D15F, 0x1D16F,
-	 /* 4810 */ 0x1D15F, 0x1D170,
-	 /* 4812 */ 0x1D15F, 0x1D171,
-	 /* 4814 */ 0x1D15F, 0x1D172,
-	 /* 4816 */ 0x1D1B9, 0x1D165,
-	 /* 4818 */ 0x1D1BA, 0x1D165,
-	 /* 4820 */ 0x1D1BB, 0x1D16E,
-	 /* 4822 */ 0x1D1BC, 0x1D16E,
-	 /* 4824 */ 0x1D1BB, 0x1D16F,
-	 /* 4826 */ 0x1D1BC, 0x1D16F,
-	 /* 4828 */ 0x0030, 0x002E,
-	 /* 4830 */ 0x0030, 0x002C,
-	 /* 4832 */ 0x0031, 0x002C,
-	 /* 4834 */ 0x0032, 0x002C,
-	 /* 4836 */ 0x0033, 0x002C,
-	 /* 4838 */ 0x0034, 0x002C,
-	 /* 4840 */ 0x0035, 0x002C,
-	 /* 4842 */ 0x0036, 0x002C,
-	 /* 4844 */ 0x0037, 0x002C,
-	 /* 4846 */ 0x0038, 0x002C,
-	 /* 4848 */ 0x0039, 0x002C,
-	 /* 4850 */ 0x0028, 0x0041, 0x0029,
-	 /* 4853 */ 0x0028, 0x0042, 0x0029,
-	 /* 4856 */ 0x0028, 0x0043, 0x0029,
-	 /* 4859 */ 0x0028, 0x0044, 0x0029,
-	 /* 4862 */ 0x0028, 0x0045, 0x0029,
-	 /* 4865 */ 0x0028, 0x0046, 0x0029,
-	 /* 4868 */ 0x0028, 0x0047, 0x0029,
-	 /* 4871 */ 0x0028, 0x0048, 0x0029,
-	 /* 4874 */ 0x0028, 0x0049, 0x0029,
-	 /* 4877 */ 0x0028, 0x004A, 0x0029,
-	 /* 4880 */ 0x0028, 0x004B, 0x0029,
-	 /* 4883 */ 0x0028, 0x004C, 0x0029,
-	 /* 4886 */ 0x0028, 0x004D, 0x0029,
-	 /* 4889 */ 0x0028, 0x004E, 0x0029,
-	 /* 4892 */ 0x0028, 0x004F, 0x0029,
-	 /* 4895 */ 0x0028, 0x0050, 0x0029,
-	 /* 4898 */ 0x0028, 0x0051, 0x0029,
-	 /* 4901 */ 0x0028, 0x0052, 0x0029,
-	 /* 4904 */ 0x0028, 0x0053, 0x0029,
-	 /* 4907 */ 0x0028, 0x0054, 0x0029,
-	 /* 4910 */ 0x0028, 0x0055, 0x0029,
-	 /* 4913 */ 0x0028, 0x0056, 0x0029,
-	 /* 4916 */ 0x0028, 0x0057, 0x0029,
-	 /* 4919 */ 0x0028, 0x0058, 0x0029,
-	 /* 4922 */ 0x0028, 0x0059, 0x0029,
-	 /* 4925 */ 0x0028, 0x005A, 0x0029,
-	 /* 4928 */ 0x3014, 0x0053, 0x3015,
-	 /* 4931 */ 0x0043, 0x0044,
-	 /* 4933 */ 0x0057, 0x005A,
-	 /* 4935 */ 0x0048, 0x0056,
-	 /* 4937 */ 0x004D, 0x0056,
-	 /* 4939 */ 0x0053, 0x0044,
-	 /* 4941 */ 0x0053, 0x0053,
-	 /* 4943 */ 0x0050, 0x0050, 0x0056,
-	 /* 4946 */ 0x0057, 0x0043,
-	 /* 4948 */ 0x004D, 0x0043,
-	 /* 4950 */ 0x004D, 0x0044,
-	 /* 4952 */ 0x004D, 0x0052,
-	 /* 4954 */ 0x0044, 0x004A,
-	 /* 4956 */ 0x307B, 0x304B,
-	 /* 4958 */ 0x30B3, 0x30B3,
-	 /* 4960 */ 0x3014, 0x672C, 0x3015,
-	 /* 4963 */ 0x3014, 0x4E09, 0x3015,
-	 /* 4966 */ 0x3014, 0x4E8C, 0x3015,
-	 /* 4969 */ 0x3014, 0x5B89, 0x3015,
-	 /* 4972 */ 0x3014, 0x70B9, 0x3015,
-	 /* 4975 */ 0x3014, 0x6253, 0x3015,
-	 /* 4978 */ 0x3014, 0x76D7, 0x3015,
-	 /* 4981 */ 0x3014, 0x52DD, 0x3015,
-	 /* 4984 */ 0x3014, 0x6557, 0x3015,
-	 /* 4987 */ 0x20122,
-	 /* 4988 */ 0x2063A,
-	 /* 4989 */ 0x2051C,
-	 /* 4990 */ 0x2054B,
-	 /* 4991 */ 0x291DF,
-	 /* 4992 */ 0x20A2C,
-	 /* 4993 */ 0x20B63,
-	 /* 4994 */ 0x214E4,
-	 /* 4995 */ 0x216A8,
-	 /* 4996 */ 0x216EA,
-	 /* 4997 */ 0x219C8,
-	 /* 4998 */ 0x21B18,
-	 /* 4999 */ 0x21DE4,
-	 /* 5000 */ 0x21DE6,
-	 /* 5001 */ 0x22183,
-	 /* 5002 */ 0x2A392,
-	 /* 5003 */ 0x22331,
-	 /* 5004 */ 0x22331,
-	 /* 5005 */ 0x232B8,
-	 /* 5006 */ 0x261DA,
-	 /* 5007 */ 0x226D4,
-	 /* 5008 */ 0x22B0C,
-	 /* 5009 */ 0x22BF1,
-	 /* 5010 */ 0x2300A,
-	 /* 5011 */ 0x233C3,
-	 /* 5012 */ 0x2346D,
-	 /* 5013 */ 0x236A3,
-	 /* 5014 */ 0x238A7,
-	 /* 5015 */ 0x23A8D,
-	 /* 5016 */ 0x21D0B,
-	 /* 5017 */ 0x23AFA,
-	 /* 5018 */ 0x23CBC,
-	 /* 5019 */ 0x23D1E,
-	 /* 5020 */ 0x23ED1,
-	 /* 5021 */ 0x23F5E,
-	 /* 5022 */ 0x23F8E,
-	 /* 5023 */ 0x20525,
-	 /* 5024 */ 0x24263,
-	 /* 5025 */ 0x243AB,
-	 /* 5026 */ 0x24608,
-	 /* 5027 */ 0x24735,
-	 /* 5028 */ 0x24814,
-	 /* 5029 */ 0x24C36,
-	 /* 5030 */ 0x24C92,
-	 /* 5031 */ 0x2219F,
-	 /* 5032 */ 0x24FA1,
-	 /* 5033 */ 0x24FB8,
-	 /* 5034 */ 0x25044,
-	 /* 5035 */ 0x250F3,
-	 /* 5036 */ 0x250F2,
-	 /* 5037 */ 0x25119,
-	 /* 5038 */ 0x25133,
-	 /* 5039 */ 0x2541D,
-	 /* 5040 */ 0x25626,
-	 /* 5041 */ 0x2569A,
-	 /* 5042 */ 0x256C5,
-	 /* 5043 */ 0x2597C,
-	 /* 5044 */ 0x25AA7,
-	 /* 5045 */ 0x25AA7,
-	 /* 5046 */ 0x25BAB,
-	 /* 5047 */ 0x25C80,
-	 /* 5048 */ 0x25F86,
-	 /* 5049 */ 0x26228,
-	 /* 5050 */ 0x26247,
-	 /* 5051 */ 0x262D9,
-	 /* 5052 */ 0x2633E,
-	 /* 5053 */ 0x264DA,
-	 /* 5054 */ 0x26523,
-	 /* 5055 */ 0x265A8,
-	 /* 5056 */ 0x2335F,
-	 /* 5057 */ 0x267A7,
-	 /* 5058 */ 0x267B5,
-	 /* 5059 */ 0x23393,
-	 /* 5060 */ 0x2339C,
-	 /* 5061 */ 0x26B3C,
-	 /* 5062 */ 0x26C36,
-	 /* 5063 */ 0x26D6B,
-	 /* 5064 */ 0x26CD5,
-	 /* 5065 */ 0x273CA,
-	 /* 5066 */ 0x26F2C,
-	 /* 5067 */ 0x26FB1,
-	 /* 5068 */ 0x270D2,
-	 /* 5069 */ 0x27667,
-	 /* 5070 */ 0x278AE,
-	 /* 5071 */ 0x27966,
-	 /* 5072 */ 0x27CA8,
-	 /* 5073 */ 0x27F2F,
-	 /* 5074 */ 0x20804,
-	 /* 5075 */ 0x208DE,
-	 /* 5076 */ 0x285D2,
-	 /* 5077 */ 0x285ED,
-	 /* 5078 */ 0x2872E,
-	 /* 5079 */ 0x28BFA,
-	 /* 5080 */ 0x28D77,
-	 /* 5081 */ 0x29145,
-	 /* 5082 */ 0x2921A,
-	 /* 5083 */ 0x2940A,
-	 /* 5084 */ 0x29496,
-	 /* 5085 */ 0x295B6,
-	 /* 5086 */ 0x29B30,
-	 /* 5087 */ 0x2A0CE,
-	 /* 5088 */ 0x2A105,
-	 /* 5089 */ 0x2A20E,
-	 /* 5090 */ 0x2A291,
-	 /* 5091 */ 0x2A600
+	 /* 4776 */ 0x1DF04,
+	 /* 4777 */ 0x1DF05,
+	 /* 4778 */ 0x1DF06,
+	 /* 4779 */ 0x1DF08,
+	 /* 4780 */ 0x1DF0A,
+	 /* 4781 */ 0x1DF1E,
+	 /* 4782 */ 0x11099, 0x110BA,
+	 /* 4784 */ 0x1109B, 0x110BA,
+	 /* 4786 */ 0x110A5, 0x110BA,
+	 /* 4788 */ 0x11131, 0x11127,
+	 /* 4790 */ 0x11132, 0x11127,
+	 /* 4792 */ 0x11347, 0x1133E,
+	 /* 4794 */ 0x11347, 0x11357,
+	 /* 4796 */ 0x114B9, 0x114BA,
+	 /* 4798 */ 0x114B9, 0x114B0,
+	 /* 4800 */ 0x114B9, 0x114BD,
+	 /* 4802 */ 0x115B8, 0x115AF,
+	 /* 4804 */ 0x115B9, 0x115AF,
+	 /* 4806 */ 0x11935, 0x11930,
+	 /* 4808 */ 0x1D157, 0x1D165,
+	 /* 4810 */ 0x1D158, 0x1D165,
+	 /* 4812 */ 0x1D15F, 0x1D16E,
+	 /* 4814 */ 0x1D15F, 0x1D16F,
+	 /* 4816 */ 0x1D15F, 0x1D170,
+	 /* 4818 */ 0x1D15F, 0x1D171,
+	 /* 4820 */ 0x1D15F, 0x1D172,
+	 /* 4822 */ 0x1D1B9, 0x1D165,
+	 /* 4824 */ 0x1D1BA, 0x1D165,
+	 /* 4826 */ 0x1D1BB, 0x1D16E,
+	 /* 4828 */ 0x1D1BC, 0x1D16E,
+	 /* 4830 */ 0x1D1BB, 0x1D16F,
+	 /* 4832 */ 0x1D1BC, 0x1D16F,
+	 /* 4834 */ 0x0030, 0x002E,
+	 /* 4836 */ 0x0030, 0x002C,
+	 /* 4838 */ 0x0031, 0x002C,
+	 /* 4840 */ 0x0032, 0x002C,
+	 /* 4842 */ 0x0033, 0x002C,
+	 /* 4844 */ 0x0034, 0x002C,
+	 /* 4846 */ 0x0035, 0x002C,
+	 /* 4848 */ 0x0036, 0x002C,
+	 /* 4850 */ 0x0037, 0x002C,
+	 /* 4852 */ 0x0038, 0x002C,
+	 /* 4854 */ 0x0039, 0x002C,
+	 /* 4856 */ 0x0028, 0x0041, 0x0029,
+	 /* 4859 */ 0x0028, 0x0042, 0x0029,
+	 /* 4862 */ 0x0028, 0x0043, 0x0029,
+	 /* 4865 */ 0x0028, 0x0044, 0x0029,
+	 /* 4868 */ 0x0028, 0x0045, 0x0029,
+	 /* 4871 */ 0x0028, 0x0046, 0x0029,
+	 /* 4874 */ 0x0028, 0x0047, 0x0029,
+	 /* 4877 */ 0x0028, 0x0048, 0x0029,
+	 /* 4880 */ 0x0028, 0x0049, 0x0029,
+	 /* 4883 */ 0x0028, 0x004A, 0x0029,
+	 /* 4886 */ 0x0028, 0x004B, 0x0029,
+	 /* 4889 */ 0x0028, 0x004C, 0x0029,
+	 /* 4892 */ 0x0028, 0x004D, 0x0029,
+	 /* 4895 */ 0x0028, 0x004E, 0x0029,
+	 /* 4898 */ 0x0028, 0x004F, 0x0029,
+	 /* 4901 */ 0x0028, 0x0050, 0x0029,
+	 /* 4904 */ 0x0028, 0x0051, 0x0029,
+	 /* 4907 */ 0x0028, 0x0052, 0x0029,
+	 /* 4910 */ 0x0028, 0x0053, 0x0029,
+	 /* 4913 */ 0x0028, 0x0054, 0x0029,
+	 /* 4916 */ 0x0028, 0x0055, 0x0029,
+	 /* 4919 */ 0x0028, 0x0056, 0x0029,
+	 /* 4922 */ 0x0028, 0x0057, 0x0029,
+	 /* 4925 */ 0x0028, 0x0058, 0x0029,
+	 /* 4928 */ 0x0028, 0x0059, 0x0029,
+	 /* 4931 */ 0x0028, 0x005A, 0x0029,
+	 /* 4934 */ 0x3014, 0x0053, 0x3015,
+	 /* 4937 */ 0x0043, 0x0044,
+	 /* 4939 */ 0x0057, 0x005A,
+	 /* 4941 */ 0x0048, 0x0056,
+	 /* 4943 */ 0x004D, 0x0056,
+	 /* 4945 */ 0x0053, 0x0044,
+	 /* 4947 */ 0x0053, 0x0053,
+	 /* 4949 */ 0x0050, 0x0050, 0x0056,
+	 /* 4952 */ 0x0057, 0x0043,
+	 /* 4954 */ 0x004D, 0x0043,
+	 /* 4956 */ 0x004D, 0x0044,
+	 /* 4958 */ 0x004D, 0x0052,
+	 /* 4960 */ 0x0044, 0x004A,
+	 /* 4962 */ 0x307B, 0x304B,
+	 /* 4964 */ 0x30B3, 0x30B3,
+	 /* 4966 */ 0x3014, 0x672C, 0x3015,
+	 /* 4969 */ 0x3014, 0x4E09, 0x3015,
+	 /* 4972 */ 0x3014, 0x4E8C, 0x3015,
+	 /* 4975 */ 0x3014, 0x5B89, 0x3015,
+	 /* 4978 */ 0x3014, 0x70B9, 0x3015,
+	 /* 4981 */ 0x3014, 0x6253, 0x3015,
+	 /* 4984 */ 0x3014, 0x76D7, 0x3015,
+	 /* 4987 */ 0x3014, 0x52DD, 0x3015,
+	 /* 4990 */ 0x3014, 0x6557, 0x3015,
+	 /* 4993 */ 0x20122,
+	 /* 4994 */ 0x2063A,
+	 /* 4995 */ 0x2051C,
+	 /* 4996 */ 0x2054B,
+	 /* 4997 */ 0x291DF,
+	 /* 4998 */ 0x20A2C,
+	 /* 4999 */ 0x20B63,
+	 /* 5000 */ 0x214E4,
+	 /* 5001 */ 0x216A8,
+	 /* 5002 */ 0x216EA,
+	 /* 5003 */ 0x219C8,
+	 /* 5004 */ 0x21B18,
+	 /* 5005 */ 0x21DE4,
+	 /* 5006 */ 0x21DE6,
+	 /* 5007 */ 0x22183,
+	 /* 5008 */ 0x2A392,
+	 /* 5009 */ 0x22331,
+	 /* 5010 */ 0x22331,
+	 /* 5011 */ 0x232B8,
+	 /* 5012 */ 0x261DA,
+	 /* 5013 */ 0x226D4,
+	 /* 5014 */ 0x22B0C,
+	 /* 5015 */ 0x22BF1,
+	 /* 5016 */ 0x2300A,
+	 /* 5017 */ 0x233C3,
+	 /* 5018 */ 0x2346D,
+	 /* 5019 */ 0x236A3,
+	 /* 5020 */ 0x238A7,
+	 /* 5021 */ 0x23A8D,
+	 /* 5022 */ 0x21D0B,
+	 /* 5023 */ 0x23AFA,
+	 /* 5024 */ 0x23CBC,
+	 /* 5025 */ 0x23D1E,
+	 /* 5026 */ 0x23ED1,
+	 /* 5027 */ 0x23F5E,
+	 /* 5028 */ 0x23F8E,
+	 /* 5029 */ 0x20525,
+	 /* 5030 */ 0x24263,
+	 /* 5031 */ 0x243AB,
+	 /* 5032 */ 0x24608,
+	 /* 5033 */ 0x24735,
+	 /* 5034 */ 0x24814,
+	 /* 5035 */ 0x24C36,
+	 /* 5036 */ 0x24C92,
+	 /* 5037 */ 0x2219F,
+	 /* 5038 */ 0x24FA1,
+	 /* 5039 */ 0x24FB8,
+	 /* 5040 */ 0x25044,
+	 /* 5041 */ 0x250F3,
+	 /* 5042 */ 0x250F2,
+	 /* 5043 */ 0x25119,
+	 /* 5044 */ 0x25133,
+	 /* 5045 */ 0x2541D,
+	 /* 5046 */ 0x25626,
+	 /* 5047 */ 0x2569A,
+	 /* 5048 */ 0x256C5,
+	 /* 5049 */ 0x2597C,
+	 /* 5050 */ 0x25AA7,
+	 /* 5051 */ 0x25AA7,
+	 /* 5052 */ 0x25BAB,
+	 /* 5053 */ 0x25C80,
+	 /* 5054 */ 0x25F86,
+	 /* 5055 */ 0x26228,
+	 /* 5056 */ 0x26247,
+	 /* 5057 */ 0x262D9,
+	 /* 5058 */ 0x2633E,
+	 /* 5059 */ 0x264DA,
+	 /* 5060 */ 0x26523,
+	 /* 5061 */ 0x265A8,
+	 /* 5062 */ 0x2335F,
+	 /* 5063 */ 0x267A7,
+	 /* 5064 */ 0x267B5,
+	 /* 5065 */ 0x23393,
+	 /* 5066 */ 0x2339C,
+	 /* 5067 */ 0x26B3C,
+	 /* 5068 */ 0x26C36,
+	 /* 5069 */ 0x26D6B,
+	 /* 5070 */ 0x26CD5,
+	 /* 5071 */ 0x273CA,
+	 /* 5072 */ 0x26F2C,
+	 /* 5073 */ 0x26FB1,
+	 /* 5074 */ 0x270D2,
+	 /* 5075 */ 0x27667,
+	 /* 5076 */ 0x278AE,
+	 /* 5077 */ 0x27966,
+	 /* 5078 */ 0x27CA8,
+	 /* 5079 */ 0x27F2F,
+	 /* 5080 */ 0x20804,
+	 /* 5081 */ 0x208DE,
+	 /* 5082 */ 0x285D2,
+	 /* 5083 */ 0x285ED,
+	 /* 5084 */ 0x2872E,
+	 /* 5085 */ 0x28BFA,
+	 /* 5086 */ 0x28D77,
+	 /* 5087 */ 0x29145,
+	 /* 5088 */ 0x2921A,
+	 /* 5089 */ 0x2940A,
+	 /* 5090 */ 0x29496,
+	 /* 5091 */ 0x295B6,
+	 /* 5092 */ 0x29B30,
+	 /* 5093 */ 0x2A0CE,
+	 /* 5094 */ 0x2A105,
+	 /* 5095 */ 0x2A20E,
+	 /* 5096 */ 0x2A291,
+	 /* 5097 */ 0x2A600
 };
diff --git a/src/include/common/unicode_normprops_table.h b/src/include/common/unicode_normprops_table.h
index 8c310f10d7..2b421cbf9c 100644
--- a/src/include/common/unicode_normprops_table.h
+++ b/src/include/common/unicode_normprops_table.h
@@ -3120,6 +3120,9 @@ static const pg_unicode_normprops UnicodeNormProps_NFKC_QC[] = {
 	{0xA69C, UNICODE_NORM_QC_NO},
 	{0xA69D, UNICODE_NORM_QC_NO},
 	{0xA770, UNICODE_NORM_QC_NO},
+	{0xA7F2, UNICODE_NORM_QC_NO},
+	{0xA7F3, UNICODE_NORM_QC_NO},
+	{0xA7F4, UNICODE_NORM_QC_NO},
 	{0xA7F8, UNICODE_NORM_QC_NO},
 	{0xA7F9, UNICODE_NORM_QC_NO},
 	{0xAB5C, UNICODE_NORM_QC_NO},
@@ -4666,6 +4669,62 @@ static const pg_unicode_normprops UnicodeNormProps_NFKC_QC[] = {
 	{0xFFEC, UNICODE_NORM_QC_NO},
 	{0xFFED, UNICODE_NORM_QC_NO},
 	{0xFFEE, UNICODE_NORM_QC_NO},
+	{0x10781, UNICODE_NORM_QC_NO},
+	{0x10782, UNICODE_NORM_QC_NO},
+	{0x10783, UNICODE_NORM_QC_NO},
+	{0x10784, UNICODE_NORM_QC_NO},
+	{0x10785, UNICODE_NORM_QC_NO},
+	{0x10787, UNICODE_NORM_QC_NO},
+	{0x10788, UNICODE_NORM_QC_NO},
+	{0x10789, UNICODE_NORM_QC_NO},
+	{0x1078A, UNICODE_NORM_QC_NO},
+	{0x1078B, UNICODE_NORM_QC_NO},
+	{0x1078C, UNICODE_NORM_QC_NO},
+	{0x1078D, UNICODE_NORM_QC_NO},
+	{0x1078E, UNICODE_NORM_QC_NO},
+	{0x1078F, UNICODE_NORM_QC_NO},
+	{0x10790, UNICODE_NORM_QC_NO},
+	{0x10791, UNICODE_NORM_QC_NO},
+	{0x10792, UNICODE_NORM_QC_NO},
+	{0x10793, UNICODE_NORM_QC_NO},
+	{0x10794, UNICODE_NORM_QC_NO},
+	{0x10795, UNICODE_NORM_QC_NO},
+	{0x10796, UNICODE_NORM_QC_NO},
+	{0x10797, UNICODE_NORM_QC_NO},
+	{0x10798, UNICODE_NORM_QC_NO},
+	{0x10799, UNICODE_NORM_QC_NO},
+	{0x1079A, UNICODE_NORM_QC_NO},
+	{0x1079B, UNICODE_NORM_QC_NO},
+	{0x1079C, UNICODE_NORM_QC_NO},
+	{0x1079D, UNICODE_NORM_QC_NO},
+	{0x1079E, UNICODE_NORM_QC_NO},
+	{0x1079F, UNICODE_NORM_QC_NO},
+	{0x107A0, UNICODE_NORM_QC_NO},
+	{0x107A1, UNICODE_NORM_QC_NO},
+	{0x107A2, UNICODE_NORM_QC_NO},
+	{0x107A3, UNICODE_NORM_QC_NO},
+	{0x107A4, UNICODE_NORM_QC_NO},
+	{0x107A5, UNICODE_NORM_QC_NO},
+	{0x107A6, UNICODE_NORM_QC_NO},
+	{0x107A7, UNICODE_NORM_QC_NO},
+	{0x107A8, UNICODE_NORM_QC_NO},
+	{0x107A9, UNICODE_NORM_QC_NO},
+	{0x107AA, UNICODE_NORM_QC_NO},
+	{0x107AB, UNICODE_NORM_QC_NO},
+	{0x107AC, UNICODE_NORM_QC_NO},
+	{0x107AD, UNICODE_NORM_QC_NO},
+	{0x107AE, UNICODE_NORM_QC_NO},
+	{0x107AF, UNICODE_NORM_QC_NO},
+	{0x107B0, UNICODE_NORM_QC_NO},
+	{0x107B2, UNICODE_NORM_QC_NO},
+	{0x107B3, UNICODE_NORM_QC_NO},
+	{0x107B4, UNICODE_NORM_QC_NO},
+	{0x107B5, UNICODE_NORM_QC_NO},
+	{0x107B6, UNICODE_NORM_QC_NO},
+	{0x107B7, UNICODE_NORM_QC_NO},
+	{0x107B8, UNICODE_NORM_QC_NO},
+	{0x107B9, UNICODE_NORM_QC_NO},
+	{0x107BA, UNICODE_NORM_QC_NO},
 	{0x110BA, UNICODE_NORM_QC_MAYBE},
 	{0x11127, UNICODE_NORM_QC_MAYBE},
 	{0x1133E, UNICODE_NORM_QC_MAYBE},
@@ -6519,70 +6578,12 @@ static const pg_unicode_normprops UnicodeNormProps_NFKC_QC[] = {
 static int
 NFKC_QC_hash_func(const void *key)
 {
-	static const int16 h[9837] = {
-		-2472, -2472, -2472, -2472, -2472, -2472, -2472, -2472,
-		-2472, -2472, -2472, -2472, -2472, -2472, -2472, -2472,
-		-2472, -2472, -2472, -2472, -2472, -2472, -2472, -2472,
-		-2472, -2472, -2472, -2472, -2472, 32767, 32767, 32767,
-		-2475, -2475, -2475, -2475, -2475, -2475, -2475, -2475,
-		-2475, -2475, -2475, -2475, -2475, -2475, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 865,   865,   865,   865,   865,   865,   865,
-		865,   865,   865,   865,   -2255, 32767, -5207, 32767,
-		-5207, 860,   860,   860,   860,   860,   860,   860,
-		860,   860,   4250,  861,   861,   861,   3339,  3339,
-		3339,  3339,  3339,  3339,  3339,  3339,  3339,  3339,
-		3339,  3339,  3339,  3339,  3339,  3339,  3339,  3339,
-		32767, 3338,  3338,  3338,  3338,  3338,  3338,  3338,
-		3338,  3338,  3338,  3338,  3338,  3338,  3338,  3338,
-		3338,  3338,  3338,  3338,  3338,  3338,  3338,  3338,
-		3338,  3338,  3338,  3338,  3338,  3338,  3338,  3338,
-		3338,  9,     10,    32767, 11,    12,    0,     32767,
-		0,     2913,  2914,  2915,  2916,  32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 2917,  32767, 2918,  -100,
-		2919,  2920,  2921,  840,   840,   840,   2922,  0,
-		0,     0,     0,     0,     2206,  0,     2923,  0,
-		2924,  2925,  2926,  0,     0,     0,     -2590, 0,
-		0,     0,     0,     0,     0,     0,     2934,  0,
-		2474,  2931,  2932,  0,     0,     0,     0,     0,
-		14,    805,   0,     0,     2933,  0,     2934,  0,
-		2935,  2936,  0,     0,     0,     16,    17,    0,
-		0,     0,     0,     0,     0,     0,     0,     18,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     -790,  0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     -1675, 0,     0,     19,    0,     -1679,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     -1694,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     20,    21,    22,    23,    24,    25,
-		26,    27,    28,    0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     32767, 32767,
+	static const int16 h[9955] = {
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 3138,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 29,    30,    31,    32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -6598,6 +6599,10 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-50,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		1,     32767, 2,     32767, 32767, 32767, 32767, 3,
+		32767, 32767, 4,     5,     6,     7,     32767, 32767,
+		8,     9,     10,    32767, 11,    12,    -39,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -6606,72 +6611,47 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 724,   2668,  724,   4350,  -2633, -2633,
-		2533,  2534,  2535,  32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 2518,  2519,  2520,  1431,  45,    46,
-		32767, 32767, 47,    48,    49,    50,    51,    32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -3011, 53,    -1125, -3010, -3010,
-		32767, -3334, -1123, -3011, 60,    61,    62,    63,
-		32767, 32767, 64,    32767, 65,    32767, 66,    67,
-		32767, 32767, 32767, 32767, 32767, 32767, 2268,  32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 69,    70,
-		71,    72,    73,    74,    32767, 32767, 32767, 32767,
-		75,    76,    32767, 77,    281,   32767, 32767, 32767,
-		32767, 32767, 32767, 811,   32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 1341,  1342,  1343,  1344,  1345,
-		1346,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 14,    15,    32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-36,   -3114, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, -43,   32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 86,
-		32767, 32767, 32767, 32767, 32767, 4550,  32767, 32767,
-		32767, 1135,  32767, 32767, 32767, 32767, 32767, 1130,
-		3016,  32767, 3017,  32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-61,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 3139,  3140,  3141,  3142,
+		3143,  3144,  3145,  32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 677,   32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 2858,  2859,  651,   2861,  -438,
-		2863,  2864,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 3104,  21,    3107,
+		23,    24,    25,    26,    27,    28,    32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -5305, -5305, -5305, 32767, -5306,
-		-5306, 32767, 32767, 32767, 2871,  32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 3146,  3147,  3148,  3149,  3150,  3151,  32767,
+		32767, 32767, 29,    30,    31,    32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 3022,  3023,  680,   32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, -272,  32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 4308,  4309,  4310,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 4311,  4312,  4313,
-		4314,  4315,  4316,  4317,  4318,  4319,  4320,  4321,
-		4322,  4323,  4324,  4325,  4326,  4307,  4307,  4307,
-		4307,  4307,  4307,  4307,  4307,  4307,  4336,  4337,
-		4338,  4339,  4340,  4341,  4342,  4343,  4344,  4345,
-		4346,  4347,  4348,  4349,  4350,  4351,  4352,  4353,
-		4354,  32767, 32767, 32767, 32767, 4355,  4356,  4357,
-		4358,  4359,  4360,  4361,  4362,  4363,  32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 4364,  4365,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -6681,351 +6661,692 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 3130,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 3213,  3214,  2948,  35,    3060,  3219,
+		38,    39,    40,    32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     2202,  0,     0,     0,     59,    0,
-		0,     35,    0,     0,     0,     3549,  0,     0,
-		0,     0,     0,     3394,  0,     0,     3399,  0,
-		0,     0,     0,     0,     0,     0,     0,     2012,
-		0,     0,     0,     0,     87,    2022,  0,     7490,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		2255,  0,     2256,  2256,  2256,  0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     32767, 0,     0,
-		0,     0,     0,     0,     -1759, 0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     4767,  0,     0,     4772,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 41,    42,    43,    44,    45,    46,
+		32767, 32767, -634,  48,    49,    50,    51,    32767,
+		32767, 32767, 32767, 32767, 32767, 0,     32767, 0,
+		32767, 32767, 32767, 32767, 0,     32767, 0,     0,
+		0,     0,     0,     32767, 32767, 0,     0,     0,
+		32767, 0,     0,     52,    3131,  54,    55,    56,
+		32767, 57,    58,    59,    60,    61,    62,    63,
+		32767, 32767, 64,    32767, 3221,  32767, 3222,  3223,
+		32767, 32767, 32767, 32767, 32767, 32767, 68,    32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 69,    70,
+		71,    72,    73,    74,    32767, 32767, 32767, 32767,
+		75,    76,    32767, 77,    3259,  32767, 32767, 32767,
+		32767, 32767, 32767, 79,    32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 80,    81,    82,    83,    84,
+		85,    32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, -33,   32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, -2919,
+		32767, 32767, 32767, 32767, 32767, -3076, 32767, 32767,
+		32767, -3079, 32767, 32767, 32767, 32767, 32767, -3084,
+		-3084, 0,     -3085, 0,     0,     0,     0,     0,
+		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
+		32767, 32767, 32767, -943,  -942,  -941,  32767, 32767,
+		32767, 32767, 0,     -3078, 0,     0,     0,     32767,
+		0,     0,     0,     0,     0,     0,     0,     32767,
+		32767, 0,     32767, -3156, -3156, -3156, -3156, -3156,
+		-3156, -3156, 32767, 32767, 32767, 0,     32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
+		0,     0,     0,     32767, 32767, 32767, 32767, 0,
+		0,     32767, 0,     -3181, -3181, -2914, 0,     -3024,
+		-3182, 0,     0,     0,     -3185, 32767, 32767, 32767,
+		32767, 32767, 0,     0,     0,     0,     0,     0,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 0,     0,     0,     0,     0,
+		0,     32767, 32767, 681,   0,     0,     0,     0,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 3152,  3153,  3154,  3155,  4895,  3005,  3158,
+		3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,
+		3167,  3168,  3169,  3170,  3171,  3172,  3173,  3174,
+		3175,  3176,  3177,  3178,  3179,  3180,  3181,  3182,
+		3183,  3184,  3185,  3186,  3187,  3188,  3189,  3190,
+		3191,  3192,  3193,  3194,  3195,  3196,  3197,  3198,
+		3199,  3200,  3201,  3202,  3203,  3204,  1002,  3206,
+		3207,  3208,  3209,  3210,  3211,  3212,  3213,  3214,
+		3215,  3216,  3217,  3218,  3219,  3220,  3221,  3222,
+		3223,  3224,  3225,  3226,  3227,  3228,  3229,  3230,
+		3231,  3232,  3233,  3234,  3235,  3236,  32767, 3237,
+		3238,  3239,  3240,  3241,  3242,  3243,  3244,  3245,
+		3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,
+		3254,  3255,  3256,  3257,  3258,  7120,  3260,  3261,
+		3262,  3263,  3264,  3265,  3266,  3267,  3268,  3114,
+		3270,  3271,  3272,  3273,  3118,  3275,  3276,  3277,
+		3278,  3122,  3280,  3281,  3015,  3283,  3126,  3285,
+		3286,  3287,  3288,  3289,  3290,  3291,  3292,  3293,
+		3294,  3295,  3296,  5040,  3298,  3299,  3300,  3301,
+		3302,  3303,  3304,  3305,  3306,  5059,  32767, 574,
+		574,   32767, 32767, 3944,  32767, 32767, 3311,  3312,
+		32767, 32767, 3313,  5153,  3315,  3316,  32767, 3317,
+		3318,  3319,  3320,  4304,  4305,  4306,  4307,  4308,
+		4309,  4310,  3328,  32767, 4313,  32767, 3330,  3331,
+		3332,  3333,  3334,  3335,  3336,  32767, 3337,  8896,
+		3339,  3340,  3341,  3342,  5133,  3344,  3345,  3346,
+		3347,  5142,  3349,  3350,  3351,  3352,  7858,  3354,
+		3355,  3356,  -12,   3358,  3359,  3360,  3361,  3362,
+		-3689, -3689, -3689, -920,  3367,  3368,  3369,  3370,
+		3371,  3372,  3373,  3374,  3375,  3132,  3377,  3378,
+		3379,  3380,  3381,  3382,  3383,  3384,  3385,  3386,
+		3387,  3388,  1815,  3390,  3391,  3392,  3393,  3394,
+		3395,  32767, 3396,  3240,  3398,  3399,  3133,  3401,
+		32767, 3402,  3403,  3404,  3405,  32767, 32767, 3406,
+		3407,  3408,  3409,  3410,  3411,  5155,  3413,  0,
+		3414,  3415,  3416,  3417,  3418,  3419,  3420,  32767,
+		3421,  688,   688,   688,   4059,  4060,  3427,  3428,
+		3429,  3430,  3431,  3432,  3433,  5273,  3435,  3436,
+		3437,  3438,  3439,  3440,  3441,  4425,  4426,  4427,
+		4428,  4429,  4430,  4431,  4432,  4433,  4434,  4378,
+		3452,  32767, 3453,  3454,  3455,  3456,  3457,  32767,
+		3458,  32767, 32767, 32767, 3459,  3460,  5251,  3462,
+		3463,  3464,  3465,  32767, 3466,  3467,  3468,  3469,
+		7975,  3471,  3472,  3473,  105,   3475,  3476,  3477,
+		3478,  3479,  -3572, -3572, -3572, -803,  3484,  3485,
+		3486,  3487,  3488,  3489,  3490,  3491,  3492,  3249,
+		3494,  3495,  3496,  3497,  3498,  3499,  3500,  3501,
+		3502,  3503,  3504,  3505,  1932,  3507,  3508,  3509,
+		3510,  3511,  3512,  3513,  3514,  3515,  3516,  3517,
+		3518,  3519,  3520,  3521,  3522,  3523,  3524,  3525,
+		3526,  3527,  3528,  3529,  3530,  682,   683,   3533,
+		3534,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
+		3542,  3543,  3544,  3545,  3546,  3547,  3548,  3549,
+		3550,  3551,  3552,  3553,  3554,  3555,  3556,  3557,
+		3558,  3559,  3560,  3561,  3562,  3563,  3564,  3565,
+		3566,  3567,  3568,  3569,  3570,  3571,  3572,  3573,
+		3574,  3575,  3576,  3577,  3578,  3579,  3580,  3581,
+		3582,  -3534, -3534, -3534, -3534, 3587,  3588,  3589,
+		3590,  3591,  3592,  3593,  3594,  3595,  3596,  3597,
+		3598,  3599,  3600,  5398,  3602,  3603,  10119, 3605,
+		3606,  3607,  3608,  3609,  3610,  3611,  3612,  3613,
+		2446,  3615,  3616,  2444,  3618,  3619,  3620,  3621,
+		3622,  3623,  3624,  3625,  3626,  3627,  3628,  3629,
+		3630,  3631,  3632,  3633,  3634,  3635,  3636,  3637,
+		3638,  3639,  32767, 3640,  3641,  3642,  3643,  3644,
+		3645,  3646,  3647,  3648,  3649,  3650,  3651,  3652,
+		3653,  3654,  3655,  3656,  3657,  3658,  3659,  811,
+		812,   3662,  3663,  3664,  3665,  3666,  3667,  3668,
+		3669,  3670,  3671,  3672,  3673,  3674,  3675,  3676,
+		3677,  3678,  3679,  3680,  3681,  3682,  3683,  3684,
+		3685,  3686,  3687,  3688,  3689,  3690,  3691,  3692,
+		3693,  3694,  3695,  3696,  3697,  3698,  3699,  3700,
+		3701,  3702,  3703,  3704,  3705,  3706,  3707,  3708,
+		3709,  3710,  3711,  -3405, -3405, -3405, -3405, 3716,
+		3717,  3718,  3719,  3720,  3721,  3722,  3723,  3724,
+		3725,  3726,  3727,  3728,  3729,  5527,  3731,  3732,
+		10248, 3734,  3735,  3736,  3737,  3738,  3739,  3740,
+		3741,  3742,  2575,  3744,  3745,  2573,  3747,  3748,
+		3749,  3750,  3751,  3752,  3753,  3754,  3755,  3756,
+		3757,  3758,  3759,  3760,  3761,  3762,  3763,  3764,
+		3765,  3766,  3767,  3768,  3769,  3770,  3771,  3772,
+		3773,  684,   3775,  3776,  3777,  3778,  3779,  3780,
+		3781,  3782,  3783,  3784,  3785,  3786,  3787,  3788,
+		3789,  3790,  3937,  3938,  2261,  3940,  3795,  3796,
+		3797,  3798,  3799,  3800,  3801,  3802,  3803,  221,
+		3805,  32767, 32767, 3806,  3807,  3808,  3809,  3810,
+		3811,  3812,  3813,  3814,  3815,  3816,  3817,  3818,
+		3819,  3820,  3821,  3822,  2571,  3824,  3825,  -2009,
+		3827,  3828,  3829,  5428,  -32,   3832,  2298,  2298,
+		3651,  2298,  2298,  2298,  2298,  2298,  2298,  2298,
+		2298,  2298,  2298,  2298,  2298,  2298,  2298,  2298,
+		2298,  2298,  2298,  2298,  2298,  2298,  3008,  2298,
+		2298,  -1412, -1970, 3070,  3790,  -10984,-10984,4117,
+		-1240, -1239, -1238, -10892,2298,  2298,  2298,  2298,
+		3199,  2298,  2298,  8405,  3654,  12572, 2298,  12575,
+		3655,  8408,  12579, 12580, 12581, 3786,  3889,  3890,
+		3891,  3892,  2298,  32767, 3894,  3895,  3896,  3897,
+		3898,  3899,  3900,  811,   3902,  3903,  3904,  3905,
+		3906,  3907,  3908,  3909,  3910,  3911,  3912,  3913,
+		3914,  3915,  3916,  3917,  4064,  4065,  2388,  4067,
+		3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,
+		3930,  348,   3932,  3933,  3934,  3935,  3936,  3937,
+		3938,  3939,  3940,  3941,  3942,  3943,  3944,  3945,
+		3946,  3947,  3948,  3949,  3950,  3951,  2700,  3953,
+		3954,  -1880, 3956,  3957,  3958,  5557,  97,    3961,
+		2427,  2427,  3780,  2427,  2427,  2427,  2427,  2427,
+		2427,  2427,  2427,  2427,  2427,  2427,  2427,  2427,
+		2427,  2427,  2427,  2427,  2427,  2427,  2427,  2427,
+		3137,  2427,  2427,  -1283, -1841, 3199,  3919,  -10855,
+		-10855,4246,  -1111, -1110, -1109, -10763,2427,  2427,
+		2427,  2427,  3328,  2427,  2427,  8534,  3783,  12701,
+		2427,  12704, 3784,  8537,  12708, 12709, 12710, 3915,
+		4018,  4019,  4020,  4021,  2427,  10069, -1249, 13526,
+		13527, -1573, 3785,  3785,  3785,  13440, 4978,  12723,
+		12724, 13444, 3785,  3785,  3785,  3785,  3785,  2427,
+		13783, 13784, 13785, 13786, 13787, 13788, 13789, 13790,
+		13791, 12571, 7690,  12573, 4054,  8638,  8639,  7689,
+		4848,  12578, 4849,  4850,  4851,  6358,  7295,  7295,
+		7295,  7295,  7295,  7295,  2427,  2427,  2427,  2427,
+		2427,  2427,  2427,  2427,  2427,  2427,  2427,  2427,
+		2427,  13409, 2427,  2427,  2427,  2427,  2427,  2427,
+		-2360, 2427,  2427,  2427,  2427,  2427,  2427,  2427,
+		32767, 32767, 2425,  2425,  2425,  4101,  4102,  2425,
+		4104,  4034,  2425,  2425,  308,   1325,  1326,  376,
+		2841,  2841,  376,   376,   3794,  4117,  3792,  375,
+		4120,  4121,  4122,  4123,  -1233, 6543,  4126,  4127,
+		4128,  6544,  6545,  4131,  16128, 3831,  8385,  4135,
+		4136,  4137,  4138,  4139,  4140,  4141,  4142,  4143,
+		4144,  4145,  4146,  4147,  32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 686,   32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 70,    70,    70,    688,   689,   690,
+		67,    67,    693,   694,   695,   696,   697,   698,
+		699,   700,   701,   702,   703,   704,   705,   706,
+		707,   708,   709,   710,   711,   712,   713,   714,
+		715,   716,   717,   718,   2461,  720,   721,   722,
+		723,   724,   725,   726,   727,   728,   729,   730,
+		-1302, 732,   733,   734,   735,   736,   737,   738,
+		739,   740,   741,   742,   743,   744,   745,   746,
+		747,   748,   749,   750,   751,   752,   753,   3609,
+		755,   3805,  757,   758,   759,   760,   761,   762,
+		763,   764,   765,   766,   767,   768,   769,   770,
+		771,   772,   773,   774,   775,   776,   777,   778,
+		779,   780,   781,   782,   783,   784,   785,   786,
+		787,   788,   789,   790,   791,   792,   793,   794,
+		795,   796,   797,   798,   799,   800,   801,   802,
+		803,   804,   805,   806,   807,   808,   809,   810,
+		811,   812,   813,   814,   815,   816,   817,   818,
+		819,   820,   821,   822,   823,   824,   825,   -3308,
+		-5758, -5758, -5758, -5758, -5758, -5758, -5758, -5758,
+		-5758, -5758, -5758, -1733, -1732, -1731, -1730, -1729,
+		-1728, -1727, -1726, -1725, -1724, -1723, -1722, -1721,
+		-3609, -3609, -1720, -3609, -1718, -3609, -1373, -3609,
+		-1714, -3609, -1712, -3609, -1710, -3609, -1708, -3609,
+		-3609, 2387,  2388,  2389,  2390,  2391,  2392,  2393,
+		-3609, -3609, -1696, 878,   879,   880,   -2490, -2490,
+		-3609, -1689, -1688, -1687, 2092,  2427,  -3688, -3688,
+		-3688, -1681, -1680, -1679, -1678, 896,   -3683, -1675,
+		-3682, -2759, 32767, 0,     0,     1353,  0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     32767, 5977,  0,
-		892,   32767, 0,     32767, 32767, 0,     0,     32767,
-		32767, 2344,  4834,  4835,  4836,  32767, 0,     4840,
+		0,     0,     0,     710,   0,     0,     -3710, -4268,
+		772,   1492,  -13282,-13282,1819,  -3538, -3537, -3536,
+		-13190,0,     0,     0,     0,     901,   0,     0,
+		6107,  1356,  10274, 0,     10277, 1357,  6110,  10281,
+		10282, 10283, 1488,  1591,  1592,  1593,  1594,  0,
+		7642,  -3676, 11099, 11100, -4000, 1358,  1358,  1358,
+		11013, 2551,  10296, 10297, 11017, 1358,  1358,  1358,
+		1358,  1358,  0,     11356, 11357, 11358, 11359, 11360,
+		11361, 11362, 11363, 11364, 10144, 5263,  10146, 1627,
+		6211,  6212,  5262,  2421,  10151, 2422,  2423,  2424,
+		3931,  4868,  4868,  4868,  4868,  4868,  4868,  0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     32767, 0,     32767, 0,     0,     0,
-		0,     0,     0,     0,     32767, 0,     0,     0,
+		0,     0,     0,     0,     10982, 0,     0,     0,
+		0,     0,     0,     -4787, 0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		1676,  1677,  0,     1679,  1609,  0,     0,     -2117,
+		-1100, -1099, -2049, 416,   416,   -2049, -2049, 1369,
+		1692,  1367,  -2050, 1695,  1696,  1697,  1698,  -3658,
+		4118,  1701,  1702,  1703,  4119,  4120,  1706,  13703,
+		1406,  5960,  1710,  1711,  1712,  1713,  1714,  1715,
+		1716,  1717,  1718,  1719,  1720,  1721,  1722,  1406,
+		1406,  1406,  1406,  1406,  0,     10979, -4121, 77,
+		1236,  2500,  0,     0,     2501,  0,     1563,  1563,
+		1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,
+		4014,  4015,  4016,  4017,  4018,  4019,  4020,  4021,
+		4022,  4023,  4024,  0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     1890,  0,     1892,  -343,  1894,
+		0,     1896,  0,     1898,  0,     1900,  0,     1902,
+		1903,  -4092, -4092, -4092, -4092, -4092, -4092, -4092,
+		1911,  1912,  0,     -2573, -2573, -2573, 798,   799,
+		1919,  0,     0,     0,     -3778, -4112, 2004,  2005,
+		2006,  0,     0,     0,     0,     -2573, 2007,  0,
+		2008,  1086,  2010,  -446,  2012,  2013,  2014,  2015,
+		2016,  1094,  -443,  -3070, 2390,  -3070, -3070, 1100,
+		-3070, -3070, -3070, 5726,  2028,  5729,  5730,  2031,
+		1959,  -426,  10893, -3881, -3881, 1964,  1965,  -3068,
+		1967,  -3787, 4676,  1970,  -3069, -3788, 1973,  -4114,
+		-4114, -4114, -4114, -4114, -4114, -4114, -4114, -4114,
+		-4114, -4114, -4114, -4114, -4114, -2893, 1989,  -2893,
+		2059,  1043,  1043,  1994,  4836,  -2893, 4837,  4837,
+		4837,  3331,  2395,  2396,  2397,  2398,  2399,  2400,
+		2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,
+		2409,  2410,  2411,  -3687, -3687, -3687, -3687, -3687,
+		-3687, 2092,  2093,  2428,  -3687, -3687, -3687, 10820,
+		-2764, -2764, -3687, -3687, -3687, 2104,  -3687, -2764,
+		-3687, -1230, -3687, -3687, -3687, -3687, -3687, -2764,
+		-1226, 1402,  -4057, 1404,  1405,  -2764, 1407,  1408,
+		1409,  -7386, -3687, -7387, -7387, -3687, -3687, -1229,
+		-12547,2228,  2229,  -3615, -1402, 1418,  -1400, 2138,
+		-6324, 1421,  1422,  2142,  -6327, 2469,  2470,  2471,
+		2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,
+		2480,  2481,  2482,  -30,   -3686, 0,     0,     0,
+		-2739, -3689, -1224, -1224, -3689, -3689, -271,  52,
+		-3689, -3689, -4140, 58,    1217,  2481,  0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		32767, 32767, 0,     32767, 0,     0,     0,     32767,
-		32767, 32767, 32767, 3261,  3262,  32767, 3007,  32767,
+		0,     0,     0,     0,     0,     0,     0,     2451,
+		2452,  2453,  2454,  2455,  2456,  2457,  2458,  2459,
+		2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,
+		2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,
+		2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,
+		2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,
+		2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,
+		2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,
+		2508,  2509,  2510,  2511,  2512,  0,     -3656, 1227,
+		-3724, -2707, -2706, -3656, -1191, -1191, -3656, -3656,
+		-238,  85,    -3656, -3656, -4107, 91,    0,     2513,
+		-5261, 2515,  2516,  2517,  2518,  2519,  2520,  2521,
+		2522,  2523,  2413,  2525,  2526,  2416,  2528,  2529,
+		2419,  2420,  2421,  4867,  4867,  3361,  2425,  2426,
+		2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,
+		2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,
+		2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,
+		-3665, -3665, -3665, 10842, -2742, -2742, -3665, -3665,
+		-3665, 2126,  -3665, -2742, -3665, -1208, -3665, -3665,
+		-3665, -3665, -3665, -2742, -1204, 1424,  -4035, 1426,
+		1427,  -2742, 1429,  1430,  1431,  -7364, -3665, -7365,
+		-7365, -3665, -3665, -1207, -12525,2250,  2251,  -3593,
+		-1380, 1440,  -1378, 2160,  -6302, 1443,  0,     2163,
+		-6306, 2490,  2491,  2492,  2493,  2494,  2495,  2496,
+		2497,  2498,  2499,  2500,  2501,  2502,  2503,  1283,
+		-3598, 1285,  -3666, -2649, -2648, -3598, -6439, 1291,
+		-6438, -6437, -6436, -4929, -3992, -3992, -3992, -3992,
+		-3992, -3992, -3992, -3992, -3992, -3992, -3992, -3992,
+		-3992, -3992, -3992, -3992, -3992, 2107,  2108,  2109,
+		2110,  2111,  2112,  -3666, -3666, -4000, 2116,  2117,
+		2118,  -12388,1197,  1198,  2122,  2123,  2124,  -3666,
+		2126,  1204,  2128,  -328,  2130,  2131,  2132,  2133,
+		2134,  1212,  -325,  -2952, 2508,  -2952, -2952, 1218,
+		-2952, -2952, -2952, 5844,  2146,  5847,  5848,  2149,
+		2150,  -307,  11012, -3762, -3762, 2083,  -129,  -2948,
+		-129,  -3666, 4797,  -2947, -2947, -3666, 4804,  -3991,
+		-3991, -3991, -3991, -3991, -3991, -2946, -2946, 5630,
+		-129,  -211,  -129,  -2944, -129,  -129,  -129,  -129,
+		-129,  -129,  1261,  -129,  3621,  -129,  -129,  0,
+		1572,  2292,  -6177, 2619,  2620,  2621,  2622,  2623,
+		2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,
+		2632,  1412,  -3469, 1414,  -3537, -2520, -2519, -3469,
+		-6310, 1420,  -6309, -6308, -6307, -4800, -3863, -3863,
+		-3863, -3863, -3863, -3863, -3863, -3863, -3863, -3863,
+		-3863, -3863, -3863, -3863, -3863, -3863, -3863, 2236,
+		2237,  2238,  2239,  2240,  2241,  -3537, -3537, -3871,
+		2245,  2246,  2247,  -12259,1326,  1327,  2251,  2252,
+		2253,  -3537, 2255,  1333,  2257,  -199,  2259,  2260,
+		2261,  2262,  2263,  1341,  -196,  -2823, 2637,  -2823,
+		-2823, 1347,  -2823, -2823, -2823, 5973,  2275,  5976,
+		5977,  2278,  2279,  -178,  11141, -3633, -3633, 2212,
+		0,     -2819, 0,     -3537, 4926,  -2818, -2818, -3537,
+		4933,  -3862, -3862, -3862, -3862, -3862, -3862, -2817,
+		-2817, 5759,  0,     -82,   0,     -2815, 0,     0,
+		0,     0,     0,     0,     1390,  0,     3750,  0,
+		0,     -2805, 0,     -2804, 0,     -2803, 0,     1401,
+		1402,  1403,  0,     1405,  1406,  -3537, 1408,  0,
+		1410,  2632,  2633,  1413,  -3468, 1415,  -3536, -2519,
+		-2518, -3468, -6309, 1421,  -6308, -6307, -6306, -4799,
+		-3862, -3862, -3862, -3862, -3862, -3862, -3862, -3862,
+		-3862, -3862, -3862, -3862, -3862, -3862, -3862, 1441,
+		1442,  1443,  1444,  1445,  1446,  1447,  1448,  1449,
+		1450,  1451,  1452,  1453,  1454,  1455,  1456,  1457,
+		1458,  1459,  1460,  1461,  1462,  1463,  1464,  1465,
+		1466,  1467,  1468,  1469,  1470,  1471,  1472,  1473,
+		1474,  1475,  1476,  1477,  1478,  1479,  1480,  1481,
+		1482,  1483,  1484,  1485,  1486,  1487,  1488,  1489,
+		1490,  1491,  1492,  1493,  1494,  1495,  1496,  1497,
+		1498,  1499,  1500,  1501,  1502,  1503,  1504,  1505,
+		1506,  1507,  1508,  1509,  1510,  1511,  1512,  1513,
+		1514,  1515,  1516,  1517,  1518,  1519,  1520,  1521,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 2635,  32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 106,   107,   108,   32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 109,   110,   111,   112,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     0,     -2344,
-		-2344, 0,     32767, 0,     32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, -1642, 1469,  -1641, 1469,  -1640, 1469,
-		1469,  1457,  1469,  1469,  1469,  -4254, -4254, -4254,
-		-4254, -4254, -4254, -4254, -4254, -4254, -4254, -4254,
-		-4254, -4254, -4254, -4254, -4254, -4254, -3359, -4254,
-		-4254, -4254, -4254, -4254, -4254, -4254, -4254, -4254,
-		-4254, -4254, -4254, -4254, -4254, -4254, -4254, -4254,
-		-4254, -4254, -4254, -4254, -4254, -4254, -4254, -4254,
-		-4254, -4254, -4254, -4254, -4254, -4254, -4254, -4254,
-		-4254, -4254, -4254, -4254, -4254, -4254, -4254, -4103,
-		-1478, 0,     -4254, -4254, -4254, -4254, -4254, -4254,
-		-4254, -4254, -4254, -2433, -4254, -4254, -4254, -3658,
-		-4254, -4254, -4254, -4254, -4254, -4254, -4254, -4254,
-		-4254, -4254, 0,     -4253, -4253, -4253, -4253, -4253,
-		-4253, -4253, -4253, -4253, -678,  -677,  -676,  -675,
-		-674,  -673,  -672,  -4253, 314,   -4253, -4253, -4253,
-		-4253, -4253, -4253, -4253, -4253, -4253, -4253, -4253,
-		-4253, 0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 1464,  1465,  1466,  1467,
-		1468,  1469,  0,     32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
-		32767, 0,     32767, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, -5116,
+		32767, 32767, 32767, 32767, -2277, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 148,   32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 0,     0,     0,     0,
+		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, -10147,32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 150,   32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     0,
+		0,     0,     -1739, 152,   0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     827,   828,   829,   -2469, -2469, -260,  0,
-		0,     32767, 0,     32767, 0,     0,     32767, 0,
-		0,     32767, 0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		3575,  3576,  3577,  3578,  3579,  3580,  3581,  0,
-		4567,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     2203,  0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     2201,  4411,  0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     -3338, 0,     0,     0,
-		0,     0,     0,     0,     -3337, 0,     -3336, 0,
-		0,     0,     0,     -3335, 0,     0,     -3334, -3333,
-		-3332, -3331, 0,     0,     -3330, 0,     0,     32767,
-		0,     0,     13,    32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
+		0,     0,     0,     32767, 0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     -3861, 0,     0,     0,     0,     0,
+		0,     0,     0,     0,     155,   0,     0,     0,
+		0,     156,   0,     0,     0,     0,     157,   0,
+		0,     267,   0,     158,   0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
+		-1743, 0,     0,     0,     0,     0,     0,     0,
+		0,     0,     -1752, 0,     2734,  2735,  2736,  -634,
+		-634,  0,     0,     0,     0,     0,     0,     0,
+		-1839, 0,     0,     0,     0,     0,     0,     0,
+		-983,  -983,  -983,  -983,  -983,  -983,  -983,  0,
+		-984,  -984,  -927,  0,     0,     0,     0,     0,
+		0,     0,     32767, 0,     -5558, 0,     0,     0,
+		0,     -1790, 0,     0,     0,     0,     -1794, 0,
+		0,     0,     0,     -4505, 0,     0,     0,     3369,
+		0,     0,     0,     0,     0,     7052,  7053,  7054,
+		4286,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     244,   0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     1574,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 3073,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		-2556, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		3074,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 2355,  32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, -488,  -488,  -488,  -302,  -3067, -3067,
-		-3067, -3067, -488,  -488,  -488,  -488,  2999,  -488,
-		2999,  -488,  -488,  -488,  -3067, -3067, -3067, -488,
-		-488,  -3067, -3067, -3067, -488,  -488,  -488,  2463,
-		-488,  -488,  -488,  -301,  2465,  -488,  2466,  2467,
-		-3600, -493,  -3599, -488,  -3598, -488,  -3597, -488,
-		-488,  -500,  -488,  -488,  -488,  -488,  -488,  2470,
-		2471,  2472,  -488,  -488,  -254,  -488,  -488,  -488,
-		-488,  -488,  -104,  -488,  -488,  -488,  -102,  -101,
-		-100,  -99,   -98,   -97,   -96,   -95,   -94,   -93,
-		-92,   -488,  -488,  -488,  -488,  -488,  -488,  -488,
-		-488,  -488,  -2194, -2194, -2194, -2194, -2194, -2194,
-		-2194, -2194, -2194, -2194, 5211,  3269,  5213,  3269,
-		6895,  -88,   -88,   5078,  5079,  5080,  1773,  -92,
-		-92,   1773,  1773,  1773,  1773,  1773,  1773,  5072,
-		5073,  2865,  5075,  1776,  5077,  5078,  1778,  1778,
-		6942,  6943,  1778,  1778,  1778,  5086,  6952,  6953,
-		5089,  5090,  5091,  5092,  5093,  5094,  5095,  5096,
-		4007,  5098,  2333,  2334,  2335,  2336,  2337,  -3066,
-		-3066, -3066, 2341,  -3066, -3066, 2344,  2345,  2346,
-		5114,  317,   2349,  848,   849,   850,   2353,  852,
-		853,   854,   855,   856,   857,   858,   859,   860,
-		861,   692,   692,   692,   692,   692,   692,   692,
-		692,   692,   692,   692,   692,   692,   692,   692,
-		692,   692,   692,   692,   692,   692,   692,   692,
-		692,   692,   692,   692,   692,   692,   692,   692,
-		692,   692,   692,   692,   692,   692,   692,   692,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 3093,  3094,  3095,  3096,  3097,  3098,  3099,
-		3100,  3101,  3102,  901,   3104,  3105,  3106,  3048,
-		3108,  3109,  3075,  3111,  3112,  3113,  -435,  3115,
-		3116,  3117,  3118,  3119,  -274,  3121,  3122,  -276,
-		3124,  3125,  3126,  3127,  3128,  3129,  3130,  3131,
-		1120,  3133,  3134,  3135,  3136,  3050,  1116,  3139,
-		-4350, 3141,  3142,  3143,  3144,  3145,  3146,  3147,
-		3148,  3149,  3150,  3151,  3152,  3153,  3154,  3155,
-		3156,  902,   3158,  903,   904,   905,   3162,  3163,
-		3164,  3165,  3166,  3167,  3168,  3169,  3170,  3171,
-		3172,  3173,  3174,  3175,  3176,  3177,  32767, 3178,
-		3179,  3180,  3181,  3182,  3183,  4943,  3185,  3186,
-		3187,  3188,  3189,  3190,  3191,  3192,  3193,  3194,
-		3195,  3196,  3197,  3198,  3199,  3200,  3201,  3202,
-		3203,  3204,  3205,  3206,  3207,  3208,  3209,  3210,
-		3211,  3212,  3213,  3214,  3215,  3216,  3217,  3218,
-		3219,  3220,  3221,  3222,  3223,  -1543, 3225,  3226,
-		-1545, 3228,  3229,  3230,  3231,  3232,  3233,  3234,
-		3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,
-		3243,  3244,  3245,  3246,  3247,  3248,  -1251, -2728,
-		3250,  32767, 32767, 3251,  906,   907,   3252,  3253,
-		32767, 32767, 910,   -1579, -1579, -1579, 32767, 3258,
-		-1581, 3260,  3261,  3262,  3263,  3264,  3265,  3266,
-		3267,  3268,  3269,  32767, 3270,  32767, 3271,  3272,
-		3273,  3274,  3275,  3276,  3277,  32767, 3278,  3279,
-		3280,  3281,  3282,  3283,  3284,  3285,  3286,  3287,
-		3288,  3289,  3290,  3291,  3292,  3293,  3294,  3295,
-		3296,  3297,  3298,  3299,  3300,  3301,  3302,  3303,
-		3304,  3305,  3306,  3307,  3308,  3309,  3310,  3311,
-		3312,  3313,  3314,  3315,  3316,  3317,  3318,  3319,
-		3320,  3321,  3322,  3323,  3324,  3325,  3326,  3327,
-		3328,  3329,  3330,  3331,  3332,  3333,  3334,  3335,
-		3336,  32767, 3337,  3338,  3339,  3340,  3341,  3342,
-		0,     3343,  3344,  3345,  3346,  32767, 32767, 3347,
-		3348,  3349,  3350,  3351,  3352,  3353,  3354,  32767,
-		3355,  3356,  3357,  3358,  3359,  3360,  3361,  32767,
-		3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,
-		3370,  3371,  3372,  3373,  3374,  3375,  3376,  3377,
-		3378,  3379,  3380,  3381,  3382,  3383,  3384,  3385,
-		3386,  3387,  3388,  3389,  0,     3390,  3391,  3392,
-		915,   916,   917,   918,   919,   920,   921,   922,
-		923,   924,   925,   926,   927,   928,   929,   930,
-		931,   932,   933,   934,   935,   936,   937,   938,
-		939,   940,   941,   942,   943,   944,   945,   946,
-		947,   948,   949,   950,   951,   952,   953,   954,
-		955,   956,   957,   958,   959,   960,   961,   962,
-		963,   964,   965,   966,   967,   968,   969,   970,
-		971,   972,   973,   974,   975,   976,   3449,  3450,
-		3451,  3452,  3453,  3454,  3455,  3456,  3457,  3458,
-		3459,  3460,  3461,  3462,  3463,  3464,  3465,  3466,
-		3467,  3468,  3469,  3470,  3471,  3472,  3473,  3474,
-		3475,  3476,  3477,  3478,  3479,  3480,  3481,  3482,
-		3483,  3484,  3485,  3486,  3487,  3488,  3489,  3490,
-		3491,  3492,  3493,  3494,  3495,  3496,  3497,  3498,
-		3499,  3500,  3501,  3502,  3503,  3504,  3505,  3506,
-		3507,  3508,  3509,  3510,  3511,  3512,  3513,  3514,
-		3515,  3516,  3517,  3518,  3519,  3520,  3521,  3522,
-		3523,  3524,  3525,  3526,  3527,  3528,  3529,  3530,
-		3531,  3532,  3533,  3534,  3535,  3536,  3537,  3538,
-		3539,  3540,  3541,  3542,  3543,  3544,  3545,  3546,
-		3547,  3548,  3549,  3550,  3551,  3552,  3553,  3554,
-		3555,  3556,  3557,  3558,  3559,  3560,  3561,  3562,
-		3563,  3564,  3565,  3566,  3567,  3568,  3569,  3570,
-		3571,  3572,  3573,  3574,  3575,  3576,  3577,  6056,
-		6057,  6058,  32767, 3581,  3582,  3583,  3584,  3585,
-		4157,  4158,  4159,  3589,  4162,  -4510, -1558, -1557,
-		-1556, -1742, -4507, -1553, -4506, -4506, 1562,  -1544,
-		1563,  -1547, 1564,  -1545, 1565,  -1543, -1542, -1529,
-		-1540, -1539, -1538, -1537, -1536, -4493, -4493, -4493,
-		-1532, -1531, -1764, -1529, 3622,  -1528, -1527, -1526,
-		-1909, -1524, -1523, -1522, -1907, -1907, -1907, -1907,
-		-1907, -1907, -1907, -1907, -1907, -1907, -1907, -1510,
-		-1509, 1071,  1072,  1073,  1074,  1075,  1076,  1077,
-		1078,  1079,  1080,  1081,  1082,  1083,  1084,  1085,
-		1086,  1087,  1088,  1089,  1090,  3663,  3664,  3665,
-		3666,  3667,  3668,  3669,  3670,  3671,  3672,  3673,
-		3674,  1095,  1096,  1097,  1098,  1099,  1100,  1101,
-		3682,  1103,  3684,  1105,  3686,  3687,  3688,  1109,
-		1110,  1111,  3692,  1113,  1114,  1115,  1116,  1117,
-		1118,  1119,  3700,  1121,  3702,  3703,  3704,  1125,
-		1126,  1127,  -1809, -1809, -1809, -1809, -1809, -1809,
-		3720,  3721,  3722,  3717,  3718,  3719,  3720,  1140,
-		1141,  1142,  1143,  -1802, 1145,  1146,  1147,  1148,
-		3730,  -1797, 3732,  1152,  3734,  3735,  1155,  1156,
-		3738,  3739,  3740,  3741,  3742,  3743,  -1785, -1785,
-		-1785, -1779, -1324, 1168,  1169,  1170,  1171,  1172,
-		3752,  3753,  1175,  1176,  1177,  992,   3758,  3759,
-		3760,  3761,  1183,  1184,  1185,  1186,  -2300, 1188,
-		-2298, 1190,  1191,  1192,  3772,  3773,  3774,  1196,
-		1197,  3777,  3778,  3779,  1201,  1202,  1203,  -1747,
-		1205,  1206,  1207,  1021,  -1744, 1210,  -1743, -1743,
-		4325,  1219,  4326,  1216,  4327,  1218,  4328,  1220,
-		1221,  1234,  1223,  1224,  1225,  1226,  1227,  -1730,
-		-1730, -1730, 1231,  1232,  999,   1234,  1235,  1236,
-		1237,  1238,  855,   1240,  1241,  1242,  857,   857,
-		857,   857,   857,   857,   857,   857,   857,   857,
-		857,   1254,  1255,  1256,  1257,  1258,  1259,  1260,
-		1261,  1262,  2969,  2970,  2971,  2972,  2973,  2974,
-		2975,  2976,  2977,  2978,  -4426, -2483, -4426, -2481,
-		-6106, 878,   879,   -4286, -4286, -4286, -978,  888,
-		889,   -975,  -974,  -973,  -972,  -971,  -970,  -4268,
-		-4268, -2059, -4268, -968,  -4268, -4268, -967,  -966,
-		-6129, -6129, -963,  -962,  -961,  -4268, -6133, -6133,
-		-4268, -4268, -4268, -4268, -4268, -4268, -4268, -4268,
-		-3178, -4268, -1502, -1502, -1502, -1502, -1502, 3902,
-		3903,  3904,  -1502, 3906,  3907,  -1502, -1502, -1502,
-		-4269, 529,   -1502, 0,     0,     0,     -1502, 0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     170,   171,   172,   173,   174,   175,   176,
-		177,   178,   179,   180,   181,   182,   183,   184,
-		185,   186,   187,   188,   189,   190,   191,   192,
-		193,   194,   195,   196,   197,   198,   199,   200,
-		201,   202,   203,   204,   205,   206,   207,   208,
-		209,   210,   211,   212,   213,   214,   215,   216,
-		217,   218,   219,   -3194, 221,   222,   223,   224,
-		-1657, 226,   227,   -1657, 229,   230,   -1655, 555,
-		-1655, 234,   235,   236,   732,   238,   239,   240,
-		241,   242,   243,   -1655, 245,   246,   247,   248,
-		-1655, 250,   -1655, 252,   -1655, -1655, -1655, -1655,
-		-1655, -1655, 259,   -1655, -1655, -1655, -1655, 264,
-		-1655, 266,   -1655, 268,   -1655, -3620, 271,   272,
-		-1655, 274,   275,   -1655, 277,   -1655, -1655, 280,
-		-1655, 282,   5746,  5747,  5748,  5749,  -1655, 288,
-		-1655, 290,   -3335, 3649,  3650,  -1515, -1515, -1515,
-		1793,  3659,  3660,  1796,  1797,  1798,  1799,  1800,
-		1801,  -1497, -1497, 712,   -1497, 1803,  -1497, -1497,
-		1804,  1805,  -3358, -3358, 1808,  1809,  1810,  -1497,
-		-3362, -3362, -1497, -1497, -1497, -1497, -1497, -1497,
-		-1497, -1497, -407,  -1497, -1497, -1497, -1497, -1497,
-		-1497, 3667,  3668,  -1497, -1497, -1497, 1811,  3677,
-		3678,  32767, 1814,  32767, 1815,  32767, 32767, 1816,
-		1817,  32767, 32767, 32767, 1818,  1819,  1820,  1821,
-		-3342, -3342, 1824,  1825,  1826,  1827,  1828,  1829,
-		1830,  1831,  1832,  1833,  1834,  1835,  1836,  1837,
-		1838,  1839,  1840,  1841,  1842,  1843,  1844,  1845,
-		1846,  1847,  1848,  1849,  1850,  1851,  1852,  1853,
-		1854,  1855,  1856,  1857,  1858,  1859,  1860,  1861,
-		1862,  1863,  1864,  1865,  1866,  1867,  1868,  1869,
-		1870,  1871,  1872,  1873,  1874,  1875,  1876,  -1537,
-		1878,  1879,  1880,  1881,  0,     1883,  1884,  0,
-		529,   0,     0,     2210,  0,     1889,  1890,  1891,
-		2387,  1893,  1894,  1895,  1896,  1897,  1898,  0,
-		1900,  1901,  1902,  1903,  0,     1905,  0,     1907,
-		0,     0,     0,     0,     0,     0,     1914,  0,
-		0,     0,     0,     1919,  0,     1921,  0,     1923,
-		0,     -1965, 1926,  1927,  0,     1929,  1930,  0,
-		1932,  0,     0,     1935,  0,     1937,  7401,  7402,
-		7403,  7404,  0,     1943,  0,     1945,  1946,  0,
-		1948,  0,     0,     1951,  1952,  1953,  1954,  0,
-		1956,  1957,  1958,  1959,  1960,  1961,  1962,  0,
-		1964,  1965,  1966,  1967,  0,     1969,  1970,  1971,
-		1972,  0,     1974,  0,     1976,  1977,  1978,  1979,
-		1980,  1981,  1982,  1983,  1984,  1985,  0,     1987,
-		1988,  1989,  1990,  1991,  566,   566,   566,   5141,
-		5142,  566,   566,   566,   566,   566,   566,   566,
+		2849,  2849,  0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     7117,  7118,  7119,  7120,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     -1797, 0,
+		0,     -6515, 0,     0,     0,     0,     0,     0,
+		0,     0,     0,     1168,  0,     0,     1173,  0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     3090,  0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     -146,  -146,  1532,  -146,  0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		3583,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     1252,  0,     0,
+		5835,  0,     0,     0,     -1598, 3863,  0,     1535,
+		1536,  184,   1538,  1539,  1540,  1541,  1542,  1543,
+		1544,  1545,  1546,  1547,  1548,  1549,  1550,  1551,
+		1552,  1553,  1554,  1555,  1556,  1557,  1558,  849,
+		1560,  1561,  5272,  5831,  792,   73,    14848, 14849,
+		-251,  5107,  5107,  5107,  14762, 1573,  1574,  1575,
+		1576,  676,   1578,  1579,  -4527, 225,   -8692, 1583,
+		-8693, 228,   -4524, -8694, -8694, -8694, 102,   0,
+		0,     0,     0,     1595,  -6046, 5273,  -9501, -9501,
+		5600,  243,   244,   245,   -9409, -946,  -8690, -8690,
+		-9409, 251,   252,   253,   254,   255,   1614,  -9741,
+		-9741, -9741, -9741, -9741, -9741, -9741, -9741, -9741,
+		-8520, -3638, -8520, 0,     -4583, -4583, -3632, -790,
+		-8519, -789,  -789,  -789,  -2295, -3231, -3230, -3229,
+		-3228, -3227, -3226, 1643,  1644,  1645,  1646,  1647,
+		1648,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
+		-9326, 1657,  1658,  1659,  1660,  1661,  1662,  6450,
+		1664,  1665,  1666,  1667,  1668,  1669,  1670,  1671,
+		1672,  1673,  1674,  1675,  0,     0,     1678,  0,
+		71,    1681,  1682,  3800,  2784,  2784,  3735,  1271,
+		1272,  3738,  3739,  322,   0,     326,   3744,  0,
+		0,     0,     0,     5357,  -2418, 0,     0,     0,
+		-2415, -2415, 0,     -11996,302,   -4251, 0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     317,   318,   319,   320,   321,
+		1728,  -9250, 5851,  1654,  496,   -767,  1734,  1735,
+		-765,  1737,  175,   176,   177,   178,   179,   180,
+		181,   182,   183,   184,   -2266, -2266, -2266, -2266,
+		-2266, -2266, -2266, -2266, -2266, -2266, -2266, 1759,
+		1760,  1761,  1762,  1763,  1764,  1765,  1766,  1767,
+		1768,  1769,  1770,  1771,  1772,  1773,  1774,  -115,
+		1776,  -115,  2121,  -115,  1780,  -115,  1782,  -115,
+		1784,  -115,  1786,  -115,  -115,  5881,  5882,  32767,
+		1791,  6579,  1793,  1794,  1795,  1796,  1797,  1798,
+		1799,  1800,  1801,  1802,  1803,  1804,  32767, 32767,
+		1805,  -2316, 197,   3854,  -1028, 3924,  2908,  2908,
+		3859,  1395,  1396,  3862,  3863,  446,   124,   3866,
+		3867,  4319,  122,   214,   -2298, 5477,  -2298, -2298,
+		-2298, -2298, -2298, -2298, 117,   -11879,419,   -4134,
+		117,   117,   117,   117,   117,   117,   117,   117,
+		117,   117,   117,   117,   117,   434,   435,   436,
+		437,   438,   1845,  -9133, 5968,  1771,  613,   -650,
+		1851,  1852,  -648,  1854,  292,   293,   294,   295,
+		296,   297,   298,   299,   300,   301,   -2149, -2149,
+		-2149, -2149, -2149, -2149, -2149, -2149, -2149, -2149,
+		-2149, 1876,  1877,  1878,  1879,  1880,  1881,  1882,
+		1883,  1884,  1885,  1886,  1887,  1888,  0,     0,
+		1889,  0,     1891,  0,     2236,  0,     1895,  0,
+		1897,  0,     1899,  0,     1901,  0,     0,     5996,
+		5997,  5998,  5999,  6000,  6001,  6002,  0,     0,
+		1913,  4487,  4488,  4489,  1119,  1119,  0,     1920,
+		1921,  1922,  5701,  6036,  -79,   -79,   -79,   1928,
+		1929,  1930,  1931,  4505,  -74,   1934,  -73,   850,
+		-73,   2384,  -73,   -73,   -73,   -73,   -73,   850,
+		2388,  5016,  -443,  5018,  5019,  850,   5021,  5022,
+		5023,  -3772, -73,   -3773, -3773, -73,   0,     2386,
+		-8932, 5843,  5844,  0,     0,     5034,  0,     5755,
+		-2707, 0,     5040,  5760,  0,     6088,  6089,  6090,
+		6091,  6092,  6093,  6094,  6095,  6096,  6097,  6098,
+		6099,  6100,  6101,  4881,  0,     4883,  -68,   949,
+		950,   0,     2465,  2465,  0,     0,     3418,  3741,
+		0,     0,     -451,  3747,  4906,  6170,  -1604, 6172,
+		6173,  6174,  6175,  6176,  6177,  6178,  6179,  6180,
+		6070,  6182,  6183,  6073,  6185,  6186,  6076,  6077,
+		6078,  8524,  8524,  7018,  6082,  6083,  6084,  6085,
+		6086,  6087,  6088,  6089,  6090,  6091,  6092,  6093,
+		6094,  6095,  6096,  6097,  6098,  0,     0,     0,
+		0,     0,     0,     5779,  5780,  6115,  0,     0,
+		0,     14507, 923,   923,   0,     0,     0,     5791,
+		0,     923,   0,     2457,  0,     0,     0,     0,
+		0,     923,   2461,  5089,  -370,  5091,  5092,  923,
+		5094,  5095,  5096,  -3699, 0,     -3700, -3700, 0,
+		0,     2458,  -8860, 5915,  5916,  72,    2285,  5105,
+		2287,  5825,  -2637, 5108,  5109,  5829,  -2640, 6156,
+		6157,  6158,  6159,  6160,  6161,  6162,  6163,  6164,
+		6165,  6166,  6167,  6168,  6169,  4949,  68,    4951,
+		0,     1017,  1018,  68,    -2773, 4957,  -2772, -2771,
+		-2770, -1263, -326,  -326,  -326,  -326,  -326,  -326,
+		-326,  -326,  -326,  -326,  -326,  -326,  -326,  -326,
+		-326,  -326,  -326,  5773,  5774,  5775,  5776,  5777,
+		5778,  0,     0,     -334,  5782,  5783,  5784,  -8722,
+		4863,  4864,  5788,  5789,  5790,  0,     5792,  4870,
+		5794,  3338,  5796,  5797,  5798,  5799,  5800,  4878,
+		3341,  714,   6174,  714,   714,   4884,  714,   714,
+		714,   9510,  5812,  9513,  9514,  5815,  5816,  3359,
+		14678, -96,   -96,   5749,  3537,  718,   3537,  0,
+		8463,  719,   719,   0,     8470,  -325,  -325,  -325,
+		-325,  -325,  -325,  720,   720,   9296,  3537,  3455,
+		3537,  722,   3537,  3537,  3537,  3537,  3537,  3537,
+		4927,  3537,  7287,  3537,  3537,  732,   3537,  733,
+		3537,  734,   3537,  4938,  4939,  4940,  3537,  4942,
+		4943,  0,     4945,  3537,  2150,  2151,  2152,  2153,
+		2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
+		2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
+		2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,
+		2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,
+		2186,  2187,  2188,  2189,  2190,  2191,  2192,  -258,
+		-258,  32767, 4959,  4960,  5884,  5885,  5886,  96,
+		5888,  4966,  5890,  3434,  5892,  5893,  5894,  5895,
+		5896,  4974,  3437,  810,   6270,  810,   810,   4980,
+		810,   810,   810,   9606,  5908,  9609,  9610,  5911,
+		5912,  3455,  14774, 0,     0,     5845,  3633,  814,
+		3633,  96,    8559,  815,   815,   96,    8566,  -229,
+		-229,  -229,  -229,  -229,  -229,  -229,  -229,  -229,
+		-229,  -229,  -229,  -229,  -229,  2284,  5941,  2256,
+		2257,  2258,  4998,  5949,  3485,  3486,  5952,  5953,
+		2536,  2214,  5956,  5957,  6409,  2212,  1054,  -209,
+		2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,
+		2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,
+		2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
+		2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,
+		2305,  2306,  2307,  2308,  2309,  2310,  2311,  2312,
+		2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,
+		2321,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
+		-129,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
+		-129,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
+		-129,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
+		-129,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
+		-129,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
+		-129,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
+		-129,  -129,  -129,  -129,  -129,  -129,  -129,  2384,
+		6041,  1159,  6111,  5095,  5095,  6046,  3582,  3583,
+		6049,  6050,  2633,  2311,  6053,  6054,  6506,  2309,
+		2401,  -111,  7664,  -111,  -111,  -111,  -111,  -111,
+		-111,  -111,  -111,  -111,  0,     -111,  -111,  0,
+		-111,  -111,  0,     0,     0,     -2445, -2444, -937,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     8673,  5722,  5722,  5722,  0,     8676,
-		5723,  8677,  8678,  2611,  5718,  2612,  5723,  2613,
-		5723,  2614,  5723,  5723,  5711,  5723,  5723,  5723,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     895,   0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
 		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     151,   2776,  4254,  0,     0,     0,
-		0,     0,     0,     0,     0,     0,     1821,  0,
-		0,     0,     596,   0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     32767, 32767, 32767,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     7775,  0,     0,     0,
+		0,     0,     0,     0,     0,     0,     111,   0,
+		0,     111,   0,     0,     111,   111,   111,   -2334,
+		-2333, -826,  111,   111,   111,   111,   111,   111,
+		111,   111,   111,   111,   111,   111,   111,   111,
+		111,   111,   111,   111,   111,   111,   111,   111,
+		111,   111,   111,   111,   6227,  6228,  6229,  -8277,
+		5308,  5309,  6233,  6234,  6235,  445,   6237,  5315,
+		6239,  3783,  6241,  32767, 32767, 6242,  6243,  5321,
+		3784,  1157,  6617,  1157,  1157,  5327,  1157,  1157,
+		1157,  9953,  6255,  9956,  9957,  6258,  6259,  3802,
+		15121, 347,   347,   6192,  3980,  1161,  3980,  443,
+		8906,  1162,  2606,  444,   8914,  119,   119,   119,
+		119,   119,   119,   119,   119,   119,   119,   119,
+		119,   119,   119,   1340,  6222,  1340,  6292,  5276,
+		5276,  6227,  9069,  32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 6297,  506,   1429,  506,   2963,
+		506,   506,   506,   506,   506,   1429,  2967,  5595,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 6309,  6310,  6311,  6312,
+		6313,  5391,  3854,  1227,  6687,  1227,  32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 2654,  492,   8962,  167,
+		167,   167,   167,   167,   167,   167,   167,   167,
+		167,   167,   167,   167,   167,   1388,  6270,  1388,
+		6340,  32767, 32767, 6273,  9115,  1386,  9116,  9116,
+		9116,  7610,  6674,  6675,  6676,  6677,  6678,  32767,
+		6679,  6680,  6681,  6682,  6683,  6684,  6685,  6686,
+		6687,  6688,  6689,  591,   591,   591,   591,   591,
+		591,   6370,  6371,  32767, 590,   590,   590,   15097,
+		32767, 32767, 32767, 32767, 586,   6377,  586,   32767,
+		585,   32767, 584,   584,   584,   584,   584,   1507,
+		3045,  5673,  214,   5675,  5676,  1507,  5678,  5679,
+		5680,  -3115, 584,   -3116, -3116, 584,   584,   3042,
+		-8276, 6499,  6500,  656,   2869,  5689,  2871,  6409,
+		-2053, 5692,  5693,  6413,  -2056, 6740,  6741,  6742,
+		6743,  6744,  6745,  5701,  5702,  -2873, 2887,  2970,
+		2889,  5705,  2891,  2892,  2893,  2894,  2895,  2896,
+		1507,  2898,  -851,  2900,  2901,  2773,  1202,  483,
+		8953,  158,   158,   158,   158,   158,   158,   158,
+		158,   158,   158,   158,   158,   158,   158,   1379,
+		6261,  1379,  6331,  5315,  5315,  6266,  9108,  1379,
+		9109,  9109,  9109,  7603,  6667,  6668,  6669,  6670,
+		6671,  6672,  6673,  6674,  6675,  6676,  6677,  6678,
+		6679,  6680,  6681,  6682,  6683,  585,   585,   585,
+		585,   585,   585,   6364,  6365,  6700,  585,   585,
+		585,   15092, 1508,  1508,  585,   585,   585,   6376,
+		585,   1508,  585,   3042,  585,   585,   585,   585,
+		585,   32767, 32767, 32767, 32767, 32767, 5801,  1632,
+		5803,  5804,  5805,  -2990, 709,   -2991, -2991, 709,
+		709,   3167,  -8151, 6624,  6625,  781,   2994,  5814,
+		2996,  6534,  -1928, 5817,  5818,  6538,  -1931, 6865,
+		6866,  6867,  6868,  6869,  6870,  5826,  5827,  -2748,
+		3012,  3095,  3014,  5830,  3016,  3017,  3018,  3019,
+		3020,  3021,  1632,  3023,  -726,  3025,  3026,  2898,
+		1327,  608,   9078,  283,   283,   283,   283,   283,
+		283,   283,   283,   283,   283,   283,   283,   283,
+		283,   1504,  6386,  1504,  6456,  5440,  5440,  6391,
+		9233,  1504,  9234,  9234,  9234,  7728,  6792,  6793,
+		6794,  6795,  6796,  6797,  6798,  6799,  6800,  6801,
+		6802,  6803,  6804,  6805,  6806,  6807,  6808,  710,
+		710,   710,   710,   710,   710,   6489,  6490,  6825,
+		710,   710,   710,   15217, 1633,  1633,  710,   710,
+		710,   6501,  710,   1633,  710,   3167,  710,   710,
+		710,   710,   710,   1633,  3171,  5799,  340,   5801,
+		5802,  1633,  5804,  5805,  5806,  -2989, 710,   -2990,
+		-2990, 710,   710,   3168,  -8150, 6625,  6626,  782,
+		2995,  5815,  2997,  6535,  -1927, 5818,  5819,  6539,
+		-1930, 6866,  6867,  6868,  6869,  6870,  6871,  5827,
+		5828,  -2747, 3013,  3096,  3015,  5831,  3017,  3018,
+		3019,  3020,  3021,  3022,  1633,  3024,  -725,  3026,
+		3027,  5833,  3029,  5834,  3031,  5835,  3033,  1633,
+		1633,  1633,  3037,  1633,  32767, 32767, 32767, 3039,
+		1630,  409,   409,   1630,  6512,  32767, 32767, 5564,
+		5564,  6515,  9357,  1628,  9358,  32767, 32767, 7850,
+		6914,  6915,  6916,  6917,  6918,  32767, 32767, 6919,
+		6920,  6921,  32767, 32767, 32767, 6922,  6923,  1621,
+		1621,  1621,  1621,  1621,  32767, 1620,  1620,  1620,
+		1620,  1620,  1620,  1620,  32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -2856, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, -2901, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, -1025, 32767, 32767, 32767,
-		32767, -2910, 32767, 32767, 32767, 32767, 157,   32767,
-		32767, 32767, 32767, 158,   32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		2359,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 160,   32767, 161,   162,   163,   164,
-		165,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		898,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 1428,  32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 1254,  32767, 32767, 32767,
-		32767, 1250,  32767, 32767, 32767, 32767, 1246,  32767,
-		32767, 32767, 32767, 1243,  32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		1231,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7039,33 +7360,33 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 1842,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		3177,  1235,  32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     0,     32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, -4323,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 0,     32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 174,   32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7076,21 +7397,111 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 617,   0,
+		0,     0,     624,   625,   0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     -1742, 0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     2033,  0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     -2855, 0,     -3049, 0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     4134,  6585,  6586,  6587,  6588,  6589,  6590,
+		6591,  6592,  6593,  6594,  6595,  2571,  2571,  2571,
+		2571,  2571,  2571,  2571,  2571,  2571,  2571,  2571,
+		2571,  2571,  4460,  4461,  2573,  4463,  2573,  4465,
+		2230,  4467,  2573,  4469,  2573,  4471,  2573,  4473,
+		2573,  4475,  4476,  -1519, -1519, -1519, -1519, -1519,
+		-1519, -1519, 4484,  4485,  2573,  0,     0,     0,
+		3371,  3372,  4492,  2573,  2573,  2573,  -1205, -1539,
+		4577,  4578,  4579,  2573,  2573,  2573,  2573,  0,
+		4580,  2573,  4581,  3659,  4583,  2127,  4585,  4586,
+		4587,  4588,  4589,  3667,  2130,  -497,  4963,  -497,
+		-497,  3673,  -497,  -497,  -497,  8299,  4601,  8302,
+		8303,  4604,  4532,  2147,  13466, -1308, -1308, 4537,
+		4538,  -495,  4540,  -1214, 7249,  4543,  -496,  -1215,
+		4546,  -1541, -1541, -1541, -1541, -1541, -1541, -1541,
+		-1541, -1541, -1541, -1541, -1541, -1541, -1541, -320,
+		4562,  -320,  4632,  3616,  3616,  4567,  2103,  2104,
+		4570,  4571,  1154,  832,   4574,  4575,  5027,  830,
+		-328,  -1591, 6184,  -1591, -1591, -1591, -1591, -1591,
+		-1591, -1591, -1591, -1591, -1480, -1591, -1591, -1480,
+		-1591, -1591, -1480, -1480, -1480, -3925, -3924, -2417,
+		-1480, -1480, -1480, -1480, -1480, -1480, -1480, -1480,
+		-1480, -1480, -1480, -1480, -1480, -1480, -1480, -1480,
+		-1480, 4619,  4620,  4621,  4622,  4623,  4624,  -1154,
+		-1154, -1488, 4628,  4629,  4630,  -9876, 3709,  3710,
+		4634,  4635,  4636,  -1154, 4638,  3716,  4640,  2184,
+		4642,  4643,  4644,  4645,  4646,  3724,  2187,  -440,
+		5020,  -440,  -440,  3730,  -440,  -440,  -440,  8356,
+		4658,  8359,  8360,  4661,  4662,  2205,  13524, -1250,
+		-1250, 4595,  2383,  -436,  2383,  -1154, 7309,  -435,
+		-435,  -1154, 7316,  -1479, -1479, -1479, -1479, -1479,
+		-1479, -1479, -1479, -1479, -1479, -1479, -1479, -1479,
+		-1479, 1034,  4691,  -191,  4761,  3745,  3745,  4696,
+		2232,  2233,  4699,  4700,  1283,  961,   4703,  4704,
+		5156,  959,   -199,  -1462, 6313,  -1462, -1462, -1462,
+		-1462, -1462, -1462, -1462, -1462, -1462, -1351, -1462,
+		-1462, -1351, -1462, -1462, -1351, -1351, -1351, -3796,
+		-3795, -2288, -1351, -1351, -1351, -1351, -1351, -1351,
+		-1351, -1351, -1351, -1351, -1351, -1351, -1351, -1351,
+		-1351, -1351, -1351, 4748,  4749,  4750,  4751,  4752,
+		4753,  -1025, -1025, -1359, 4757,  4758,  4759,  -9747,
+		3838,  3839,  4763,  4764,  4765,  -1025, 4767,  3845,
+		4769,  2313,  4771,  4772,  4773,  4774,  4775,  3853,
+		2316,  -311,  5149,  -311,  -311,  3859,  -311,  -311,
+		-311,  8485,  4787,  8488,  8489,  4790,  4791,  2334,
+		13653, -1121, -1121, 4724,  2512,  -307,  2512,  -1025,
+		7438,  -306,  -306,  -1025, 7445,  -1350, -1350, -1350,
+		-1350, -1350, -1350, -1350, -1350, -1350, -1350, -1350,
+		-1350, -1350, -1350, -129,  4753,  -129,  4823,  3807,
+		3807,  4758,  7600,  -129,  7601,  7601,  7601,  6095,
+		5159,  5160,  5161,  5162,  5163,  5164,  5165,  5166,
+		5167,  5168,  5169,  5170,  5171,  5172,  5173,  5174,
+		5175,  -923,  -923,  -923,  -923,  -923,  -923,  4856,
+		4857,  5192,  -923,  -923,  -923,  13584, 0,     0,
+		-923,  -923,  -923,  4868,  -923,  0,     -923,  1534,
+		-923,  -923,  -923,  -923,  -923,  0,     1538,  4166,
+		-1293, 4168,  4169,  0,     4171,  4172,  4173,  -4622,
+		-923,  -4623, -4623, -923,  -923,  1535,  -9783, 4992,
+		4993,  -851,  1362,  4182,  1364,  4902,  -3560, 4185,
+		4186,  4906,  -3563, 5233,  5234,  5235,  5236,  5237,
+		5238,  4194,  4195,  -4380, 1380,  1463,  1382,  4198,
+		1384,  1385,  1386,  1387,  1388,  1389,  0,     1391,
+		-2358, 1393,  1394,  4200,  1396,  4201,  1398,  4202,
+		1400,  0,     0,     0,     1404,  0,     0,     4944,
+		0,     1409,  0,     -1221, -1221, 0,     4882,  0,
+		4952,  3936,  3936,  4887,  7729,  0,     7730,  7730,
+		7730,  6224,  5288,  5289,  5290,  5291,  5292,  5293,
+		5294,  5295,  5296,  5297,  5298,  5299,  5300,  5301,
+		5302,  0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 1830,  -112,  1832,  -112,  3514,  -3469,
-		-3469, 1697,  1698,  1699,  -1608, -3473, -3473, -1608,
-		-1608, -1608, -1608, -1608, -1608, 1691,  1692,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, -1623, -1623, -1623, 3541,  3542,  -1623, -1623,
-		-1623, -1623, -1623, -1623, -1623, -1623, -1623, -1623,
-		-1623, -1623, -1623, -1623, -1623, -1623, -1623, -1623,
-		-1623, -1623, -1623, -1623, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7105,15 +7516,62 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 4751,  0,     8918,  3459,  8920,  0,     4753,
+		8924,  8925,  8926,  131,   234,   235,   236,   237,
+		32767, 6284,  -5034, 9741,  9742,  -5358, 0,     0,
+		0,     9655,  1193,  8938,  8939,  9659,  0,     0,
+		0,     0,     0,     0,     9997,  9998,  9999,  10000,
+		10001, 10002, 10003, 10004, 10005, 8785,  3904,  8787,
+		268,   4852,  4853,  3903,  1062,  8792,  1063,  1064,
+		1065,  2572,  3509,  3509,  3509,  3509,  3509,  3509,
+		3509,  3509,  3509,  3509,  3509,  3509,  3509,  3509,
+		3509,  3509,  3509,  9608,  9609,  9610,  9611,  9612,
+		9613,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -766,  2253,  2254,  2255,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		1531,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 0,     0,     0,     32767, 32767,
+		-37,   286,   -39,   -3456, 289,   290,   291,   292,
+		-5064, 2712,  295,   296,   297,   2713,  2714,  300,
+		12297, 0,     4554,  304,   305,   306,   307,   308,
+		309,   310,   311,   312,   313,   314,   315,   316,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     0,     0,     0,     32767, 32767, 32767, 32767,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		0,     0,     32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 5071,  -9435, 4150,  4151,  32767,
+		5075,  5076,  -714,  5078,  4156,  5080,  2624,  5082,
+		5083,  5084,  5085,  5086,  4164,  2627,  0,     5460,
+		0,     0,     4170,  0,     0,     0,     8796,  5098,
+		8799,  8800,  5101,  2644,  2644,  13963, 0,     -812,
+		0,     0,     0,     0,     -719,  7744,  0,     0,
+		-719,  7751,  -1044, -1044, -1044, -1044, 0,     -1045,
+		0,     0,     8576,  0,     2734,  0,     0,     0,
+		0,     0,     0,     0,     0,     4199,  8829,  8830,
+		0,     0,     0,     0,     0,     0,     0,     32767,
+		4203,  4204,  4205,  32767, 4206,  4207,  32767, 4208,
+		32767, 32767, 5430,  32767, 4210,  32767, 4211,  32767,
+		276,   32767, -674,  32767, 4214,  -3515, 32767, -3514,
+		32767, 32767, -1072, -1072, -1072, -1072, 32767, -1073,
+		-1073, -1073, -1073, -1073, -1073, -1073, 32767, -1074,
+		4229,  4230,  4231,  32767, 4232,  4233,  4234,  4235,
+		32767, 4236,  32767, 4237,  4238,  4239,  4240,  4241,
+		4242,  4243,  4244,  4245,  4246,  32767, 4247,  4248,
+		4249,  4250,  4251,  4252,  4253,  4254,  4255,  4256,
+		4257,  4258,  4259,  4260,  4261,  4262,  4263,  32767,
+		32767, 32767, 32767, 32767, 4264,  4265,  4266,  32767,
+		4267,  4268,  4269,  4270,  4271,  32767, 4272,  4273,
+		4274,  4275,  4276,  4277,  4278,  4279,  4280,  4281,
+		4282,  4283,  4284,  4285,  4286,  4287,  4288,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7131,6 +7589,8 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		324,   32767, 325,   32767, 326,   32767, 327,   32767,
+		328,   32767, 329,   32767, 330,   32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7138,266 +7598,37 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 0,     0,     32767, 0,     0,     32767,
+		32767, 32767, -5512, 32767, 332,   333,   -4700, 335,
+		-5419, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-5753, 32767, -5754, 32767, -5755, -5755, -5755, 32767,
+		32767, 32767, -5758, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 343,   32767, -2121, 345,   346,   32767,
+		32767, 32767, 347,   32767, 32767, 32767, 32767, 32767,
+		32767, 32767, -5826, 32767, -5827, -5827, -5827, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-5725, 32767, -8171, 32767, -6664, -5727, 32767, 32767,
+		356,   357,   -5638, -5638, -5638, -5638, -5638, -5638,
+		-5638, 365,   366,   32767, 32767, 32767, 32767, 32767,
+		32767, 367,   32767, 32767, 32767, 32767, 32767, 447,
+		3075,  -2384, 3077,  3078,  32767, 3079,  3080,  3081,
+		-5714, -2015, -5715, -5715, -2015, 443,   444,   -10874,
+		3090,  3903,  3092,  3093,  3094,  3095,  3815,  -4647,
+		3098,  3099,  3819,  -4650, 4146,  4147,  4148,  4149,
+		3106,  4152,  3108,  3109,  -5466, 3111,  378,   3113,
+		3114,  3115,  3116,  3117,  3118,  3119,  3120,  379,
+		-5708, -5708, 3123,  3124,  3125,  3126,  3127,  3128,
+		3129,  32767, 32767, 32767, 32767, 32767, 32767, 382,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 383,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -173,  -173,  -173,  -173,  -173,
-		-173,  -173,  -173,  -173,  -173,  -173,  -173,  3241,
-		-173,  -173,  -173,  -173,  1709,  -173,  -173,  1712,
-		-173,  -173,  1713,  -496,  1715,  -173,  -173,  -173,
-		-668,  -173,  -173,  -173,  -173,  -173,  -173,  1726,
-		-173,  -173,  -173,  -173,  1731,  -173,  1733,  -173,
-		1735,  1736,  1737,  1738,  1739,  1740,  -173,  1742,
-		1743,  1744,  1745,  -173,  1747,  -173,  1749,  -173,
-		1751,  3717,  -173,  -173,  1755,  -173,  -173,  1758,
-		-173,  1760,  1761,  -173,  1763,  -173,  -5636, -5636,
-		-5636, -5636, 1769,  -173,  1771,  -173,  3453,  -3530,
-		-3530, 1636,  1637,  1638,  -1669, -3534, -3534, -1669,
-		-1669, -1669, -1669, -1669, -1669, 1630,  1631,  -577,
-		1633,  -1666, 1635,  1636,  -1664, -1664, 3500,  3501,
-		-1664, -1664, -1664, 1644,  3510,  3511,  1647,  1648,
-		1649,  1650,  1651,  1652,  1653,  1654,  565,   1656,
-		1657,  1658,  1659,  1660,  1661,  -3502, -3502, 1664,
-		1665,  1666,  1667,  1668,  1669,  1670,  1671,  1672,
-		1673,  1674,  1675,  1676,  1677,  1678,  1679,  1680,
-		1681,  1682,  1683,  1684,  1685,  1686,  1687,  1688,
-		1689,  1690,  1691,  1692,  1693,  1694,  1695,  1696,
-		1697,  1698,  1699,  1700,  1701,  1702,  1703,  1704,
-		1705,  1706,  1707,  1708,  1709,  1710,  1711,  1712,
-		1713,  1714,  1715,  1716,  -1697, 1718,  1719,  1720,
-		1721,  -160,  1723,  1724,  -160,  1726,  1727,  -158,
-		2052,  -158,  1731,  1732,  1733,  2229,  1735,  1736,
-		1737,  1738,  1739,  1740,  -158,  1742,  1743,  1744,
-		1745,  -158,  1747,  -158,  1749,  -158,  -158,  -158,
-		-158,  -158,  -158,  1756,  -158,  -158,  -158,  -158,
-		1761,  -158,  1763,  -158,  1765,  -158,  -2123, 1768,
-		1769,  -158,  1771,  1772,  -158,  1774,  -158,  -158,
-		1777,  -158,  1779,  7243,  7244,  7245,  7246,  -158,
-		1785,  -158,  1787,  -1838, 5146,  5147,  -18,   -18,
-		-18,   3290,  5156,  5157,  3293,  3294,  3295,  3296,
-		3297,  3298,  0,     0,     2209,  0,     3300,  0,
-		0,     3301,  3302,  -1861, -1861, 3305,  3306,  3307,
-		0,     -1865, -1865, 0,     0,     0,     0,     0,
-		0,     0,     0,     1090,  0,     0,     0,     0,
-		0,     0,     5164,  5165,  0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     3414,  0,     0,     0,     0,     1882,  0,
-		0,     1885,  0,     0,     1886,  -323,  1888,  0,
-		0,     0,     -495,  0,     0,     0,     0,     0,
-		0,     1899,  0,     0,     0,     0,     1904,  0,
-		1906,  0,     1908,  1909,  1910,  1911,  1912,  1913,
-		0,     1915,  1916,  1917,  1918,  0,     1920,  0,
-		1922,  0,     1924,  3890,  0,     0,     1928,  0,
-		0,     1931,  0,     1933,  1934,  0,     1936,  0,
-		-5463, -5463, -5463, -5463, 1942,  0,     1944,  0,
-		0,     1947,  0,     1949,  1950,  0,     0,     0,
-		0,     1955,  0,     0,     0,     0,     0,     0,
-		0,     1963,  0,     0,     0,     0,     1968,  0,
-		0,     0,     0,     1973,  0,     1975,  0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		1986,  0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     527,   527,   527,   527,   0,
-		528,   528,   528,   528,   528,   528,   528,   528,
-		528,   528,   528,   1998,  32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		1999,  2000,  2001,  2002,  2003,  32767, 32767, 32767,
-		32767, 32767, 2004,  32767, 2005,  2006,  2007,  2008,
-		2009,  2010,  2011,  2012,  2013,  2014,  2015,  2016,
-		2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,
-		2025,  2026,  1200,  1200,  32767, 4498,  4499,  2291,
-		2032,  2033,  32767, 2034,  32767, 2035,  2036,  32767,
-		2037,  2038,  32767, 2039,  2040,  2041,  2042,  2043,
-		2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,
-		2052,  2053,  2054,  2055,  2056,  2057,  2058,  2059,
-		2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,
-		2068,  -1506, -1506, -1506, -1506, -1506, -1506, -1506,
-		2076,  -2490, 2078,  2079,  2080,  2081,  2082,  2083,
-		2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,
-		2092,  2093,  2094,  2095,  -105,  -2314, 2098,  2099,
-		2100,  2101,  2102,  2103,  2104,  2105,  2106,  2107,
-		2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,
-		2116,  2117,  2118,  2119,  2120,  5459,  2122,  2123,
-		2124,  2125,  2126,  2127,  2128,  5466,  2130,  5467,
-		2132,  2133,  2134,  2135,  5471,  2137,  2138,  5473,
-		5473,  5473,  5473,  2143,  2144,  5475,  2146,  32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,
-		2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,
-		2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,
-		2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,
-		2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,
-		2187,  2188,  2189,  2190,  2191,  32767, -726,  2293,
-		-725,  -725,  -725,  1357,  1358,  1359,  -722,  2201,
-		2202,  2203,  2204,  2205,  0,     2207,  -715,  2209,
-		-714,  -714,  -714,  2213,  2214,  2215,  4806,  2217,
-		2218,  2219,  2220,  2221,  2222,  2223,  -710,  2225,
-		-248,  -704,  -704,  2229,  2230,  2231,  2232,  2233,
-		2220,  1430,  2236,  2237,  -695,  2239,  -694,  2241,
-		-693,  -693,  2244,  2245,  2246,  2231,  2231,  2249,
-		2250,  2251,  2252,  2253,  2254,  2255,  2256,  2239,
-		2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,
-		2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,
-		2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,
-		2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,
-		2290,  2291,  2292,  2293,  3084,  2295,  2296,  2297,
-		2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
-		2306,  2307,  3983,  2309,  2310,  2292,  2312,  3992,
-		2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,
-		2322,  2323,  2324,  2325,  2326,  2327,  2328,  4023,
-		2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,
-		2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
-		2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
-		2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,
-		2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
-		2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,
-		2378,  2379,  2360,  2360,  2360,  2360,  2360,  2360,
-		2360,  2360,  2360,  2389,  2390,  2391,  2392,  2393,
-		2394,  2395,  2396,  2397,  2398,  2399,  2400,  2401,
-		2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,
-		2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,
-		2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
-		2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,
-		2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,
-		2442,  2443,  2444,  2445,  2446,  2447,  32767, 2448,
-		2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,
-		2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,
-		2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
-		2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,
-		2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,
-		2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,
-		2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
-		2505,  2506,  2507,  2508,  2509,  32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 2510,
-		2511,  2512,  2513,  3266,  3266,  3266,  3266,  2518,
-		3267,  3267,  3267,  2522,  3268,  3268,  3268,  3268,
-		3268,  3268,  3268,  6682,  3268,  3268,  3268,  2534,
-		5151,  3269,  2537,  2538,  3271,  3271,  5157,  2948,
-		5159,  2544,  2545,  3273,  2778,  3273,  2549,  3274,
-		2551,  3275,  2553,  5175,  2555,  3277,  3277,  3277,
-		5181,  2560,  5184,  3278,  5186,  2564,  5189,  5190,
-		5191,  5192,  3279,  5194,  5195,  2572,  5198,  32767,
-		32767, 3278,  5200,  3278,  2577,  2578,  2579,  2580,
-		5210,  3282,  3282,  5213,  3282,  2586,  2587,  2588,
-		2589,  2590,  2591,  -2175, -2175, -2175, 5230,  3288,
-		5232,  3288,  6914,  -69,   -69,   5097,  5098,  5099,
-		1792,  -73,   -73,   1792,  1792,  1792,  1792,  1792,
-		1792,  5091,  5092,  2884,  5094,  1795,  5096,  5097,
-		1797,  1797,  6961,  6962,  1797,  1797,  1797,  32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 2578,  2578,  2578,  2578,  2578,
-		2578,  872,   872,   872,   872,   872,   872,   872,
-		872,   872,   872,   8277,  6335,  8279,  6335,  9961,
-		2978,  2978,  8144,  8145,  8146,  4839,  2974,  2974,
-		4839,  4839,  4839,  4839,  4839,  4839,  8138,  8139,
-		5931,  8141,  4842,  8143,  8144,  4844,  4844,  10008,
-		10009, 4844,  4844,  4844,  8152,  10018, 10019, 8155,
-		8156,  8157,  8158,  8159,  8160,  8161,  8162,  7073,
-		8164,  5399,  5400,  5401,  5402,  5403,  0,     0,
-		0,     5407,  0,     0,     5410,  5411,  5412,  8180,
-		3383,  5415,  3914,  3915,  3916,  5419,  3918,  3919,
-		3920,  3921,  3922,  3923,  3924,  3925,  3926,  3927,
-		3758,  3758,  3758,  3758,  3758,  3758,  3758,  3758,
-		3758,  3758,  3758,  3758,  3758,  3758,  3758,  3758,
-		3758,  3758,  3758,  3758,  3758,  3758,  3758,  3758,
-		3758,  3758,  3758,  3758,  3758,  3758,  3758,  3758,
-		3758,  3758,  3758,  3758,  3758,  3758,  3758,  3758,
-		3758,  3758,  3758,  3758,  3758,  3758,  3758,  3758,
-		3758,  3758,  7172,  3758,  3758,  3758,  3758,  5640,
-		3758,  3758,  5643,  3758,  3758,  5644,  3435,  5646,
-		3758,  3758,  3758,  3263,  3758,  3758,  3758,  3758,
-		3758,  3758,  5657,  3758,  3758,  3758,  3758,  5662,
-		3758,  5664,  3758,  5666,  5667,  5668,  5669,  5670,
-		5671,  3758,  5673,  5674,  5675,  5676,  3758,  5678,
-		3758,  5680,  3758,  5682,  7648,  3758,  3758,  5686,
-		3758,  3758,  5689,  3758,  5691,  5692,  3758,  -1707,
-		-1707, -1707, -1707, -1707, -1707, 5698,  3756,  5700,
-		3756,  7382,  399,   399,   5565,  5566,  5567,  2260,
-		395,   395,   2260,  2260,  2260,  2260,  2260,  2260,
-		5559,  5560,  3352,  5562,  2263,  5564,  5565,  2265,
-		2265,  7429,  7430,  2265,  2265,  2265,  5573,  7439,
-		7440,  5576,  5577,  5578,  5579,  5580,  5581,  5582,
-		5583,  4494,  5585,  2820,  2821,  2822,  2823,  2824,
-		-2579, -2579, -2579, 2828,  -2579, -2579, 2831,  2832,
-		2833,  5601,  804,   2836,  1335,  1336,  1337,  2840,
-		1339,  1340,  1341,  1342,  1343,  1344,  1345,  1346,
-		1347,  1348,  1179,  1179,  1179,  1179,  1179,  1179,
-		1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
-		1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
-		1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
-		1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
-		1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
-		1179,  1179,  1179,  1179,  4593,  1179,  1179,  1179,
-		1179,  3061,  1179,  1179,  3064,  1179,  1179,  3065,
-		856,   3067,  1179,  1179,  1179,  684,   1179,  1179,
-		1179,  1179,  1179,  1179,  3078,  1179,  1179,  1179,
-		1179,  3083,  1179,  3085,  1179,  3087,  3088,  3089,
-		3090,  3091,  3092,  1179,  3094,  3095,  3096,  3097,
-		1179,  3099,  1179,  3101,  1179,  3103,  5069,  1179,
-		1179,  3107,  1179,  1179,  3110,  1179,  3112,  3113,
-		1179,  3115,  1179,  -4284, -4284, -4284, -4284, 3121,
-		1179,  3123,  1179,  4805,  -2178, -2178, 2988,  2989,
-		2990,  -317,  -2182, -2182, -317,  -317,  -317,  -317,
-		-317,  -317,  2982,  2983,  775,   2985,  -314,  2987,
-		2988,  -312,  -312,  4852,  4853,  -312,  -312,  -312,
-		2996,  4862,  4863,  2999,  3000,  3001,  3002,  3003,
-		3004,  3005,  3006,  1917,  3008,  3009,  3010,  3011,
-		3012,  3013,  -2150, -2150, 3016,  3017,  3018,  3019,
-		3020,  3021,  3022,  3023,  3024,  3025,  3026,  3027,
-		3028,  3029,  3030,  3031,  3032,  3033,  3034,  3035,
-		32767, 32767, 32767, 3036,  3037,  3038,  3039,  3040,
-		3041,  32767, 32767, 3042,  3043,  3044,  3045,  3046,
-		3047,  32767, 32767, 3048,  3049,  3050,  3051,  3052,
-		3053,  32767, 32767, 3054,  3055,  3056,  32767, 32767,
-		32767, -357,  3058,  3059,  3060,  3061,  1180,  3063,
-		0,     1179,  3065,  3066,  1181,  3391,  1181,  3070,
-		0,     0,     0,     0,     32767, 0,     0,     32767,
-		0,     32767, 0,     0,     -4973, 32767, 32767, -7368,
-		-2202, -2201, -2200, -5507, -7372, -7372, -5507, -5507,
-		-5507, 32767, 0,     0,     0,     0,     0,     0,
-		0,     0,     0,     32767, 0,     0,     32767, 0,
-		-203,  -2234, -732,  -732,  -732,  -2234, -732,  -732,
-		-2763, -1261, -1261, -1261, -2763, -1261, -1261, -1261,
-		-1261, -1261, -1261, -1261, -1261, -1261, -1261, -1091,
-		-1090, -1089, -1088, -1087, 32767, 32767, -1086, -1085,
-		-1084, -1083, -1082, -1081, -1080, -1079, -1078, -1077,
-		-1076, -1075, 32767, -1074, -1073, -1072, -1071, -1070,
-		-1069, -1068, -1067, -1066, -1065, -1064, -1063, -1062,
-		-1061, -1060, -1059, -1058, -1057, -1056, 32767, -1055,
-		-1054, -1053, -1052, 0,     32767, 32767, 32767, -1051,
-		-1050, -4463, 32767, -1048, 32767, -1047, -2928, -1045,
-		-1044, -2928, -1042, -1041, -2926, -716,  -2926, -1037,
-		-1036, -1035, -539,  -1033, -1032, -1031, -1030, -1029,
-		-1028, -2926, -1026, -1025, -1024, -1023, -2926, -1021,
-		-2926, -1019, -2926, -2926, -2926, -2926, -2926, -2926,
-		-1012, -2926, -2926, -2926, -2926, -1007, -2926, -1005,
-		-2926, -1003, -2926, -4891, -1000, -999,  -2926, -997,
-		-996,  -2926, -994,  -2926, -2926, -991,  4475,  4476,
-		4477,  4478,  4479,  4480,  -2924, -981,  -2924, -979,
-		-4604, 2380,  2381,  -2784, -2784, -2784, 524,   2390,
-		2391,  527,   528,   529,   530,   531,   532,   -2766,
-		-2766, -557,  -2766, 534,   -2766, -2766, 535,   536,
-		-4627, -4627, 539,   540,   541,   -2766, -4631, -4631,
-		-2766, -2766, -2766, -2766, -2766, -2766, -2766, -2766,
-		-1676, -2766, 0,     0,     0,     0,     0,     5404,
-		5405,  5406,  0,     5408,  5409,  0,     0,     0,
-		-2767, 2031,  0,     1502,  1502,  1502,  0,     1502,
-		1502,  1502,  1502,  1502,  32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		-5794, -5794, 32767, 32767, -5796, -5796, -5685, -5796,
+		-5796, -5685, -5685, -5685, -8130, -8129, -6622, -5685,
+		-5685, -5685, -5685, -5685, -5685, -5685, -5685, -5685,
+		-5685, -5685, -5685, -5685, -5685, -5685, -5685, 32767,
+		413,   414,   415,   416,   417,   418,   -5360, -5360,
+		-5694, 422,   423,   424,   -14082,32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		426,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7408,10 +7639,30 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, -5655, -5655, -5655, -5655, 32767, -5656, -5656,
+		-5656, 32767, -5657, -5657, -5657, -5657, -5657, -5657,
+		-5657, -5657, 442,   443,   444,   32767, 445,   446,
+		32767, 32767, -5668, 448,   449,   450,   -14056,32767,
+		32767, 452,   453,   454,   32767, 455,   32767, 456,
+		32767, 457,   32767, 458,   459,   460,   -462,  4290,
+		-4627, 833,   -4627, 4294,  -458,  -4628, -4628, -4628,
+		4168,  470,   4171,  32767, 472,   473,   -1984, 9335,
+		-5439, -5439, 9662,  4305,  4306,  4307,  -5347, 3116,
+		-4628, -4628, -5347, 4313,  4314,  4315,  4316,  4317,
+		4318,  -5678, -5678, -5678, -5678, -5678, -5678, -5678,
+		-5678, -5678, -4457, 425,   -4457, 495,   -521,  -521,
+		430,   3272,  -4457, 3273,  3273,  3273,  1767,  831,
+		832,   833,   834,   835,   836,   837,   838,   839,
+		840,   841,   842,   843,   844,   845,   846,   847,
+		-5251, -5251, -5251, -5251, -5251, -5251, 528,   529,
+		864,   32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 531,   32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		4363,  4364,  4365,  32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 4366,  32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7425,6 +7676,18 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 532,   -7930,
+		4368,  -185,  535,   32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4370,
+		4371,  4372,  4373,  4374,  4375,  4376,  4377,  4378,
+		4379,  4380,  4381,  4382,  4383,  4384,  4385,  4386,
+		4387,  4388,  4389,  4390,  4391,  4392,  4393,  4394,
+		4395,  4396,  4397,  4398,  4399,  4400,  4401,  4402,
+		4403,  4404,  4405,  4406,  4407,  4408,  4409,  4410,
+		4411,  4412,  4413,  32767, 32767, 32767, 32767, 4414,
+		4415,  4416,  4417,  4418,  4419,  4420,  4421,  4422,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 4423,
+		4424,  32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7435,11 +7698,17 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 0,     32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
+		0,     0,     0,     0,     0,     0,     0,     0,
+		0,     32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 536,   537,   32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7457,155 +7726,45 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 224,   225,   226,   32767, 227,   228,   229,
-		230,   231,   232,   233,   234,   235,   236,   67,
-		32767, 66,    66,    66,    66,    66,    66,    66,
-		66,    66,    66,    66,    66,    66,    66,    66,
-		66,    66,    66,    32767, 65,    65,    65,    65,
-		65,    65,    65,    65,    65,    65,    65,    65,
-		65,    65,    65,    65,    65,    65,    65,    65,
-		65,    65,    65,    65,    65,    65,    65,    65,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, -271,  32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		1940,  18,    1942,  3908,  18,    18,    1946,  18,
-		18,    1949,  18,    1951,  1952,  18,    1954,  18,
-		-5445, -5445, -5445, -5445, 1960,  18,    1962,  18,
-		3644,  -3339, -3339, 1827,  1828,  1829,  -1478, -3343,
-		-3343, -1478, -1478, -1478, -1478, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 0,     32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
-		0,     32767, 0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     1340,  1341,
-		1342,  1343,  1344,  1345,  1346,  1347,  1348,  1349,
-		-2064, 1351,  1352,  1353,  1354,  32767, 1355,  1356,
-		32767, 0,     32767, 32767, 1679,  32767, 1357,  1358,
-		1359,  1855,  1361,  1362,  1363,  1364,  1365,  1366,
-		32767, 1367,  1368,  1369,  1370,  32767, 1371,  32767,
-		1372,  32767, 32767, 32767, 32767, 32767, 32767, 1373,
-		32767, 32767, 32767, 32767, 1374,  32767, 1375,  32767,
-		1376,  32767, -2513, 1378,  1379,  32767, 1380,  1381,
-		32767, 1382,  32767, 32767, 1383,  32767, 1384,  32767,
-		6848,  32767, 6849,  32767, 1387,  32767, 1388,  1389,
-		32767, 1390,  32767, 32767, 1391,  1392,  1393,  1394,
-		32767, 1395,  1396,  1397,  1398,  1399,  1400,  1401,
-		32767, 1402,  1403,  1404,  1405,  32767, 1406,  1407,
-		1408,  1409,  32767, 1410,  32767, 1411,  1412,  1413,
-		1414,  1415,  1416,  1417,  1418,  1419,  1420,  32767,
-		1421,  1422,  1423,  1424,  1425,  0,     0,     0,
-		4575,  4576,  0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     -571,  -571,
-		-571,  0,     -572,  8101,  5150,  5150,  5150,  5337,
-		8103,  5150,  8104,  8105,  2038,  5145,  2039,  5150,
-		2040,  5150,  2041,  5150,  5150,  5138,  5150,  5150,
-		5150,  5150,  5150,  8108,  8109,  8110,  5150,  5150,
-		5384,  5150,  0,     5151,  5151,  5151,  5535,  5151,
-		5151,  5151,  5537,  5538,  5539,  5540,  5541,  5542,
-		5543,  5544,  5545,  5546,  5547,  5151,  5151,  2572,
-		2572,  2572,  2572,  2572,  2572,  2572,  2572,  2572,
-		2572,  2572,  2572,  2572,  2572,  2572,  2572,  2572,
-		2572,  2572,  2572,  0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     2580,
-		2580,  2580,  2580,  2580,  2580,  2580,  0,     2580,
-		0,     2580,  0,     0,     0,     2580,  2580,  2580,
-		0,     2580,  2580,  2580,  2580,  2580,  2580,  2580,
-		0,     2580,  0,     0,     0,     2580,  2580,  2580,
-		5517,  5518,  5519,  5520,  5521,  5522,  -6,    -6,
-		-6,    0,     0,     0,     0,     2581,  2581,  2581,
-		2581,  5527,  2581,  2581,  2581,  2581,  0,     5528,
-		0,     2581,  0,     0,     2581,  2581,  0,     0,
-		0,     0,     0,     0,     5529,  5530,  5531,  32767,
-		32767, 2579,  2579,  2579,  2579,  2579,  0,     0,
-		2579,  2579,  2579,  2765,  0,     0,     0,     0,
-		2579,  2579,  2579,  2579,  6066,  2579,  6066,  2579,
-		2579,  2579,  0,     0,     0,     2579,  2579,  0,
-		0,     0,     2579,  2579,  2579,  5530,  2579,  2579,
-		2579,  2766,  5532,  2579,  5533,  5534,  -533,  2574,
-		-532,  2579,  -531,  2579,  -530,  2579,  2579,  2567,
-		2579,  2579,  2579,  2579,  2579,  5537,  5538,  5539,
-		2579,  2579,  2813,  2579,  2579,  2579,  2579,  2579,
-		2963,  2579,  2579,  2579,  2965,  2966,  2967,  2968,
-		2969,  2970,  2971,  2972,  2973,  2974,  2975,  2579,
-		2579,  0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     32767, 32767, 32767,
-		32767, 32767, 331,   32767, 332,   -2580, -2580, -2580,
-		-2580, 0,     0,     0,     0,     0,     0,     0,
-		-2580, 0,     -2580, 0,     -2580, -2580, -2580, 0,
-		0,     0,     -2580, 0,     0,     0,     0,     0,
-		0,     0,     -2580, 0,     -2580, -2580, -2580, 0,
-		0,     0,     2937,  2938,  2939,  2940,  2941,  2942,
-		-2586, -2586, -2586, -2580, -2125, -2581, -2581, 0,
-		0,     0,     0,     2946,  0,     0,     0,     0,
-		-2581, 2947,  -2581, 0,     -2581, -2581, 0,     0,
-		-2581, -2581, -2581, -2581, -2581, -2581, 2948,  2949,
-		2950,  2945,  2491,  0,     0,     0,     0,     0,
-		-2579, -2579, 0,     0,     0,     186,   -2579, -2579,
-		-2579, -2579, 0,     0,     0,     0,     3487,  0,
-		3487,  0,     0,     0,     -2579, -2579, -2579, 0,
-		0,     -2579, -2579, -2579, 0,     0,     0,     2951,
-		0,     0,     0,     187,   2953,  0,     2954,  2955,
-		-3112, -5,    -3111, 0,     -3110, 0,     -3109, 0,
-		0,     -12,   0,     0,     0,     0,     0,     2958,
-		2959,  2960,  0,     0,     234,   0,     0,     0,
-		0,     0,     384,   0,     0,     0,     386,   387,
-		388,   389,   390,   391,   392,   393,   394,   395,
-		396,   0,     0,     0,     0,     0,     0,     0,
-		0,     0,     -1706, -1706, -1706, 0,     0,     0,
-		0,     385,   0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     397,
-		398,   399,   400,   401,   402,   403,   404,   405,
-		2112,  2113,  2114,  409,   410,   411,   412,   32767,
-		413,   414,   415,   416,   417,   418,   419,   420,
-		421,   422,   423,   424,   425,   32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		-1688, 32767, 32767, 32767, 32767, 0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 0,     0,     0,
-		0,     -752,  -751,  -750,  -749,  0,     -748,  -747,
-		-746,  0,     -745,  -744,  -743,  -742,  -741,  -740,
-		-739,  -4152, -737,  -736,  -735,  0,     -2616, -733,
-		0,     0,     -732,  -731,  -2616, -406,  -2616, 0,
-		0,     -727,  -231,  -725,  0,     -724,  0,     -723,
-		0,     -2621, 0,     -721,  -720,  -719,  -2622, 0,
-		-2623, -716,  -2623, 0,     -2624, -2624, -2624, -2624,
-		-710,  -2624, -2624, 0,     -2625, -706,  -2625, -704,
-		-2625, -702,  0,     0,     0,     0,     -2629, -700,
-		-699,  -2629, -697,  0,     0,     0,     0,     0,
-		0,     4767,  4768,  4769,  -2635, -692,  -2635, -690,
-		-4315, 2669,  2670,  -2495, -2495, -2495, 813,   2679,
-		2680,  816,   817,   818,   819,   820,   821,   -2477,
-		-2477, -268,  -2477, 823,   -2477, -2477, 824,   825,
-		-4338, -4338, 828,   829,   830,   -2477, -4342, -4342,
-		-2477, -2477, -2477, -2477, -2477, -2477, -2477, -2477,
-		-1387, 0,     0,     32767, 32767, 0,     0,     0,
-		0,     0,     -2486, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 1756,  1757,  1758,
-		1759,  -5645, -3702, -5645, -3700, -7325, -341,  -340,
-		-5505, -5505, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 649,   650,   651,   541,
+		653,   654,   544,   656,   657,   547,   548,   549,
+		2995,  2995,  1489,  553,   554,   555,   556,   557,
+		558,   559,   560,   561,   562,   563,   564,   565,
+		566,   567,   568,   569,   570,   571,   572,   573,
+		574,   575,   576,   577,   578,   579,   580,   581,
+		582,   583,   584,   585,   586,   587,   588,   589,
+		590,   591,   592,   593,   594,   595,   596,   597,
+		598,   599,   600,   601,   602,   603,   604,   605,
+		606,   607,   608,   609,   610,   611,   612,   613,
+		614,   615,   616,   617,   618,   619,   620,   621,
+		622,   623,   624,   625,   626,   627,   628,   629,
+		630,   631,   632,   633,   634,   635,   636,   637,
+		638,   639,   640,   641,   642,   643,   644,   645,
+		646,   647,   648,   649,   650,   651,   652,   653,
+		654,   655,   656,   657,   658,   659,   660,   -7114,
+		662,   663,   664,   665,   666,   667,   668,   669,
+		670,   560,   672,   673,   563,   675,   676,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7617,10 +7776,9 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 532,   533,
-		32767, 534,   535,   32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 0,     32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
@@ -7636,120 +7794,36 @@ NFKC_QC_hash_func(const void *key)
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, -781,  1084,  1084,  1084,  1084,
-		1084,  1084,  4383,  4384,  2176,  4386,  1087,  4388,
-		4389,  1089,  1089,  6253,  6254,  1089,  1089,  1089,
-		4397,  6263,  6264,  4400,  4401,  4402,  4403,  4404,
-		4405,  4406,  4407,  3318,  4409,  4410,  4411,  4412,
-		4413,  4414,  -749,  -749,  4417,  4418,  4419,  4420,
-		4421,  4422,  4423,  4424,  4425,  4426,  4427,  4428,
-		4429,  4430,  4431,  4432,  4433,  4434,  4435,  4436,
-		4437,  4438,  4439,  4440,  4441,  4442,  4443,  4444,
-		4445,  4446,  4447,  4448,  4449,  4450,  4451,  4452,
-		4453,  4454,  4455,  4456,  4457,  4458,  4459,  4460,
-		4461,  4462,  4463,  4464,  4465,  4466,  4467,  4468,
-		4469,  1056,  4471,  4472,  4473,  4474,  2593,  4476,
-		4477,  2593,  4479,  4480,  2595,  4805,  2595,  4484,
-		4485,  4486,  4982,  4488,  4489,  4490,  4491,  4492,
-		4493,  2595,  4495,  4496,  4497,  4498,  2595,  4500,
-		2595,  4502,  2595,  2595,  2595,  2595,  2595,  2595,
-		4509,  2595,  2595,  2595,  2595,  4514,  2595,  4516,
-		2595,  4518,  2595,  630,   4521,  4522,  2595,  4524,
-		4525,  2595,  4527,  2595,  2595,  4530,  2595,  4532,
-		9996,  9997,  9998,  9999,  2595,  4538,  2595,  4540,
-		4541,  2595,  4543,  2595,  2595,  4546,  4547,  4548,
-		4549,  2595,  4551,  4552,  4553,  4554,  4555,  4556,
-		4557,  2595,  4559,  4560,  4561,  4562,  2595,  4564,
-		4565,  4566,  4567,  2595,  4569,  2595,  4571,  4572,
-		4573,  4574,  4575,  4576,  4577,  4578,  4579,  4580,
-		2595,  4582,  4583,  4584,  4585,  4586,  4587,  4588,
-		4589,  4590,  4591,  4592,  4593,  4594,  4595,  4596,
-		4597,  4598,  4599,  4600,  4601,  4602,  4603,  4604,
-		4605,  4606,  4607,  4608,  4609,  4610,  4611,  4612,
-		4613,  4614,  4615,  4089,  4090,  4091,  4092,  4620,
-		4093,  4094,  4095,  4096,  4097,  4098,  4099,  4100,
-		4101,  4102,  4103,  4104,  2765,  2765,  2765,  2765,
-		2765,  2765,  2765,  2765,  2765,  2765,  6179,  2765,
-		2765,  2765,  2765,  4647,  2765,  2765,  4650,  4122,
-		4652,  4653,  2444,  4655,  2767,  2767,  2767,  2272,
-		2767,  2767,  2767,  2767,  2767,  2767,  4666,  2767,
-		2767,  2767,  2767,  4671,  2767,  4673,  2767,  4675,
-		4676,  4677,  4678,  4679,  4680,  2767,  4682,  4683,
-		4684,  4685,  2767,  4687,  2767,  4689,  2767,  4691,
-		6657,  2767,  2767,  4695,  2767,  2767,  4698,  2767,
-		4700,  4701,  2767,  4703,  2767,  -2696, -2696, -2696,
-		-2696, 4709,  2767,  4711,  2767,  2767,  4714,  2767,
-		4716,  4717,  2767,  2767,  2767,  2767,  4722,  2767,
-		2767,  2767,  2767,  2767,  2767,  2767,  4730,  2767,
-		2767,  2767,  2767,  4735,  2767,  2767,  2767,  2767,
-		4740,  2767,  4742,  2767,  2767,  2767,  2767,  2767,
-		2767,  2767,  2767,  2767,  2767,  4753,  2767,  2767,
-		2767,  2767,  2767,  4193,  4194,  4195,  -379,  -379,
-		4198,  4199,  4200,  4201,  4202,  4203,  4204,  4771,
-		4772,  4773,  4774,  4775,  4776,  4777,  4778,  4779,
-		4780,  -3892, -940,  -939,  -938,  4785,  -3890, -936,
-		-3889, -3889, 2179,  -927,  2180,  -930,  2181,  -928,
-		2182,  -926,  -925,  -912,  -923,  -922,  -921,  4803,
-		4804,  4805,  4806,  4807,  4808,  4809,  4810,  4811,
-		4812,  4813,  4814,  4815,  4816,  4817,  4818,  4819,
-		3925,  4821,  4822,  4823,  4824,  4825,  4826,  4827,
-		4828,  4829,  4830,  4831,  4832,  4833,  4834,  4835,
-		4836,  4837,  4838,  4839,  4840,  4841,  4842,  4843,
-		4844,  4845,  4846,  4847,  4848,  4849,  4850,  4851,
-		4852,  4853,  4854,  4855,  4856,  4857,  4858,  4859,
-		4860,  4710,  2086,  609,   4864,  4865,  4866,  4867,
-		4868,  4869,  4870,  4871,  4872,  3052,  4874,  4875,
-		4876,  4281,  4878,  4879,  4880,  4881,  4882,  4883,
-		4884,  4885,  4886,  4887,  634,   4888,  4889,  4890,
-		4891,  4892,  4893,  4894,  4895,  4896,  1322,  1322,
-		1322,  1322,  1322,  1322,  1322,  4904,  338,   4906,
-		4907,  4908,  4909,  4910,  4911,  4912,  4913,  4914,
-		4915,  4916,  4917,  665,   666,   667,   668,   669,
-		670,   671,   672,   673,   674,   675,   676,   32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
-		32767, 32767, 32767, 32767, 32767, 32767, 32767, 0,
-		0,     0,     0,     0,     0,     32767, 0,     0,
-		0,     0,     32767, 32767, 0,     0,     0,     0,
-		0,     0,     0,     0,     32767, 0,     0,     0,
-		0,     0,     0,     0,     32767, 0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     32767, 0,     0,     0,     2478,  32767, 2477,
-		2477,  2477,  2477,  2477,  32767, 2476,  32767, 32767,
-		32767, 2473,  2473,  2473,  2473,  2473,  2473,  2473,
-		32767, 2472,  2472,  2472,  2472,  2472,  2472,  2472,
-		2472,  2472,  2472,  2472,  2472,  2472,  2472,  2472,
-		2472,  2472,  2472,  2472,  2472,  2472,  2472,  2472,
-		2472,  2472,  2472,  2472,  2472,  2472,  2472,  2472,
-		2472,  2472,  2472,  2472,  2472,  2472,  2472,  2472,
-		2472,  2472,  2472,  0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     -2478, -2478, -2478, 0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0,     0,     0,     0,
-		0,     0,     0,     0,     0
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
+		32767, 32767, 32767
 	};
 
 	const unsigned char *k = (const unsigned char *) key;
@@ -7762,14 +7836,14 @@ NFKC_QC_hash_func(const void *key)
 		unsigned char c = *k++;
 
 		a = a * 257 + c;
-		b = b * 8191 + c;
+		b = b * 127 + c;
 	}
-	return h[a % 9837] + h[b % 9837];
+	return h[a % 9955] + h[b % 9955];
 }
 
 /* Hash lookup information for NFKC_QC */
 static const pg_unicode_norminfo UnicodeNormInfo_NFKC_QC = {
 	UnicodeNormProps_NFKC_QC,
 	NFKC_QC_hash_func,
-	4918
+	4977
 };
